/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_SwcRxHandlerCpu1.c - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/

/*
 * To restrict the SW-C APIs to a runnable use ONE of the following macros
 * #define RTE_RUNNABLEAPI_SwcRxHandlerCpu1_10ms
 * #define RTE_RUNNABLEAPI_SwcRxHandlerCpu1_Init
 */

/* Include application header file */
#include "Rte_SwcRxHandlerCpu1.h"
/* Version verification of the Rte_SwcRxHandlerCpu1 module */
#if ((RTE_SWCRXHANDLERCPU1_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWCRXHANDLERCPU1_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWCRXHANDLERCPU1 module version is incompatible, there may be problems.
#endif

// Start of user code for user-defined code

// End of user code
/********************************************************************************************************************
 * AtomicSwComponentType : SwcRxHandlerCpu1
 * ------------------------------------------------------------------------------------------------------------------
 *
 *******************************************************************************************************************/
#define SWCRXHANDLERCPU1_START_SEC_CODE
#include "SwcRxHandlerCpu1_MemMap.h"
/********************************************************************************************************************
 * Runnable Entity : SwcRxHandlerCpu1_10ms
 * ------------------------------------------------------------------------------------------------------------------
 *
 * =======================================
 *           Sender-Receiver
 * =======================================
 * @Function name : Rte_Receive_BareUdpIntf2App0_BareUdpData
 * @Description   : Performs an "explicit" read on a sender-receiver communication data element with "event"
 *                  semantics (swImplPolicy = queued).
 * @Parameter     : P2VAR(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Receive_BareUdpIntf2App1_BareUdpData
 * @Description   : Performs an "explicit" read on a sender-receiver communication data element with "event"
 *                  semantics (swImplPolicy = queued).
 * @Parameter     : P2VAR(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Receive_BareUdpIntf2App2_BareUdpData
 * @Description   : Performs an "explicit" read on a sender-receiver communication data element with "event"
 *                  semantics (swImplPolicy = queued).
 * @Parameter     : P2VAR(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Receive_BareUdpIntf2App3_BareUdpData
 * @Description   : Performs an "explicit" read on a sender-receiver communication data element with "event"
 *                  semantics (swImplPolicy = queued).
 * @Parameter     : P2VAR(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Receive_BareUdpIntf2App4_BareUdpData
 * @Description   : Performs an "explicit" read on a sender-receiver communication data element with "event"
 *                  semantics (swImplPolicy = queued).
 * @Parameter     : P2VAR(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Receive_BareUdpIntf2App5_BareUdpData
 * @Description   : Performs an "explicit" read on a sender-receiver communication data element with "event"
 *                  semantics (swImplPolicy = queued).
 * @Parameter     : P2VAR(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Send_LogSwcMessageInterface_MntSendLog
 * @Description   : Initiate an "explicit" sender-receiver transmission of data elements with "event" semantic
 *                  (swImplPolicy equal to queued).
 * @Parameter     : P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Send_swc_gp0_CAN11_Send_CanRawMsg
 * @Description   : Initiate an "explicit" sender-receiver transmission of data elements with "event" semantic
 *                  (swImplPolicy equal to queued).
 * @Parameter     : P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Send_swc_gp2_CAN0_Send_CanRawMsg
 * @Description   : Initiate an "explicit" sender-receiver transmission of data elements with "event" semantic
 *                  (swImplPolicy equal to queued).
 * @Parameter     : P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Send_swc_gp2_CAN1_Send_CanRawMsg
 * @Description   : Initiate an "explicit" sender-receiver transmission of data elements with "event" semantic
 *                  (swImplPolicy equal to queued).
 * @Parameter     : P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Send_swc_gp2_CAN9_Send_CanRawMsg
 * @Description   : Initiate an "explicit" sender-receiver transmission of data elements with "event" semantic
 *                  (swImplPolicy equal to queued).
 * @Parameter     : P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Send_swc_gp3_CAN2_Send_CanRawMsg
 * @Description   : Initiate an "explicit" sender-receiver transmission of data elements with "event" semantic
 *                  (swImplPolicy equal to queued).
 * @Parameter     : P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Send_swc_gp3_CAN3_Send_CanRawMsg
 * @Description   : Initiate an "explicit" sender-receiver transmission of data elements with "event" semantic
 *                  (swImplPolicy equal to queued).
 * @Parameter     : P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Send_swc_gp3_CAN4_Send_CanRawMsg
 * @Description   : Initiate an "explicit" sender-receiver transmission of data elements with "event" semantic
 *                  (swImplPolicy equal to queued).
 * @Parameter     : P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Send_swc_gp3_CAN5_Send_CanRawMsg
 * @Description   : Initiate an "explicit" sender-receiver transmission of data elements with "event" semantic
 *                  (swImplPolicy equal to queued).
 * @Parameter     : P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Send_swc_gp0_CAN6_Send_CanRawMsg
 * @Description   : Initiate an "explicit" sender-receiver transmission of data elements with "event" semantic
 *                  (swImplPolicy equal to queued).
 * @Parameter     : P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 * @Function name : Rte_Send_swc_gp0_CAN7_Send_CanRawMsg
 * @Description   : Initiate an "explicit" sender-receiver transmission of data elements with "event" semantic
 *                  (swImplPolicy equal to queued).
 * @Parameter     : P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg
 * @Return        : VAR(Std_ReturnType, AUTOMATIC)
 * ------------------------------------------------------------------------------------------------------------------
 *
 *******************************************************************************************************************/

/********************************************************************************************************************
 * Start of Section for user's comment
 ********************************************************************************************************************/
// Start of user code : Add user comment for SwcRxHandlerCpu1_10ms

// End of user code
/********************************************************************************************************************
 * End of Section for user's comment
 ********************************************************************************************************************/
FUNC(void, SwcRxHandlerCpu1_CODE) SwcRxHandlerCpu1_10ms (void)
{
    // Start of user code for the runnable of SwcRxHandlerCpu1_10ms

    // End of user code
}
#define SWCRXHANDLERCPU1_STOP_SEC_CODE
#include "SwcRxHandlerCpu1_MemMap.h"

#define SWCRXHANDLERCPU1_START_SEC_CODE
#include "SwcRxHandlerCpu1_MemMap.h"
/********************************************************************************************************************
 * Runnable Entity : SwcRxHandlerCpu1_Init
 * ------------------------------------------------------------------------------------------------------------------
 *
 *******************************************************************************************************************/

/********************************************************************************************************************
 * Start of Section for user's comment
 ********************************************************************************************************************/
// Start of user code : Add user comment for SwcRxHandlerCpu1_Init

// End of user code
/********************************************************************************************************************
 * End of Section for user's comment
 ********************************************************************************************************************/
FUNC(void, SwcRxHandlerCpu1_CODE) SwcRxHandlerCpu1_Init (void)
{
    // Start of user code for the runnable of SwcRxHandlerCpu1_Init

    // End of user code
}
#define SWCRXHANDLERCPU1_STOP_SEC_CODE
#include "SwcRxHandlerCpu1_MemMap.h"