set(STATIC_LIB_FILES 
    ${CMAKE_SOURCE_DIR}/lib/libhss.a
)

if (EXISTS ${CMAKE_SOURCE_DIR}/lib/libdebug.a)
    set(STATIC_DEBUG_LIB_FILES 
        ${CMAKE_SOURCE_DIR}/lib/libdebug.a
    )
endif()


set(SAFETYOS_LINK_FLAGS
    -mtc162
    -T ${CMAKE_SOURCE_DIR}/link/ee_tc_gcc_flash_project.ld
    -nostartfiles
    -Wl,-n
    -Wl,--gc-sections
    -Wl,-Map=erika3appa.map
    -Wl,--defsym=__USTACK_SIZE=8192
    -Wl,--defsym=__CSA_SIZE=16384
    -Wl,--start-group
    ${STATIC_LIB_FILES}
    -Wl,--end-group
    CACHE INTERNAL ""
)

if (EXISTS ${CMAKE_SOURCE_DIR}/lib/libdebug.a)
    set (SAFETYOS_LINK_FLAGS
        -Wl,--whole-archive
        ${STATIC_DEBUG_LIB_FILES}
        -Wl,--no-whole-archive
        ${SAFETYOS_LINK_FLAGS}
        CACHE INTERNAL ""
    )
endif()

set(MDC_LINK_FLAGS
    ${SAFETYOS_LINK_FLAGS}
)