/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2023-2023. All rights reserved.
 * Description: mnt_cp־Ķӿ
 * Author: huawei
 */

#ifndef MNT_LOG_H
#define MNT_LOG_H

#include "Rte_Type.h"

/* ־ */
#ifndef LOG_CTX_DBG
#define LOG_CTX_DBG 0U
#endif /* LOG_CTX_DBG */
#ifndef LOG_CTX_RUN
#define LOG_CTX_RUN 1U
#endif /* LOG_CTX_RUN */
#ifndef LOG_CTX_OPR
#define LOG_CTX_OPR 2U
#endif /* LOG_CTX_OPR */
#ifndef LOG_CTX_SAF
#define LOG_CTX_SAF 3U
#endif /* LOG_CTX_SAF */

/* ־ӡȼ */
#ifndef DLT_LOG_OFF
#define DLT_LOG_OFF 0U
#endif /* DLT_LOG_OFF */
#ifndef DLT_LOG_FATAL
#define DLT_LOG_FATAL 1U
#endif /* DLT_LOG_FATAL */
#ifndef DLT_LOG_ERROR
#define DLT_LOG_ERROR 2U
#endif /* DLT_LOG_ERROR */
#ifndef DLT_LOG_ERR
#define DLT_LOG_ERR 2U
#endif /* DLT_LOG_ERR */
#ifndef DLT_LOG_WARN
#define DLT_LOG_WARN 3U
#endif /* DLT_LOG_WARN */
#ifndef DLT_LOG_INFO
#define DLT_LOG_INFO 4U
#endif /* DLT_LOG_INFO */
#ifndef DLT_LOG_DEBUG
#define DLT_LOG_DEBUG 5U
#endif /* DLT_LOG_DEBUG */
#ifndef DLT_LOG_VERBOSE
#define DLT_LOG_VERBOSE 6U
#endif /* DLT_LOG_VERBOSE */

#define LOG_MAXL    116U    /* dlt־12ֽϢͷҪ棬־Ϊ116ճ128ֽڳ */
#define APP_ID_LEN  4UL    /* appַ󳤶Ϊ4 */
#define LOG_ONESECOND_MSTIMES 1000U

#ifndef LOG_VAR_SECTION_DEF /* ƴӡӿ */
#define VAR_SECTION(types, var, sec) static types var __attribute__((section(sec)))
#define LOG_VAR_SECTION_DEF(types, var) VAR_SECTION(types, var, ".logLimit")
#endif

/*******************************************************************************
    :  FillSwcLogInfo
  :  װ־֡ͷ
  :  level־ȼ
            contextId־
            appIdAPPģʶԶΪ4ֽڵַ
  :  pLog־
    ֵ:  None
*******************************************************************************/
void FillSwcLogInfo(MntSendLogType *pLog, Dlt_MessageLogLevelType level, uint8 contextId, const char *appId);

/*******************************************************************************
    :  SwcLogAppendTimeData
  :  Ϊ־ʱ
  :  pContentʽַ
            ...ӦʽַĲ
  :  pLog־
    ֵ:  E_OKʱӳɹ
            E_NOT_OKʱʧ
*******************************************************************************/
Std_ReturnType SwcLogAppendTimeData(MntSendLogType *pLog, const char *pContent, ...);

/*******************************************************************************
    :  SwcLogAppendExtendTimeData
  :  Ϊ־ʱչϢϵͳоʱ
  :  pContentʽַ
            ...ӦʽַĲ
  :  pLog־
    ֵ:  E_OKʱӳɹ
            E_NOT_OKʱʧ
*******************************************************************************/
Std_ReturnType SwcLogAppendExtendTimeData(MntSendLogType *pLog, const char *pContent, ...);

/*******************************************************************************
    :  MntGetSysTickMs
  :  ȡϵͳʱ--ϵͳtickֵλms
  :  None
  :  None
    ֵ:  ϵͳtickֵλms
*******************************************************************************/
uint32 MntGetSysTickMs(void);

#endif /* MNT_LOG_H */
