/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2023-2023. All rights reserved..
 * Description: MCU上安全数据的管理
 * Author: x00450160
 * Create: 2023-07-18
 * Notes: 数据存储在HSM管理的DFLASH中
 * attention: 当前场景只需同步读写API接口，使用时请注意不要跨OSA,且内部会同步调用HSM的存储接口
 */

#ifndef NCS_SECUREDATA_H
#define NCS_SECUREDATA_H
#include "Std_Types.h"
/* 安全数据别名-author */
#define NCS_SECRUE_DATA_DEFAUT_CODE 1U

/* Core版本上已经定义好的安全数据，可以直接通过定义好的别名访问，不需要感知HSM槽位 */
Std_ReturnType NcsWriteSecureDateByAuthor(uint8 author, const uint8 *data, uint32 dataLen);
Std_ReturnType NcsReadSecureDateByAuthor(uint8 author, uint8 *buf, uint32 bufSize);

#endif /* end NCS_SECUREDATA_H */