/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2022-2023. All rights reserved.
 * Description: 时间戳服务文件
 * Author: huawei
 */
#ifndef TIMESTAMP_SERVICE_H
#define TIMESTAMP_SERVICE_H

#include "Rte_Type.h"

// 数据面和管理面时间
#define DATA_TIME 0
#define MNG_TIME 1
#define TIME_TYPE_SIZE 2U

typedef enum {
    TIME_ZONEA = 0,
    TIME_ZONEB,
    TIME_ZONE_SIZE
} LocalTimeStampZone;

// 时间同步统一对外接口
extern Std_ReturnType TIME_GetLocalTimeStampMng(TimeStamp *localTimeStamp); /* 获取管理面时间，自1970年之后的秒数 */
extern Std_ReturnType TIME_GetLocalUtcTimeMng(UtcDateTime *utcTime); /* 获取管理面时间，年月日时分秒 */
extern Std_ReturnType TIME_GetLocalTimeStampData(TimeStamp *localTimeStamp); /* 获取数据面时间，自1970年之后的秒数 */
extern Std_ReturnType TIME_GetLocalUtcTimeData(UtcDateTime *utcTime); /* 获取数据面时间，年月日时分秒 */
extern uint32 TIME_GetSystemTick(void);                               /* 获取系统晶振tick值 */
/* 获取系统晶振tick偏差值t2 - t1， 返回单位为ns， 最大为42949672960ns，约为42.94s */
extern uint64 TIME_GetSystemTickDiff(uint32 tick1, uint32 tick2);

extern uint32 GetSysTickMs(uint32 tick);
extern void Time_DelayUs(uint32 timeUs);
extern LocalTimeStampZone Time_GetUpdateZone(void);
extern void Time_UpdateZone(LocalTimeStampZone updateZone);
extern void Time_UpdateTimePlane(uint8 i, LocalTimeStampZone updateZone, uint32 tick, uint32 secs, uint32 nsecs);
#endif