/**********************************************************************************************************************
 * @File: E2E_Cfg_MemMap.h
 * @Description: cfg memmap for E2E
 * @Version: 0.1
 * @Create: 2019-02-20
 *
 * @Copyright: Copyright (c) Huawei Technologies Co., Ltd. 2019-2019. All rights reserved.
 *
 **********************************************************************************************************************/
/**
* @file
*
* @brief cfg memmap for E2E
*/
#define BSW_MEMMAP_ERROR

#ifdef _TASKING_C_TRICORE_
#ifndef BSW_TASKING_C_TRICORE
    #define BSW_TASKING_C_TRICORE
#endif
#elif defined _GNU_C_TRICORE_
#ifndef BSW_GNU_C_TRICORE
    #define BSW_GNU_C_TRICORE
#endif
#endif


/******************************************************************************
                  BSW  memory mapping code section
 ******************************************************************************/
#ifdef BSW_START_SEC_CODE
#undef BSW_START_SEC_CODE
    #define BSW_START_SEC_DEFAULT_CODE
#endif

#ifdef BSW_STOP_SEC_CODE
#undef BSW_STOP_SEC_CODE
    #define BSW_STOP_SEC_DEFAULT_CODE
#endif

#ifdef BSW_START_SEC_DEFAULT_CODE
#undef BSW_START_SEC_DEFAULT_CODE
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "e2e_safstk_api_text" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_TRICORE
    #pragma section all "e2e_safstk_api_text"
#elif defined BSW_GNU_C_TRICORE
    #pragma section "e2e_safstk_api_text" ax
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CODE_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_CODE
#undef BSW_STOP_SEC_DEFAULT_CODE
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CODE_SECTION
#ifdef BSW_TASKING_C_TRICORE
    #pragma section all restore
#elif defined BSW_GNU_C_TRICORE
    #pragma section
#endif
#else
#error No section "e2e_safstk_api_text" started
#endif
#endif

/******************************************************************************
              BSW  memory mapping not initialized data section
 ******************************************************************************/
#ifdef BSW_START_SEC_VAR_CLEARED_UNSPECIFIED
#undef BSW_START_SEC_VAR_CLEARED_UNSPECIFIED
    #define BSW_START_SEC_DEFAULT_RAM0_CLEARED_UNSPECIFIED
#endif
#ifdef BSW_STOP_SEC_VAR_CLEARED_UNSPECIFIED
#undef BSW_STOP_SEC_VAR_CLEARED_UNSPECIFIED
    #define BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_UNSPECIFIED
#endif

#ifdef BSW_START_SEC_VAR_CLEARED_8
#undef BSW_START_SEC_VAR_CLEARED_8
    #define BSW_START_SEC_DEFAULT_RAM0_CLEARED_8
#endif
#ifdef BSW_STOP_SEC_VAR_CLEARED_8
#undef BSW_STOP_SEC_VAR_CLEARED_8
    #define BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_8
#endif

#ifdef BSW_START_SEC_VAR_CLEARED_16
#undef BSW_START_SEC_VAR_CLEARED_16
    #define BSW_START_SEC_DEFAULT_RAM0_CLEARED_16
#endif
#ifdef BSW_STOP_SEC_VAR_CLEARED_16
#undef BSW_STOP_SEC_VAR_CLEARED_16
    #define BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_16
#endif

#ifdef BSW_START_SEC_VAR_CLEARED_32
#undef BSW_START_SEC_VAR_CLEARED_32
    #define BSW_START_SEC_DEFAULT_RAM0_CLEARED_32
#endif
#ifdef BSW_STOP_SEC_VAR_CLEARED_32
#undef BSW_STOP_SEC_VAR_CLEARED_32
    #define BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_32
#endif

#ifdef BSW_START_SEC_VAR_CLEARED_BOOLEAN
#undef BSW_START_SEC_VAR_CLEARED_BOOLEAN
    #define BSW_START_SEC_DEFAULT_RAM0_CLEARED_BOOLEAN
#endif
#ifdef BSW_STOP_SEC_VAR_CLEARED_BOOLEAN
#undef BSW_STOP_SEC_VAR_CLEARED_BOOLEAN
    #define BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_BOOLEAN
#endif

#ifdef BSW_START_SEC_DEFAULT_RAM0_CLEARED_UNSPECIFIED
#undef BSW_START_SEC_DEFAULT_RAM0_CLEARED_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "e2e_safstk_api_bss" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_TRICORE
    #pragma section all "e2e_safstk_api_bss"
#elif defined BSW_GNU_C_TRICORE
    #pragma section "e2e_safstk_api_bss" awB
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CLEAR_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_UNSPECIFIED
#undef BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CLEAR_SECTION
#ifdef BSW_TASKING_C_TRICORE
    #pragma section all restore
#elif defined BSW_GNU_C_TRICORE
    #pragma section
#endif
#else
#error No section "e2e_safstk_api_bss" started
#endif
#endif

/* boolean */
#ifdef BSW_START_SEC_DEFAULT_RAM0_CLEARED_BOOLEAN
#undef BSW_START_SEC_DEFAULT_RAM0_CLEARED_BOOLEAN
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "e2e_safstk_api_bss_bool" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_TRICORE
    #pragma section all "e2e_safstk_api_bss_bool"
#elif defined BSW_GNU_C_TRICORE
    #pragma section "e2e_safstk_api_bss_bool" awB
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CLEAR_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_BOOLEAN
#undef BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_BOOLEAN
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CLEAR_SECTION
#ifdef BSW_TASKING_C_TRICORE
    #pragma section all restore
#elif defined BSW_GNU_C_TRICORE
    #pragma section
#endif
#else
#error No section "e2e_safstk_api_bss_bool" started
#endif
#endif

/* 8bit */
#ifdef BSW_START_SEC_DEFAULT_RAM0_CLEARED_8
#undef BSW_START_SEC_DEFAULT_RAM0_CLEARED_8
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "e2e_safstk_api_bss_8" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_TRICORE
    #pragma section all "e2e_safstk_api_bss_8"
#elif defined BSW_GNU_C_TRICORE
    #pragma section "e2e_safstk_api_bss_8" awB
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CLEAR_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_8
#undef BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_8
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CLEAR_SECTION
#ifdef BSW_TASKING_C_TRICORE
    #pragma section all restore
#elif defined BSW_GNU_C_TRICORE
    #pragma section
#endif
#else
#error No section "e2e_safstk_api_bss_8" started
#endif
#endif

/* 16bit */
#ifdef BSW_START_SEC_DEFAULT_RAM0_CLEARED_16
#undef BSW_START_SEC_DEFAULT_RAM0_CLEARED_16
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "e2e_safstk_api_bss_16" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_TRICORE
    #pragma section all "e2e_safstk_api_bss_16"
#elif defined BSW_GNU_C_TRICORE
    #pragma section "e2e_safstk_api_bss_16" awB
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CLEAR_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_16
#undef BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_16
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CLEAR_SECTION
#ifdef BSW_TASKING_C_TRICORE
    #pragma section all restore
#elif defined BSW_GNU_C_TRICORE
    #pragma section
#endif
#else
#error No section "e2e_safstk_api_bss_16" started
#endif
#endif

/* 32bit */
#ifdef BSW_START_SEC_DEFAULT_RAM0_CLEARED_32
#undef BSW_START_SEC_DEFAULT_RAM0_CLEARED_32
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "e2e_safstk_api_bss_32" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_TRICORE
    #pragma section all "e2e_safstk_api_bss_32"
#elif defined BSW_GNU_C_TRICORE
    #pragma section "e2e_safstk_api_bss_32" awB
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CLEAR_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_32
#undef BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_32
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CLEAR_SECTION
#ifdef BSW_TASKING_C_TRICORE
    #pragma section all restore
#elif defined BSW_GNU_C_TRICORE
    #pragma section
#endif
#else
#error No section "e2e_safstk_api_bss_32" started
#endif
#endif

/* PTR */
#ifdef BSW_START_SEC_DEFAULT_RAM0_CLEARED_PTR
#undef BSW_START_SEC_DEFAULT_RAM0_CLEARED_PTR
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "e2e_safstk_api_bss_ptr" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_TRICORE
    #pragma section all "e2e_safstk_api_bss_ptr"
#elif defined BSW_GNU_C_TRICORE
    #pragma section "e2e_safstk_api_bss_ptr" awB
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_CLEAR_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_PTR
#undef BSW_STOP_SEC_DEFAULT_RAM0_CLEARED_PTR
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_CLEAR_SECTION
#ifdef BSW_TASKING_C_TRICORE
    #pragma section all restore
#elif defined BSW_GNU_C_TRICORE
    #pragma section
#endif
#else
#error No section "e2e_safstk_api_bss_32" started
#endif
#endif

/******************************************************************************
              BSW  memory mapping initialized data section
 ******************************************************************************/
#ifdef BSW_START_SEC_VAR_INIT_UNSPECIFIED
#undef BSW_START_SEC_VAR_INIT_UNSPECIFIED
    #define BSW_START_SEC_DEFAULT_RAM0_INIT_UNSPECIFIED
#endif

#ifdef BSW_STOP_SEC_VAR_INIT_UNSPECIFIED
#undef BSW_STOP_SEC_VAR_INIT_UNSPECIFIED
    #define BSW_STOP_SEC_DEFAULT_RAM0_INIT_UNSPECIFIED
#endif

#ifdef BSW_START_SEC_VAR_INIT_8
#undef BSW_START_SEC_VAR_INIT_8
    #define BSW_START_SEC_DEFAULT_RAM0_INIT_8
#endif

#ifdef BSW_STOP_SEC_VAR_INIT_8
#undef BSW_STOP_SEC_VAR_INIT_8
    #define BSW_STOP_SEC_DEFAULT_RAM0_INIT_8
#endif


#ifdef BSW_START_SEC_DEFAULT_RAM0_INIT_UNSPECIFIED
#undef BSW_START_SEC_DEFAULT_RAM0_INIT_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "e2e_safstk_api_data" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_TRICORE
    #pragma section all "e2e_safstk_api_data"
#elif defined BSW_GNU_C_TRICORE
    #pragma section "e2e_safstk_api_data" aw
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_INIT_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_RAM0_INIT_UNSPECIFIED
#undef BSW_STOP_SEC_DEFAULT_RAM0_INIT_UNSPECIFIED
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_INIT_SECTION
#ifdef BSW_TASKING_C_TRICORE
    #pragma section all restore
#elif defined BSW_GNU_C_TRICORE
    #pragma section
#endif
#else
#error No section "e2e_safstk_api_data" started
#endif
#endif

/* boolean */
#ifdef BSW_START_SEC_DEFAULT_RAM0_INIT_BOOLEAN
#undef BSW_START_SEC_DEFAULT_RAM0_INIT_BOOLEAN
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "e2e_safstk_api_data_bool" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_TRICORE
    #pragma section all "e2e_safstk_api_data_bool"
#elif defined BSW_GNU_C_TRICORE
    #pragma section "e2e_safstk_api_data_bool" aw
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_INIT_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_RAM0_INIT_BOOLEAN
#undef BSW_STOP_SEC_DEFAULT_RAM0_INIT_BOOLEAN
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_INIT_SECTION
#ifdef BSW_TASKING_C_TRICORE
    #pragma section all restore
#elif defined BSW_GNU_C_TRICORE
    #pragma section
#endif
#else
#error No section "e2e_safstk_api_data_bool" started
#endif
#endif

/* 8bit */
#ifdef BSW_START_SEC_DEFAULT_RAM0_INIT_8
#undef BSW_START_SEC_DEFAULT_RAM0_INIT_8
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "e2e_safstk_api_data_8" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_TRICORE
    #pragma section all "e2e_safstk_api_data_8"
#elif defined BSW_GNU_C_TRICORE
    #pragma section "e2e_safstk_api_data_8" aw
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_INIT_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_RAM0_INIT_8
#undef BSW_STOP_SEC_DEFAULT_RAM0_INIT_8
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_INIT_SECTION
#ifdef BSW_TASKING_C_TRICORE
    #pragma section all restore
#elif defined BSW_GNU_C_TRICORE
    #pragma section
#endif
#else
#error No section "e2e_safstk_api_data_8" started
#endif
#endif

/* 16bit */
#ifdef BSW_START_SEC_DEFAULT_RAM0_INIT_16
#undef BSW_START_SEC_DEFAULT_RAM0_INIT_16
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "e2e_safstk_api_data_16" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_TRICORE
    #pragma section all "e2e_safstk_api_data_16"
#elif defined BSW_GNU_C_TRICORE
    #pragma section "e2e_safstk_api_data_16" aw
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_INIT_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_RAM0_INIT_16
#undef BSW_STOP_SEC_DEFAULT_RAM0_INIT_16
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_INIT_SECTION
#ifdef BSW_TASKING_C_TRICORE
    #pragma section all restore
#elif defined BSW_GNU_C_TRICORE
    #pragma section
#endif
#else
#error No section "e2e_safstk_api_data_16" started
#endif
#endif


/* 32bit */
#ifdef BSW_START_SEC_DEFAULT_RAM0_INIT_32
#undef BSW_START_SEC_DEFAULT_RAM0_INIT_32
#ifdef BSW_OPEN_DATA_SECTION
#error Starting a "e2e_safstk_api_data_32" section while a section is already started
#else
#undef BSW_MEMMAP_ERROR
#ifdef BSW_TASKING_C_TRICORE
    #pragma section all "e2e_safstk_api_data_32"
#elif defined BSW_GNU_C_TRICORE
    #pragma section "e2e_safstk_api_data_32" aw
#endif
#define BSW_OPEN_DATA_SECTION
#define BSW_OPEN_INIT_SECTION
#endif
#endif

#ifdef BSW_STOP_SEC_DEFAULT_RAM0_INIT_32
#undef BSW_STOP_SEC_DEFAULT_RAM0_INIT_32
#ifdef BSW_OPEN_DATA_SECTION
#undef BSW_MEMMAP_ERROR
#undef BSW_OPEN_DATA_SECTION
#undef BSW_OPEN_INIT_SECTION
#ifdef BSW_TASKING_C_TRICORE
    #pragma section all restore
#elif defined BSW_GNU_C_TRICORE
    #pragma section
#endif
#else
#error No section "e2e_safstk_api_data_32" started
#endif
#endif
