/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_Increment.h
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/
#ifndef RTE_H
#define RTE_H

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Std_Types.h"
#include "ComStack_Types.h"
#include "Rte_MemClasses.h"
/* Version verification of the Rte_MemClasses module */
#if ((RTE_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Proxy.h"

/* ID of all blocking Rte API */
#define Rte_bi_none 0U

/***************************************************************************
 *
 * RTE Predefined Error Codes
 *
 **************************************************************************/
#define RTE_E_OK                        (0U)
#define RTE_E_INVALID                   (1U)
#define RTE_E_LOST_DATA                (64U)
#define RTE_E_MAX_AGE_EXCEEDED         (64U)
#define RTE_E_COM_STOPPED             (128U)
#define RTE_E_TIMEOUT                 (129U)
#define RTE_E_LIMIT                   (130U)
#define RTE_E_NO_DATA                 (131U)
#define RTE_E_TRANSMIT_ACK            (132U)
#define RTE_E_NEVER_RECEIVED          (133U)
#define RTE_E_UNCONNECTED             (134U)
#define RTE_E_IN_EXCLUSIVE_AREA       (135U)
#define RTE_E_SEG_FAULT               (136U)
#define RTE_E_OUT_OF_RANGE            (137U)
#define RTE_E_SERIALIZATION_ERROR     (138U)
#define RTE_E_HARD_TRANSFORMER_ERROR  (138U)
#define RTE_E_SERIALIZATION_LIMIT     (139U)
#define RTE_E_TRANSFORMER_LIMIT       (139U)
#define RTE_E_SOFT_TRANSFORMER_ERROR  (140U)
#define RTE_E_COM_BUSY                (141U)
#define RTE_E_OS_ERROR                (142U)
#define RTE_E_API_ACCESS_ERROR        (143U)

/***************************************************************************
 *
 * SchM Predefined Error Codes
 *
 **************************************************************************/
#define SCHM_E_OK                       (0U)
#define SCHM_E_LOST_DATA               (64U)
#define SCHM_E_TIMEOUT                (129U)
#define SCHM_E_LIMIT                  (130U)
#define SCHM_E_NO_DATA                (131U)
#define SCHM_E_TRANSMIT_ACK           (132U)
#define SCHM_E_IN_EXCLUSIVE_AREA      (135U)

/***************************************************************************
 *
 * Rte_TransformerClass Predefined Error Codes
 *
 **************************************************************************/
#define RTE_TRANSFORMER_UNSPECIFIED     (0U)
#define RTE_TRANSFORMER_SERIALIZER      (1U)
#define RTE_TRANSFORMER_SAFETY          (2U)
#define RTE_TRANSFORMER_SECURITY        (3U)
#define RTE_TRANSFORMER_CUSTOM        (255U)
#define RTE_E_SAFETY_HARD_RUNTIMEERROR  (255U)

/***************************************************************************
 *
 * Rte_Cbk Status Codes
 *
 **************************************************************************/
#define RTE_CBK_WRONG           (0U)
#define RTE_CBK_WAIT_DATA       (1U)
#define RTE_CBK_HAS_NEW_DATA    (2U)
#define RTE_CBK_HAS_HARDERROR   (3U)

#define isHardTransformerError(result) ((result) >= 0x80U)
#define isSoftTransformerError(result) (((result) < 0x80U) && ((result) > E_OK))

#endif /* RTE_H */