/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_Csm.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < Csm >
 *
 **************************************************************************/
#ifndef RTE_CSM_H
#define RTE_CSM_H

#define RTE_CSM_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_CSM_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Csm_Type.h"
/* Version verification of the Rte_Csm_Type module */
#if ((RTE_CSM_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CSM_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CSM_TYPE module version is incompatible, there may be problems.
#endif
#include "Csm.h"
#include "Rte_Csm_MemClasses.h"
/* Version verification of the Rte_Csm_MemClasses module */
#if ((RTE_CSM_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CSM_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CSM_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Rte_operation_applicationError Predefined Error Codes
 *
 **************************************************************************/
#if (!defined RTE_E_CsmHash_E_NOT_OK)
#define RTE_E_CsmHash_E_NOT_OK 1U
#endif
#if (!defined RTE_E_CsmHash_E_OK)
#define RTE_E_CsmHash_E_OK 0U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_BUSY)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_BUSY 2U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_KEY_EMPTY)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_KEY_EMPTY 13U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_KEY_NOT_AVAILABLE)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_KEY_NOT_AVAILABLE 8U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_KEY_READ_FAIL)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_KEY_READ_FAIL 6U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_KEY_SIZE_MISMATCH)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_KEY_SIZE_MISMATCH 10U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_KEY_WRITE_FAIL)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_KEY_WRITE_FAIL 7U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_SMALL_BUFFER)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_CSM_E_SMALL_BUFFER 3U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_E_NOT_OK)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_E_NOT_OK 1U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_E_OK)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_E_OK 0U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_BUSY)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_BUSY 2U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_KEY_EMPTY)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_KEY_EMPTY 13U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_KEY_NOT_AVAILABLE)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_KEY_NOT_AVAILABLE 8U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_KEY_READ_FAIL)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_KEY_READ_FAIL 6U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_KEY_SIZE_MISMATCH)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_KEY_SIZE_MISMATCH 10U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_KEY_WRITE_FAIL)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_KEY_WRITE_FAIL 7U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_SMALL_BUFFER)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_minor_CSM_E_SMALL_BUFFER 3U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_minor_E_NOT_OK)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_minor_E_NOT_OK 1U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_IKM_minor_E_OK)
#define RTE_E_CsmKeyManagement_CsmKey_IKM_minor_E_OK 0U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_BUSY)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_BUSY 2U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_KEY_EMPTY)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_KEY_EMPTY 13U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_KEY_NOT_AVAILABLE)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_KEY_NOT_AVAILABLE 8U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_KEY_READ_FAIL)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_KEY_READ_FAIL 6U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_KEY_SIZE_MISMATCH)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_KEY_SIZE_MISMATCH 10U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_KEY_WRITE_FAIL)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_KEY_WRITE_FAIL 7U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_SMALL_BUFFER)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_CSM_E_SMALL_BUFFER 3U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_E_NOT_OK)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_E_NOT_OK 1U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_E_OK)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_E_OK 0U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_BUSY)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_BUSY 2U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_KEY_EMPTY)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_KEY_EMPTY 13U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_KEY_NOT_AVAILABLE)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_KEY_NOT_AVAILABLE 8U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_KEY_READ_FAIL)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_KEY_READ_FAIL 6U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_KEY_SIZE_MISMATCH)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_KEY_SIZE_MISMATCH 10U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_KEY_WRITE_FAIL)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_KEY_WRITE_FAIL 7U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_SMALL_BUFFER)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_CSM_E_SMALL_BUFFER 3U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_E_NOT_OK)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_E_NOT_OK 1U
#endif
#if (!defined RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_E_OK)
#define RTE_E_CsmKeyManagement_CsmKey_SecOC_minor_E_OK 0U
#endif
#if (!defined RTE_E_CsmMacGenerate_CSM_E_BUSY)
#define RTE_E_CsmMacGenerate_CSM_E_BUSY 2U
#endif
#if (!defined RTE_E_CsmMacGenerate_CSM_E_KEY_EMPTY)
#define RTE_E_CsmMacGenerate_CSM_E_KEY_EMPTY 13U
#endif
#if (!defined RTE_E_CsmMacGenerate_CSM_E_KEY_NOT_VALID)
#define RTE_E_CsmMacGenerate_CSM_E_KEY_NOT_VALID 9U
#endif
#if (!defined RTE_E_CsmMacGenerate_CSM_E_KEY_SIZE_MISMATCH)
#define RTE_E_CsmMacGenerate_CSM_E_KEY_SIZE_MISMATCH 10U
#endif
#if (!defined RTE_E_CsmMacGenerate_CSM_E_SMALL_BUFFER)
#define RTE_E_CsmMacGenerate_CSM_E_SMALL_BUFFER 3U
#endif
#if (!defined RTE_E_CsmMacGenerate_E_NOT_OK)
#define RTE_E_CsmMacGenerate_E_NOT_OK 1U
#endif
#if (!defined RTE_E_CsmMacGenerate_E_OK)
#define RTE_E_CsmMacGenerate_E_OK 0U
#endif
#if (!defined RTE_E_CsmMacVerify_CSM_E_BUSY)
#define RTE_E_CsmMacVerify_CSM_E_BUSY 2U
#endif
#if (!defined RTE_E_CsmMacVerify_CSM_E_KEY_EMPTY)
#define RTE_E_CsmMacVerify_CSM_E_KEY_EMPTY 13U
#endif
#if (!defined RTE_E_CsmMacVerify_CSM_E_KEY_NOT_VALID)
#define RTE_E_CsmMacVerify_CSM_E_KEY_NOT_VALID 9U
#endif
#if (!defined RTE_E_CsmMacVerify_CSM_E_KEY_SIZE_MISMATCH)
#define RTE_E_CsmMacVerify_CSM_E_KEY_SIZE_MISMATCH 10U
#endif
#if (!defined RTE_E_CsmMacVerify_CSM_E_SMALL_BUFFER)
#define RTE_E_CsmMacVerify_CSM_E_SMALL_BUFFER 3U
#endif
#if (!defined RTE_E_CsmMacVerify_E_NOT_OK)
#define RTE_E_CsmMacVerify_E_NOT_OK 1U
#endif
#if (!defined RTE_E_CsmMacVerify_E_OK)
#define RTE_E_CsmMacVerify_E_OK 0U
#endif

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_CSM_H */