/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_Dfx.h
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/
#ifndef RTE_DFX_H
#define RTE_DFX_H

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte.h"
#include "Os.h"
#include "Rte_Dfx_Cfg.h"

#if defined(RTE_SWC_API_STATUS_MONITOR_ENABLED) && (RTE_SWC_API_STATUS_MONITOR_ENABLED == TRUE)

#ifndef RTE_LOCAL_INLINE
#define RTE_LOCAL_INLINE  static inline
#endif

#ifndef RTE_INLINE
#define RTE_INLINE  inline
#endif

#ifndef RTE_LOCAL
#define RTE_LOCAL  static
#endif

#ifndef AUTOMATIC
#define AUTOMATIC
#endif

#ifndef RTE_CODE
#define RTE_CODE
#endif

#ifndef RTE_DATA
#define RTE_DATA
#endif

struct Rte_Dfx_Swc_Api_Info {
    uint8 swcId; /* unsigned char */
    uint8 swcApiCount; /* unsigned char */
    uint8 apiId; /* unsigned char */
};
typedef struct Rte_Dfx_Swc_Api_Info Rte_Dfx_Swc_Api_Info;

extern FUNC(VAR(Std_ReturnType, AUTOMATIC), RTE_CODE) Rte_Dfx_CheckApiTaskAccess(VAR(Rte_Dfx_Swc_Api_Info, AUTOMATIC) dfxInfo, VAR(TaskType, AUTOMATIC) expectTask);

extern FUNC(void, RTE_CODE) checkApiAccessForMacro(uint32 DfxId_Swc, uint32 Dfx_Api_Count, uint32 DfxId_Api, VAR(TaskType, AUTOMATIC) expectTask);

#endif

#endif /* RTE_DFX_H */