/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_Dlt.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < Dlt >
 *
 **************************************************************************/
#ifndef RTE_DLT_H
#define RTE_DLT_H

#define RTE_DLT_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_DLT_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Dlt_Type.h"
/* Version verification of the Rte_Dlt_Type module */
#if ((RTE_DLT_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DLT_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DLT_TYPE module version is incompatible, there may be problems.
#endif
#include "Dlt.h"
#include "Rte_Dlt_MemClasses.h"
/* Version verification of the Rte_Dlt_MemClasses module */
#if ((RTE_DLT_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DLT_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DLT_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Rte_operation_applicationError Predefined Error Codes
 *
 **************************************************************************/
#if (!defined RTE_E_DltControlService_DLT_E_ERROR)
#define RTE_E_DltControlService_DLT_E_ERROR 9U
#endif
#if (!defined RTE_E_DltControlService_DLT_E_NOT_SUPPORTED)
#define RTE_E_DltControlService_DLT_E_NOT_SUPPORTED 7U
#endif
#if (!defined RTE_E_DltControlService_E_NOT_OK)
#define RTE_E_DltControlService_E_NOT_OK 1U
#endif
#if (!defined RTE_E_DltControlService_E_OK)
#define RTE_E_DltControlService_E_OK 0U
#endif
#if (!defined RTE_E_DltDfsService_E_NOT_OK)
#define RTE_E_DltDfsService_E_NOT_OK 1U
#endif
#if (!defined RTE_E_DltDfsService_E_OK)
#define RTE_E_DltDfsService_E_OK 0U
#endif
#if (!defined RTE_E_DltSwcMessageService_DLT_E_CONTEXT_ALREADY_REG)
#define RTE_E_DltSwcMessageService_DLT_E_CONTEXT_ALREADY_REG 3U
#endif
#if (!defined RTE_E_DltSwcMessageService_DLT_E_CONTEXT_NOT_YET_REG)
#define RTE_E_DltSwcMessageService_DLT_E_CONTEXT_NOT_YET_REG 6U
#endif
#if (!defined RTE_E_DltSwcMessageService_DLT_E_ERROR)
#define RTE_E_DltSwcMessageService_DLT_E_ERROR 9U
#endif
#if (!defined RTE_E_DltSwcMessageService_DLT_E_MSG_TOO_LARGE)
#define RTE_E_DltSwcMessageService_DLT_E_MSG_TOO_LARGE 2U
#endif
#if (!defined RTE_E_DltSwcMessageService_DLT_E_NO_BUFFER)
#define RTE_E_DltSwcMessageService_DLT_E_NO_BUFFER 5U
#endif
#if (!defined RTE_E_DltSwcMessageService_DLT_E_UNKNOWN_SESSION_ID)
#define RTE_E_DltSwcMessageService_DLT_E_UNKNOWN_SESSION_ID 4U
#endif
#if (!defined RTE_E_DltSwcMessageService_E_NOT_OK)
#define RTE_E_DltSwcMessageService_E_NOT_OK 1U
#endif
#if (!defined RTE_E_DltSwcMessageService_E_OK)
#define RTE_E_DltSwcMessageService_E_OK 0U
#endif
#if (!defined RTE_E_LogTraceSessionControl_E_NOT_OK)
#define RTE_E_LogTraceSessionControl_E_NOT_OK 1U
#endif
#if (!defined RTE_E_LogTraceSessionControl_E_OK)
#define RTE_E_LogTraceSessionControl_E_OK 0U
#endif

/* Client-Server Required Port Dlt_SessionControlCallback_DltSwc_0 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_Dlt_Dlt_SessionControlCallback_DltSwc_0_LogLevelChangedNotification(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_AppId,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_ContextId,
    VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_Dlt_Dlt_SessionControlCallback_DltSwc_0_TraceStatusChangedNotification(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_AppId,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_ContextId,
    VAR(boolean, AUTOMATIC) Rte_arg_newTraceStatus);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_Dlt_SessionControlCallback_DltSwc_0_LogLevelChangedNotification Rte_Call_Dlt_Dlt_SessionControlCallback_DltSwc_0_LogLevelChangedNotification
#define Rte_Call_Dlt_SessionControlCallback_DltSwc_0_TraceStatusChangedNotification Rte_Call_Dlt_Dlt_SessionControlCallback_DltSwc_0_TraceStatusChangedNotification
#endif

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_DLT_H */