/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_DoIP_Type.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef RTE_DOIP_TYPE_H
#define RTE_DOIP_TYPE_H

#define RTE_DOIP_TYPE_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_DOIP_TYPE_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Type.h"
/* Version verification of the Rte_Type module */
#if ((RTE_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_TYPE module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Constant values
 *
 **************************************************************************/
#ifndef DOIP_NOT_READY
#define DOIP_NOT_READY 0U
#endif /* DOIP_NOT_READY */

#ifndef DOIP_NOT_SUPPORTED
#define DOIP_NOT_SUPPORTED 2U
#endif /* DOIP_NOT_SUPPORTED */

#ifndef DOIP_READY
#define DOIP_READY 1U
#endif /* DOIP_READY */

/***************************************************************************
 *
 * Define limits of Application's types
 *
 **************************************************************************/
#ifndef uint8_LowerLimit
#define uint8_LowerLimit (uint8)0U
#endif /* uint8_LowerLimit */

#ifndef uint8_UpperLimit
#define uint8_UpperLimit (uint8)255U
#endif /* uint8_UpperLimit */

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_DOIP_TYPE_H */