/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_Hook.h
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/
#ifndef RTE_HOOK_H
#define RTE_HOOK_H

#define RTE_CORE

#define RTE_HOOK_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_HOOK_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Type.h"
/* Version verification of the Rte_Type module */
#if ((RTE_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_TYPE module version is incompatible, there may be problems.
#endif
#include "Os.h"
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "Rte_SwcDummyCpu0.h"
#include "Rte_SwcDummyCpu1.h"
#include "Rte_SwcDummyCpu2.h"
#include "Rte_SwcDummyCpu3.h"
#include "Rte_SwcRxHandlerCpu0.h"
#include "Rte_SwcRxHandlerCpu1.h"
#include "Rte_SwcRxHandlerCpu2.h"
#include "Rte_SwcRxHandlerCpu3.h"
#include "Rte_SwcTxHandlerCpu0.h"
#include "Rte_SwcTxHandlerCpu1.h"
#include "Rte_SwcTxHandlerCpu2.h"
#include "Rte_SwcTxHandlerCpu3.h"
#include "Rte_cdd_fm.h"
#include "Rte_cdd_lwatp.h"
#include "Rte_cdd_time.h"
#include "Rte_core0_D_task_monitor.h"
#include "Rte_core0_QM_task_monitor.h"
#include "Rte_core1_B_adas_monitor.h"
#include "Rte_core1_QM_task_monitor.h"
#include "Rte_diag_cp.h"
#include "Rte_lpm_cp.h"
#include "Rte_mnt_debug.h"
#include "Rte_ncs_cp.h"
#include "Rte_nm_cp.h"
#include "Rte_schm_cp.h"
#include "Rte_sm_cp.h"
#include "Rte_swc_ex_wdg.h"
#include "Rte_swc_fm.h"
#include "Rte_swc_mnt.h"
#include "Rte_swc_mnt_core1.h"
#include "Rte_swc_nm_core2.h"
#include "Rte_swc_nm_core3.h"
#include "Rte_swc_nm_core4.h"
#include "Rte_swc_nrm_core0.h"
#include "Rte_swc_nrm_core2.h"
#include "Rte_swc_nrm_core3.h"
#include "Rte_swc_nrm_core4.h"
#include "Rte_swc_sa.h"
#include "Rte_swc_safeT.h"
#include "Rte_swc_sam_core0.h"
#include "Rte_swc_sam_core3.h"
#include "Rte_swc_tsync.h"
#include "Rte_thm_cp.h"

#include "Rte_Hook_Arti.h"

#ifndef RTE_VFB_TRACE
#define RTE_VFB_TRACE (FALSE)
#endif /* RTE_VFB_TRACE */

#endif /* RTE_HOOK_H */