/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_Internal.h
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/
#ifndef RTE_INTERNAL_H
#define RTE_INTERNAL_H

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte.h"
#include "Rte_Hook.h"
#include "Os.h"

#ifndef RTE_LOCAL_INLINE
#define RTE_LOCAL_INLINE  static inline
#endif

#ifndef RTE_INLINE
#define RTE_INLINE  inline
#endif

#ifndef RTE_LOCAL
#define RTE_LOCAL  static
#endif

#ifndef AUTOMATIC
#define AUTOMATIC
#endif

#ifndef RTE_CODE
#define RTE_CODE
#endif

#ifndef RTE_DATA
#define RTE_DATA
#endif

#ifndef RTE_COM_BUFFER_ASSERT
#define RTE_COM_BUFFER_ASSERT(COND, SIGNAL) typedef uint8 ComSignal_##SIGNAL##_buffer_length_exceeds_the_length_of_the_data_type[(2 * ((uint8)(!!(COND)))) - 1]
#endif

/* declaration of Rte_SetEvent and Rte_WaitEvent */

extern FUNC(StatusType, RTE_CODE) Rte_SetEvent(VAR(TaskType, AUTOMATIC) taskId, VAR(EventMaskType, AUTOMATIC) ev);
extern FUNC(StatusType, RTE_CODE) Rte_WaitEvent(VAR(EventMaskType, AUTOMATIC) ev);

extern FUNC(VAR(uint32, AUTOMATIC), RTE_CODE) getXfBuffLen_SOME_IP_Default_Transformer(VAR(uint32, AUTOMATIC) inBuffLen);

#endif /* RTE_INTERNAL_H */