/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_Mode.h
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/
#ifndef RTE_MODE_H
#define RTE_MODE_H

#define RTE_MODE_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_MODE_AR_RELEASE_MINOR_VERSION 4U
/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte.h"
#include "Os.h"
#include "Rte_Type.h"

#define MODEMANAGER_ECUCPARTITION_C0_HW_ASILD_NOTIFICATION_QUEUE_LENGTH 4U
#define MODE_QUEUE_ECUCPARTITION_C0_HW_ASILD_BSWM_VERSION_BSWM_MD_BSWMPARTITIONSYNCSTATE_LENGTH 3U
#define MODEMANAGER_GROUPID_BSWM_VERSION_BSWM_MD_BSWMPARTITIONSYNCSTATE_ECUCPARTITION_C0_HW_ASILD 0U
#define MODE_QUEUE_ECUCPARTITION_C0_HW_ASILD_ECUM_1_PORT_3_CURRENTMODE_LENGTH 1U
#define MODEMANAGER_GROUPID_ECUM_1_PORT_3_CURRENTMODE_ECUCPARTITION_C0_HW_ASILD 1U
#define MODEMANAGER_ECUCPARTITION_C0_HW_QM_NOTIFICATION_QUEUE_LENGTH 6U
#define MODE_QUEUE_ECUCPARTITION_C0_HW_QM_DCM_VERSION_DCMAUTHENTICATION_DCMDSLMAINCONNECTION_LENGTH 1U
#define MODEMANAGER_GROUPID_DCM_VERSION_DCMAUTHENTICATION_DCMDSLMAINCONNECTION_ECUCPARTITION_C0_HW_QM 0U
#define MODE_QUEUE_ECUCPARTITION_C0_HW_QM_DCM_VERSION_DCMCONTROLDTCSETTING_LENGTH 1U
#define MODEMANAGER_GROUPID_DCM_VERSION_DCMCONTROLDTCSETTING_ECUCPARTITION_C0_HW_QM 1U
#define MODE_QUEUE_ECUCPARTITION_C0_HW_QM_DCM_VERSION_DCMDIAGNOSTICSESSIONCONTROL_LENGTH 1U
#define MODEMANAGER_GROUPID_DCM_VERSION_DCMDIAGNOSTICSESSIONCONTROL_ECUCPARTITION_C0_HW_QM 2U
#define MODE_QUEUE_ECUCPARTITION_C0_HW_QM_DCM_VERSION_DCMECURESET_LENGTH 1U
#define MODEMANAGER_GROUPID_DCM_VERSION_DCMECURESET_ECUCPARTITION_C0_HW_QM 3U
#define MODE_QUEUE_ECUCPARTITION_C0_HW_QM_DCM_VERSION_DCMMODERAPIDPOWERSHUTDOWN_LENGTH 1U
#define MODEMANAGER_GROUPID_DCM_VERSION_DCMMODERAPIDPOWERSHUTDOWN_ECUCPARTITION_C0_HW_QM 4U
#define MODE_QUEUE_ECUCPARTITION_C0_HW_QM_DCM_VERSION_DCMSECURITYACCESS_LENGTH 1U
#define MODEMANAGER_GROUPID_DCM_VERSION_DCMSECURITYACCESS_ECUCPARTITION_C0_HW_QM 5U

/***************************************************************************
 *
 * Mode Management Type Definition
 *
 **************************************************************************/
typedef struct {
    TaskType* running_tasks;
    uint8 dim;
    uint8 running;
} Mode_running_entities_type;

typedef struct {
    uint8* queue;
    uint32 head;
    uint32 tail;
    uint32 counter;
} Mode_notification_queue_EcucPartition_C0_HW_ASILD_type;

typedef struct {
    uint8* queue;
    uint32 head;
    uint32 tail;
    uint32 counter;
} Mode_notification_queue_EcucPartition_C0_HW_QM_type;

typedef struct {
    uint8* queue;
    uint32 head;
    uint32 tail;
    uint32 counter;
} Mode_queue_BswM_Version_BSWM_MD_BswMPartitionSyncState_type;

typedef struct {
    uint8* queue;
    uint32 head;
    uint32 tail;
    uint32 counter;
} Mode_queue_EcuM_1_Port_3_currentMode_type;

typedef struct {
    uint8* queue;
    uint32 head;
    uint32 tail;
    uint32 counter;
} Mode_queue_Dcm_Version_DcmAuthentication_DcmDslMainConnection_type;

typedef struct {
    uint8* queue;
    uint32 head;
    uint32 tail;
    uint32 counter;
} Mode_queue_Dcm_Version_DcmControlDTCSetting_type;

typedef struct {
    uint8* queue;
    uint32 head;
    uint32 tail;
    uint32 counter;
} Mode_queue_Dcm_Version_DcmDiagnosticSessionControl_type;

typedef struct {
    uint8* queue;
    uint32 head;
    uint32 tail;
    uint32 counter;
} Mode_queue_Dcm_Version_DcmEcuReset_type;

typedef struct {
    uint8* queue;
    uint32 head;
    uint32 tail;
    uint32 counter;
} Mode_queue_Dcm_Version_DcmModeRapidPowerShutDown_type;

typedef struct {
    uint8* queue;
    uint32 head;
    uint32 tail;
    uint32 counter;
} Mode_queue_Dcm_Version_DcmSecurityAccess_type;

typedef struct {
    void* queue;
    uint32 head;
    uint32 tail;
    uint32 counter;
} Mode_common_queue_type;

/***************************************************************************
 *
 * Mode Management IoC Data Structure Type Definition
 *
 **************************************************************************/
typedef struct {
    uint8 previous_mode;
    uint8 next_mode;
    boolean in_transition;
    TaskType manager_task;
} ModeManager_ioc_type_BswM_Version_BSWM_MD_BswMPartitionSyncState;

/***************************************************************************
 *
 * Mode Manager Data Structure Type definition
 *
 **************************************************************************/
typedef struct {
    uint8 previous_mode;
    uint8 next_mode;
    boolean in_transition;
    Mode_queue_BswM_Version_BSWM_MD_BswMPartitionSyncState_type queue_struct;

    void (* on_transition_executable_entities)(uint8 previous_mode, uint8 next_mode);
    void (* send_state)(uint8 previous_mode, uint8 next_mode, boolean in_transition, TaskType task);
} ModeManager_type_BswM_Version_BSWM_MD_BswMPartitionSyncState;
typedef struct {
    uint8 previous_mode;
    uint8 next_mode;
    boolean in_transition;
    boolean acked;
    Mode_queue_EcuM_1_Port_3_currentMode_type queue_struct;

    void (* on_transition_executable_entities)(uint8 previous_mode, uint8 next_mode);
    void (* send_state)(uint8 previous_mode, uint8 next_mode, boolean in_transition, TaskType task);
    void (* ack_executable_entities)(void);
} ModeManager_type_EcuM_1_Port_3_currentMode;
typedef struct {
    uint8 previous_mode;
    uint8 next_mode;
    boolean in_transition;
} ModeManager_type_WdgM_CORE0_1_Port_13_currentMode;
typedef struct {
    uint8 previous_mode;
    uint8 next_mode;
    boolean in_transition;
} ModeManager_type_WdgM_CORE0_1_Port_6_currentMode;
typedef struct {
    uint8 previous_mode;
    uint8 next_mode;
    boolean in_transition;
} ModeManager_type_WdgM_CORE0_1_Port_9_currentMode;
typedef struct {
    uint8 previous_mode;
    uint8 next_mode;
    boolean in_transition;
} ModeManager_type_WdgM_CORE0_1_Port_12_currentMode;
typedef struct {
    uint8 previous_mode;
    uint8 next_mode;
    boolean in_transition;
} ModeManager_type_WdgM_CORE0_1_Port_3_currentMode;
typedef struct {
    uint8 previous_mode;
    uint8 next_mode;
    boolean in_transition;
    Mode_queue_Dcm_Version_DcmAuthentication_DcmDslMainConnection_type queue_struct;

    void (* on_transition_executable_entities)(uint8 previous_mode, uint8 next_mode);
    void (* send_state)(uint8 previous_mode, uint8 next_mode, boolean in_transition, TaskType task);
} ModeManager_type_Dcm_Version_DcmAuthentication_DcmDslMainConnection;
typedef struct {
    uint8 previous_mode;
    uint8 next_mode;
    boolean in_transition;
    Mode_queue_Dcm_Version_DcmControlDTCSetting_type queue_struct;

    void (* on_transition_executable_entities)(uint8 previous_mode, uint8 next_mode);
    void (* send_state)(uint8 previous_mode, uint8 next_mode, boolean in_transition, TaskType task);
} ModeManager_type_Dcm_Version_DcmControlDTCSetting;
typedef struct {
    uint8 previous_mode;
    uint8 next_mode;
    boolean in_transition;
    Mode_queue_Dcm_Version_DcmDiagnosticSessionControl_type queue_struct;

    void (* on_transition_executable_entities)(uint8 previous_mode, uint8 next_mode);
    void (* send_state)(uint8 previous_mode, uint8 next_mode, boolean in_transition, TaskType task);
} ModeManager_type_Dcm_Version_DcmDiagnosticSessionControl;
typedef struct {
    uint8 previous_mode;
    uint8 next_mode;
    boolean in_transition;
    Mode_queue_Dcm_Version_DcmEcuReset_type queue_struct;

    void (* on_transition_executable_entities)(uint8 previous_mode, uint8 next_mode);
    void (* send_state)(uint8 previous_mode, uint8 next_mode, boolean in_transition, TaskType task);
} ModeManager_type_Dcm_Version_DcmEcuReset;
typedef struct {
    uint8 previous_mode;
    uint8 next_mode;
    boolean in_transition;
    Mode_queue_Dcm_Version_DcmModeRapidPowerShutDown_type queue_struct;

    void (* on_transition_executable_entities)(uint8 previous_mode, uint8 next_mode);
    void (* send_state)(uint8 previous_mode, uint8 next_mode, boolean in_transition, TaskType task);
} ModeManager_type_Dcm_Version_DcmModeRapidPowerShutDown;
typedef struct {
    uint8 previous_mode;
    uint8 next_mode;
    boolean in_transition;
    Mode_queue_Dcm_Version_DcmSecurityAccess_type queue_struct;

    void (* on_transition_executable_entities)(uint8 previous_mode, uint8 next_mode);
    void (* send_state)(uint8 previous_mode, uint8 next_mode, boolean in_transition, TaskType task);
} ModeManager_type_Dcm_Version_DcmSecurityAccess;
typedef struct {
    uint8 previous_mode;
    uint8 next_mode;
    boolean in_transition;
} ModeManager_type_WdgM_CORE1_1_Port_4_currentMode;
typedef struct {
    uint8 previous_mode;
    uint8 next_mode;
    boolean in_transition;
} ModeManager_type_WdgM_CORE1_1_Port_3_currentMode;
typedef struct {
    uint8 previous_mode;
    uint8 next_mode;
    boolean in_transition;
} ModeManager_type_ComM_EcucPartition_C1_APP_QM_1_Port_2_CurrentMode;

typedef struct {
    ModeManager_type_BswM_Version_BSWM_MD_BswMPartitionSyncState Mode_BswM_Version_BSWM_MD_BswMPartitionSyncState_data;
    ModeManager_type_EcuM_1_Port_3_currentMode Mode_EcuM_1_Port_3_currentMode_data;
    ModeManager_type_WdgM_CORE0_1_Port_13_currentMode Mode_WdgM_CORE0_1_Port_13_currentMode_data;
    ModeManager_type_WdgM_CORE0_1_Port_6_currentMode Mode_WdgM_CORE0_1_Port_6_currentMode_data;
    ModeManager_type_WdgM_CORE0_1_Port_9_currentMode Mode_WdgM_CORE0_1_Port_9_currentMode_data;
    ModeManager_type_WdgM_CORE0_1_Port_12_currentMode Mode_WdgM_CORE0_1_Port_12_currentMode_data;
    ModeManager_type_WdgM_CORE0_1_Port_3_currentMode Mode_WdgM_CORE0_1_Port_3_currentMode_data;
    uint8* rte_state;
    uint8* schm_state;
    uint32 pending;
    Mode_notification_queue_EcucPartition_C0_HW_ASILD_type notification_queue;
} ModeManager_EcucPartition_C0_HW_ASILD_type;

typedef struct {
    ModeManager_type_Dcm_Version_DcmAuthentication_DcmDslMainConnection Mode_Dcm_Version_DcmAuthentication_DcmDslMainConnection_data;
    ModeManager_type_Dcm_Version_DcmControlDTCSetting Mode_Dcm_Version_DcmControlDTCSetting_data;
    ModeManager_type_Dcm_Version_DcmDiagnosticSessionControl Mode_Dcm_Version_DcmDiagnosticSessionControl_data;
    ModeManager_type_Dcm_Version_DcmEcuReset Mode_Dcm_Version_DcmEcuReset_data;
    ModeManager_type_Dcm_Version_DcmModeRapidPowerShutDown Mode_Dcm_Version_DcmModeRapidPowerShutDown_data;
    ModeManager_type_Dcm_Version_DcmSecurityAccess Mode_Dcm_Version_DcmSecurityAccess_data;
    uint8* rte_state;
    uint8* schm_state;
    uint32 pending;
    Mode_notification_queue_EcucPartition_C0_HW_QM_type notification_queue;
} ModeManager_EcucPartition_C0_HW_QM_type;

typedef struct {
    ModeManager_type_WdgM_CORE1_1_Port_4_currentMode Mode_WdgM_CORE1_1_Port_4_currentMode_data;
    ModeManager_type_WdgM_CORE1_1_Port_3_currentMode Mode_WdgM_CORE1_1_Port_3_currentMode_data;
    uint8* rte_state;
    uint8* schm_state;
} ModeManager_EcucPartition_C1_APP_ASILD_type;

typedef struct {
    ModeManager_type_ComM_EcucPartition_C1_APP_QM_1_Port_2_CurrentMode Mode_ComM_EcucPartition_C1_APP_QM_1_Port_2_CurrentMode_data;
    uint8* rte_state;
    uint8* schm_state;
} ModeManager_EcucPartition_C1_APP_QM_type;

/***************************************************************************
 *
 * Mode User Data Structure Type definition
 *
 **************************************************************************/
typedef struct {
    uint8 previous_mode;
    uint8 next_mode;
    boolean in_transition;
    TaskType manager_task;
    void (* update_state)(uint8 previous_mode, uint8 next_mode, boolean in_transition, TaskType manager_task);
} ModeUser_type_BswM_Version_BSWM_MD_BswMPartitionSyncState;
typedef struct {
    uint8 previous_mode;
    uint8 next_mode;
    boolean in_transition;
    TaskType manager_task;
    void (* update_state)(uint8 previous_mode, uint8 next_mode, boolean in_transition, TaskType manager_task);
} ModeUser_type_cdd_devmd_1_Port_39_DcmEcuReset;

typedef struct {
    ModeUser_type_BswM_Version_BSWM_MD_BswMPartitionSyncState Mode_BswM_Version_BSWM_MD_BswMPartitionSyncState_data;
    ModeUser_type_cdd_devmd_1_Port_39_DcmEcuReset Mode_cdd_devmd_1_Port_39_DcmEcuReset_data;
    uint8* rte_state;
    uint8* schm_state;
} ModeUser_EcucPartition_C0_HW_QM_type;

typedef struct {
    ModeUser_type_BswM_Version_BSWM_MD_BswMPartitionSyncState Mode_BswM_Version_BSWM_MD_BswMPartitionSyncState_data;
    uint8* rte_state;
    uint8* schm_state;
} ModeUser_EcucPartition_C1_APP_ASILD_type;

typedef struct {
    ModeUser_type_BswM_Version_BSWM_MD_BswMPartitionSyncState Mode_BswM_Version_BSWM_MD_BswMPartitionSyncState_data;
    uint8* rte_state;
    uint8* schm_state;
} ModeUser_EcucPartition_C1_APP_QM_type;

typedef struct {
    ModeUser_type_BswM_Version_BSWM_MD_BswMPartitionSyncState Mode_BswM_Version_BSWM_MD_BswMPartitionSyncState_data;
    uint8* rte_state;
    uint8* schm_state;
} ModeUser_EcucPartition_C2_APP_ASILD_type;

typedef struct {
    ModeUser_type_BswM_Version_BSWM_MD_BswMPartitionSyncState Mode_BswM_Version_BSWM_MD_BswMPartitionSyncState_data;
    uint8* rte_state;
    uint8* schm_state;
} ModeUser_EcucPartition_C2_APP_QM_type;

typedef struct {
    ModeUser_type_BswM_Version_BSWM_MD_BswMPartitionSyncState Mode_BswM_Version_BSWM_MD_BswMPartitionSyncState_data;
    uint8* rte_state;
    uint8* schm_state;
} ModeUser_EcucPartition_C3_APP_ASILD_type;

typedef struct {
    ModeUser_type_BswM_Version_BSWM_MD_BswMPartitionSyncState Mode_BswM_Version_BSWM_MD_BswMPartitionSyncState_data;
    uint8* rte_state;
    uint8* schm_state;
} ModeUser_EcucPartition_C3_APP_QM_type;

typedef struct {
    ModeUser_type_BswM_Version_BSWM_MD_BswMPartitionSyncState Mode_BswM_Version_BSWM_MD_BswMPartitionSyncState_data;
    uint8* rte_state;
    uint8* schm_state;
} ModeUser_EcucPartition_C4_APP_QM_type;

typedef struct {
    ModeUser_type_BswM_Version_BSWM_MD_BswMPartitionSyncState Mode_BswM_Version_BSWM_MD_BswMPartitionSyncState_data;
    uint8* rte_state;
    uint8* schm_state;
} ModeUser_EcucPartition_C5_APP_QM_type;
/***************************************************************************
 *
 * State Management Type Definition
 *
 **************************************************************************/
typedef enum {
    DEFAULT = 0,
    SCHM = 1,
    RTE = 2,
    TERMINATED = -1,
    RESTARTING = -2
} Mode_state_type;

typedef struct {
    void (* partition_terminated)(void);
    Mode_state_type partition_state;
} PartitionState_EcucPartition_C0_HW_ASILD_type;

typedef struct {
    void (* partition_terminated)(void);
    Mode_state_type partition_state;
} PartitionState_EcucPartition_C0_HW_QM_type;

typedef struct {
    void (* partition_terminated)(void);
    Mode_state_type partition_state;
} PartitionState_EcucPartition_C1_APP_ASILD_type;

typedef struct {
    void (* partition_terminated)(void);
    Mode_state_type partition_state;
} PartitionState_EcucPartition_C1_APP_QM_type;

typedef struct {
    void (* partition_terminated)(void);
    Mode_state_type partition_state;
} PartitionState_EcucPartition_C2_APP_ASILD_type;

typedef struct {
    void (* partition_terminated)(void);
    Mode_state_type partition_state;
} PartitionState_EcucPartition_C2_APP_QM_type;

typedef struct {
    void (* partition_terminated)(void);
    Mode_state_type partition_state;
} PartitionState_EcucPartition_C3_APP_ASILD_type;

typedef struct {
    void (* partition_terminated)(void);
    Mode_state_type partition_state;
} PartitionState_EcucPartition_C3_APP_QM_type;

typedef struct {
    void (* partition_terminated)(void);
    Mode_state_type partition_state;
} PartitionState_EcucPartition_C4_APP_QM_type;

typedef struct {
    void (* partition_terminated)(void);
    Mode_state_type partition_state;
} PartitionState_EcucPartition_C5_APP_QM_type;
/***************************************************************************
 *
 * Mode Management Utility Methods
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
LOCAL_INLINE FUNC(sint16, RTE_CODE) getTaskIndex(P2CONST(Mode_running_entities_type, AUTOMATIC, RTE_APPL_DATA) array, CONST(TaskType, AUTOMATIC) task)
{
    sint16 taskIndex = 0;
    boolean found = FALSE;
    while ((((uint16) taskIndex) < array->dim) && !found) {
        if (array->running_tasks[taskIndex] != task) {
            taskIndex++;
        } else {
            found = TRUE;
        }
    }
    if (!found) {
        taskIndex = -1;
    }
    return taskIndex;
}

LOCAL_INLINE FUNC(void, RTE_CODE) removeTask(P2VAR(Mode_running_entities_type, AUTOMATIC, RTE_APPL_DATA) array, CONST(TaskType, AUTOMATIC) task)
{
    sint16 taskIndex = getTaskIndex(array, task);
    if ((taskIndex >= 0) && (array->running > 0U)) {
        array->running--;
        array->running_tasks[taskIndex] = array->running_tasks[array->running];
        array->running_tasks[array->running] = INVALID_TASK;
    }
}

/** @brief      This method runs a binary search on the provided array
 *  @fn         sint16 binarySearch(uint8 * array, uint16 first, uint16 last, uint8 x)
 *  @param[in]  array      the input array
 *  @param[in]  first      the first valid index of the array
 *  @param[in]  last       the last valid index of the array (it must be a valid array index)
 *  @param[in]  x          the value to be searched
 *  @return     sint16     the index of the value inside the array, or -1 if it is not present
 *
 *  This method runs a binary search on the provided array using the specified indexes to
 *  restrict the valid values inside the array. The function is used to find the index of
 *  the provided value inside the array or -1 if it is not present.
 */
LOCAL_INLINE FUNC(sint16, RTE_CODE) binarySearch(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) array, VAR(uint16, AUTOMATIC) first, VAR(uint16, AUTOMATIC) last, CONST(uint8, AUTOMATIC) x) {
    VAR(sint16, AUTOMATIC) answer = -1;
    VAR(uint16, AUTOMATIC) localFirst = first;
    VAR(uint16, AUTOMATIC) localLast = last;
    VAR(uint16, AUTOMATIC) middle = 0;
    VAR(boolean, AUTOMATIC) breakFlag = FALSE;

    while (localFirst <= localLast) {
        middle = (uint16) (localFirst + (((uint16) (localLast - localFirst)) >> 1));
        if (array[middle] < x) {
            localFirst = middle + 1U;
        } else if (array[middle] == x) {
            answer = (sint16) middle;
            breakFlag = TRUE;
        } else if (middle > 0U) {
            localLast = middle - 1U;
        } else {
            breakFlag = TRUE;
        }
        if (breakFlag) {
            break;
        }
    }
    return answer;
}
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
LOCAL_INLINE VAR(boolean, AUTOMATIC) modeSwitchRemoveQueue(
    P2VAR(Mode_common_queue_type, AUTOMATIC, RTE_APPL_DATA) queue_struct, CONST(uint32, AUTOMATIC) dim,
    P2VAR(void, AUTOMATIC, RTE_APPL_DATA) result, VAR(uint8, AUTOMATIC) size)
{
    if (queue_struct->counter == 0U) {
        return FALSE;
    }

    if (size == sizeof(uint8)) {
        *(uint8 *)result = ((uint8 *)queue_struct->queue)[queue_struct->head];
    } else if (size == sizeof(uint16)) {
        *(uint16 *)result = ((uint16 *)queue_struct->queue)[queue_struct->head];
    } else if (size == sizeof(uint32)) {
        *(uint32 *)result = ((uint32 *)queue_struct->queue)[queue_struct->head];
    } else if (size == sizeof(uint64)) {
        *(uint64 *)result = ((uint64 *)queue_struct->queue)[queue_struct->head];
    } else {
        return FALSE;
    }

    queue_struct->counter -= 1U;
    queue_struct->head = (queue_struct->head + 1U) % dim;

    return TRUE;
}
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#define clearModeQueue(a, b) do { \
        (a).pending -= (b).queue_struct.counter; \
        (b).queue_struct.head = 0; \
        (b).queue_struct.tail = 0; \
        (b).queue_struct.counter = 0; \
} while (0)
extern VAR(ModeManager_EcucPartition_C0_HW_ASILD_type, AUTOMATIC) ModeManager_EcucPartition_C0_HW_ASILD_data;
extern VAR(PartitionState_EcucPartition_C0_HW_ASILD_type, AUTOMATIC) PartitionState_EcucPartition_C0_HW_ASILD_data;
extern VAR(ModeManager_EcucPartition_C0_HW_QM_type, AUTOMATIC) ModeManager_EcucPartition_C0_HW_QM_data;

extern VAR(ModeUser_EcucPartition_C0_HW_QM_type, AUTOMATIC) ModeUser_EcucPartition_C0_HW_QM_data;
extern VAR(PartitionState_EcucPartition_C0_HW_QM_type, AUTOMATIC) PartitionState_EcucPartition_C0_HW_QM_data;
extern VAR(ModeManager_EcucPartition_C1_APP_ASILD_type, AUTOMATIC) ModeManager_EcucPartition_C1_APP_ASILD_data;

extern VAR(ModeUser_EcucPartition_C1_APP_ASILD_type, AUTOMATIC) ModeUser_EcucPartition_C1_APP_ASILD_data;
extern VAR(PartitionState_EcucPartition_C1_APP_ASILD_type, AUTOMATIC) PartitionState_EcucPartition_C1_APP_ASILD_data;
extern VAR(ModeManager_EcucPartition_C1_APP_QM_type, AUTOMATIC) ModeManager_EcucPartition_C1_APP_QM_data;

extern VAR(ModeUser_EcucPartition_C1_APP_QM_type, AUTOMATIC) ModeUser_EcucPartition_C1_APP_QM_data;
extern VAR(PartitionState_EcucPartition_C1_APP_QM_type, AUTOMATIC) PartitionState_EcucPartition_C1_APP_QM_data;
extern VAR(ModeUser_EcucPartition_C2_APP_ASILD_type, AUTOMATIC) ModeUser_EcucPartition_C2_APP_ASILD_data;
extern VAR(PartitionState_EcucPartition_C2_APP_ASILD_type, AUTOMATIC) PartitionState_EcucPartition_C2_APP_ASILD_data;
extern VAR(ModeUser_EcucPartition_C2_APP_QM_type, AUTOMATIC) ModeUser_EcucPartition_C2_APP_QM_data;
extern VAR(PartitionState_EcucPartition_C2_APP_QM_type, AUTOMATIC) PartitionState_EcucPartition_C2_APP_QM_data;
extern VAR(ModeUser_EcucPartition_C3_APP_ASILD_type, AUTOMATIC) ModeUser_EcucPartition_C3_APP_ASILD_data;
extern VAR(PartitionState_EcucPartition_C3_APP_ASILD_type, AUTOMATIC) PartitionState_EcucPartition_C3_APP_ASILD_data;
extern VAR(ModeUser_EcucPartition_C3_APP_QM_type, AUTOMATIC) ModeUser_EcucPartition_C3_APP_QM_data;
extern VAR(PartitionState_EcucPartition_C3_APP_QM_type, AUTOMATIC) PartitionState_EcucPartition_C3_APP_QM_data;
extern VAR(ModeUser_EcucPartition_C4_APP_QM_type, AUTOMATIC) ModeUser_EcucPartition_C4_APP_QM_data;
extern VAR(PartitionState_EcucPartition_C4_APP_QM_type, AUTOMATIC) PartitionState_EcucPartition_C4_APP_QM_data;
extern VAR(ModeUser_EcucPartition_C5_APP_QM_type, AUTOMATIC) ModeUser_EcucPartition_C5_APP_QM_data;
extern VAR(PartitionState_EcucPartition_C5_APP_QM_type, AUTOMATIC) PartitionState_EcucPartition_C5_APP_QM_data;

#endif /* RTE_MODE_H */