/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_Partition_EcucPartition_C1_APP_QM.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef RTE_PARTITION_ECUCPARTITION_C1_APP_QM_H
#define RTE_PARTITION_ECUCPARTITION_C1_APP_QM_H

#define RTE_PARTITION_ECUCPARTITION_C1_APP_QM_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_PARTITION_ECUCPARTITION_C1_APP_QM_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
/* Include Rte Header file */
#include "Rte.h"
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Mode.h"
/* Version verification of the Rte_Mode module */
#if ((RTE_MODE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_MODE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_MODE module version is incompatible, there may be problems.
#endif
/* Include RTE data handle Type file */
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
/* Include application header file */

/***************************************************************************
 *
 * RTE internal types
 *
 **************************************************************************/

extern VAR(EthIfStatInfo, AUTOMATIC) Rte_shared_buffer_cdd_eth_1_EthTransEthIfStats_ethIfStats;
extern VAR(EthIpAddr, AUTOMATIC) Rte_shared_buffer_cdd_eth_1_EthTransIpAddr_ipAddr;
extern VAR(EthNetMask, AUTOMATIC) Rte_shared_buffer_cdd_eth_1_EthTransIpAddr_netMask;
extern VAR(EthDefaultRouter, AUTOMATIC) Rte_shared_buffer_cdd_eth_1_EthTransIpAddr_defaultRouter;
extern VAR(EthMacAddr, AUTOMATIC) Rte_shared_buffer_cdd_eth_1_EthTransMacAddr_macAddr;

extern VAR(RteQueueType, AUTOMATIC) Rte_queue_cdd_datacenter_core1_Soc2McuSomeip0_data;
extern VAR(RteQueueType, AUTOMATIC) Rte_queue_cdd_datacenter_core1_Soc2McuSomeip0_data_transformer_error;

/***************************************************************************
 *
 * COM input buffers and flags
 *
 **************************************************************************/
extern VAR(Std_ReturnType, AUTOMATIC) rte_flag_in_Rte_buffer_cdd_datacenter_core1_1_Soc2McuSomeip0_data;
extern VAR(SomeipDynPayloadType, AUTOMATIC) Rte_buffer_cdd_datacenter_core1_1_Soc2McuSomeip0_data;

extern const struct Rte_CDS_SwcDummyCpu1 Rte_Instance_SwcDummyCpu1_1;
extern const struct Rte_CDS_SwcRxHandlerCpu1 Rte_Instance_SwcRxHandlerCpu1_1;
extern const struct Rte_CDS_SwcTxHandlerCpu1 Rte_Instance_SwcTxHandlerCpu1_1;
extern const struct Rte_CDS_cdd_datacenter_core1 Rte_Instance_cdd_datacenter_core1_1;
extern const struct Rte_CDS_cdd_eth Rte_Instance_cdd_eth_1;
extern const struct Rte_CDS_cdd_lwatp Rte_Instance_cdd_lwatp_1;
extern const struct Rte_CDS_core1_QM_task_monitor Rte_Instance_core1_QM_task_monitor_1;
extern const struct Rte_CDS_iohwabs_core1 Rte_Instance_iohwabs_core1_1;
extern const struct Rte_CDS_swc_mnt_core1 Rte_Instance_swc_mnt_core1_1;

/* Vendor Specific Data Definition */
/***************************************************************************
 *
 * Rte Com buffers and flags of interPartition
 *
 **************************************************************************/

/* declare send Variables for inter-core com */

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */
/***************************************************************************
 *
 * Extern functions declarations: EcucPartition_C1_APP_QM
 *
 **************************************************************************/
extern FUNC(void, RTE_CODE) assignRteSenderStatus(
    P2VAR(Std_ReturnType, AUTOMATIC, RTE_APPL_DATA) sender_status_flag,
    Std_ReturnType status);

/***************************************************************************
 *
 * NONTRUSTED Function API: Non Trusted PartitionEcucPartition_C1_APP_QM
 *
 **************************************************************************/

/***************************************************************************
 *
 * Runnable for Descriptor of NvBlockSwComponentType Declarations
 *
 **************************************************************************/

/***************************************************************************
 *
 * Partition API:EcucPartition_C1_APP_QM
 *
 **************************************************************************/
extern FUNC(void, RTE_CODE) Rte_StartPartition_EcucPartition_C1_APP_QM(void);
extern FUNC(void, RTE_CODE) Rte_StopPartition_EcucPartition_C1_APP_QM(void);
extern FUNC(void, RTE_CODE) Rte_StartOsa_OSA_C1_1_APP_QM(void);
extern FUNC(void, RTE_CODE) Rte_StopOsa_OSA_C1_1_APP_QM(void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_PARTITION_ECUCPARTITION_C1_APP_QM_H */