/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_StbM_EcucPartition_C2_APP_ASILD_Type.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef RTE_STBM_ECUCPARTITION_C2_APP_ASILD_TYPE_H
#define RTE_STBM_ECUCPARTITION_C2_APP_ASILD_TYPE_H

#define RTE_STBM_ECUCPARTITION_C2_APP_ASILD_TYPE_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_STBM_ECUCPARTITION_C2_APP_ASILD_TYPE_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Type.h"
/* Version verification of the Rte_Type module */
#if ((RTE_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_TYPE module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Constant values
 *
 **************************************************************************/
#ifndef GLOBAL_TIME_BASE
#define GLOBAL_TIME_BASE 8U
#endif /* GLOBAL_TIME_BASE */

#ifndef SYNC_TO_GATEWAY
#define SYNC_TO_GATEWAY 4U
#endif /* SYNC_TO_GATEWAY */

#ifndef TIMELEAP_FUTURE
#define TIMELEAP_FUTURE 16U
#endif /* TIMELEAP_FUTURE */

#ifndef TIMELEAP_PAST
#define TIMELEAP_PAST 32U
#endif /* TIMELEAP_PAST */

#ifndef TIMEOUT
#define TIMEOUT 1U
#endif /* TIMEOUT */

/***************************************************************************
 *
 * Define limits of Application's types
 *
 **************************************************************************/
#ifndef StbM_TimeBaseStatusType_LowerLimit
#define StbM_TimeBaseStatusType_LowerLimit (StbM_TimeBaseStatusType)0U
#endif /* StbM_TimeBaseStatusType_LowerLimit */

#ifndef StbM_TimeBaseStatusType_UpperLimit
#define StbM_TimeBaseStatusType_UpperLimit (StbM_TimeBaseStatusType)63U
#endif /* StbM_TimeBaseStatusType_UpperLimit */

#ifndef StbM_TimeDiffType_LowerLimit
#define StbM_TimeDiffType_LowerLimit (StbM_TimeDiffType)(-2147483647)
#endif /* StbM_TimeDiffType_LowerLimit */

#ifndef StbM_TimeDiffType_UpperLimit
#define StbM_TimeDiffType_UpperLimit (StbM_TimeDiffType)2147483647
#endif /* StbM_TimeDiffType_UpperLimit */

#ifndef sint16_LowerLimit
#define sint16_LowerLimit (sint16)(-32768)
#endif /* sint16_LowerLimit */

#ifndef sint16_UpperLimit
#define sint16_UpperLimit (sint16)32767
#endif /* sint16_UpperLimit */

#ifndef sint32_LowerLimit
#define sint32_LowerLimit (sint32)(-2147483648)
#endif /* sint32_LowerLimit */

#ifndef sint32_UpperLimit
#define sint32_UpperLimit (sint32)2147483647
#endif /* sint32_UpperLimit */

#ifndef sint64_LowerLimit
#define sint64_LowerLimit (sint64)(-9223372036854775808)
#endif /* sint64_LowerLimit */

#ifndef sint64_UpperLimit
#define sint64_UpperLimit (sint64)9223372036854775807
#endif /* sint64_UpperLimit */

#ifndef uint16_LowerLimit
#define uint16_LowerLimit (uint16)0U
#endif /* uint16_LowerLimit */

#ifndef uint16_UpperLimit
#define uint16_UpperLimit (uint16)65535U
#endif /* uint16_UpperLimit */

#ifndef uint32_LowerLimit
#define uint32_LowerLimit (uint32)0U
#endif /* uint32_LowerLimit */

#ifndef uint32_UpperLimit
#define uint32_UpperLimit (uint32)4294967295U
#endif /* uint32_UpperLimit */

#ifndef uint64_LowerLimit
#define uint64_LowerLimit (uint64)0U
#endif /* uint64_LowerLimit */

#ifndef uint64_UpperLimit
#define uint64_UpperLimit (uint64)18446744073709551615U
#endif /* uint64_UpperLimit */

#ifndef uint8_LowerLimit
#define uint8_LowerLimit (uint8)0U
#endif /* uint8_LowerLimit */

#ifndef uint8_UpperLimit
#define uint8_UpperLimit (uint8)255U
#endif /* uint8_UpperLimit */

/***************************************************************************
 *
 * Bitfield conversions
 *
 **************************************************************************/
#ifndef GLOBAL_TIME_BASE_BflLn
#define GLOBAL_TIME_BASE_BflLn 1U
#endif /* GLOBAL_TIME_BASE_BflLn */

#ifndef GLOBAL_TIME_BASE_BflMask
#define GLOBAL_TIME_BASE_BflMask 8U
#endif /* GLOBAL_TIME_BASE_BflMask */

#ifndef GLOBAL_TIME_BASE_BflPn
#define GLOBAL_TIME_BASE_BflPn 3U
#endif /* GLOBAL_TIME_BASE_BflPn */

#ifndef SYNC_TO_GATEWAY_BflLn
#define SYNC_TO_GATEWAY_BflLn 1U
#endif /* SYNC_TO_GATEWAY_BflLn */

#ifndef SYNC_TO_GATEWAY_BflMask
#define SYNC_TO_GATEWAY_BflMask 4U
#endif /* SYNC_TO_GATEWAY_BflMask */

#ifndef SYNC_TO_GATEWAY_BflPn
#define SYNC_TO_GATEWAY_BflPn 2U
#endif /* SYNC_TO_GATEWAY_BflPn */

#ifndef TIMELEAP_FUTURE_BflLn
#define TIMELEAP_FUTURE_BflLn 1U
#endif /* TIMELEAP_FUTURE_BflLn */

#ifndef TIMELEAP_FUTURE_BflMask
#define TIMELEAP_FUTURE_BflMask 16U
#endif /* TIMELEAP_FUTURE_BflMask */

#ifndef TIMELEAP_FUTURE_BflPn
#define TIMELEAP_FUTURE_BflPn 4U
#endif /* TIMELEAP_FUTURE_BflPn */

#ifndef TIMELEAP_PAST_BflLn
#define TIMELEAP_PAST_BflLn 1U
#endif /* TIMELEAP_PAST_BflLn */

#ifndef TIMELEAP_PAST_BflMask
#define TIMELEAP_PAST_BflMask 32U
#endif /* TIMELEAP_PAST_BflMask */

#ifndef TIMELEAP_PAST_BflPn
#define TIMELEAP_PAST_BflPn 5U
#endif /* TIMELEAP_PAST_BflPn */

#ifndef TIMEOUT_BflLn
#define TIMEOUT_BflLn 1U
#endif /* TIMEOUT_BflLn */

#ifndef TIMEOUT_BflMask
#define TIMEOUT_BflMask 1U
#endif /* TIMEOUT_BflMask */

#ifndef TIMEOUT_BflPn
#define TIMEOUT_BflPn 0U
#endif /* TIMEOUT_BflPn */

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_STBM_ECUCPARTITION_C2_APP_ASILD_TYPE_H */