/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_SwcDummyCpu0.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < SwcDummyCpu0 >
 *
 **************************************************************************/
#ifndef RTE_SWCDUMMYCPU0_H
#define RTE_SWCDUMMYCPU0_H

#define RTE_SWCDUMMYCPU0_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_SWCDUMMYCPU0_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_ReportAlarmRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_ReportAlarmRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SwcDummyCpu0_10ms
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SwcDummyCpu0_10ms */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SwcDummyCpu0_Init
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SwcDummyCpu0_Init */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_SwcDummyCpu0_Type.h"
/* Version verification of the Rte_SwcDummyCpu0_Type module */
#if ((RTE_SWCDUMMYCPU0_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWCDUMMYCPU0_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWCDUMMYCPU0_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_SwcDummyCpu0_MemClasses.h"
/* Version verification of the Rte_SwcDummyCpu0_MemClasses module */
#if ((RTE_SWCDUMMYCPU0_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWCDUMMYCPU0_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWCDUMMYCPU0_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_ReportAlarmRunnable ReportAlarmRunnable

#define RTE_RUNNABLE_SwcDummyCpu0_10ms SwcDummyCpu0_10ms

#define RTE_RUNNABLE_SwcDummyCpu0_Init SwcDummyCpu0_Init

/***************************************************************************
 *
 * Rte_operation_applicationError Predefined Error Codes
 *
 **************************************************************************/
#if (!defined RTE_E_ReportAlarm_E_NOT_OK)
#define RTE_E_ReportAlarm_E_NOT_OK 1U
#endif
#if (!defined RTE_E_ReportAlarm_E_OK)
#define RTE_E_ReportAlarm_E_OK 0U
#endif

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_SwcDummyCpu0_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_SwcDummyCpu0_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

/* No RTE api is using port data structure Rte_PDS_SwcDummyCpu0_ReportAlarm_P, so no structure is generated */

struct Rte_CDS_SwcDummyCpu0 {
    struct Rte_PDS_SwcDummyCpu0_LogSwcMessageInterface_P LogSwcMessageInterface;
};
typedef struct Rte_CDS_SwcDummyCpu0 Rte_CDS_SwcDummyCpu0;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_SwcDummyCpu0, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_SwcDummyCpu0, RTE_CONST, RTE_CONST) Rte_Inst_SwcDummyCpu0;

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcDummyCpu0_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_SwcDummyCpu0_LogSwcMessageInterface_MntSendLog
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(Std_ReturnType, SwcDummyCpu0_CODE) ReportAlarmRunnable (P2CONST(AlarmInfoCore, AUTOMATIC, RTE_APPL_DATA) Rte_arg_info);

extern FUNC(void, SwcDummyCpu0_CODE) SwcDummyCpu0_10ms (void);

extern FUNC(void, SwcDummyCpu0_CODE) SwcDummyCpu0_Init (void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_SWCDUMMYCPU0_H */