/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_SwcRxHandlerCpu1.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < SwcRxHandlerCpu1 >
 *
 **************************************************************************/
#ifndef RTE_SWCRXHANDLERCPU1_H
#define RTE_SWCRXHANDLERCPU1_H

#define RTE_SWCRXHANDLERCPU1_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_SWCRXHANDLERCPU1_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SwcRxHandlerCpu1_10ms
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SwcRxHandlerCpu1_10ms */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SwcRxHandlerCpu1_Init
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SwcRxHandlerCpu1_Init */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_SwcRxHandlerCpu1_Type.h"
/* Version verification of the Rte_SwcRxHandlerCpu1_Type module */
#if ((RTE_SWCRXHANDLERCPU1_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWCRXHANDLERCPU1_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWCRXHANDLERCPU1_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_SwcRxHandlerCpu1_MemClasses.h"
/* Version verification of the Rte_SwcRxHandlerCpu1_MemClasses module */
#if ((RTE_SWCRXHANDLERCPU1_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWCRXHANDLERCPU1_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWCRXHANDLERCPU1_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_SwcRxHandlerCpu1_10ms SwcRxHandlerCpu1_10ms

#define RTE_RUNNABLE_SwcRxHandlerCpu1_Init SwcRxHandlerCpu1_Init

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_SwcRxHandlerCpu1_BareUdpData_R {
    Std_ReturnType (*Receive_BareUdpData)(P2VAR(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_SwcRxHandlerCpu1_BareUdpData_R *Rte_PortHandle_BareUdpData_R;
#endif

struct Rte_PDS_SwcRxHandlerCpu1_CanRawMsg_P {
    Std_ReturnType (*Send_CanRawMsg)(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_SwcRxHandlerCpu1_CanRawMsg_P *Rte_PortHandle_CanRawMsg_P;
#endif

struct Rte_PDS_SwcRxHandlerCpu1_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_SwcRxHandlerCpu1_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

struct Rte_CDS_SwcRxHandlerCpu1 {
    struct Rte_PDS_SwcRxHandlerCpu1_BareUdpData_R BareUdpIntf2App0;
    struct Rte_PDS_SwcRxHandlerCpu1_BareUdpData_R BareUdpIntf2App1;
    struct Rte_PDS_SwcRxHandlerCpu1_BareUdpData_R BareUdpIntf2App2;
    struct Rte_PDS_SwcRxHandlerCpu1_BareUdpData_R BareUdpIntf2App3;
    struct Rte_PDS_SwcRxHandlerCpu1_BareUdpData_R BareUdpIntf2App4;
    struct Rte_PDS_SwcRxHandlerCpu1_BareUdpData_R BareUdpIntf2App5;
    struct Rte_PDS_SwcRxHandlerCpu1_CanRawMsg_P swc_gp0_CAN11_Send;
    struct Rte_PDS_SwcRxHandlerCpu1_CanRawMsg_P swc_gp0_CAN6_Send;
    struct Rte_PDS_SwcRxHandlerCpu1_CanRawMsg_P swc_gp0_CAN7_Send;
    struct Rte_PDS_SwcRxHandlerCpu1_CanRawMsg_P swc_gp2_CAN0_Send;
    struct Rte_PDS_SwcRxHandlerCpu1_CanRawMsg_P swc_gp2_CAN1_Send;
    struct Rte_PDS_SwcRxHandlerCpu1_CanRawMsg_P swc_gp2_CAN9_Send;
    struct Rte_PDS_SwcRxHandlerCpu1_CanRawMsg_P swc_gp3_CAN2_Send;
    struct Rte_PDS_SwcRxHandlerCpu1_CanRawMsg_P swc_gp3_CAN3_Send;
    struct Rte_PDS_SwcRxHandlerCpu1_CanRawMsg_P swc_gp3_CAN4_Send;
    struct Rte_PDS_SwcRxHandlerCpu1_CanRawMsg_P swc_gp3_CAN5_Send;
    struct Rte_PDS_SwcRxHandlerCpu1_LogSwcMessageInterface_P LogSwcMessageInterface;
};
typedef struct Rte_CDS_SwcRxHandlerCpu1 Rte_CDS_SwcRxHandlerCpu1;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_SwcRxHandlerCpu1, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_SwcRxHandlerCpu1, RTE_CONST, RTE_CONST) Rte_Inst_SwcRxHandlerCpu1;

/* Sender-Receiver Required Port BareUdpIntf2App0 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_SwcRxHandlerCpu1_BareUdpIntf2App0_BareUdpData(P2VAR(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_BareUdpIntf2App0_BareUdpData Rte_Receive_SwcRxHandlerCpu1_BareUdpIntf2App0_BareUdpData
#endif

/* Sender-Receiver Required Port BareUdpIntf2App1 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_SwcRxHandlerCpu1_BareUdpIntf2App1_BareUdpData(P2VAR(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_BareUdpIntf2App1_BareUdpData Rte_Receive_SwcRxHandlerCpu1_BareUdpIntf2App1_BareUdpData
#endif

/* Sender-Receiver Required Port BareUdpIntf2App2 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_SwcRxHandlerCpu1_BareUdpIntf2App2_BareUdpData(P2VAR(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_BareUdpIntf2App2_BareUdpData Rte_Receive_SwcRxHandlerCpu1_BareUdpIntf2App2_BareUdpData
#endif

/* Sender-Receiver Required Port BareUdpIntf2App3 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_SwcRxHandlerCpu1_BareUdpIntf2App3_BareUdpData(P2VAR(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_BareUdpIntf2App3_BareUdpData Rte_Receive_SwcRxHandlerCpu1_BareUdpIntf2App3_BareUdpData
#endif

/* Sender-Receiver Required Port BareUdpIntf2App4 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_SwcRxHandlerCpu1_BareUdpIntf2App4_BareUdpData(P2VAR(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_BareUdpIntf2App4_BareUdpData Rte_Receive_SwcRxHandlerCpu1_BareUdpIntf2App4_BareUdpData
#endif

/* Sender-Receiver Required Port BareUdpIntf2App5 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_SwcRxHandlerCpu1_BareUdpIntf2App5_BareUdpData(P2VAR(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_BareUdpIntf2App5_BareUdpData Rte_Receive_SwcRxHandlerCpu1_BareUdpIntf2App5_BareUdpData
#endif

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcRxHandlerCpu1_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_SwcRxHandlerCpu1_LogSwcMessageInterface_MntSendLog
#endif

/* Sender-Receiver Provided Port swc_gp0_CAN11_Send */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcRxHandlerCpu1_swc_gp0_CAN11_Send_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_swc_gp0_CAN11_Send_CanRawMsg Rte_Send_SwcRxHandlerCpu1_swc_gp0_CAN11_Send_CanRawMsg
#endif

/* Sender-Receiver Provided Port swc_gp0_CAN6_Send */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcRxHandlerCpu1_swc_gp0_CAN6_Send_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_swc_gp0_CAN6_Send_CanRawMsg Rte_Send_SwcRxHandlerCpu1_swc_gp0_CAN6_Send_CanRawMsg
#endif

/* Sender-Receiver Provided Port swc_gp0_CAN7_Send */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcRxHandlerCpu1_swc_gp0_CAN7_Send_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_swc_gp0_CAN7_Send_CanRawMsg Rte_Send_SwcRxHandlerCpu1_swc_gp0_CAN7_Send_CanRawMsg
#endif

/* Sender-Receiver Provided Port swc_gp2_CAN0_Send */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcRxHandlerCpu1_swc_gp2_CAN0_Send_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_swc_gp2_CAN0_Send_CanRawMsg Rte_Send_SwcRxHandlerCpu1_swc_gp2_CAN0_Send_CanRawMsg
#endif

/* Sender-Receiver Provided Port swc_gp2_CAN1_Send */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcRxHandlerCpu1_swc_gp2_CAN1_Send_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_swc_gp2_CAN1_Send_CanRawMsg Rte_Send_SwcRxHandlerCpu1_swc_gp2_CAN1_Send_CanRawMsg
#endif

/* Sender-Receiver Provided Port swc_gp2_CAN9_Send */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcRxHandlerCpu1_swc_gp2_CAN9_Send_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_swc_gp2_CAN9_Send_CanRawMsg Rte_Send_SwcRxHandlerCpu1_swc_gp2_CAN9_Send_CanRawMsg
#endif

/* Sender-Receiver Provided Port swc_gp3_CAN2_Send */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcRxHandlerCpu1_swc_gp3_CAN2_Send_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_swc_gp3_CAN2_Send_CanRawMsg Rte_Send_SwcRxHandlerCpu1_swc_gp3_CAN2_Send_CanRawMsg
#endif

/* Sender-Receiver Provided Port swc_gp3_CAN3_Send */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcRxHandlerCpu1_swc_gp3_CAN3_Send_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_swc_gp3_CAN3_Send_CanRawMsg Rte_Send_SwcRxHandlerCpu1_swc_gp3_CAN3_Send_CanRawMsg
#endif

/* Sender-Receiver Provided Port swc_gp3_CAN4_Send */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcRxHandlerCpu1_swc_gp3_CAN4_Send_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_swc_gp3_CAN4_Send_CanRawMsg Rte_Send_SwcRxHandlerCpu1_swc_gp3_CAN4_Send_CanRawMsg
#endif

/* Sender-Receiver Provided Port swc_gp3_CAN5_Send */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_SwcRxHandlerCpu1_swc_gp3_CAN5_Send_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_swc_gp3_CAN5_Send_CanRawMsg Rte_Send_SwcRxHandlerCpu1_swc_gp3_CAN5_Send_CanRawMsg
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, SwcRxHandlerCpu1_CODE) SwcRxHandlerCpu1_10ms (void);

extern FUNC(void, SwcRxHandlerCpu1_CODE) SwcRxHandlerCpu1_Init (void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_SWCRXHANDLERCPU1_H */