/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_Types_serialization.h
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/
#ifndef RTE_TYPES_SERIALIZATION_H
#define RTE_TYPES_SERIALIZATION_H

#define RTE_TYPES_SERIALIZATION_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_TYPES_SERIALIZATION_AR_RELEASE_MINOR_VERSION 4U

#include "Rte_Type.h"
/* Version verification of the Rte_Type module */
#if ((RTE_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Endianess.h"
/* Version verification of the Rte_Endianess module */
#if ((RTE_ENDIANESS_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_ENDIANESS_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_ENDIANESS module version is incompatible, there may be problems.
#endif

#ifndef E_SER_GENERIC_ERROR
#define E_SER_GENERIC_ERROR (0x81U)
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"

/***************************************************************************
 *
 * Primitive types
 *
 **************************************************************************/

/***************************************************************************
 *
 * Complex types
 *
 **************************************************************************/

/***************************************************************************
 *
 * Application complex types
 *
 **************************************************************************/

#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* TYPE_SERIALIZATION_H */