/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_WdgM_CORE0.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < WdgM_CORE0 >
 *
 **************************************************************************/
#ifndef RTE_WDGM_CORE0_H
#define RTE_WDGM_CORE0_H

#define RTE_WDGM_CORE0_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_WDGM_CORE0_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_WdgM_CORE0_Type.h"
/* Version verification of the Rte_WdgM_CORE0_Type module */
#if ((RTE_WDGM_CORE0_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_WDGM_CORE0_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_WDGM_CORE0_TYPE module version is incompatible, there may be problems.
#endif
#include "WdgM.h"
#include "Rte_WdgM_CORE0_MemClasses.h"
/* Version verification of the Rte_WdgM_CORE0_MemClasses module */
#if ((RTE_WDGM_CORE0_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_WDGM_CORE0_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_WDGM_CORE0_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Rte_operation_applicationError Predefined Error Codes
 *
 **************************************************************************/
#if (!defined RTE_E_WdgM_GlobalSupervision_E_NOT_OK)
#define RTE_E_WdgM_GlobalSupervision_E_NOT_OK 1U
#endif
#if (!defined RTE_E_WdgM_LocalSupervisionStatus_E_NOT_OK)
#define RTE_E_WdgM_LocalSupervisionStatus_E_NOT_OK 1U
#endif
#if (!defined RTE_E_WdgM_LocalSupervision_E_NOT_OK)
#define RTE_E_WdgM_LocalSupervision_E_NOT_OK 1U
#endif

/* Mode Provided Port globalmode_CORE0 */
/***************************************************************************
 *
 * Rte Mode Switch APIs
 *
 **************************************************************************/
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Switch_WdgM_CORE0_globalmode_CORE0_currentMode(VAR(uint8, AUTOMATIC) modeParameter);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#if ( \
        (!defined RTE_RUNNABLEAPI_WdgM_CheckpointReached) && \
        (!defined RTE_RUNNABLEAPI_WdgM_GetFirstExpiredSEID) && \
        (!defined RTE_RUNNABLEAPI_WdgM_GetGlobalStatus) && \
        (!defined RTE_RUNNABLEAPI_WdgM_GetLocalStatus) && \
        (!defined RTE_RUNNABLEAPI_WdgM_GetMode) && \
        (!defined RTE_RUNNABLEAPI_WdgM_PerformReset) && \
        (!defined RTE_RUNNABLEAPI_WdgM_SetMode) \
)
#define Rte_Switch_globalmode_CORE0_currentMode Rte_Switch_WdgM_CORE0_globalmode_CORE0_currentMode
#endif
#endif

/* Mode Provided Port mode_WdgMSE_Adas_D_10ms_High */
/***************************************************************************
 *
 * Rte Mode Switch APIs
 *
 **************************************************************************/
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Switch_WdgM_CORE0_mode_WdgMSE_Adas_D_10ms_High_currentMode(VAR(uint8, AUTOMATIC) modeParameter);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#if ( \
        (!defined RTE_RUNNABLEAPI_WdgM_CheckpointReached) && \
        (!defined RTE_RUNNABLEAPI_WdgM_GetFirstExpiredSEID) && \
        (!defined RTE_RUNNABLEAPI_WdgM_GetGlobalStatus) && \
        (!defined RTE_RUNNABLEAPI_WdgM_GetLocalStatus) && \
        (!defined RTE_RUNNABLEAPI_WdgM_GetMode) && \
        (!defined RTE_RUNNABLEAPI_WdgM_PerformReset) && \
        (!defined RTE_RUNNABLEAPI_WdgM_SetMode) \
)
#define Rte_Switch_mode_WdgMSE_Adas_D_10ms_High_currentMode Rte_Switch_WdgM_CORE0_mode_WdgMSE_Adas_D_10ms_High_currentMode
#endif
#endif

/* Mode Provided Port mode_WdgMSE_Adas_D_20ms_Middle */
/***************************************************************************
 *
 * Rte Mode Switch APIs
 *
 **************************************************************************/
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Switch_WdgM_CORE0_mode_WdgMSE_Adas_D_20ms_Middle_currentMode(VAR(uint8, AUTOMATIC) modeParameter);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#if ( \
        (!defined RTE_RUNNABLEAPI_WdgM_CheckpointReached) && \
        (!defined RTE_RUNNABLEAPI_WdgM_GetFirstExpiredSEID) && \
        (!defined RTE_RUNNABLEAPI_WdgM_GetGlobalStatus) && \
        (!defined RTE_RUNNABLEAPI_WdgM_GetLocalStatus) && \
        (!defined RTE_RUNNABLEAPI_WdgM_GetMode) && \
        (!defined RTE_RUNNABLEAPI_WdgM_PerformReset) && \
        (!defined RTE_RUNNABLEAPI_WdgM_SetMode) \
)
#define Rte_Switch_mode_WdgMSE_Adas_D_20ms_Middle_currentMode Rte_Switch_WdgM_CORE0_mode_WdgMSE_Adas_D_20ms_Middle_currentMode
#endif
#endif

/* Mode Provided Port mode_WdgMSE_Adas_D_50ms_Middle */
/***************************************************************************
 *
 * Rte Mode Switch APIs
 *
 **************************************************************************/
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Switch_WdgM_CORE0_mode_WdgMSE_Adas_D_50ms_Middle_currentMode(VAR(uint8, AUTOMATIC) modeParameter);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#if ( \
        (!defined RTE_RUNNABLEAPI_WdgM_CheckpointReached) && \
        (!defined RTE_RUNNABLEAPI_WdgM_GetFirstExpiredSEID) && \
        (!defined RTE_RUNNABLEAPI_WdgM_GetGlobalStatus) && \
        (!defined RTE_RUNNABLEAPI_WdgM_GetLocalStatus) && \
        (!defined RTE_RUNNABLEAPI_WdgM_GetMode) && \
        (!defined RTE_RUNNABLEAPI_WdgM_PerformReset) && \
        (!defined RTE_RUNNABLEAPI_WdgM_SetMode) \
)
#define Rte_Switch_mode_WdgMSE_Adas_D_50ms_Middle_currentMode Rte_Switch_WdgM_CORE0_mode_WdgMSE_Adas_D_50ms_Middle_currentMode
#endif
#endif

/* Mode Provided Port mode_WdgMSE_FM */
/***************************************************************************
 *
 * Rte Mode Switch APIs
 *
 **************************************************************************/
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Switch_WdgM_CORE0_mode_WdgMSE_FM_currentMode(VAR(uint8, AUTOMATIC) modeParameter);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#if ( \
        (!defined RTE_RUNNABLEAPI_WdgM_CheckpointReached) && \
        (!defined RTE_RUNNABLEAPI_WdgM_GetFirstExpiredSEID) && \
        (!defined RTE_RUNNABLEAPI_WdgM_GetGlobalStatus) && \
        (!defined RTE_RUNNABLEAPI_WdgM_GetLocalStatus) && \
        (!defined RTE_RUNNABLEAPI_WdgM_GetMode) && \
        (!defined RTE_RUNNABLEAPI_WdgM_PerformReset) && \
        (!defined RTE_RUNNABLEAPI_WdgM_SetMode) \
)
#define Rte_Switch_mode_WdgMSE_FM_currentMode Rte_Switch_WdgM_CORE0_mode_WdgMSE_FM_currentMode
#endif
#endif

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_WDGM_CORE0_H */