/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_cdd_datacenter_core1.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < cdd_datacenter_core1 >
 *
 **************************************************************************/
#ifndef RTE_CDD_DATACENTER_CORE1_H
#define RTE_CDD_DATACENTER_CORE1_H

#define RTE_CDD_DATACENTER_CORE1_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_CDD_DATACENTER_CORE1_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_IntfAppCanMsgRunnable_Core1
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_IntfAppCanMsgRunnable_Core1 */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_IntfBareUdpRunable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_IntfBareUdpRunable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_IntfPriorityReserveRunnable_Core1
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_IntfPriorityReserveRunnable_Core1 */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_IntfSomeipMsgRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_IntfSomeipMsgRunnable */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_cdd_datacenter_core1_Type.h"
/* Version verification of the Rte_cdd_datacenter_core1_Type module */
#if ((RTE_CDD_DATACENTER_CORE1_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CDD_DATACENTER_CORE1_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CDD_DATACENTER_CORE1_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_cdd_datacenter_core1_MemClasses.h"
/* Version verification of the Rte_cdd_datacenter_core1_MemClasses module */
#if ((RTE_CDD_DATACENTER_CORE1_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CDD_DATACENTER_CORE1_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CDD_DATACENTER_CORE1_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_IntfAppCanMsgRunnable_Core1 IntfAppCanMsgRunnable_Core1

#define RTE_RUNNABLE_IntfBareUdpRunable IntfBareUdpRunable

#define RTE_RUNNABLE_IntfPriorityReserveRunnable_Core1 IntfPriorityReserveRunnable_Core1

#define RTE_RUNNABLE_IntfSomeipMsgRunnable IntfSomeipMsgRunnable

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_cdd_datacenter_core1_BareUdpData_P {
    Std_ReturnType (*Send_BareUdpData)(P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core1_BareUdpData_P *Rte_PortHandle_BareUdpData_P;
#endif

struct Rte_PDS_cdd_datacenter_core1_BareUdpData_R {
    Std_ReturnType (*Receive_BareUdpData)(P2VAR(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core1_BareUdpData_R *Rte_PortHandle_BareUdpData_R;
#endif

struct Rte_PDS_cdd_datacenter_core1_CanRawMsg_P {
    Std_ReturnType (*Send_CanRawMsg)(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core1_CanRawMsg_P *Rte_PortHandle_CanRawMsg_P;
#endif

struct Rte_PDS_cdd_datacenter_core1_Mcu2SocSomeip0_P {
    Std_ReturnType (*Send_data)(P2CONST(SomeipDynPayloadType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_data);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core1_Mcu2SocSomeip0_P *Rte_PortHandle_Mcu2SocSomeip0_P;
#endif

struct Rte_PDS_cdd_datacenter_core1_Soc2McuSomeip0_R {
    Std_ReturnType (*Receive_data)(P2VAR(SomeipDynPayloadType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_data);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core1_Soc2McuSomeip0_R *Rte_PortHandle_Soc2McuSomeip0_R;
#endif

struct Rte_CDS_cdd_datacenter_core1 {
    struct Rte_PDS_cdd_datacenter_core1_BareUdpData_P Intf2AppTxUdp0;
    struct Rte_PDS_cdd_datacenter_core1_BareUdpData_P Intf2AppTxUdp1;
    struct Rte_PDS_cdd_datacenter_core1_BareUdpData_P Intf2AppTxUdp2;
    struct Rte_PDS_cdd_datacenter_core1_BareUdpData_P Intf2AppTxUdp3;
    struct Rte_PDS_cdd_datacenter_core1_BareUdpData_P Intf2AppTxUdp4;
    struct Rte_PDS_cdd_datacenter_core1_BareUdpData_P Intf2AppTxUdp5;
    struct Rte_PDS_cdd_datacenter_core1_BareUdpData_R App2IntfUdp0;
    struct Rte_PDS_cdd_datacenter_core1_BareUdpData_R App2IntfUdp1;
    struct Rte_PDS_cdd_datacenter_core1_BareUdpData_R App2IntfUdp2;
    struct Rte_PDS_cdd_datacenter_core1_BareUdpData_R App2IntfUdp4;
    struct Rte_PDS_cdd_datacenter_core1_BareUdpData_R App2IntfUdp5;
    struct Rte_PDS_cdd_datacenter_core1_CanRawMsg_P CanMsgDn0_Core1;
    struct Rte_PDS_cdd_datacenter_core1_CanRawMsg_P CanMsgDn3_Core1;
    struct Rte_PDS_cdd_datacenter_core1_CanRawMsg_P CanMsgDn4_Core1;
    struct Rte_PDS_cdd_datacenter_core1_CanRawMsg_P CanMsgDn5_Core1;
    struct Rte_PDS_cdd_datacenter_core1_CanRawMsg_P CanMsgDn7_Core1;
    struct Rte_PDS_cdd_datacenter_core1_Mcu2SocSomeip0_P Mcu2SocSomeip0;
    struct Rte_PDS_cdd_datacenter_core1_Soc2McuSomeip0_R Soc2McuSomeip0;
};
typedef struct Rte_CDS_cdd_datacenter_core1 Rte_CDS_cdd_datacenter_core1;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_cdd_datacenter_core1, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_cdd_datacenter_core1, RTE_CONST, RTE_CONST) Rte_Inst_cdd_datacenter_core1;

/* Sender-Receiver Required Port App2IntfUdp0 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core1_App2IntfUdp0_BareUdpData(P2VAR(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_App2IntfUdp0_BareUdpData Rte_Receive_cdd_datacenter_core1_App2IntfUdp0_BareUdpData
#endif

/* Sender-Receiver Required Port App2IntfUdp1 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core1_App2IntfUdp1_BareUdpData(P2VAR(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_App2IntfUdp1_BareUdpData Rte_Receive_cdd_datacenter_core1_App2IntfUdp1_BareUdpData
#endif

/* Sender-Receiver Required Port App2IntfUdp2 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core1_App2IntfUdp2_BareUdpData(P2VAR(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_App2IntfUdp2_BareUdpData Rte_Receive_cdd_datacenter_core1_App2IntfUdp2_BareUdpData
#endif

/* Sender-Receiver Required Port App2IntfUdp4 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core1_App2IntfUdp4_BareUdpData(P2VAR(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_App2IntfUdp4_BareUdpData Rte_Receive_cdd_datacenter_core1_App2IntfUdp4_BareUdpData
#endif

/* Sender-Receiver Required Port App2IntfUdp5 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core1_App2IntfUdp5_BareUdpData(P2VAR(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_App2IntfUdp5_BareUdpData Rte_Receive_cdd_datacenter_core1_App2IntfUdp5_BareUdpData
#endif

/* Sender-Receiver Provided Port CanMsgDn0_Core1 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core1_CanMsgDn0_Core1_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CanMsgDn0_Core1_CanRawMsg Rte_Send_cdd_datacenter_core1_CanMsgDn0_Core1_CanRawMsg
#endif

/* Sender-Receiver Provided Port CanMsgDn3_Core1 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core1_CanMsgDn3_Core1_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CanMsgDn3_Core1_CanRawMsg Rte_Send_cdd_datacenter_core1_CanMsgDn3_Core1_CanRawMsg
#endif

/* Sender-Receiver Provided Port CanMsgDn4_Core1 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core1_CanMsgDn4_Core1_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CanMsgDn4_Core1_CanRawMsg Rte_Send_cdd_datacenter_core1_CanMsgDn4_Core1_CanRawMsg
#endif

/* Sender-Receiver Provided Port CanMsgDn5_Core1 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core1_CanMsgDn5_Core1_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CanMsgDn5_Core1_CanRawMsg Rte_Send_cdd_datacenter_core1_CanMsgDn5_Core1_CanRawMsg
#endif

/* Sender-Receiver Provided Port CanMsgDn7_Core1 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core1_CanMsgDn7_Core1_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CanMsgDn7_Core1_CanRawMsg Rte_Send_cdd_datacenter_core1_CanMsgDn7_Core1_CanRawMsg
#endif

/* Sender-Receiver Provided Port Intf2AppTxUdp0 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core1_Intf2AppTxUdp0_BareUdpData(P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_Intf2AppTxUdp0_BareUdpData Rte_Send_cdd_datacenter_core1_Intf2AppTxUdp0_BareUdpData
#endif

/* Sender-Receiver Provided Port Intf2AppTxUdp1 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core1_Intf2AppTxUdp1_BareUdpData(P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_Intf2AppTxUdp1_BareUdpData Rte_Send_cdd_datacenter_core1_Intf2AppTxUdp1_BareUdpData
#endif

/* Sender-Receiver Provided Port Intf2AppTxUdp2 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core1_Intf2AppTxUdp2_BareUdpData(P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_Intf2AppTxUdp2_BareUdpData Rte_Send_cdd_datacenter_core1_Intf2AppTxUdp2_BareUdpData
#endif

/* Sender-Receiver Provided Port Intf2AppTxUdp3 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core1_Intf2AppTxUdp3_BareUdpData(P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_Intf2AppTxUdp3_BareUdpData Rte_Send_cdd_datacenter_core1_Intf2AppTxUdp3_BareUdpData
#endif

/* Sender-Receiver Provided Port Intf2AppTxUdp4 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core1_Intf2AppTxUdp4_BareUdpData(P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_Intf2AppTxUdp4_BareUdpData Rte_Send_cdd_datacenter_core1_Intf2AppTxUdp4_BareUdpData
#endif

/* Sender-Receiver Provided Port Intf2AppTxUdp5 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core1_Intf2AppTxUdp5_BareUdpData(P2CONST(BareUdpDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_BareUdpData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_Intf2AppTxUdp5_BareUdpData Rte_Send_cdd_datacenter_core1_Intf2AppTxUdp5_BareUdpData
#endif

/* Sender-Receiver Provided Port Mcu2SocSomeip0 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core1_Mcu2SocSomeip0_data(P2CONST(SomeipDynPayloadType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_data);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_Mcu2SocSomeip0_data Rte_Send_cdd_datacenter_core1_Mcu2SocSomeip0_data
#endif

/* Sender-Receiver Required Port Soc2McuSomeip0 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core1_Soc2McuSomeip0_data(P2VAR(SomeipDynPayloadType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_data);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_Soc2McuSomeip0_data Rte_Receive_cdd_datacenter_core1_Soc2McuSomeip0_data
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, cdd_datacenter_core1_CODE) IntfAppCanMsgRunnable_Core1 (void);

extern FUNC(void, cdd_datacenter_core1_CODE) IntfBareUdpRunable (void);

extern FUNC(void, cdd_datacenter_core1_CODE) IntfPriorityReserveRunnable_Core1 (void);

extern FUNC(void, cdd_datacenter_core1_CODE) IntfSomeipMsgRunnable (void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_CDD_DATACENTER_CORE1_H */