/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_cdd_datacenter_core3.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < cdd_datacenter_core3 >
 *
 **************************************************************************/
#ifndef RTE_CDD_DATACENTER_CORE3_H
#define RTE_CDD_DATACENTER_CORE3_H

#define RTE_CDD_DATACENTER_CORE3_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_CDD_DATACENTER_CORE3_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_IntfAppCanMsgRunnable_Core3
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_IntfAppCanMsgRunnable_Core3 */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_IntfCanTpMsgRunnable_Core3
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_IntfCanTpMsgRunnable_Core3 */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_IntfPriorityReserveRunnable_Core3
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_IntfPriorityReserveRunnable_Core3 */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_cdd_datacenter_core3_Type.h"
/* Version verification of the Rte_cdd_datacenter_core3_Type module */
#if ((RTE_CDD_DATACENTER_CORE3_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CDD_DATACENTER_CORE3_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CDD_DATACENTER_CORE3_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_cdd_datacenter_core3_MemClasses.h"
/* Version verification of the Rte_cdd_datacenter_core3_MemClasses module */
#if ((RTE_CDD_DATACENTER_CORE3_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CDD_DATACENTER_CORE3_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CDD_DATACENTER_CORE3_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_IntfAppCanMsgRunnable_Core3 IntfAppCanMsgRunnable_Core3

#define RTE_RUNNABLE_IntfCanTpMsgRunnable_Core3 IntfCanTpMsgRunnable_Core3

#define RTE_RUNNABLE_IntfPriorityReserveRunnable_Core3 IntfPriorityReserveRunnable_Core3

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_cdd_datacenter_core3_CanRawMsg_P {
    Std_ReturnType (*Send_CanRawMsg)(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core3_CanRawMsg_P *Rte_PortHandle_CanRawMsg_P;
#endif

struct Rte_PDS_cdd_datacenter_core3_CanRawMsg_R {
    Std_ReturnType (*Receive_CanRawMsg)(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core3_CanRawMsg_R *Rte_PortHandle_CanRawMsg_R;
#endif

struct Rte_PDS_cdd_datacenter_core3_CanTpMsg_P {
    Std_ReturnType (*Send_CanTpMsg)(P2CONST(IntfCommWithAppType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanTpMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core3_CanTpMsg_P *Rte_PortHandle_CanTpMsg_P;
#endif

struct Rte_PDS_cdd_datacenter_core3_CanTpMsg_R {
    Std_ReturnType (*Receive_CanTpMsg)(P2VAR(IntfCommWithAppType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanTpMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core3_CanTpMsg_R *Rte_PortHandle_CanTpMsg_R;
#endif

struct Rte_CDS_cdd_datacenter_core3 {
    struct Rte_PDS_cdd_datacenter_core3_CanRawMsg_P CanMsgUp2_Core3;
    struct Rte_PDS_cdd_datacenter_core3_CanRawMsg_P CanMsgUp3_Core3;
    struct Rte_PDS_cdd_datacenter_core3_CanRawMsg_P CanMsgUp4_Core3;
    struct Rte_PDS_cdd_datacenter_core3_CanRawMsg_P CanMsgUp5_Core3;
    struct Rte_PDS_cdd_datacenter_core3_CanRawMsg_R CanMsgDn2_Core3;
    struct Rte_PDS_cdd_datacenter_core3_CanRawMsg_R CanMsgDn3_Core3;
    struct Rte_PDS_cdd_datacenter_core3_CanRawMsg_R CanMsgDn4_Core3;
    struct Rte_PDS_cdd_datacenter_core3_CanRawMsg_R CanMsgDn5_Core3;
    struct Rte_PDS_cdd_datacenter_core3_CanTpMsg_P CanTpIntf2App_Core3;
    struct Rte_PDS_cdd_datacenter_core3_CanTpMsg_R CanTpApp2Intf_Core3;
};
typedef struct Rte_CDS_cdd_datacenter_core3 Rte_CDS_cdd_datacenter_core3;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_cdd_datacenter_core3, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_cdd_datacenter_core3, RTE_CONST, RTE_CONST) Rte_Inst_cdd_datacenter_core3;

/* Sender-Receiver Required Port CanMsgDn2_Core3 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core3_CanMsgDn2_Core3_CanRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_CanMsgDn2_Core3_CanRawMsg Rte_Receive_cdd_datacenter_core3_CanMsgDn2_Core3_CanRawMsg
#endif

/* Sender-Receiver Required Port CanMsgDn3_Core3 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core3_CanMsgDn3_Core3_CanRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_CanMsgDn3_Core3_CanRawMsg Rte_Receive_cdd_datacenter_core3_CanMsgDn3_Core3_CanRawMsg
#endif

/* Sender-Receiver Required Port CanMsgDn4_Core3 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core3_CanMsgDn4_Core3_CanRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_CanMsgDn4_Core3_CanRawMsg Rte_Receive_cdd_datacenter_core3_CanMsgDn4_Core3_CanRawMsg
#endif

/* Sender-Receiver Required Port CanMsgDn5_Core3 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core3_CanMsgDn5_Core3_CanRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_CanMsgDn5_Core3_CanRawMsg Rte_Receive_cdd_datacenter_core3_CanMsgDn5_Core3_CanRawMsg
#endif

/* Sender-Receiver Provided Port CanMsgUp2_Core3 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core3_CanMsgUp2_Core3_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CanMsgUp2_Core3_CanRawMsg Rte_Send_cdd_datacenter_core3_CanMsgUp2_Core3_CanRawMsg
#endif

/* Sender-Receiver Provided Port CanMsgUp3_Core3 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core3_CanMsgUp3_Core3_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CanMsgUp3_Core3_CanRawMsg Rte_Send_cdd_datacenter_core3_CanMsgUp3_Core3_CanRawMsg
#endif

/* Sender-Receiver Provided Port CanMsgUp4_Core3 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core3_CanMsgUp4_Core3_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CanMsgUp4_Core3_CanRawMsg Rte_Send_cdd_datacenter_core3_CanMsgUp4_Core3_CanRawMsg
#endif

/* Sender-Receiver Provided Port CanMsgUp5_Core3 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core3_CanMsgUp5_Core3_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CanMsgUp5_Core3_CanRawMsg Rte_Send_cdd_datacenter_core3_CanMsgUp5_Core3_CanRawMsg
#endif

/* Sender-Receiver Required Port CanTpApp2Intf_Core3 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core3_CanTpApp2Intf_Core3_CanTpMsg(P2VAR(IntfCommWithAppType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanTpMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_CanTpApp2Intf_Core3_CanTpMsg Rte_Receive_cdd_datacenter_core3_CanTpApp2Intf_Core3_CanTpMsg
#endif

/* Sender-Receiver Provided Port CanTpIntf2App_Core3 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core3_CanTpIntf2App_Core3_CanTpMsg(P2CONST(IntfCommWithAppType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanTpMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CanTpIntf2App_Core3_CanTpMsg Rte_Send_cdd_datacenter_core3_CanTpIntf2App_Core3_CanTpMsg
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, cdd_datacenter_core3_CODE) IntfAppCanMsgRunnable_Core3 (void);

extern FUNC(void, cdd_datacenter_core3_CODE) IntfCanTpMsgRunnable_Core3 (void);

extern FUNC(void, cdd_datacenter_core3_CODE) IntfPriorityReserveRunnable_Core3 (void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_CDD_DATACENTER_CORE3_H */