/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_cdd_datacenter_core4.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < cdd_datacenter_core4 >
 *
 **************************************************************************/
#ifndef RTE_CDD_DATACENTER_CORE4_H
#define RTE_CDD_DATACENTER_CORE4_H

#define RTE_CDD_DATACENTER_CORE4_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_CDD_DATACENTER_CORE4_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_IntfAppCanMsgRunnable_Core4
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_IntfAppCanMsgRunnable_Core4 */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_IntfCanTpMsgRunnable_Core4
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_IntfCanTpMsgRunnable_Core4 */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_IntfPriorityReserveRunnable_Core4
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_IntfPriorityReserveRunnable_Core4 */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_cdd_datacenter_core4_Type.h"
/* Version verification of the Rte_cdd_datacenter_core4_Type module */
#if ((RTE_CDD_DATACENTER_CORE4_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CDD_DATACENTER_CORE4_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CDD_DATACENTER_CORE4_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_cdd_datacenter_core4_MemClasses.h"
/* Version verification of the Rte_cdd_datacenter_core4_MemClasses module */
#if ((RTE_CDD_DATACENTER_CORE4_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CDD_DATACENTER_CORE4_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CDD_DATACENTER_CORE4_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_IntfAppCanMsgRunnable_Core4 IntfAppCanMsgRunnable_Core4

#define RTE_RUNNABLE_IntfCanTpMsgRunnable_Core4 IntfCanTpMsgRunnable_Core4

#define RTE_RUNNABLE_IntfPriorityReserveRunnable_Core4 IntfPriorityReserveRunnable_Core4

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_cdd_datacenter_core4_CanMsgDn11_R {
    Std_ReturnType (*Receive_canRawMsg)(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core4_CanMsgDn11_R *Rte_PortHandle_CanMsgDn11_R;
#endif

struct Rte_PDS_cdd_datacenter_core4_CanMsgDn4_R {
    Std_ReturnType (*Receive_canRawMsg)(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core4_CanMsgDn4_R *Rte_PortHandle_CanMsgDn4_R;
#endif

struct Rte_PDS_cdd_datacenter_core4_CanMsgDn5_R {
    Std_ReturnType (*Receive_canRawMsg)(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core4_CanMsgDn5_R *Rte_PortHandle_CanMsgDn5_R;
#endif

struct Rte_PDS_cdd_datacenter_core4_CanMsgDn9_R {
    Std_ReturnType (*Receive_canRawMsg)(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core4_CanMsgDn9_R *Rte_PortHandle_CanMsgDn9_R;
#endif

struct Rte_PDS_cdd_datacenter_core4_CanMsgUp11_P {
    Std_ReturnType (*Send_canRawMsg)(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core4_CanMsgUp11_P *Rte_PortHandle_CanMsgUp11_P;
#endif

struct Rte_PDS_cdd_datacenter_core4_CanMsgUp4_P {
    Std_ReturnType (*Send_canRawMsg)(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core4_CanMsgUp4_P *Rte_PortHandle_CanMsgUp4_P;
#endif

struct Rte_PDS_cdd_datacenter_core4_CanMsgUp5_P {
    Std_ReturnType (*Send_canRawMsg)(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core4_CanMsgUp5_P *Rte_PortHandle_CanMsgUp5_P;
#endif

struct Rte_PDS_cdd_datacenter_core4_CanMsgUp9_P {
    Std_ReturnType (*Send_canRawMsg)(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core4_CanMsgUp9_P *Rte_PortHandle_CanMsgUp9_P;
#endif

struct Rte_PDS_cdd_datacenter_core4_CanRawMsg_P {
    Std_ReturnType (*Send_CanRawMsg)(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core4_CanRawMsg_P *Rte_PortHandle_CanRawMsg_P;
#endif

struct Rte_PDS_cdd_datacenter_core4_CanRawMsg_R {
    Std_ReturnType (*Receive_CanRawMsg)(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core4_CanRawMsg_R *Rte_PortHandle_CanRawMsg_R;
#endif

struct Rte_PDS_cdd_datacenter_core4_CanTpMsg_P {
    Std_ReturnType (*Send_CanTpMsg)(P2CONST(IntfCommWithAppType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanTpMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core4_CanTpMsg_P *Rte_PortHandle_CanTpMsg_P;
#endif

struct Rte_PDS_cdd_datacenter_core4_CanTpMsg_R {
    Std_ReturnType (*Receive_CanTpMsg)(P2VAR(IntfCommWithAppType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanTpMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_datacenter_core4_CanTpMsg_R *Rte_PortHandle_CanTpMsg_R;
#endif

struct Rte_CDS_cdd_datacenter_core4 {
    struct Rte_PDS_cdd_datacenter_core4_CanMsgDn11_R canMsgDn11_Core4;
    struct Rte_PDS_cdd_datacenter_core4_CanMsgDn4_R canMsgDn4_Core4;
    struct Rte_PDS_cdd_datacenter_core4_CanMsgDn5_R canMsgDn5_Core4;
    struct Rte_PDS_cdd_datacenter_core4_CanMsgDn9_R canMsgDn9_Core4;
    struct Rte_PDS_cdd_datacenter_core4_CanMsgUp11_P canMsgUp11_Core4;
    struct Rte_PDS_cdd_datacenter_core4_CanMsgUp4_P canMsgUp4_Core4;
    struct Rte_PDS_cdd_datacenter_core4_CanMsgUp5_P canMsgUp5_Core4;
    struct Rte_PDS_cdd_datacenter_core4_CanMsgUp9_P canMsgUp9_Core4;
    struct Rte_PDS_cdd_datacenter_core4_CanRawMsg_P CanMsgUp11_Core4;
    struct Rte_PDS_cdd_datacenter_core4_CanRawMsg_P CanMsgUp4_Core4;
    struct Rte_PDS_cdd_datacenter_core4_CanRawMsg_P CanMsgUp5_Core4;
    struct Rte_PDS_cdd_datacenter_core4_CanRawMsg_P CanMsgUp9_Core4;
    struct Rte_PDS_cdd_datacenter_core4_CanRawMsg_R CanMsgDn11_Core4;
    struct Rte_PDS_cdd_datacenter_core4_CanRawMsg_R CanMsgDn4_Core4;
    struct Rte_PDS_cdd_datacenter_core4_CanRawMsg_R CanMsgDn5_Core4;
    struct Rte_PDS_cdd_datacenter_core4_CanRawMsg_R CanMsgDn9_Core4;
    struct Rte_PDS_cdd_datacenter_core4_CanTpMsg_P CanTpIntf2App_Core4;
    struct Rte_PDS_cdd_datacenter_core4_CanTpMsg_R CanTpApp2Intf_Core4;
};
typedef struct Rte_CDS_cdd_datacenter_core4 Rte_CDS_cdd_datacenter_core4;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_cdd_datacenter_core4, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_cdd_datacenter_core4, RTE_CONST, RTE_CONST) Rte_Inst_cdd_datacenter_core4;

/* Sender-Receiver Required Port CanMsgDn11_Core4 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core4_CanMsgDn11_Core4_CanRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_CanMsgDn11_Core4_CanRawMsg Rte_Receive_cdd_datacenter_core4_CanMsgDn11_Core4_CanRawMsg
#endif

/* Sender-Receiver Required Port CanMsgDn4_Core4 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core4_CanMsgDn4_Core4_CanRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_CanMsgDn4_Core4_CanRawMsg Rte_Receive_cdd_datacenter_core4_CanMsgDn4_Core4_CanRawMsg
#endif

/* Sender-Receiver Required Port CanMsgDn5_Core4 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core4_CanMsgDn5_Core4_CanRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_CanMsgDn5_Core4_CanRawMsg Rte_Receive_cdd_datacenter_core4_CanMsgDn5_Core4_CanRawMsg
#endif

/* Sender-Receiver Required Port CanMsgDn9_Core4 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core4_CanMsgDn9_Core4_CanRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_CanMsgDn9_Core4_CanRawMsg Rte_Receive_cdd_datacenter_core4_CanMsgDn9_Core4_CanRawMsg
#endif

/* Sender-Receiver Provided Port CanMsgUp11_Core4 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core4_CanMsgUp11_Core4_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CanMsgUp11_Core4_CanRawMsg Rte_Send_cdd_datacenter_core4_CanMsgUp11_Core4_CanRawMsg
#endif

/* Sender-Receiver Provided Port CanMsgUp4_Core4 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core4_CanMsgUp4_Core4_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CanMsgUp4_Core4_CanRawMsg Rte_Send_cdd_datacenter_core4_CanMsgUp4_Core4_CanRawMsg
#endif

/* Sender-Receiver Provided Port CanMsgUp5_Core4 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core4_CanMsgUp5_Core4_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CanMsgUp5_Core4_CanRawMsg Rte_Send_cdd_datacenter_core4_CanMsgUp5_Core4_CanRawMsg
#endif

/* Sender-Receiver Provided Port CanMsgUp9_Core4 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core4_CanMsgUp9_Core4_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CanMsgUp9_Core4_CanRawMsg Rte_Send_cdd_datacenter_core4_CanMsgUp9_Core4_CanRawMsg
#endif

/* Sender-Receiver Required Port CanTpApp2Intf_Core4 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core4_CanTpApp2Intf_Core4_CanTpMsg(P2VAR(IntfCommWithAppType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanTpMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_CanTpApp2Intf_Core4_CanTpMsg Rte_Receive_cdd_datacenter_core4_CanTpApp2Intf_Core4_CanTpMsg
#endif

/* Sender-Receiver Provided Port CanTpIntf2App_Core4 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core4_CanTpIntf2App_Core4_CanTpMsg(P2CONST(IntfCommWithAppType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanTpMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CanTpIntf2App_Core4_CanTpMsg Rte_Send_cdd_datacenter_core4_CanTpIntf2App_Core4_CanTpMsg
#endif

/* Sender-Receiver Required Port canMsgDn11_Core4 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core4_canMsgDn11_Core4_canRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_canMsgDn11_Core4_canRawMsg Rte_Receive_cdd_datacenter_core4_canMsgDn11_Core4_canRawMsg
#endif

/* Sender-Receiver Required Port canMsgDn4_Core4 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core4_canMsgDn4_Core4_canRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_canMsgDn4_Core4_canRawMsg Rte_Receive_cdd_datacenter_core4_canMsgDn4_Core4_canRawMsg
#endif

/* Sender-Receiver Required Port canMsgDn5_Core4 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core4_canMsgDn5_Core4_canRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_canMsgDn5_Core4_canRawMsg Rte_Receive_cdd_datacenter_core4_canMsgDn5_Core4_canRawMsg
#endif

/* Sender-Receiver Required Port canMsgDn9_Core4 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_cdd_datacenter_core4_canMsgDn9_Core4_canRawMsg(P2VAR(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_canMsgDn9_Core4_canRawMsg Rte_Receive_cdd_datacenter_core4_canMsgDn9_Core4_canRawMsg
#endif

/* Sender-Receiver Provided Port canMsgUp11_Core4 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core4_canMsgUp11_Core4_canRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_canMsgUp11_Core4_canRawMsg Rte_Send_cdd_datacenter_core4_canMsgUp11_Core4_canRawMsg
#endif

/* Sender-Receiver Provided Port canMsgUp4_Core4 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core4_canMsgUp4_Core4_canRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_canMsgUp4_Core4_canRawMsg Rte_Send_cdd_datacenter_core4_canMsgUp4_Core4_canRawMsg
#endif

/* Sender-Receiver Provided Port canMsgUp5_Core4 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core4_canMsgUp5_Core4_canRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_canMsgUp5_Core4_canRawMsg Rte_Send_cdd_datacenter_core4_canMsgUp5_Core4_canRawMsg
#endif

/* Sender-Receiver Provided Port canMsgUp9_Core4 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_datacenter_core4_canMsgUp9_Core4_canRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_canMsgUp9_Core4_canRawMsg Rte_Send_cdd_datacenter_core4_canMsgUp9_Core4_canRawMsg
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, cdd_datacenter_core4_CODE) IntfAppCanMsgRunnable_Core4 (void);

extern FUNC(void, cdd_datacenter_core4_CODE) IntfCanTpMsgRunnable_Core4 (void);

extern FUNC(void, cdd_datacenter_core4_CODE) IntfPriorityReserveRunnable_Core4 (void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_CDD_DATACENTER_CORE4_H */