/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_cdd_eth.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < cdd_eth >
 *
 **************************************************************************/
#ifndef RTE_CDD_ETH_H
#define RTE_CDD_ETH_H

#define RTE_CDD_ETH_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_CDD_ETH_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_EthClockCheckRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_EthClockCheckRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_EthClockInit
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_EthClockInit */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_EthDelayActivationRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_EthDelayActivationRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_EthStatUpdateRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_EthStatUpdateRunnable */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_cdd_eth_Type.h"
/* Version verification of the Rte_cdd_eth_Type module */
#if ((RTE_CDD_ETH_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CDD_ETH_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CDD_ETH_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_cdd_eth_MemClasses.h"
/* Version verification of the Rte_cdd_eth_MemClasses module */
#if ((RTE_CDD_ETH_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CDD_ETH_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CDD_ETH_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_EthClockCheckRunnable EthClockCheckRunnable

#define RTE_RUNNABLE_EthClockInit EthClockInit

#define RTE_RUNNABLE_EthDelayActivationRunnable EthDelayActivationRunnable

#define RTE_RUNNABLE_EthStatUpdateRunnable EthStatUpdateRunnable

/***************************************************************************
 *
 * Entry point prototype init value
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_InitValue_EthTransIpAddr_netMask ((EthNetMask) 0)
#endif

/***************************************************************************
 *
 * Rte_operation_applicationError Predefined Error Codes
 *
 **************************************************************************/
#if (!defined RTE_E_SmReqPlatState_E_NOT_OK)
#define RTE_E_SmReqPlatState_E_NOT_OK 1U
#endif
#if (!defined RTE_E_SmReqPlatState_E_OK)
#define RTE_E_SmReqPlatState_E_OK 0U
#endif

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_cdd_eth_DevmPowerStatus_R {
    Std_ReturnType (*Read_status)(P2VAR(PowerStatus, AUTOMATIC, RTE_APPL_DATA) Rte_arg_status);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_eth_DevmPowerStatus_R *Rte_PortHandle_DevmPowerStatus_R;
#endif

struct Rte_PDS_cdd_eth_EthTransEthIfStats_P {
    Std_ReturnType (*Write_ethIfStats)(P2CONST(EthIfStatInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_ethIfStats);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_eth_EthTransEthIfStats_P *Rte_PortHandle_EthTransEthIfStats_P;
#endif

struct Rte_PDS_cdd_eth_EthTransIpAddr_P {
    Std_ReturnType (*Write_ipAddr)(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_ipAddr);
    Std_ReturnType (*Write_netMask)(VAR(EthNetMask, AUTOMATIC) Rte_arg_netMask);
    Std_ReturnType (*Write_defaultRouter)(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_defaultRouter);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_eth_EthTransIpAddr_P *Rte_PortHandle_EthTransIpAddr_P;
#endif

struct Rte_PDS_cdd_eth_EthTransMacAddr_P {
    Std_ReturnType (*Write_macAddr)(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_macAddr);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_eth_EthTransMacAddr_P *Rte_PortHandle_EthTransMacAddr_P;
#endif

/* No RTE api is using port data structure Rte_PDS_cdd_eth_EthTriggerDelayedActivation_P, so no structure is generated */

struct Rte_PDS_cdd_eth_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_eth_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

struct Rte_PDS_cdd_eth_LogSwcMessageService_R {
    Std_ReturnType (*Call_SendLogMessage)(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
        VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
        VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_eth_LogSwcMessageService_R *Rte_PortHandle_LogSwcMessageService_R;
#endif

struct Rte_PDS_cdd_eth_MntCanTraceTriggerInterface_P {
    Std_ReturnType (*Send_triggerInfo)(P2CONST(MntCanTraceTriggerType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_triggerInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_eth_MntCanTraceTriggerInterface_P *Rte_PortHandle_MntCanTraceTriggerInterface_P;
#endif

struct Rte_PDS_cdd_eth_SmReqPlatState_R {
    Std_ReturnType (*Call_SmReqPlatState)(VAR(uint8, AUTOMATIC) Rte_arg_targetState,
        VAR(uint32, AUTOMATIC) Rte_arg_size,
        P2CONST(Array64, AUTOMATIC, RTE_APPL_DATA) Rte_arg_para);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_cdd_eth_SmReqPlatState_R *Rte_PortHandle_SmReqPlatState_R;
#endif

struct Rte_CDS_cdd_eth {
    struct Rte_PDS_cdd_eth_DevmPowerStatus_R DevmPowerStatus;
    struct Rte_PDS_cdd_eth_EthTransEthIfStats_P EthTransEthIfStats;
    struct Rte_PDS_cdd_eth_EthTransIpAddr_P EthTransIpAddr;
    struct Rte_PDS_cdd_eth_EthTransMacAddr_P EthTransMacAddr;
    struct Rte_PDS_cdd_eth_LogSwcMessageInterface_P EthLogSwcMessageInterface;
    struct Rte_PDS_cdd_eth_LogSwcMessageService_R EthLogSwcMessageService;
    struct Rte_PDS_cdd_eth_MntCanTraceTriggerInterface_P MntCanTraceTriggerInterface;
    struct Rte_PDS_cdd_eth_SmReqPlatState_R SmReqPlatState;
};
typedef struct Rte_CDS_cdd_eth Rte_CDS_cdd_eth;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_cdd_eth, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_cdd_eth, RTE_CONST, RTE_CONST) Rte_Inst_cdd_eth;

/* Sender-Receiver Required Port DevmPowerStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_cdd_eth_DevmPowerStatus_status(P2VAR(PowerStatus, AUTOMATIC, RTE_APPL_DATA) Rte_arg_status);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmPowerStatus_status Rte_Read_cdd_eth_DevmPowerStatus_status
#endif

/* Sender-Receiver Provided Port EthLogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_eth_EthLogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_EthLogSwcMessageInterface_MntSendLog Rte_Send_cdd_eth_EthLogSwcMessageInterface_MntSendLog
#endif

/* Client-Server Required Port EthLogSwcMessageService */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_cdd_eth_EthLogSwcMessageService_SendLogMessage(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
    VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
    VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_EthLogSwcMessageService_SendLogMessage Rte_Call_cdd_eth_EthLogSwcMessageService_SendLogMessage
#endif

/* Sender-Receiver Provided Port EthTransEthIfStats */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_cdd_eth_EthTransEthIfStats_ethIfStats(P2CONST(EthIfStatInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_ethIfStats);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_EthTransEthIfStats_ethIfStats Rte_Write_cdd_eth_EthTransEthIfStats_ethIfStats
#endif

/* Sender-Receiver Provided Port EthTransIpAddr */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_cdd_eth_EthTransIpAddr_ipAddr(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_ipAddr);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_cdd_eth_EthTransIpAddr_netMask(VAR(EthNetMask, AUTOMATIC) Rte_arg_netMask);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_cdd_eth_EthTransIpAddr_defaultRouter(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_defaultRouter);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_EthTransIpAddr_ipAddr Rte_Write_cdd_eth_EthTransIpAddr_ipAddr
#define Rte_Write_EthTransIpAddr_netMask Rte_Write_cdd_eth_EthTransIpAddr_netMask
#define Rte_Write_EthTransIpAddr_defaultRouter Rte_Write_cdd_eth_EthTransIpAddr_defaultRouter
#endif

/* Sender-Receiver Provided Port EthTransMacAddr */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_cdd_eth_EthTransMacAddr_macAddr(P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_macAddr);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_EthTransMacAddr_macAddr Rte_Write_cdd_eth_EthTransMacAddr_macAddr
#endif

/* Sender-Receiver Provided Port MntCanTraceTriggerInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_cdd_eth_MntCanTraceTriggerInterface_triggerInfo(P2CONST(MntCanTraceTriggerType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_triggerInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_MntCanTraceTriggerInterface_triggerInfo Rte_Send_cdd_eth_MntCanTraceTriggerInterface_triggerInfo
#endif

/* Client-Server Required Port SmReqPlatState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_cdd_eth_SmReqPlatState_SmReqPlatState(VAR(uint8, AUTOMATIC) Rte_arg_targetState,
    VAR(uint32, AUTOMATIC) Rte_arg_size,
    P2CONST(Array64, AUTOMATIC, RTE_APPL_DATA) Rte_arg_para);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_SmReqPlatState_SmReqPlatState Rte_Call_cdd_eth_SmReqPlatState_SmReqPlatState
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, cdd_eth_CODE) EthClockCheckRunnable (void);

extern FUNC(void, cdd_eth_CODE) EthClockInit (void);

extern FUNC(void, cdd_eth_CODE) EthDelayActivationRunnable (VAR(uint16, AUTOMATIC) Rte_arg_cntDelay);

extern FUNC(void, cdd_eth_CODE) EthStatUpdateRunnable (void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_CDD_ETH_H */