/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_devm_monitor_cp.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < devm_monitor_cp >
 *
 **************************************************************************/
#ifndef RTE_DEVM_MONITOR_CP_H
#define RTE_DEVM_MONITOR_CP_H

#define RTE_DEVM_MONITOR_CP_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_DEVM_MONITOR_CP_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_MonitorFunctionRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_MonitorFunctionRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_MonitorInit
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_MonitorInit */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_MonitorMainRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_MonitorMainRunnable */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_devm_monitor_cp_Type.h"
/* Version verification of the Rte_devm_monitor_cp_Type module */
#if ((RTE_DEVM_MONITOR_CP_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DEVM_MONITOR_CP_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DEVM_MONITOR_CP_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_devm_monitor_cp_MemClasses.h"
/* Version verification of the Rte_devm_monitor_cp_MemClasses module */
#if ((RTE_DEVM_MONITOR_CP_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DEVM_MONITOR_CP_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DEVM_MONITOR_CP_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_MonitorFunctionRunnable MonitorFunctionRunnable

#define RTE_RUNNABLE_MonitorInit MonitorInit

#define RTE_RUNNABLE_MonitorMainRunnable MonitorMainRunnable

/***************************************************************************
 *
 * Entry point prototype init value
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_InitValue_DevmCanComVoltStatus_voltStatus ((VoltStatusType) 3)
#define Rte_InitValue_DevmDiagVoltStatus_voltStatus ((VoltStatusType) 3)
#define Rte_InitValue_DevmExtInputVoltStatus_voltStatus ((VoltStatusType) 3)
#define Rte_InitValue_DevmHardwireSignal_accState ((uint8) 1)
#define Rte_InitValue_DevmHardwireSignal_gpiState ((uint8) 1)
#define Rte_InitValue_SmNotifyPlatMode_mode ((uint16) 0)
#define Rte_InitValue_SmNotifyPlatState_state ((uint8) 0)
#define Rte_InitValue_DevmAccStatus_status ((uint8) 1)
#endif

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_devm_monitor_cp_AdcSignal_R {
    Std_ReturnType (*Read_idData)(P2VAR(struct Rte_struct_IdSingleSignal, AUTOMATIC, RTE_APPL_DATA) Rte_arg_idData);
    Std_ReturnType (*Read_tempData)(P2VAR(struct Rte_struct_TempSingleSignal, AUTOMATIC, RTE_APPL_DATA) Rte_arg_tempData);
    Std_ReturnType (*Read_voltData)(P2VAR(struct Rte_struct_VoltSingleSignal, AUTOMATIC, RTE_APPL_DATA) Rte_arg_voltData);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_devm_monitor_cp_AdcSignal_R *Rte_PortHandle_AdcSignal_R;
#endif

struct Rte_PDS_devm_monitor_cp_DevmAccStatus_P {
    Std_ReturnType (*Write_status)(VAR(uint8, AUTOMATIC) Rte_arg_status);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_devm_monitor_cp_DevmAccStatus_P *Rte_PortHandle_DevmAccStatus_P;
#endif

struct Rte_PDS_devm_monitor_cp_DevmHardwireSignal_P {
    Std_ReturnType (*Write_accState)(VAR(uint8, AUTOMATIC) Rte_arg_accState);
    Std_ReturnType (*Write_gpiState)(VAR(uint8, AUTOMATIC) Rte_arg_gpiState);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_devm_monitor_cp_DevmHardwireSignal_P *Rte_PortHandle_DevmHardwireSignal_P;
#endif

struct Rte_PDS_devm_monitor_cp_DevmPowerStatus_R {
    Std_ReturnType (*Read_status)(P2VAR(PowerStatus, AUTOMATIC, RTE_APPL_DATA) Rte_arg_status);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_devm_monitor_cp_DevmPowerStatus_R *Rte_PortHandle_DevmPowerStatus_R;
#endif

struct Rte_PDS_devm_monitor_cp_DevmVoltStatus_P {
    Std_ReturnType (*Write_voltStatus)(VAR(VoltStatusType, AUTOMATIC) Rte_arg_voltStatus);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_devm_monitor_cp_DevmVoltStatus_P *Rte_PortHandle_DevmVoltStatus_P;
#endif

struct Rte_PDS_devm_monitor_cp_DevmdBoardAttr_P {
    Std_ReturnType (*Write_boardAttr)(P2CONST(DevmdBoardAttr, AUTOMATIC, RTE_APPL_DATA) Rte_arg_boardAttr);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_devm_monitor_cp_DevmdBoardAttr_P *Rte_PortHandle_DevmdBoardAttr_P;
#endif

struct Rte_PDS_devm_monitor_cp_DevmdGpiInfo_P {
    Std_ReturnType (*Write_gpiInfo)(P2CONST(GpiInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_gpiInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_devm_monitor_cp_DevmdGpiInfo_P *Rte_PortHandle_DevmdGpiInfo_P;
#endif

struct Rte_PDS_devm_monitor_cp_DevmdInputVoltInfo_P {
    Std_ReturnType (*Write_inputVoltInfo)(P2CONST(InputVoltInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_inputVoltInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_devm_monitor_cp_DevmdInputVoltInfo_P *Rte_PortHandle_DevmdInputVoltInfo_P;
#endif

struct Rte_PDS_devm_monitor_cp_DiagDidReport_P {
    Std_ReturnType (*Send_didInfo)(P2CONST(DiagDid, AUTOMATIC, RTE_APPL_DATA) Rte_arg_didInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_devm_monitor_cp_DiagDidReport_P *Rte_PortHandle_DiagDidReport_P;
#endif

struct Rte_PDS_devm_monitor_cp_FmFaultReport_P {
    Std_ReturnType (*Send_eventInfo)(P2CONST(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_devm_monitor_cp_FmFaultReport_P *Rte_PortHandle_FmFaultReport_P;
#endif

struct Rte_PDS_devm_monitor_cp_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_devm_monitor_cp_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

struct Rte_PDS_devm_monitor_cp_LogSwcMessageService_R {
    Std_ReturnType (*Call_SendLogMessage)(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
        VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
        VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_devm_monitor_cp_LogSwcMessageService_R *Rte_PortHandle_LogSwcMessageService_R;
#endif

struct Rte_PDS_devm_monitor_cp_MntCanTraceTriggerInterface_P {
    Std_ReturnType (*Send_triggerInfo)(P2CONST(MntCanTraceTriggerType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_triggerInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_devm_monitor_cp_MntCanTraceTriggerInterface_P *Rte_PortHandle_MntCanTraceTriggerInterface_P;
#endif

struct Rte_PDS_devm_monitor_cp_SmNotifyPlatMode_R {
    Std_ReturnType (*Read_mode)(P2VAR(uint16, AUTOMATIC, RTE_APPL_DATA) Rte_arg_mode);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_devm_monitor_cp_SmNotifyPlatMode_R *Rte_PortHandle_SmNotifyPlatMode_R;
#endif

struct Rte_PDS_devm_monitor_cp_SmNotifyPlatState_R {
    Std_ReturnType (*Read_state)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_devm_monitor_cp_SmNotifyPlatState_R *Rte_PortHandle_SmNotifyPlatState_R;
#endif

struct Rte_CDS_devm_monitor_cp {
    struct Rte_PDS_devm_monitor_cp_AdcSignal_R AdcSignal;
    struct Rte_PDS_devm_monitor_cp_DevmAccStatus_P DevmAccStatus;
    struct Rte_PDS_devm_monitor_cp_DevmHardwireSignal_P DevmHardwireSignal;
    struct Rte_PDS_devm_monitor_cp_DevmPowerStatus_R DevmPowerStatus;
    struct Rte_PDS_devm_monitor_cp_DevmVoltStatus_P DevmCanComVoltStatus;
    struct Rte_PDS_devm_monitor_cp_DevmVoltStatus_P DevmDiagVoltStatus;
    struct Rte_PDS_devm_monitor_cp_DevmVoltStatus_P DevmExtInputVoltStatus;
    struct Rte_PDS_devm_monitor_cp_DevmdBoardAttr_P DevmdBoardAttr;
    struct Rte_PDS_devm_monitor_cp_DevmdGpiInfo_P DevmdGpiInfo;
    struct Rte_PDS_devm_monitor_cp_DevmdInputVoltInfo_P DevmdInputVoltInfo;
    struct Rte_PDS_devm_monitor_cp_DiagDidReport_P DiagDidReport;
    struct Rte_PDS_devm_monitor_cp_FmFaultReport_P FmFaultReport;
    struct Rte_PDS_devm_monitor_cp_LogSwcMessageInterface_P LogSwcMessageInterface;
    struct Rte_PDS_devm_monitor_cp_LogSwcMessageService_R DevmMonitorLogService;
    struct Rte_PDS_devm_monitor_cp_MntCanTraceTriggerInterface_P MntCanTraceTriggerInterface;
    struct Rte_PDS_devm_monitor_cp_SmNotifyPlatMode_R SmNotifyPlatMode;
    struct Rte_PDS_devm_monitor_cp_SmNotifyPlatState_R SmNotifyPlatState;
};
typedef struct Rte_CDS_devm_monitor_cp Rte_CDS_devm_monitor_cp;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_devm_monitor_cp, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_devm_monitor_cp, RTE_CONST, RTE_CONST) Rte_Inst_devm_monitor_cp;

/* Sender-Receiver Required Port AdcSignal */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_devm_monitor_cp_AdcSignal_idData(P2VAR(struct Rte_struct_IdSingleSignal, AUTOMATIC, RTE_APPL_DATA) Rte_arg_idData);

extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_devm_monitor_cp_AdcSignal_tempData(P2VAR(struct Rte_struct_TempSingleSignal, AUTOMATIC, RTE_APPL_DATA) Rte_arg_tempData);

extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_devm_monitor_cp_AdcSignal_voltData(P2VAR(struct Rte_struct_VoltSingleSignal, AUTOMATIC, RTE_APPL_DATA) Rte_arg_voltData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_AdcSignal_idData Rte_Read_devm_monitor_cp_AdcSignal_idData
#define Rte_Read_AdcSignal_tempData Rte_Read_devm_monitor_cp_AdcSignal_tempData
#define Rte_Read_AdcSignal_voltData Rte_Read_devm_monitor_cp_AdcSignal_voltData
#endif

/* Sender-Receiver Provided Port DevmAccStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_devm_monitor_cp_DevmAccStatus_status(VAR(uint8, AUTOMATIC) Rte_arg_status);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_DevmAccStatus_status Rte_Write_devm_monitor_cp_DevmAccStatus_status
#endif

/* Sender-Receiver Provided Port DevmCanComVoltStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_devm_monitor_cp_DevmCanComVoltStatus_voltStatus(VAR(VoltStatusType, AUTOMATIC) Rte_arg_voltStatus);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_DevmCanComVoltStatus_voltStatus Rte_Write_devm_monitor_cp_DevmCanComVoltStatus_voltStatus
#endif

/* Sender-Receiver Provided Port DevmDiagVoltStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_devm_monitor_cp_DevmDiagVoltStatus_voltStatus(VAR(VoltStatusType, AUTOMATIC) Rte_arg_voltStatus);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_DevmDiagVoltStatus_voltStatus Rte_Write_devm_monitor_cp_DevmDiagVoltStatus_voltStatus
#endif

/* Sender-Receiver Provided Port DevmExtInputVoltStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_devm_monitor_cp_DevmExtInputVoltStatus_voltStatus(VAR(VoltStatusType, AUTOMATIC) Rte_arg_voltStatus);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_DevmExtInputVoltStatus_voltStatus Rte_Write_devm_monitor_cp_DevmExtInputVoltStatus_voltStatus
#endif

/* Sender-Receiver Provided Port DevmHardwireSignal */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_devm_monitor_cp_DevmHardwireSignal_accState(VAR(uint8, AUTOMATIC) Rte_arg_accState);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_devm_monitor_cp_DevmHardwireSignal_gpiState(VAR(uint8, AUTOMATIC) Rte_arg_gpiState);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_DevmHardwireSignal_accState Rte_Write_devm_monitor_cp_DevmHardwireSignal_accState
#define Rte_Write_DevmHardwireSignal_gpiState Rte_Write_devm_monitor_cp_DevmHardwireSignal_gpiState
#endif

/* Client-Server Required Port DevmMonitorLogService */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_devm_monitor_cp_DevmMonitorLogService_SendLogMessage(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
    VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
    VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_DevmMonitorLogService_SendLogMessage Rte_Call_devm_monitor_cp_DevmMonitorLogService_SendLogMessage
#endif

/* Sender-Receiver Required Port DevmPowerStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_devm_monitor_cp_DevmPowerStatus_status(P2VAR(PowerStatus, AUTOMATIC, RTE_APPL_DATA) Rte_arg_status);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmPowerStatus_status Rte_Read_devm_monitor_cp_DevmPowerStatus_status
#endif

/* Sender-Receiver Provided Port DevmdBoardAttr */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_devm_monitor_cp_DevmdBoardAttr_boardAttr(P2CONST(DevmdBoardAttr, AUTOMATIC, RTE_APPL_DATA) Rte_arg_boardAttr);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_DevmdBoardAttr_boardAttr Rte_Write_devm_monitor_cp_DevmdBoardAttr_boardAttr
#endif

/* Sender-Receiver Provided Port DevmdGpiInfo */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_devm_monitor_cp_DevmdGpiInfo_gpiInfo(P2CONST(GpiInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_gpiInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_DevmdGpiInfo_gpiInfo Rte_Write_devm_monitor_cp_DevmdGpiInfo_gpiInfo
#endif

/* Sender-Receiver Provided Port DevmdInputVoltInfo */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_devm_monitor_cp_DevmdInputVoltInfo_inputVoltInfo(P2CONST(InputVoltInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_inputVoltInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_DevmdInputVoltInfo_inputVoltInfo Rte_Write_devm_monitor_cp_DevmdInputVoltInfo_inputVoltInfo
#endif

/* Sender-Receiver Provided Port DiagDidReport */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_devm_monitor_cp_DiagDidReport_didInfo(P2CONST(DiagDid, AUTOMATIC, RTE_APPL_DATA) Rte_arg_didInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_DiagDidReport_didInfo Rte_Send_devm_monitor_cp_DiagDidReport_didInfo
#endif

/* Sender-Receiver Provided Port FmFaultReport */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_devm_monitor_cp_FmFaultReport_eventInfo(P2CONST(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_FmFaultReport_eventInfo Rte_Send_devm_monitor_cp_FmFaultReport_eventInfo
#endif

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_devm_monitor_cp_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_devm_monitor_cp_LogSwcMessageInterface_MntSendLog
#endif

/* Sender-Receiver Provided Port MntCanTraceTriggerInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_devm_monitor_cp_MntCanTraceTriggerInterface_triggerInfo(P2CONST(MntCanTraceTriggerType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_triggerInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_MntCanTraceTriggerInterface_triggerInfo Rte_Send_devm_monitor_cp_MntCanTraceTriggerInterface_triggerInfo
#endif

/* Sender-Receiver Required Port SmNotifyPlatMode */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_devm_monitor_cp_SmNotifyPlatMode_mode(P2VAR(uint16, AUTOMATIC, RTE_APPL_DATA) Rte_arg_mode);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SmNotifyPlatMode_mode Rte_Read_devm_monitor_cp_SmNotifyPlatMode_mode
#endif

/* Sender-Receiver Required Port SmNotifyPlatState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_devm_monitor_cp_SmNotifyPlatState_state(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SmNotifyPlatState_state Rte_Read_devm_monitor_cp_SmNotifyPlatState_state
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, devm_monitor_cp_CODE) MonitorFunctionRunnable (void);

extern FUNC(void, devm_monitor_cp_CODE) MonitorInit (void);

extern FUNC(void, devm_monitor_cp_CODE) MonitorMainRunnable (void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_DEVM_MONITOR_CP_H */