/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_diag_cp.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < diag_cp >
 *
 **************************************************************************/
#ifndef RTE_DIAG_CP_H
#define RTE_DIAG_CP_H

#define RTE_DIAG_CP_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_DIAG_CP_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_DIAG_Init
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_DIAG_Init */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_DIAG_Mainfunction
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_DIAG_Mainfunction */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_DiagAgentReadDidRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_DiagAgentReadDidRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_DiagAgentWriteDidRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_DiagAgentWriteDidRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_DiagReadSnapshotRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_DiagReadSnapshotRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_MntDbgReadDidRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_MntDbgReadDidRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_MntDbgWriteDidRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_MntDbgWriteDidRunnable */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_diag_cp_Type.h"
/* Version verification of the Rte_diag_cp_Type module */
#if ((RTE_DIAG_CP_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DIAG_CP_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DIAG_CP_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_diag_cp_MemClasses.h"
/* Version verification of the Rte_diag_cp_MemClasses module */
#if ((RTE_DIAG_CP_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DIAG_CP_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DIAG_CP_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_DIAG_Init DIAG_Init

#define RTE_RUNNABLE_DIAG_Mainfunction DIAG_Mainfunction

#define RTE_RUNNABLE_DiagAgentReadDidRunnable DiagAgentReadDidDiagReadDidRunnable

#define RTE_RUNNABLE_DiagAgentWriteDidRunnable DiagAgentWriteDidDiagWriteDidRunnable

#define RTE_RUNNABLE_DiagReadSnapshotRunnable DiagEventIdToDid

#define RTE_RUNNABLE_MntDbgReadDidRunnable MntDbgReadDidDiagReadDidRunnable

#define RTE_RUNNABLE_MntDbgWriteDidRunnable MntDbgWriteDidDiagWriteDidRunnable

/***************************************************************************
 *
 * Entry point prototype init value
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_InitValue_SmNotifyPlatState_state ((uint8) 0)
#endif

/***************************************************************************
 *
 * Rte_operation_applicationError Predefined Error Codes
 *
 **************************************************************************/
#if (!defined RTE_E_DiagAgentReadDid_E_NOT_OK)
#define RTE_E_DiagAgentReadDid_E_NOT_OK 1U
#endif
#if (!defined RTE_E_DiagAgentReadDid_E_OK)
#define RTE_E_DiagAgentReadDid_E_OK 0U
#endif
#if (!defined RTE_E_DiagAgentWriteDid_E_NOT_OK)
#define RTE_E_DiagAgentWriteDid_E_NOT_OK 1U
#endif
#if (!defined RTE_E_DiagAgentWriteDid_E_OK)
#define RTE_E_DiagAgentWriteDid_E_OK 0U
#endif

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
/* No RTE api is using port data structure Rte_PDS_diag_cp_DiagAgentReadDid_P, so no structure is generated */

/* No RTE api is using port data structure Rte_PDS_diag_cp_DiagAgentWriteDid_P, so no structure is generated */

struct Rte_PDS_diag_cp_DiagDidReport_R {
    Std_ReturnType (*Receive_didInfo)(P2VAR(DiagDid, AUTOMATIC, RTE_APPL_DATA) Rte_arg_didInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_diag_cp_DiagDidReport_R *Rte_PortHandle_DiagDidReport_R;
#endif

/* No RTE api is using port data structure Rte_PDS_diag_cp_DiagEventIdToDid_P, so no structure is generated */

struct Rte_PDS_diag_cp_DiagGetWriteDidResponse_R {
    Std_ReturnType (*Call_GetWriteDidResponse)(VAR(uint16, AUTOMATIC) Rte_arg_id,
        P2VAR(WriteDidResponseType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_response);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_diag_cp_DiagGetWriteDidResponse_R *Rte_PortHandle_DiagGetWriteDidResponse_R;
#endif

struct Rte_PDS_diag_cp_DiagWriteDid_R {
    Std_ReturnType (*Call_WriteDidInfo)(P2CONST(DiagDid, AUTOMATIC, RTE_APPL_DATA) Rte_arg_didInfo,
        P2VAR(WriteDidResponseType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_response);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_diag_cp_DiagWriteDid_R *Rte_PortHandle_DiagWriteDid_R;
#endif

struct Rte_PDS_diag_cp_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_diag_cp_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

struct Rte_PDS_diag_cp_LogSwcMessageService_R {
    Std_ReturnType (*Call_SendLogMessage)(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
        VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
        VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_diag_cp_LogSwcMessageService_R *Rte_PortHandle_LogSwcMessageService_R;
#endif

struct Rte_PDS_diag_cp_SmNotifyPlatState_R {
    Std_ReturnType (*Read_state)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_diag_cp_SmNotifyPlatState_R *Rte_PortHandle_SmNotifyPlatState_R;
#endif

struct Rte_CDS_diag_cp {
    struct Rte_PDS_diag_cp_DiagDidReport_R DiagDidReport;
    struct Rte_PDS_diag_cp_DiagGetWriteDidResponse_R DiagGetWriteCustDidResponse;
    struct Rte_PDS_diag_cp_DiagGetWriteDidResponse_R DiagGetWriteOfflineModeResponse;
    struct Rte_PDS_diag_cp_DiagWriteDid_R DiagWriteCustDid;
    struct Rte_PDS_diag_cp_DiagWriteDid_R DiagWriteOfflineMode;
    struct Rte_PDS_diag_cp_LogSwcMessageInterface_P LogSwcMessageInterface;
    struct Rte_PDS_diag_cp_LogSwcMessageService_R DiagLogSwcMessageService;
    struct Rte_PDS_diag_cp_SmNotifyPlatState_R SmNotifyPlatState;
};
typedef struct Rte_CDS_diag_cp Rte_CDS_diag_cp;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_diag_cp, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_diag_cp, RTE_CONST, RTE_CONST) Rte_Inst_diag_cp;

/* Sender-Receiver Required Port DiagDidReport */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_diag_cp_DiagDidReport_didInfo(P2VAR(DiagDid, AUTOMATIC, RTE_APPL_DATA) Rte_arg_didInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_DiagDidReport_didInfo Rte_Receive_diag_cp_DiagDidReport_didInfo
#endif

/* Client-Server Required Port DiagGetWriteCustDidResponse */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_diag_cp_DiagGetWriteCustDidResponse_GetWriteDidResponse(VAR(uint16, AUTOMATIC) Rte_arg_id,
    P2VAR(WriteDidResponseType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_response);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_DiagGetWriteCustDidResponse_GetWriteDidResponse Rte_Call_diag_cp_DiagGetWriteCustDidResponse_GetWriteDidResponse
#endif

/* Client-Server Required Port DiagGetWriteOfflineModeResponse */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_diag_cp_DiagGetWriteOfflineModeResponse_GetWriteDidResponse(VAR(uint16, AUTOMATIC) Rte_arg_id,
    P2VAR(WriteDidResponseType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_response);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_DiagGetWriteOfflineModeResponse_GetWriteDidResponse Rte_Call_diag_cp_DiagGetWriteOfflineModeResponse_GetWriteDidResponse
#endif

/* Client-Server Required Port DiagLogSwcMessageService */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_diag_cp_DiagLogSwcMessageService_SendLogMessage(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
    VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
    VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_DiagLogSwcMessageService_SendLogMessage Rte_Call_diag_cp_DiagLogSwcMessageService_SendLogMessage
#endif

/* Client-Server Required Port DiagWriteCustDid */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_diag_cp_DiagWriteCustDid_WriteDidInfo(P2CONST(DiagDid, AUTOMATIC, RTE_APPL_DATA) Rte_arg_didInfo,
    P2VAR(WriteDidResponseType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_response);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_DiagWriteCustDid_WriteDidInfo Rte_Call_diag_cp_DiagWriteCustDid_WriteDidInfo
#endif

/* Client-Server Required Port DiagWriteOfflineMode */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_diag_cp_DiagWriteOfflineMode_WriteDidInfo(P2CONST(DiagDid, AUTOMATIC, RTE_APPL_DATA) Rte_arg_didInfo,
    P2VAR(WriteDidResponseType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_response);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_DiagWriteOfflineMode_WriteDidInfo Rte_Call_diag_cp_DiagWriteOfflineMode_WriteDidInfo
#endif

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_diag_cp_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_diag_cp_LogSwcMessageInterface_MntSendLog
#endif

/* Sender-Receiver Required Port SmNotifyPlatState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_diag_cp_SmNotifyPlatState_state(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SmNotifyPlatState_state Rte_Read_diag_cp_SmNotifyPlatState_state
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, diag_cp_CODE) DIAG_Init (void);

extern FUNC(void, diag_cp_CODE) DIAG_Mainfunction (void);

extern FUNC(Std_ReturnType, diag_cp_CODE) DiagAgentReadDidDiagReadDidRunnable (VAR(uint16, AUTOMATIC) Rte_arg_did,
    P2VAR(ReadDidResponseType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_response);

extern FUNC(Std_ReturnType, diag_cp_CODE) DiagAgentWriteDidDiagWriteDidRunnable (P2CONST(WriteDidRequestType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_didReqInfo,
    P2VAR(WriteDidResponseType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_didResInfo);

extern FUNC(void, diag_cp_CODE) DiagEventIdToDid (VAR(uint16, AUTOMATIC) Rte_arg_eventId,
    P2VAR(UdsInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_udsInfo);

extern FUNC(Std_ReturnType, diag_cp_CODE) MntDbgReadDidDiagReadDidRunnable (VAR(uint16, AUTOMATIC) Rte_arg_did,
    P2VAR(ReadDidResponseType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_response);

extern FUNC(Std_ReturnType, diag_cp_CODE) MntDbgWriteDidDiagWriteDidRunnable (P2CONST(WriteDidRequestType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_didReqInfo,
    P2VAR(WriteDidResponseType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_didResInfo);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_DIAG_CP_H */