/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_lpm_cp_Type.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef RTE_LPM_CP_TYPE_H
#define RTE_LPM_CP_TYPE_H

#define RTE_LPM_CP_TYPE_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_LPM_CP_TYPE_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Type.h"
/* Version verification of the Rte_Type module */
#if ((RTE_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_TYPE module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Constant values
 *
 **************************************************************************/
#ifndef DLT_LOG_DEBUG
#define DLT_LOG_DEBUG 5U
#endif /* DLT_LOG_DEBUG */

#ifndef DLT_LOG_ERROR
#define DLT_LOG_ERROR 2U
#endif /* DLT_LOG_ERROR */

#ifndef DLT_LOG_FATAL
#define DLT_LOG_FATAL 1U
#endif /* DLT_LOG_FATAL */

#ifndef DLT_LOG_INFO
#define DLT_LOG_INFO 4U
#endif /* DLT_LOG_INFO */

#ifndef DLT_LOG_OFF
#define DLT_LOG_OFF 0U
#endif /* DLT_LOG_OFF */

#ifndef DLT_LOG_VERBOSE
#define DLT_LOG_VERBOSE 6U
#endif /* DLT_LOG_VERBOSE */

#ifndef DLT_LOG_WARN
#define DLT_LOG_WARN 3U
#endif /* DLT_LOG_WARN */

#ifndef LOG_CTX_BUTT
#define LOG_CTX_BUTT 4U
#endif /* LOG_CTX_BUTT */

#ifndef LOG_CTX_DBG
#define LOG_CTX_DBG 0U
#endif /* LOG_CTX_DBG */

#ifndef LOG_CTX_OPR
#define LOG_CTX_OPR 2U
#endif /* LOG_CTX_OPR */

#ifndef LOG_CTX_RUN
#define LOG_CTX_RUN 1U
#endif /* LOG_CTX_RUN */

#ifndef LOG_CTX_SAF
#define LOG_CTX_SAF 3U
#endif /* LOG_CTX_SAF */

#ifndef LPM_DEBUG_NOT_OK
#define LPM_DEBUG_NOT_OK 0U
#endif /* LPM_DEBUG_NOT_OK */

#ifndef LPM_DEBUG_OK
#define LPM_DEBUG_OK 1U
#endif /* LPM_DEBUG_OK */

#ifndef LPM_MONITOR_START
#define LPM_MONITOR_START 0U
#endif /* LPM_MONITOR_START */

#ifndef LPM_MONITOR_STOP
#define LPM_MONITOR_STOP 1U
#endif /* LPM_MONITOR_STOP */

#ifndef LPM_POWER_OFF
#define LPM_POWER_OFF 2U
#endif /* LPM_POWER_OFF */

#ifndef LPM_POWER_ON
#define LPM_POWER_ON 0U
#endif /* LPM_POWER_ON */

#ifndef LPM_REQ_PENDING
#define LPM_REQ_PENDING 0U
#endif /* LPM_REQ_PENDING */

#ifndef LPM_REQ_SUCCESS
#define LPM_REQ_SUCCESS 1U
#endif /* LPM_REQ_SUCCESS */

#ifndef LPM_REQ_TIMEOUT
#define LPM_REQ_TIMEOUT 2U
#endif /* LPM_REQ_TIMEOUT */

#ifndef LPM_SLEEP
#define LPM_SLEEP 3U
#endif /* LPM_SLEEP */

#ifndef LPM_WAKEUP
#define LPM_WAKEUP 1U
#endif /* LPM_WAKEUP */

#ifndef SOC_ON_DISABLE
#define SOC_ON_DISABLE 0U
#endif /* SOC_ON_DISABLE */

#ifndef SOC_ON_ENABLE
#define SOC_ON_ENABLE 1U
#endif /* SOC_ON_ENABLE */

/***************************************************************************
 *
 * Define limits of Application's types
 *
 **************************************************************************/
#ifndef Sa_ADAS_CrtSts_Type_LowerLimit
#define Sa_ADAS_CrtSts_Type_LowerLimit (Sa_ADAS_CrtSts_Type)0U
#endif /* Sa_ADAS_CrtSts_Type_LowerLimit */

#ifndef Sa_ADAS_CrtSts_Type_UpperLimit
#define Sa_ADAS_CrtSts_Type_UpperLimit (Sa_ADAS_CrtSts_Type)15U
#endif /* Sa_ADAS_CrtSts_Type_UpperLimit */

#ifndef uint16_LowerLimit
#define uint16_LowerLimit (uint16)0U
#endif /* uint16_LowerLimit */

#ifndef uint16_UpperLimit
#define uint16_UpperLimit (uint16)65535U
#endif /* uint16_UpperLimit */

#ifndef uint32_LowerLimit
#define uint32_LowerLimit (uint32)0U
#endif /* uint32_LowerLimit */

#ifndef uint32_UpperLimit
#define uint32_UpperLimit (uint32)4294967295U
#endif /* uint32_UpperLimit */

#ifndef uint64_LowerLimit
#define uint64_LowerLimit (uint64)0U
#endif /* uint64_LowerLimit */

#ifndef uint64_UpperLimit
#define uint64_UpperLimit (uint64)18446744073709551615U
#endif /* uint64_UpperLimit */

#ifndef uint8_LowerLimit
#define uint8_LowerLimit (uint8)0U
#endif /* uint8_LowerLimit */

#ifndef uint8_UpperLimit
#define uint8_UpperLimit (uint8)255U
#endif /* uint8_UpperLimit */

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_LPM_CP_TYPE_H */