/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_mnt_debug.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < mnt_debug >
 *
 **************************************************************************/
#ifndef RTE_MNT_DEBUG_H
#define RTE_MNT_DEBUG_H

#define RTE_MNT_DEBUG_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_MNT_DEBUG_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_MntDebugRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_MntDebugRunnable */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_mnt_debug_Type.h"
/* Version verification of the Rte_mnt_debug_Type module */
#if ((RTE_MNT_DEBUG_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_MNT_DEBUG_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_MNT_DEBUG_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_mnt_debug_MemClasses.h"
/* Version verification of the Rte_mnt_debug_MemClasses module */
#if ((RTE_MNT_DEBUG_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_MNT_DEBUG_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_MNT_DEBUG_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_MntDebugRunnable MntDebugRunnable

/***************************************************************************
 *
 * Entry point prototype init value
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_InitValue_DevmdSwitchToLoader_NeedSwitch ((boolean) 0)
#define Rte_InitValue_SmAutoPowerOnHost_switch ((uint8) 0)
#define Rte_InitValue_DevmHardwireSignal_accState ((uint8) 1)
#define Rte_InitValue_DevmHardwireSignal_gpiState ((uint8) 1)
#define Rte_InitValue_SmNotifyPlatEvent_event ((uint8) 0)
#define Rte_InitValue_SmNotifyPlatMode_mode ((uint16) 0)
#define Rte_InitValue_SmNotifyPlatState_state ((uint8) 0)
#define Rte_InitValue_ForbidUpgradeFlag_flag ((uint8) 0)
#define Rte_InitValue_SaFaultTraceEnable_faultTraceEnable ((uint16) 3)
#define Rte_InitValue_DevmAccStatus_status ((uint8) 1)
#define Rte_InitValue_DevmExtInputVoltStatus_voltStatus ((VoltStatusType) 3)
#define Rte_InitValue_OfflineMode_mode ((uint8) 255)
#define Rte_InitValue_DevmCanComVoltStatus_voltStatus ((VoltStatusType) 3)
#define Rte_InitValue_DevmDiagVoltStatus_voltStatus ((VoltStatusType) 3)
#define Rte_InitValue_DevmdPublishBoxIdentity_boxId ((MdcBoxIdType) 255)
#define Rte_InitValue_ThmRxTmsTemp_temp ((sint16) 255)
#define Rte_InitValue_ThmRxTmsState_state ((uint8) 255)
#define Rte_InitValue_ThmTxTmsPostRunFlag_flag ((boolean) 0)
#define Rte_InitValue_ThmTxTmsFlowReq_flowReq ((float32) 0)
#define Rte_InitValue_ExWdgMonitorEnable_enable ((uint8) 1)
#define Rte_InitValue_FmSoftwareFaultPostProcess_policy ((uint8) 0)
#define Rte_InitValue_SmSetPlatStateSwitchFlag_stateSwitchFlag ((uint8) 0)
#define Rte_InitValue_DevmdMcuStartupReason_reason ((uint8) 0)
#define Rte_InitValue_ExWdgFeedEnable_enable ((uint8) 1)
#endif

/***************************************************************************
 *
 * Rte_operation_applicationError Predefined Error Codes
 *
 **************************************************************************/
#if (!defined RTE_E_LpmSetDebugState_E_NOT_OK)
#define RTE_E_LpmSetDebugState_E_NOT_OK 1U
#endif
#if (!defined RTE_E_LpmSetDebugState_E_OK)
#define RTE_E_LpmSetDebugState_E_OK 0U
#endif
#if (!defined RTE_E_LpmSetMonitorState_E_NOT_OK)
#define RTE_E_LpmSetMonitorState_E_NOT_OK 1U
#endif
#if (!defined RTE_E_LpmSetMonitorState_E_OK)
#define RTE_E_LpmSetMonitorState_E_OK 0U
#endif
#if (!defined RTE_E_LpmSetVarValue_E_NOT_OK)
#define RTE_E_LpmSetVarValue_E_NOT_OK 1U
#endif
#if (!defined RTE_E_LpmSetVarValue_E_OK)
#define RTE_E_LpmSetVarValue_E_OK 0U
#endif
#if (!defined RTE_E_MntCmdLineResponseResult_E_NOT_OK)
#define RTE_E_MntCmdLineResponseResult_E_NOT_OK 1U
#endif
#if (!defined RTE_E_MntCmdLineResponseResult_E_OK)
#define RTE_E_MntCmdLineResponseResult_E_OK 0U
#endif
#if (!defined RTE_E_NmService_E_NOT_OK)
#define RTE_E_NmService_E_NOT_OK 1U
#endif
#if (!defined RTE_E_NmService_E_OK)
#define RTE_E_NmService_E_OK 0U
#endif
#if (!defined RTE_E_SmReqPlatState_E_NOT_OK)
#define RTE_E_SmReqPlatState_E_NOT_OK 1U
#endif
#if (!defined RTE_E_SmReqPlatState_E_OK)
#define RTE_E_SmReqPlatState_E_OK 0U
#endif

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_mnt_debug_AdcDebugInfoPort_P {
    Std_ReturnType (*Write_adcDebugInfo)(P2CONST(AdcDebugInfoType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_adcDebugInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_AdcDebugInfoPort_P *Rte_PortHandle_AdcDebugInfoPort_P;
#endif

struct Rte_PDS_mnt_debug_AlarmNotifyFailCfg_P {
    Std_ReturnType (*Write_param)(P2CONST(AlarmFailCfgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_param);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_AlarmNotifyFailCfg_P *Rte_PortHandle_AlarmNotifyFailCfg_P;
#endif

struct Rte_PDS_mnt_debug_ComCtrlCanConfig_R {
    Std_ReturnType (*Call_setChnlParam)(P2CONST(DcComCtrlCanChnl, AUTOMATIC, RTE_APPL_DATA) Rte_arg_ChnlParam);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_ComCtrlCanConfig_R *Rte_PortHandle_ComCtrlCanConfig_R;
#endif

struct Rte_PDS_mnt_debug_DebugSetTemperature_P {
    Std_ReturnType (*Write_debugTemperInfo)(P2CONST(DebugTemperInfoStruct, AUTOMATIC, RTE_APPL_DATA) Rte_arg_debugTemperInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_DebugSetTemperature_P *Rte_PortHandle_DebugSetTemperature_P;
#endif

struct Rte_PDS_mnt_debug_DevmAccStatus_R {
    Std_ReturnType (*Read_status)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_status);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_DevmAccStatus_R *Rte_PortHandle_DevmAccStatus_R;
#endif

struct Rte_PDS_mnt_debug_DevmHardwireSignal_R {
    Std_ReturnType (*Read_accState)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_accState);
    Std_ReturnType (*Read_gpiState)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_gpiState);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_DevmHardwireSignal_R *Rte_PortHandle_DevmHardwireSignal_R;
#endif

struct Rte_PDS_mnt_debug_DevmPowerStatus_R {
    Std_ReturnType (*Read_status)(P2VAR(PowerStatus, AUTOMATIC, RTE_APPL_DATA) Rte_arg_status);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_DevmPowerStatus_R *Rte_PortHandle_DevmPowerStatus_R;
#endif

struct Rte_PDS_mnt_debug_DevmVoltStatus_R {
    Std_ReturnType (*Read_voltStatus)(P2VAR(VoltStatusType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_voltStatus);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_DevmVoltStatus_R *Rte_PortHandle_DevmVoltStatus_R;
#endif

struct Rte_PDS_mnt_debug_DevmdBoardAttr_R {
    Std_ReturnType (*Read_boardAttr)(P2VAR(DevmdBoardAttr, AUTOMATIC, RTE_APPL_DATA) Rte_arg_boardAttr);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_DevmdBoardAttr_R *Rte_PortHandle_DevmdBoardAttr_R;
#endif

struct Rte_PDS_mnt_debug_DevmdGpiInfo_R {
    Std_ReturnType (*Read_gpiInfo)(P2VAR(GpiInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_gpiInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_DevmdGpiInfo_R *Rte_PortHandle_DevmdGpiInfo_R;
#endif

struct Rte_PDS_mnt_debug_DevmdHardwareLoopOutOp_P {
    Std_ReturnType (*Write_opInfo)(P2CONST(DevmdHardwareLoopOutOpInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_opInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_DevmdHardwareLoopOutOp_P *Rte_PortHandle_DevmdHardwareLoopOutOp_P;
#endif

struct Rte_PDS_mnt_debug_DevmdHardwareLoopOutState_R {
    Std_ReturnType (*Read_stateInfo)(P2VAR(DevmdHardwareLoopOutStateInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_stateInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_DevmdHardwareLoopOutState_R *Rte_PortHandle_DevmdHardwareLoopOutState_R;
#endif

struct Rte_PDS_mnt_debug_DevmdInputVoltInfo_R {
    Std_ReturnType (*Read_inputVoltInfo)(P2VAR(InputVoltInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_inputVoltInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_DevmdInputVoltInfo_R *Rte_PortHandle_DevmdInputVoltInfo_R;
#endif

struct Rte_PDS_mnt_debug_DevmdLidarOpReq_P {
    Std_ReturnType (*Write_opInfo)(P2CONST(DevmdLidarOpInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_opInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_DevmdLidarOpReq_P *Rte_PortHandle_DevmdLidarOpReq_P;
#endif

struct Rte_PDS_mnt_debug_DevmdMcuStartupReason_R {
    Std_ReturnType (*Read_reason)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_reason);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_DevmdMcuStartupReason_R *Rte_PortHandle_DevmdMcuStartupReason_R;
#endif

struct Rte_PDS_mnt_debug_DevmdPublishBoxIdentity_R {
    Std_ReturnType (*Read_boxId)(P2VAR(MdcBoxIdType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_boxId);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_DevmdPublishBoxIdentity_R *Rte_PortHandle_DevmdPublishBoxIdentity_R;
#endif

struct Rte_PDS_mnt_debug_DevmdSwitchToLoader_P {
    Std_ReturnType (*Write_NeedSwitch)(VAR(boolean, AUTOMATIC) Rte_arg_NeedSwitch);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_DevmdSwitchToLoader_P *Rte_PortHandle_DevmdSwitchToLoader_P;
#endif

struct Rte_PDS_mnt_debug_DevmdTransVinCode_R {
    Std_ReturnType (*Receive_vinCodeElement)(P2VAR(DevmdVinCodeType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_vinCodeElement);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_DevmdTransVinCode_R *Rte_PortHandle_DevmdTransVinCode_R;
#endif

struct Rte_PDS_mnt_debug_ExWdgFeedEnable_P {
    Std_ReturnType (*Write_enable)(VAR(uint8, AUTOMATIC) Rte_arg_enable);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_ExWdgFeedEnable_P *Rte_PortHandle_ExWdgFeedEnable_P;
#endif

struct Rte_PDS_mnt_debug_ExWdgMonitorEnable_P {
    Std_ReturnType (*Write_enable)(VAR(uint8, AUTOMATIC) Rte_arg_enable);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_ExWdgMonitorEnable_P *Rte_PortHandle_ExWdgMonitorEnable_P;
#endif

struct Rte_PDS_mnt_debug_FmAlarmInject_P {
    Std_ReturnType (*Send_alarmInfo)(P2CONST(AlarmInfoCore, AUTOMATIC, RTE_APPL_DATA) Rte_arg_alarmInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_FmAlarmInject_P *Rte_PortHandle_FmAlarmInject_P;
#endif

struct Rte_PDS_mnt_debug_FmFaultReport_P {
    Std_ReturnType (*Send_eventInfo)(P2CONST(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_FmFaultReport_P *Rte_PortHandle_FmFaultReport_P;
#endif

struct Rte_PDS_mnt_debug_FmSoftwareFaultPostProcess_P {
    Std_ReturnType (*Write_policy)(VAR(uint8, AUTOMATIC) Rte_arg_policy);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_FmSoftwareFaultPostProcess_P *Rte_PortHandle_FmSoftwareFaultPostProcess_P;
#endif

struct Rte_PDS_mnt_debug_GpoValue_P {
    Std_ReturnType (*Send_gpoInfo)(P2CONST(GpoInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_gpoInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_GpoValue_P *Rte_PortHandle_GpoValue_P;
#endif

struct Rte_PDS_mnt_debug_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

struct Rte_PDS_mnt_debug_LogSwcMessageService_R {
    Std_ReturnType (*Call_SendLogMessage)(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
        VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
        VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_LogSwcMessageService_R *Rte_PortHandle_LogSwcMessageService_R;
#endif

struct Rte_PDS_mnt_debug_LpmSetDebugState_R {
    Std_ReturnType (*Call_LpmSetDebug)(VAR(LPM_DebugType, AUTOMATIC) Rte_arg_debugSts);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_LpmSetDebugState_R *Rte_PortHandle_LpmSetDebugState_R;
#endif

struct Rte_PDS_mnt_debug_LpmSetMonitorState_R {
    Std_ReturnType (*Call_LpmSetMonitor)(VAR(LPM_ReqType, AUTOMATIC) Rte_arg_reqMonitor,
        VAR(LPM_OprMonitorType, AUTOMATIC) Rte_arg_operation);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_LpmSetMonitorState_R *Rte_PortHandle_LpmSetMonitorState_R;
#endif

struct Rte_PDS_mnt_debug_LpmSetVarValue_R {
    Std_ReturnType (*Call_LpmSetVarValue)(VAR(uint8, AUTOMATIC) Rte_arg_varId,
        VAR(uint8, AUTOMATIC) Rte_arg_srcValue,
        VAR(uint8, AUTOMATIC) Rte_arg_dstValue,
        VAR(uint32, AUTOMATIC) Rte_arg_delayTime);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_LpmSetVarValue_R *Rte_PortHandle_LpmSetVarValue_R;
#endif

struct Rte_PDS_mnt_debug_McuCpuUsage_R {
    Std_ReturnType (*Read_cpuUsage)(P2VAR(struct Rte_struct_CpuUsageInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_cpuUsage);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_McuCpuUsage_R *Rte_PortHandle_McuCpuUsage_R;
#endif

struct Rte_PDS_mnt_debug_MntCmdLineResponseResult_R {
    Std_ReturnType (*Call_MntCmdLineResponseResult)(P2CONST(MntCmdParamsArrayType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_cmdParamArray,
        VAR(uint8, AUTOMATIC) Rte_arg_groupNum,
        VAR(uint8, AUTOMATIC) Rte_arg_groupIndex,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_resultString,
        VAR(uint32, AUTOMATIC) Rte_arg_resultLen);
    Std_ReturnType (*Result_MntCmdLineResponseResult)(P2VAR(MntCmdParamsArrayType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_cmdParamArray);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_MntCmdLineResponseResult_R *Rte_PortHandle_MntCmdLineResponseResult_R;
#endif

struct Rte_PDS_mnt_debug_MntDispatchCmdLine_R {
    Std_ReturnType (*Receive_CmdLineElement)(P2VAR(MntCmdParamsArrayType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CmdLineElement);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_MntDispatchCmdLine_R *Rte_PortHandle_MntDispatchCmdLine_R;
#endif

struct Rte_PDS_mnt_debug_NmService_R {
    Std_ReturnType (*Call_ControlCan)(VAR(NmCanControl, AUTOMATIC) Rte_arg_ctrl,
        VAR(NmCanUser, AUTOMATIC) Rte_arg_userId);
    Std_ReturnType (*Call_ControlCom)(VAR(uint8, AUTOMATIC) Rte_arg_channelId,
        VAR(SaDirectionType, AUTOMATIC) Rte_arg_direction,
        VAR(SaControlType, AUTOMATIC) Rte_arg_control,
        VAR(Nm_UserType, AUTOMATIC) Rte_arg_user);
    Std_ReturnType (*Call_InternalCanNmCtrl)(VAR(uint8, AUTOMATIC) Rte_arg_chnlId,
        VAR(uint8, AUTOMATIC) Rte_arg_pncId,
        VAR(uint8, AUTOMATIC) Rte_arg_ctrl,
        VAR(uint8, AUTOMATIC) Rte_arg_userId);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_NmService_R *Rte_PortHandle_NmService_R;
#endif

struct Rte_PDS_mnt_debug_NmServiceComReq_P {
    Std_ReturnType (*Send_comReq)(P2CONST(ComReqType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_comReq);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_NmServiceComReq_P *Rte_PortHandle_NmServiceComReq_P;
#endif

struct Rte_PDS_mnt_debug_NmServiceComState_R {
    Std_ReturnType (*Read_comState)(P2VAR(ComStateType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_comState);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_NmServiceComState_R *Rte_PortHandle_NmServiceComState_R;
#endif

struct Rte_PDS_mnt_debug_NrmComCtrlUpdateChnlByUser_R {
    Std_ReturnType (*Call_UpdateChnlConfigByUser)(P2CONST(DcComCtrlCanChnl, AUTOMATIC, RTE_APPL_DATA) Rte_arg_chnlConfig,
        VAR(uint8, AUTOMATIC) Rte_arg_userId,
        VAR(uint32, AUTOMATIC) Rte_arg_durationTime);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_NrmComCtrlUpdateChnlByUser_R *Rte_PortHandle_NrmComCtrlUpdateChnlByUser_R;
#endif

struct Rte_PDS_mnt_debug_OfflineMode_R {
    Std_ReturnType (*Read_mode)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_mode);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_OfflineMode_R *Rte_PortHandle_OfflineMode_R;
#endif

struct Rte_PDS_mnt_debug_SaFaultTraceEnable_P {
    Std_ReturnType (*Write_faultTraceEnable)(VAR(uint16, AUTOMATIC) Rte_arg_faultTraceEnable);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_SaFaultTraceEnable_P *Rte_PortHandle_SaFaultTraceEnable_P;
#endif

struct Rte_PDS_mnt_debug_SaPowerModeGet_R {
    Std_ReturnType (*Read_powerMode)(P2VAR(Sa_PowerMode, AUTOMATIC, RTE_APPL_DATA) Rte_arg_powerMode);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_SaPowerModeGet_R *Rte_PortHandle_SaPowerModeGet_R;
#endif

struct Rte_PDS_mnt_debug_SmAppPlatInfo_R {
    Std_ReturnType (*Read_Info)(P2VAR(SmPlatInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Info);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_SmAppPlatInfo_R *Rte_PortHandle_SmAppPlatInfo_R;
#endif

struct Rte_PDS_mnt_debug_SmAutoPowerOnHost_P {
    Std_ReturnType (*Write_switch)(VAR(uint8, AUTOMATIC) Rte_arg_switch);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_SmAutoPowerOnHost_P *Rte_PortHandle_SmAutoPowerOnHost_P;
#endif

struct Rte_PDS_mnt_debug_SmForbidUpgradeFlag_P {
    Std_ReturnType (*Write_flag)(VAR(uint8, AUTOMATIC) Rte_arg_flag);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_SmForbidUpgradeFlag_P *Rte_PortHandle_SmForbidUpgradeFlag_P;
#endif

struct Rte_PDS_mnt_debug_SmNotifyPlatEvent_R {
    Std_ReturnType (*Read_event)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_event);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_SmNotifyPlatEvent_R *Rte_PortHandle_SmNotifyPlatEvent_R;
#endif

struct Rte_PDS_mnt_debug_SmNotifyPlatMode_R {
    Std_ReturnType (*Read_mode)(P2VAR(uint16, AUTOMATIC, RTE_APPL_DATA) Rte_arg_mode);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_SmNotifyPlatMode_R *Rte_PortHandle_SmNotifyPlatMode_R;
#endif

struct Rte_PDS_mnt_debug_SmNotifyPlatState_R {
    Std_ReturnType (*Read_state)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_SmNotifyPlatState_R *Rte_PortHandle_SmNotifyPlatState_R;
#endif

struct Rte_PDS_mnt_debug_SmReqPlatState_R {
    Std_ReturnType (*Call_SmReqPlatState)(VAR(uint8, AUTOMATIC) Rte_arg_targetState,
        VAR(uint32, AUTOMATIC) Rte_arg_size,
        P2CONST(Array64, AUTOMATIC, RTE_APPL_DATA) Rte_arg_para);
    Std_ReturnType (*Result_SmReqPlatState)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_result);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_SmReqPlatState_R *Rte_PortHandle_SmReqPlatState_R;
#endif

struct Rte_PDS_mnt_debug_SmSetPlatStateSwitchFlag_P {
    Std_ReturnType (*Write_stateSwitchFlag)(VAR(uint8, AUTOMATIC) Rte_arg_stateSwitchFlag);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_SmSetPlatStateSwitchFlag_P *Rte_PortHandle_SmSetPlatStateSwitchFlag_P;
#endif

struct Rte_PDS_mnt_debug_ThmMdcTmsFlowReq_R {
    Std_ReturnType (*Read_flowReq)(P2VAR(float32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_flowReq);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_ThmMdcTmsFlowReq_R *Rte_PortHandle_ThmMdcTmsFlowReq_R;
#endif

struct Rte_PDS_mnt_debug_ThmTmsPostRunFlag_R {
    Std_ReturnType (*Read_flag)(P2VAR(boolean, AUTOMATIC, RTE_APPL_DATA) Rte_arg_flag);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_ThmTmsPostRunFlag_R *Rte_PortHandle_ThmTmsPostRunFlag_R;
#endif

struct Rte_PDS_mnt_debug_ThmTmsState_P {
    Std_ReturnType (*Write_state)(VAR(uint8, AUTOMATIC) Rte_arg_state);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_ThmTmsState_P *Rte_PortHandle_ThmTmsState_P;
#endif

struct Rte_PDS_mnt_debug_ThmTmsTemp_P {
    Std_ReturnType (*Write_temp)(VAR(sint16, AUTOMATIC) Rte_arg_temp);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_ThmTmsTemp_P *Rte_PortHandle_ThmTmsTemp_P;
#endif

struct Rte_PDS_mnt_debug_TsyncDebugSetTime_P {
    Std_ReturnType (*Write_setTime)(P2CONST(TsyncDebugSetTimeType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_setTime);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_TsyncDebugSetTime_P *Rte_PortHandle_TsyncDebugSetTime_P;
#endif

struct Rte_PDS_mnt_debug_VehicleConfigWord_R {
    Std_ReturnType (*Read_cfgInfo)(P2VAR(CfgInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_cfgInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_mnt_debug_VehicleConfigWord_R *Rte_PortHandle_VehicleConfigWord_R;
#endif

struct Rte_CDS_mnt_debug {
    struct Rte_PDS_mnt_debug_AdcDebugInfoPort_P AdcDebugInfoPort;
    struct Rte_PDS_mnt_debug_AlarmNotifyFailCfg_P AlarmNotifyFailCfg;
    struct Rte_PDS_mnt_debug_ComCtrlCanConfig_R ComCtrlCanConfig;
    struct Rte_PDS_mnt_debug_DebugSetTemperature_P DebugSetTemperature;
    struct Rte_PDS_mnt_debug_DevmAccStatus_R DevmAccStatus;
    struct Rte_PDS_mnt_debug_DevmHardwireSignal_R DevmHardwireSignal;
    struct Rte_PDS_mnt_debug_DevmPowerStatus_R DevmPowerStatus;
    struct Rte_PDS_mnt_debug_DevmVoltStatus_R DevmCanComVoltStatus;
    struct Rte_PDS_mnt_debug_DevmVoltStatus_R DevmDiagVoltStatus;
    struct Rte_PDS_mnt_debug_DevmVoltStatus_R DevmExtInputVoltStatus;
    struct Rte_PDS_mnt_debug_DevmdBoardAttr_R DevmdBoardAttr;
    struct Rte_PDS_mnt_debug_DevmdGpiInfo_R DevmdGpiInfo;
    struct Rte_PDS_mnt_debug_DevmdHardwareLoopOutOp_P DevmdHardwareLoopOutOp;
    struct Rte_PDS_mnt_debug_DevmdHardwareLoopOutState_R DevmdHardwareLoopOutState;
    struct Rte_PDS_mnt_debug_DevmdInputVoltInfo_R DevmdInputVoltInfo;
    struct Rte_PDS_mnt_debug_DevmdLidarOpReq_P DevmdLidarOpReq;
    struct Rte_PDS_mnt_debug_DevmdMcuStartupReason_R DevmdMcuStartupReason;
    struct Rte_PDS_mnt_debug_DevmdPublishBoxIdentity_R DevmdPublishBoxIdentity;
    struct Rte_PDS_mnt_debug_DevmdSwitchToLoader_P DevmdSwitchToLoader;
    struct Rte_PDS_mnt_debug_DevmdTransVinCode_R DevmdTransVinCode;
    struct Rte_PDS_mnt_debug_ExWdgFeedEnable_P ExWdgFeedEnable;
    struct Rte_PDS_mnt_debug_ExWdgMonitorEnable_P ExWdgMonitorEnable;
    struct Rte_PDS_mnt_debug_FmAlarmInject_P FmAlarmInject;
    struct Rte_PDS_mnt_debug_FmFaultReport_P FmFaultReport;
    struct Rte_PDS_mnt_debug_FmSoftwareFaultPostProcess_P FmSoftwareFaultPostProcess;
    struct Rte_PDS_mnt_debug_GpoValue_P GpoValue;
    struct Rte_PDS_mnt_debug_LogSwcMessageInterface_P LogSwcMessageInterface;
    struct Rte_PDS_mnt_debug_LogSwcMessageService_R MntDebugLogSwcMessageService;
    struct Rte_PDS_mnt_debug_LpmSetDebugState_R LpmSetDebugState;
    struct Rte_PDS_mnt_debug_LpmSetMonitorState_R LpmSetMonitorState;
    struct Rte_PDS_mnt_debug_LpmSetVarValue_R LpmSetVarValue;
    struct Rte_PDS_mnt_debug_McuCpuUsage_R McuCpuUsage;
    struct Rte_PDS_mnt_debug_MntCmdLineResponseResult_R MntDebugRespString;
    struct Rte_PDS_mnt_debug_MntDispatchCmdLine_R MntDebugCmdLine;
    struct Rte_PDS_mnt_debug_NmServiceComReq_P NmServiceComReq;
    struct Rte_PDS_mnt_debug_NmServiceComState_R NmServiceComState;
    struct Rte_PDS_mnt_debug_NmService_R NmServiceDebug;
    struct Rte_PDS_mnt_debug_NrmComCtrlUpdateChnlByUser_R NrmComCtrlUpdateChnlByUser;
    struct Rte_PDS_mnt_debug_OfflineMode_R OfflineMode;
    struct Rte_PDS_mnt_debug_SaFaultTraceEnable_P SaFaultTraceEnable;
    struct Rte_PDS_mnt_debug_SaPowerModeGet_R SaPowerModeGet;
    struct Rte_PDS_mnt_debug_SmAppPlatInfo_R SmAppPlatInfo;
    struct Rte_PDS_mnt_debug_SmAutoPowerOnHost_P SmAutoPowerOnHost;
    struct Rte_PDS_mnt_debug_SmForbidUpgradeFlag_P ForbidUpgradeFlag;
    struct Rte_PDS_mnt_debug_SmNotifyPlatEvent_R SmNotifyPlatEvent;
    struct Rte_PDS_mnt_debug_SmNotifyPlatMode_R SmNotifyPlatMode;
    struct Rte_PDS_mnt_debug_SmNotifyPlatState_R SmNotifyPlatState;
    struct Rte_PDS_mnt_debug_SmReqPlatState_R SmReqPlatState;
    struct Rte_PDS_mnt_debug_SmSetPlatStateSwitchFlag_P SmSetPlatStateSwitchFlag;
    struct Rte_PDS_mnt_debug_ThmMdcTmsFlowReq_R ThmTxTmsFlowReq;
    struct Rte_PDS_mnt_debug_ThmTmsPostRunFlag_R ThmTxTmsPostRunFlag;
    struct Rte_PDS_mnt_debug_ThmTmsState_P ThmRxTmsState;
    struct Rte_PDS_mnt_debug_ThmTmsTemp_P ThmRxTmsTemp;
    struct Rte_PDS_mnt_debug_TsyncDebugSetTime_P TsyncDebugSetTime;
    struct Rte_PDS_mnt_debug_VehicleConfigWord_R VehicleConfigWord;
};
typedef struct Rte_CDS_mnt_debug Rte_CDS_mnt_debug;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_mnt_debug, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_mnt_debug, RTE_CONST, RTE_CONST) Rte_Inst_mnt_debug;

/* Sender-Receiver Provided Port AdcDebugInfoPort */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_mnt_debug_AdcDebugInfoPort_adcDebugInfo(P2CONST(AdcDebugInfoType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_adcDebugInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_AdcDebugInfoPort_adcDebugInfo Rte_Write_mnt_debug_AdcDebugInfoPort_adcDebugInfo
#endif

/* Sender-Receiver Provided Port AlarmNotifyFailCfg */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_mnt_debug_AlarmNotifyFailCfg_param(P2CONST(AlarmFailCfgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_param);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_AlarmNotifyFailCfg_param Rte_Write_mnt_debug_AlarmNotifyFailCfg_param
#endif

/* Client-Server Required Port ComCtrlCanConfig */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_mnt_debug_ComCtrlCanConfig_setChnlParam(P2CONST(DcComCtrlCanChnl, AUTOMATIC, RTE_APPL_DATA) Rte_arg_ChnlParam);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_ComCtrlCanConfig_setChnlParam Rte_Call_mnt_debug_ComCtrlCanConfig_setChnlParam
#endif

/* Sender-Receiver Provided Port DebugSetTemperature */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_mnt_debug_DebugSetTemperature_debugTemperInfo(P2CONST(DebugTemperInfoStruct, AUTOMATIC, RTE_APPL_DATA) Rte_arg_debugTemperInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_DebugSetTemperature_debugTemperInfo Rte_Write_mnt_debug_DebugSetTemperature_debugTemperInfo
#endif

/* Sender-Receiver Required Port DevmAccStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_mnt_debug_DevmAccStatus_status(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_status);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmAccStatus_status Rte_Read_mnt_debug_DevmAccStatus_status
#endif

/* Sender-Receiver Required Port DevmCanComVoltStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_mnt_debug_DevmCanComVoltStatus_voltStatus(P2VAR(VoltStatusType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_voltStatus);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmCanComVoltStatus_voltStatus Rte_Read_mnt_debug_DevmCanComVoltStatus_voltStatus
#endif

/* Sender-Receiver Required Port DevmDiagVoltStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_mnt_debug_DevmDiagVoltStatus_voltStatus(P2VAR(VoltStatusType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_voltStatus);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmDiagVoltStatus_voltStatus Rte_Read_mnt_debug_DevmDiagVoltStatus_voltStatus
#endif

/* Sender-Receiver Required Port DevmExtInputVoltStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_mnt_debug_DevmExtInputVoltStatus_voltStatus(P2VAR(VoltStatusType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_voltStatus);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmExtInputVoltStatus_voltStatus Rte_Read_mnt_debug_DevmExtInputVoltStatus_voltStatus
#endif

/* Sender-Receiver Required Port DevmHardwireSignal */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_mnt_debug_DevmHardwireSignal_accState(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_accState);

extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_mnt_debug_DevmHardwireSignal_gpiState(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_gpiState);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmHardwireSignal_accState Rte_Read_mnt_debug_DevmHardwireSignal_accState
#define Rte_Read_DevmHardwireSignal_gpiState Rte_Read_mnt_debug_DevmHardwireSignal_gpiState
#endif

/* Sender-Receiver Required Port DevmPowerStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_mnt_debug_DevmPowerStatus_status(P2VAR(PowerStatus, AUTOMATIC, RTE_APPL_DATA) Rte_arg_status);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmPowerStatus_status Rte_Read_mnt_debug_DevmPowerStatus_status
#endif

/* Sender-Receiver Required Port DevmdBoardAttr */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_mnt_debug_DevmdBoardAttr_boardAttr(P2VAR(DevmdBoardAttr, AUTOMATIC, RTE_APPL_DATA) Rte_arg_boardAttr);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmdBoardAttr_boardAttr Rte_Read_mnt_debug_DevmdBoardAttr_boardAttr
#endif

/* Sender-Receiver Required Port DevmdGpiInfo */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_mnt_debug_DevmdGpiInfo_gpiInfo(P2VAR(GpiInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_gpiInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmdGpiInfo_gpiInfo Rte_Read_mnt_debug_DevmdGpiInfo_gpiInfo
#endif

/* Sender-Receiver Provided Port DevmdHardwareLoopOutOp */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_mnt_debug_DevmdHardwareLoopOutOp_opInfo(P2CONST(DevmdHardwareLoopOutOpInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_opInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_DevmdHardwareLoopOutOp_opInfo Rte_Write_mnt_debug_DevmdHardwareLoopOutOp_opInfo
#endif

/* Sender-Receiver Required Port DevmdHardwareLoopOutState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_mnt_debug_DevmdHardwareLoopOutState_stateInfo(P2VAR(DevmdHardwareLoopOutStateInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_stateInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmdHardwareLoopOutState_stateInfo Rte_Read_mnt_debug_DevmdHardwareLoopOutState_stateInfo
#endif

/* Sender-Receiver Required Port DevmdInputVoltInfo */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_mnt_debug_DevmdInputVoltInfo_inputVoltInfo(P2VAR(InputVoltInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_inputVoltInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmdInputVoltInfo_inputVoltInfo Rte_Read_mnt_debug_DevmdInputVoltInfo_inputVoltInfo
#endif

/* Sender-Receiver Provided Port DevmdLidarOpReq */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_mnt_debug_DevmdLidarOpReq_opInfo(P2CONST(DevmdLidarOpInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_opInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_DevmdLidarOpReq_opInfo Rte_Write_mnt_debug_DevmdLidarOpReq_opInfo
#endif

/* Sender-Receiver Required Port DevmdMcuStartupReason */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_mnt_debug_DevmdMcuStartupReason_reason(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_reason);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmdMcuStartupReason_reason Rte_Read_mnt_debug_DevmdMcuStartupReason_reason
#endif

/* Sender-Receiver Required Port DevmdPublishBoxIdentity */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_mnt_debug_DevmdPublishBoxIdentity_boxId(P2VAR(MdcBoxIdType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_boxId);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmdPublishBoxIdentity_boxId Rte_Read_mnt_debug_DevmdPublishBoxIdentity_boxId
#endif

/* Sender-Receiver Provided Port DevmdSwitchToLoader */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_mnt_debug_DevmdSwitchToLoader_NeedSwitch(VAR(boolean, AUTOMATIC) Rte_arg_NeedSwitch);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_DevmdSwitchToLoader_NeedSwitch Rte_Write_mnt_debug_DevmdSwitchToLoader_NeedSwitch
#endif

/* Sender-Receiver Required Port DevmdTransVinCode */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_mnt_debug_DevmdTransVinCode_vinCodeElement(P2VAR(DevmdVinCodeType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_vinCodeElement);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_DevmdTransVinCode_vinCodeElement Rte_Receive_mnt_debug_DevmdTransVinCode_vinCodeElement
#endif

/* Sender-Receiver Provided Port ExWdgFeedEnable */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_mnt_debug_ExWdgFeedEnable_enable(VAR(uint8, AUTOMATIC) Rte_arg_enable);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_ExWdgFeedEnable_enable Rte_Write_mnt_debug_ExWdgFeedEnable_enable
#endif

/* Sender-Receiver Provided Port ExWdgMonitorEnable */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_mnt_debug_ExWdgMonitorEnable_enable(VAR(uint8, AUTOMATIC) Rte_arg_enable);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_ExWdgMonitorEnable_enable Rte_Write_mnt_debug_ExWdgMonitorEnable_enable
#endif

/* Sender-Receiver Provided Port FmAlarmInject */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_mnt_debug_FmAlarmInject_alarmInfo(P2CONST(AlarmInfoCore, AUTOMATIC, RTE_APPL_DATA) Rte_arg_alarmInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_FmAlarmInject_alarmInfo Rte_Send_mnt_debug_FmAlarmInject_alarmInfo
#endif

/* Sender-Receiver Provided Port FmFaultReport */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_mnt_debug_FmFaultReport_eventInfo(P2CONST(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_FmFaultReport_eventInfo Rte_Send_mnt_debug_FmFaultReport_eventInfo
#endif

/* Sender-Receiver Provided Port FmSoftwareFaultPostProcess */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_mnt_debug_FmSoftwareFaultPostProcess_policy(VAR(uint8, AUTOMATIC) Rte_arg_policy);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_FmSoftwareFaultPostProcess_policy Rte_Write_mnt_debug_FmSoftwareFaultPostProcess_policy
#endif

/* Sender-Receiver Provided Port ForbidUpgradeFlag */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_mnt_debug_ForbidUpgradeFlag_flag(VAR(uint8, AUTOMATIC) Rte_arg_flag);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_ForbidUpgradeFlag_flag Rte_Write_mnt_debug_ForbidUpgradeFlag_flag
#endif

/* Sender-Receiver Provided Port GpoValue */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_mnt_debug_GpoValue_gpoInfo(P2CONST(GpoInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_gpoInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_GpoValue_gpoInfo Rte_Send_mnt_debug_GpoValue_gpoInfo
#endif

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_mnt_debug_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_mnt_debug_LogSwcMessageInterface_MntSendLog
#endif

/* Client-Server Required Port LpmSetDebugState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_mnt_debug_LpmSetDebugState_LpmSetDebug(VAR(LPM_DebugType, AUTOMATIC) Rte_arg_debugSts);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_LpmSetDebugState_LpmSetDebug Rte_Call_mnt_debug_LpmSetDebugState_LpmSetDebug
#endif

/* Client-Server Required Port LpmSetMonitorState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_mnt_debug_LpmSetMonitorState_LpmSetMonitor(VAR(LPM_ReqType, AUTOMATIC) Rte_arg_reqMonitor,
    VAR(LPM_OprMonitorType, AUTOMATIC) Rte_arg_operation);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_LpmSetMonitorState_LpmSetMonitor Rte_Call_mnt_debug_LpmSetMonitorState_LpmSetMonitor
#endif

/* Client-Server Required Port LpmSetVarValue */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_mnt_debug_LpmSetVarValue_LpmSetVarValue(VAR(uint8, AUTOMATIC) Rte_arg_varId,
    VAR(uint8, AUTOMATIC) Rte_arg_srcValue,
    VAR(uint8, AUTOMATIC) Rte_arg_dstValue,
    VAR(uint32, AUTOMATIC) Rte_arg_delayTime);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_LpmSetVarValue_LpmSetVarValue Rte_Call_mnt_debug_LpmSetVarValue_LpmSetVarValue
#endif

/* Sender-Receiver Required Port McuCpuUsage */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_mnt_debug_McuCpuUsage_cpuUsage(P2VAR(struct Rte_struct_CpuUsageInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_cpuUsage);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_McuCpuUsage_cpuUsage Rte_Read_mnt_debug_McuCpuUsage_cpuUsage
#endif

/* Sender-Receiver Required Port MntDebugCmdLine */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_mnt_debug_MntDebugCmdLine_CmdLineElement(P2VAR(MntCmdParamsArrayType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CmdLineElement);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_MntDebugCmdLine_CmdLineElement Rte_Receive_mnt_debug_MntDebugCmdLine_CmdLineElement
#endif

/* Client-Server Required Port MntDebugLogSwcMessageService */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_mnt_debug_MntDebugLogSwcMessageService_SendLogMessage(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
    VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
    VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_MntDebugLogSwcMessageService_SendLogMessage Rte_Call_mnt_debug_MntDebugLogSwcMessageService_SendLogMessage
#endif

/* Client-Server Required Port MntDebugRespString */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_mnt_debug_MntDebugRespString_MntCmdLineResponseResult(P2CONST(MntCmdParamsArrayType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_cmdParamArray,
    VAR(uint8, AUTOMATIC) Rte_arg_groupNum,
    VAR(uint8, AUTOMATIC) Rte_arg_groupIndex,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_resultString,
    VAR(uint32, AUTOMATIC) Rte_arg_resultLen);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Result_mnt_debug_MntDebugRespString_MntCmdLineResponseResult(P2VAR(MntCmdParamsArrayType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_cmdParamArray);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_MntDebugRespString_MntCmdLineResponseResult Rte_Call_mnt_debug_MntDebugRespString_MntCmdLineResponseResult
#define Rte_Result_MntDebugRespString_MntCmdLineResponseResult Rte_Result_mnt_debug_MntDebugRespString_MntCmdLineResponseResult
#endif

/* Sender-Receiver Provided Port NmServiceComReq */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_mnt_debug_NmServiceComReq_comReq(P2CONST(ComReqType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_comReq);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_NmServiceComReq_comReq Rte_Send_mnt_debug_NmServiceComReq_comReq
#endif

/* Sender-Receiver Required Port NmServiceComState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_mnt_debug_NmServiceComState_comState(P2VAR(ComStateType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_comState);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_NmServiceComState_comState Rte_Read_mnt_debug_NmServiceComState_comState
#endif

/* Client-Server Required Port NmServiceDebug */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_mnt_debug_NmServiceDebug_ControlCan(VAR(NmCanControl, AUTOMATIC) Rte_arg_ctrl,
    VAR(NmCanUser, AUTOMATIC) Rte_arg_userId);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_mnt_debug_NmServiceDebug_ControlCom(VAR(uint8, AUTOMATIC) Rte_arg_channelId,
    VAR(SaDirectionType, AUTOMATIC) Rte_arg_direction,
    VAR(SaControlType, AUTOMATIC) Rte_arg_control,
    VAR(Nm_UserType, AUTOMATIC) Rte_arg_user);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_mnt_debug_NmServiceDebug_InternalCanNmCtrl(VAR(uint8, AUTOMATIC) Rte_arg_chnlId,
    VAR(uint8, AUTOMATIC) Rte_arg_pncId,
    VAR(uint8, AUTOMATIC) Rte_arg_ctrl,
    VAR(uint8, AUTOMATIC) Rte_arg_userId);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_NmServiceDebug_ControlCan Rte_Call_mnt_debug_NmServiceDebug_ControlCan
#define Rte_Call_NmServiceDebug_ControlCom Rte_Call_mnt_debug_NmServiceDebug_ControlCom
#define Rte_Call_NmServiceDebug_InternalCanNmCtrl Rte_Call_mnt_debug_NmServiceDebug_InternalCanNmCtrl
#endif

/* Client-Server Required Port NrmComCtrlUpdateChnlByUser */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_mnt_debug_NrmComCtrlUpdateChnlByUser_UpdateChnlConfigByUser(P2CONST(DcComCtrlCanChnl, AUTOMATIC, RTE_APPL_DATA) Rte_arg_chnlConfig,
    VAR(uint8, AUTOMATIC) Rte_arg_userId,
    VAR(uint32, AUTOMATIC) Rte_arg_durationTime);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_NrmComCtrlUpdateChnlByUser_UpdateChnlConfigByUser Rte_Call_mnt_debug_NrmComCtrlUpdateChnlByUser_UpdateChnlConfigByUser
#endif

/* Sender-Receiver Required Port OfflineMode */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_mnt_debug_OfflineMode_mode(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_mode);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_OfflineMode_mode Rte_Read_mnt_debug_OfflineMode_mode
#endif

/* Sender-Receiver Provided Port SaFaultTraceEnable */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_mnt_debug_SaFaultTraceEnable_faultTraceEnable(VAR(uint16, AUTOMATIC) Rte_arg_faultTraceEnable);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_SaFaultTraceEnable_faultTraceEnable Rte_Write_mnt_debug_SaFaultTraceEnable_faultTraceEnable
#endif

/* Sender-Receiver Required Port SaPowerModeGet */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_mnt_debug_SaPowerModeGet_powerMode(P2VAR(Sa_PowerMode, AUTOMATIC, RTE_APPL_DATA) Rte_arg_powerMode);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SaPowerModeGet_powerMode Rte_Read_mnt_debug_SaPowerModeGet_powerMode
#endif

/* Sender-Receiver Required Port SmAppPlatInfo */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_mnt_debug_SmAppPlatInfo_Info(P2VAR(SmPlatInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Info);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SmAppPlatInfo_Info Rte_Read_mnt_debug_SmAppPlatInfo_Info
#endif

/* Sender-Receiver Provided Port SmAutoPowerOnHost */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_mnt_debug_SmAutoPowerOnHost_switch(VAR(uint8, AUTOMATIC) Rte_arg_switch);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_SmAutoPowerOnHost_switch Rte_Write_mnt_debug_SmAutoPowerOnHost_switch
#endif

/* Sender-Receiver Required Port SmNotifyPlatEvent */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_mnt_debug_SmNotifyPlatEvent_event(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_event);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SmNotifyPlatEvent_event Rte_Read_mnt_debug_SmNotifyPlatEvent_event
#endif

/* Sender-Receiver Required Port SmNotifyPlatMode */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_mnt_debug_SmNotifyPlatMode_mode(P2VAR(uint16, AUTOMATIC, RTE_APPL_DATA) Rte_arg_mode);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SmNotifyPlatMode_mode Rte_Read_mnt_debug_SmNotifyPlatMode_mode
#endif

/* Sender-Receiver Required Port SmNotifyPlatState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_mnt_debug_SmNotifyPlatState_state(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SmNotifyPlatState_state Rte_Read_mnt_debug_SmNotifyPlatState_state
#endif

/* Client-Server Required Port SmReqPlatState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_mnt_debug_SmReqPlatState_SmReqPlatState(VAR(uint8, AUTOMATIC) Rte_arg_targetState,
    VAR(uint32, AUTOMATIC) Rte_arg_size,
    P2CONST(Array64, AUTOMATIC, RTE_APPL_DATA) Rte_arg_para);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Result_mnt_debug_SmReqPlatState_SmReqPlatState(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_result);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_SmReqPlatState_SmReqPlatState Rte_Call_mnt_debug_SmReqPlatState_SmReqPlatState
#define Rte_Result_SmReqPlatState_SmReqPlatState Rte_Result_mnt_debug_SmReqPlatState_SmReqPlatState
#endif

/* Sender-Receiver Provided Port SmSetPlatStateSwitchFlag */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_mnt_debug_SmSetPlatStateSwitchFlag_stateSwitchFlag(VAR(uint8, AUTOMATIC) Rte_arg_stateSwitchFlag);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_SmSetPlatStateSwitchFlag_stateSwitchFlag Rte_Write_mnt_debug_SmSetPlatStateSwitchFlag_stateSwitchFlag
#endif

/* Sender-Receiver Provided Port ThmRxTmsState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_mnt_debug_ThmRxTmsState_state(VAR(uint8, AUTOMATIC) Rte_arg_state);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_ThmRxTmsState_state Rte_Write_mnt_debug_ThmRxTmsState_state
#endif

/* Sender-Receiver Provided Port ThmRxTmsTemp */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_mnt_debug_ThmRxTmsTemp_temp(VAR(sint16, AUTOMATIC) Rte_arg_temp);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_ThmRxTmsTemp_temp Rte_Write_mnt_debug_ThmRxTmsTemp_temp
#endif

/* Sender-Receiver Required Port ThmTxTmsFlowReq */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_mnt_debug_ThmTxTmsFlowReq_flowReq(P2VAR(float32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_flowReq);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_ThmTxTmsFlowReq_flowReq Rte_Read_mnt_debug_ThmTxTmsFlowReq_flowReq
#endif

/* Sender-Receiver Required Port ThmTxTmsPostRunFlag */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_mnt_debug_ThmTxTmsPostRunFlag_flag(P2VAR(boolean, AUTOMATIC, RTE_APPL_DATA) Rte_arg_flag);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_ThmTxTmsPostRunFlag_flag Rte_Read_mnt_debug_ThmTxTmsPostRunFlag_flag
#endif

/* Sender-Receiver Provided Port TsyncDebugSetTime */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_mnt_debug_TsyncDebugSetTime_setTime(P2CONST(TsyncDebugSetTimeType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_setTime);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_TsyncDebugSetTime_setTime Rte_Write_mnt_debug_TsyncDebugSetTime_setTime
#endif

/* Sender-Receiver Required Port VehicleConfigWord */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_mnt_debug_VehicleConfigWord_cfgInfo(P2VAR(CfgInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_cfgInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_VehicleConfigWord_cfgInfo Rte_Read_mnt_debug_VehicleConfigWord_cfgInfo
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, mnt_debug_CODE) MntDebugRunnable (void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_MNT_DEBUG_H */