/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_mnt_debug_Type.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef RTE_MNT_DEBUG_TYPE_H
#define RTE_MNT_DEBUG_TYPE_H

#define RTE_MNT_DEBUG_TYPE_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_MNT_DEBUG_TYPE_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Type.h"
/* Version verification of the Rte_Type module */
#if ((RTE_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_TYPE module version is incompatible, there may be problems.
#endif
#include <math.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Constant values
 *
 **************************************************************************/
#ifndef BOX_ID_INVALID
#define BOX_ID_INVALID 255U
#endif /* BOX_ID_INVALID */

#ifndef BOX_ID_NOT_SET
#define BOX_ID_NOT_SET 0U
#endif /* BOX_ID_NOT_SET */

#ifndef BOX_ID_SET_A
#define BOX_ID_SET_A 1U
#endif /* BOX_ID_SET_A */

#ifndef BOX_ID_SET_B
#define BOX_ID_SET_B 2U
#endif /* BOX_ID_SET_B */

#ifndef DC_COM_CTRL_CANID_RANGE
#define DC_COM_CTRL_CANID_RANGE 1U
#endif /* DC_COM_CTRL_CANID_RANGE */

#ifndef DC_COM_CTRL_CANID_SINGLE
#define DC_COM_CTRL_CANID_SINGLE 0U
#endif /* DC_COM_CTRL_CANID_SINGLE */

#ifndef DC_COM_CTRL_DENY_ALL
#define DC_COM_CTRL_DENY_ALL 1U
#endif /* DC_COM_CTRL_DENY_ALL */

#ifndef DC_COM_CTRL_FILTER
#define DC_COM_CTRL_FILTER 2U
#endif /* DC_COM_CTRL_FILTER */

#ifndef DC_COM_CTRL_PASS_ALL
#define DC_COM_CTRL_PASS_ALL 0U
#endif /* DC_COM_CTRL_PASS_ALL */

#ifndef DC_COM_CTRL_REFUSE
#define DC_COM_CTRL_REFUSE 3U
#endif /* DC_COM_CTRL_REFUSE */

#ifndef DLT_LOG_DEBUG
#define DLT_LOG_DEBUG 5U
#endif /* DLT_LOG_DEBUG */

#ifndef DLT_LOG_ERROR
#define DLT_LOG_ERROR 2U
#endif /* DLT_LOG_ERROR */

#ifndef DLT_LOG_FATAL
#define DLT_LOG_FATAL 1U
#endif /* DLT_LOG_FATAL */

#ifndef DLT_LOG_INFO
#define DLT_LOG_INFO 4U
#endif /* DLT_LOG_INFO */

#ifndef DLT_LOG_OFF
#define DLT_LOG_OFF 0U
#endif /* DLT_LOG_OFF */

#ifndef DLT_LOG_VERBOSE
#define DLT_LOG_VERBOSE 6U
#endif /* DLT_LOG_VERBOSE */

#ifndef DLT_LOG_WARN
#define DLT_LOG_WARN 3U
#endif /* DLT_LOG_WARN */

#ifndef FALSE
#define FALSE 0
#endif /* FALSE */

#ifndef LOG_CTX_BUTT
#define LOG_CTX_BUTT 4U
#endif /* LOG_CTX_BUTT */

#ifndef LOG_CTX_DBG
#define LOG_CTX_DBG 0U
#endif /* LOG_CTX_DBG */

#ifndef LOG_CTX_OPR
#define LOG_CTX_OPR 2U
#endif /* LOG_CTX_OPR */

#ifndef LOG_CTX_RUN
#define LOG_CTX_RUN 1U
#endif /* LOG_CTX_RUN */

#ifndef LOG_CTX_SAF
#define LOG_CTX_SAF 3U
#endif /* LOG_CTX_SAF */

#ifndef LPM_DEBUG_NOT_OK
#define LPM_DEBUG_NOT_OK 0U
#endif /* LPM_DEBUG_NOT_OK */

#ifndef LPM_DEBUG_OK
#define LPM_DEBUG_OK 1U
#endif /* LPM_DEBUG_OK */

#ifndef LPM_MONITOR_START
#define LPM_MONITOR_START 0U
#endif /* LPM_MONITOR_START */

#ifndef LPM_MONITOR_STOP
#define LPM_MONITOR_STOP 1U
#endif /* LPM_MONITOR_STOP */

#ifndef LPM_POWER_OFF
#define LPM_POWER_OFF 2U
#endif /* LPM_POWER_OFF */

#ifndef LPM_POWER_ON
#define LPM_POWER_ON 0U
#endif /* LPM_POWER_ON */

#ifndef LPM_SLEEP
#define LPM_SLEEP 3U
#endif /* LPM_SLEEP */

#ifndef LPM_WAKEUP
#define LPM_WAKEUP 1U
#endif /* LPM_WAKEUP */

#ifndef NM_CAN_RELEASE
#define NM_CAN_RELEASE 0U
#endif /* NM_CAN_RELEASE */

#ifndef NM_CAN_REQUEST
#define NM_CAN_REQUEST 1U
#endif /* NM_CAN_REQUEST */

#ifndef NM_CAN_USER_ADS
#define NM_CAN_USER_ADS 0U
#endif /* NM_CAN_USER_ADS */

#ifndef SA_CONTROL_START
#define SA_CONTROL_START 1U
#endif /* SA_CONTROL_START */

#ifndef SA_CONTROL_STOP
#define SA_CONTROL_STOP 0U
#endif /* SA_CONTROL_STOP */

#ifndef SA_DIRECTION_RX
#define SA_DIRECTION_RX 0U
#endif /* SA_DIRECTION_RX */

#ifndef SA_DIRECTION_TX
#define SA_DIRECTION_TX 1U
#endif /* SA_DIRECTION_TX */

#ifndef TRUE
#define TRUE 1
#endif /* TRUE */

#ifndef USER_ADS
#define USER_ADS 0U
#endif /* USER_ADS */

#ifndef USER_INS
#define USER_INS 3U
#endif /* USER_INS */

#ifndef USER_INTF
#define USER_INTF 1U
#endif /* USER_INTF */

#ifndef USER_MRR
#define USER_MRR 4U
#endif /* USER_MRR */

#ifndef USER_TMS
#define USER_TMS 2U
#endif /* USER_TMS */

#ifndef VOLT_ABNORMAL
#define VOLT_ABNORMAL 3U
#endif /* VOLT_ABNORMAL */

#ifndef VOLT_NORMAL
#define VOLT_NORMAL 0U
#endif /* VOLT_NORMAL */

#ifndef VOLT_OVER
#define VOLT_OVER 1U
#endif /* VOLT_OVER */

#ifndef VOLT_UNDER
#define VOLT_UNDER 2U
#endif /* VOLT_UNDER */

/***************************************************************************
 *
 * Define limits of Application's types
 *
 **************************************************************************/
#ifndef boolean_LowerLimit
#define boolean_LowerLimit (boolean)0
#endif /* boolean_LowerLimit */

#ifndef boolean_UpperLimit
#define boolean_UpperLimit (boolean)1
#endif /* boolean_UpperLimit */

#ifndef float32_LowerLimit
#ifdef INFINITY
#define float32_LowerLimit (-INFINITY)
#else
#define float32_LowerLimit (-HUGE_VAL)
#endif
#endif /* float32_LowerLimit */

#ifndef float32_UpperLimit
#ifdef INFINITY
#define float32_UpperLimit INFINITY
#else
#define float32_UpperLimit HUGE_VAL
#endif
#endif /* float32_UpperLimit */

#ifndef float64_LowerLimit
#ifdef INFINITY
#define float64_LowerLimit (-INFINITY)
#else
#define float64_LowerLimit (-HUGE_VAL)
#endif
#endif /* float64_LowerLimit */

#ifndef float64_UpperLimit
#ifdef INFINITY
#define float64_UpperLimit INFINITY
#else
#define float64_UpperLimit HUGE_VAL
#endif
#endif /* float64_UpperLimit */

#ifndef sint16_LowerLimit
#define sint16_LowerLimit (sint16)(-32768)
#endif /* sint16_LowerLimit */

#ifndef sint16_UpperLimit
#define sint16_UpperLimit (sint16)32767
#endif /* sint16_UpperLimit */

#ifndef sint32_LowerLimit
#define sint32_LowerLimit (sint32)(-2147483648)
#endif /* sint32_LowerLimit */

#ifndef sint32_UpperLimit
#define sint32_UpperLimit (sint32)2147483647
#endif /* sint32_UpperLimit */

#ifndef uint16_LowerLimit
#define uint16_LowerLimit (uint16)0U
#endif /* uint16_LowerLimit */

#ifndef uint16_UpperLimit
#define uint16_UpperLimit (uint16)65535U
#endif /* uint16_UpperLimit */

#ifndef uint32_LowerLimit
#define uint32_LowerLimit (uint32)0U
#endif /* uint32_LowerLimit */

#ifndef uint32_UpperLimit
#define uint32_UpperLimit (uint32)4294967295U
#endif /* uint32_UpperLimit */

#ifndef uint64_LowerLimit
#define uint64_LowerLimit (uint64)0U
#endif /* uint64_LowerLimit */

#ifndef uint64_UpperLimit
#define uint64_UpperLimit (uint64)18446744073709551615U
#endif /* uint64_UpperLimit */

#ifndef uint8_LowerLimit
#define uint8_LowerLimit (uint8)0U
#endif /* uint8_LowerLimit */

#ifndef uint8_UpperLimit
#define uint8_UpperLimit (uint8)255U
#endif /* uint8_UpperLimit */

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_MNT_DEBUG_TYPE_H */