/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_ncs_cp_Type.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef RTE_NCS_CP_TYPE_H
#define RTE_NCS_CP_TYPE_H

#define RTE_NCS_CP_TYPE_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_NCS_CP_TYPE_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Type.h"
/* Version verification of the Rte_Type module */
#if ((RTE_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_TYPE module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Constant values
 *
 **************************************************************************/
#ifndef CRYPTO_E_VER_NOT_OK
#define CRYPTO_E_VER_NOT_OK 1U
#endif /* CRYPTO_E_VER_NOT_OK */

#ifndef CRYPTO_E_VER_OK
#define CRYPTO_E_VER_OK 0U
#endif /* CRYPTO_E_VER_OK */

#ifndef DLT_LOG_DEBUG
#define DLT_LOG_DEBUG 5U
#endif /* DLT_LOG_DEBUG */

#ifndef DLT_LOG_ERROR
#define DLT_LOG_ERROR 2U
#endif /* DLT_LOG_ERROR */

#ifndef DLT_LOG_FATAL
#define DLT_LOG_FATAL 1U
#endif /* DLT_LOG_FATAL */

#ifndef DLT_LOG_INFO
#define DLT_LOG_INFO 4U
#endif /* DLT_LOG_INFO */

#ifndef DLT_LOG_OFF
#define DLT_LOG_OFF 0U
#endif /* DLT_LOG_OFF */

#ifndef DLT_LOG_VERBOSE
#define DLT_LOG_VERBOSE 6U
#endif /* DLT_LOG_VERBOSE */

#ifndef DLT_LOG_WARN
#define DLT_LOG_WARN 3U
#endif /* DLT_LOG_WARN */

#ifndef FALSE
#define FALSE 0
#endif /* FALSE */

#ifndef NVM_REQ_BLOCK_SKIPPED
#define NVM_REQ_BLOCK_SKIPPED 4U
#endif /* NVM_REQ_BLOCK_SKIPPED */

#ifndef NVM_REQ_CANCELED
#define NVM_REQ_CANCELED 6U
#endif /* NVM_REQ_CANCELED */

#ifndef NVM_REQ_INTEGRITY_FAILED
#define NVM_REQ_INTEGRITY_FAILED 3U
#endif /* NVM_REQ_INTEGRITY_FAILED */

#ifndef NVM_REQ_NOT_OK
#define NVM_REQ_NOT_OK 1U
#endif /* NVM_REQ_NOT_OK */

#ifndef NVM_REQ_NV_INVALIDATED
#define NVM_REQ_NV_INVALIDATED 5U
#endif /* NVM_REQ_NV_INVALIDATED */

#ifndef NVM_REQ_OK
#define NVM_REQ_OK 0U
#endif /* NVM_REQ_OK */

#ifndef NVM_REQ_PENDING
#define NVM_REQ_PENDING 2U
#endif /* NVM_REQ_PENDING */

#ifndef NVM_REQ_RESTORED_FROM_ROM
#define NVM_REQ_RESTORED_FROM_ROM 8U
#endif /* NVM_REQ_RESTORED_FROM_ROM */

#ifndef SECOC_AUTHENTICATIONBUILDFAILURE
#define SECOC_AUTHENTICATIONBUILDFAILURE 3U
#endif /* SECOC_AUTHENTICATIONBUILDFAILURE */

#ifndef SECOC_FRESHNESSFAILURE
#define SECOC_FRESHNESSFAILURE 2U
#endif /* SECOC_FRESHNESSFAILURE */

#ifndef SECOC_NO_VERIFICATION
#define SECOC_NO_VERIFICATION 4U
#endif /* SECOC_NO_VERIFICATION */

#ifndef SECOC_VERIFICATIONFAILURE
#define SECOC_VERIFICATIONFAILURE 1U
#endif /* SECOC_VERIFICATIONFAILURE */

#ifndef SECOC_VERIFICATIONFAILURE_OVERWRITTEN
#define SECOC_VERIFICATIONFAILURE_OVERWRITTEN 5U
#endif /* SECOC_VERIFICATIONFAILURE_OVERWRITTEN */

#ifndef SECOC_VERIFICATIONSUCCESS
#define SECOC_VERIFICATIONSUCCESS 0U
#endif /* SECOC_VERIFICATIONSUCCESS */

#ifndef TRUE
#define TRUE 1
#endif /* TRUE */

/***************************************************************************
 *
 * Define limits of Application's types
 *
 **************************************************************************/
#ifndef Crypto_VerifyResultType_LowerLimit
#define Crypto_VerifyResultType_LowerLimit (Crypto_VerifyResultType)0U
#endif /* Crypto_VerifyResultType_LowerLimit */

#ifndef Crypto_VerifyResultType_UpperLimit
#define Crypto_VerifyResultType_UpperLimit (Crypto_VerifyResultType)1U
#endif /* Crypto_VerifyResultType_UpperLimit */

#ifndef SecOC_VerificationResultType_LowerLimit
#define SecOC_VerificationResultType_LowerLimit (SecOC_VerificationResultType)0U
#endif /* SecOC_VerificationResultType_LowerLimit */

#ifndef SecOC_VerificationResultType_UpperLimit
#define SecOC_VerificationResultType_UpperLimit (SecOC_VerificationResultType)2U
#endif /* SecOC_VerificationResultType_UpperLimit */

#ifndef boolean_LowerLimit
#define boolean_LowerLimit (boolean)0
#endif /* boolean_LowerLimit */

#ifndef boolean_UpperLimit
#define boolean_UpperLimit (boolean)1
#endif /* boolean_UpperLimit */

#ifndef uint16_LowerLimit
#define uint16_LowerLimit (uint16)0U
#endif /* uint16_LowerLimit */

#ifndef uint16_UpperLimit
#define uint16_UpperLimit (uint16)65535U
#endif /* uint16_UpperLimit */

#ifndef uint32_LowerLimit
#define uint32_LowerLimit (uint32)0U
#endif /* uint32_LowerLimit */

#ifndef uint32_UpperLimit
#define uint32_UpperLimit (uint32)4294967295U
#endif /* uint32_UpperLimit */

#ifndef uint64_LowerLimit
#define uint64_LowerLimit (uint64)0U
#endif /* uint64_LowerLimit */

#ifndef uint64_UpperLimit
#define uint64_UpperLimit (uint64)18446744073709551615U
#endif /* uint64_UpperLimit */

#ifndef uint8_LowerLimit
#define uint8_LowerLimit (uint8)0U
#endif /* uint8_LowerLimit */

#ifndef uint8_UpperLimit
#define uint8_UpperLimit (uint8)255U
#endif /* uint8_UpperLimit */

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_NCS_CP_TYPE_H */