/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_sm_cp.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < sm_cp >
 *
 **************************************************************************/
#ifndef RTE_SM_CP_H
#define RTE_SM_CP_H

#define RTE_SM_CP_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_SM_CP_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SM_GetWorkMode
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SM_GetWorkMode */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SM_HeartBeatGet
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SM_HeartBeatGet */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SM_Init
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SM_Init */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SM_MainFunction
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SM_MainFunction */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SM_SmLpmSocWakeupEnbale
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SM_SmLpmSocWakeupEnbale */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SM_SsRequestState
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SM_SsRequestState */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SM_SsRequestState_1
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SM_SsRequestState_1 */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SM_SsSocStatus
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SM_SsSocStatus */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SM_SsWorkModeSwitch
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SM_SsWorkModeSwitch */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SmReqPlatState_oper
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SmReqPlatState_oper */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_sm_cp_Type.h"
/* Version verification of the Rte_sm_cp_Type module */
#if ((RTE_SM_CP_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SM_CP_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SM_CP_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_sm_cp_MemClasses.h"
/* Version verification of the Rte_sm_cp_MemClasses module */
#if ((RTE_SM_CP_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SM_CP_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SM_CP_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_SM_GetWorkMode SM_GetWorkMode

#define RTE_RUNNABLE_SM_HeartBeatGet SM_HeartBeatGet

#define RTE_RUNNABLE_SM_Init SM_Init

#define RTE_RUNNABLE_SM_MainFunction SM_MainFunction

#define RTE_RUNNABLE_SM_SmLpmSocWakeupEnbale SM_SmLpmSocWakeupEnbale

#define RTE_RUNNABLE_SM_SsRequestState SM_SsRequestState

#define RTE_RUNNABLE_SM_SsRequestState_1 SM_SsRequestState_1

#define RTE_RUNNABLE_SM_SsSocStatus SM_SsSocStatus

#define RTE_RUNNABLE_SM_SsWorkModeSwitch SM_SsWorkModeSwitch

#define RTE_RUNNABLE_SmReqPlatState_oper SmReqPlatState_oper

/***************************************************************************
 *
 * Entry point prototype init value
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_InitValue_LpmSocOnSmEnable_socOnEnb ((LPM_SocOnEnbType) 0)
#define Rte_InitValue_MntStopSendLogIndication_isAbleToSend ((uint8) 0)
#define Rte_InitValue_SM_NotifyState_Val ((uint8) 0)
#define Rte_InitValue_SM_SsHeartbeatSnd_state ((uint8) 0)
#define Rte_InitValue_SmNotifyPlatEvent_event ((uint8) 0)
#define Rte_InitValue_SmNotifyPlatMode_mode ((uint16) 0)
#define Rte_InitValue_SmNotifyPlatState_state ((uint8) 0)
#define Rte_InitValue_SmSsWorkingStatus_WorkStatus ((uint8) 0)
#define Rte_InitValue_SmSsWorkMode_WorkMode ((WorkModeType) 0)
#define Rte_InitValue_SmSsWorkModeNotify_WorkMode ((WorkModeType) {})
#define Rte_InitValue_DevmHardwireSignal_accState ((uint8) 1)
#define Rte_InitValue_DevmHardwireSignal_gpiState ((uint8) 1)
#define Rte_InitValue_SM_HeartbeatRcv_state ((uint8) 0)
#define Rte_InitValue_SmAutoPowerOnHost_switch ((uint8) 0)
#define Rte_InitValue_DevmdNotifySmStatus_oper ((uint8) 0)
#define Rte_InitValue_SmForbidUpgradeFlag_flag ((uint8) 0)
#define Rte_InitValue_OfflineMode_mode ((uint8) 0)
#define Rte_InitValue_SM_HeartbeatSnd_state ((uint8) 0)
#define Rte_InitValue_SmSetPlatStateSwitchFlag_stateSwitchFlag ((uint8) 0)
#define Rte_InitValue_SmSocOnFmEnable_socOnEnb ((SM_SocOnEnbType) 1)
#endif

/***************************************************************************
 *
 * Rte_operation_applicationError Predefined Error Codes
 *
 **************************************************************************/
#if (!defined RTE_E_LpmOperSocPower_E_NOT_OK)
#define RTE_E_LpmOperSocPower_E_NOT_OK 1U
#endif
#if (!defined RTE_E_LpmOperSocPower_E_OK)
#define RTE_E_LpmOperSocPower_E_OK 0U
#endif
#if (!defined RTE_E_LpmPowerOnSocReq_E_NOT_OK)
#define RTE_E_LpmPowerOnSocReq_E_NOT_OK 1U
#endif
#if (!defined RTE_E_LpmPowerOnSocReq_E_OK)
#define RTE_E_LpmPowerOnSocReq_E_OK 0U
#endif
#if (!defined RTE_E_LpmSetMonitorState_E_NOT_OK)
#define RTE_E_LpmSetMonitorState_E_NOT_OK 1U
#endif
#if (!defined RTE_E_LpmSetMonitorState_E_OK)
#define RTE_E_LpmSetMonitorState_E_OK 0U
#endif
#if (!defined RTE_E_SmReqPlatState_E_NOT_OK)
#define RTE_E_SmReqPlatState_E_NOT_OK 1U
#endif
#if (!defined RTE_E_SmReqPlatState_E_OK)
#define RTE_E_SmReqPlatState_E_OK 0U
#endif

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_sm_cp_DataServices_DcmDspDid_0x9253_P {
    Std_ReturnType (*Write_Data)(P2CONST(DcmDspDid_0x9253_Struct_DataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_DataServices_DcmDspDid_0x9253_P *Rte_PortHandle_DataServices_DcmDspDid_0x9253_P;
#endif

struct Rte_PDS_sm_cp_DataServices_DcmDspDid_0x9254_P {
    Std_ReturnType (*Write_Data)(P2CONST(DcmDspDid_0x9254_Struct_DataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_DataServices_DcmDspDid_0x9254_P *Rte_PortHandle_DataServices_DcmDspDid_0x9254_P;
#endif

struct Rte_PDS_sm_cp_DevmHardwireSignal_R {
    Std_ReturnType (*Read_accState)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_accState);
    Std_ReturnType (*Read_gpiState)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_gpiState);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_DevmHardwireSignal_R *Rte_PortHandle_DevmHardwireSignal_R;
#endif

struct Rte_PDS_sm_cp_DevmPowerStatus_R {
    Std_ReturnType (*Read_status)(P2VAR(PowerStatus, AUTOMATIC, RTE_APPL_DATA) Rte_arg_status);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_DevmPowerStatus_R *Rte_PortHandle_DevmPowerStatus_R;
#endif

struct Rte_PDS_sm_cp_DevmdBoardAttr_R {
    Std_ReturnType (*Read_boardAttr)(P2VAR(DevmdBoardAttr, AUTOMATIC, RTE_APPL_DATA) Rte_arg_boardAttr);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_DevmdBoardAttr_R *Rte_PortHandle_DevmdBoardAttr_R;
#endif

struct Rte_PDS_sm_cp_DevmdNotifySmStatus_R {
    Std_ReturnType (*Read_oper)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_oper);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_DevmdNotifySmStatus_R *Rte_PortHandle_DevmdNotifySmStatus_R;
#endif

struct Rte_PDS_sm_cp_FmFaultReport_P {
    Std_ReturnType (*Send_eventInfo)(P2CONST(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_FmFaultReport_P *Rte_PortHandle_FmFaultReport_P;
#endif

struct Rte_PDS_sm_cp_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

struct Rte_PDS_sm_cp_LogSwcMessageService_R {
    Std_ReturnType (*Call_SendLogMessage)(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
        VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
        VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_LogSwcMessageService_R *Rte_PortHandle_LogSwcMessageService_R;
#endif

struct Rte_PDS_sm_cp_LpmOperSocPower_R {
    Std_ReturnType (*Call_LpmOperSocPower)(VAR(LPM_ReqType, AUTOMATIC) Rte_arg_req);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_LpmOperSocPower_R *Rte_PortHandle_LpmOperSocPower_R;
#endif

struct Rte_PDS_sm_cp_LpmPowerOnSocReq_R {
    Std_ReturnType (*Call_LpmPowerOnSocReq)(VAR(uint8, AUTOMATIC) Rte_arg_userId);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_LpmPowerOnSocReq_R *Rte_PortHandle_LpmPowerOnSocReq_R;
#endif

struct Rte_PDS_sm_cp_LpmSendReqResult_R {
    Std_ReturnType (*Read_reqResult)(P2VAR(LPM_RequestResultType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_reqResult);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_LpmSendReqResult_R *Rte_PortHandle_LpmSendReqResult_R;
#endif

struct Rte_PDS_sm_cp_LpmSetMonitorState_R {
    Std_ReturnType (*Call_LpmSetMonitor)(VAR(LPM_ReqType, AUTOMATIC) Rte_arg_reqMonitor,
        VAR(LPM_OprMonitorType, AUTOMATIC) Rte_arg_operation);
    Std_ReturnType (*Result_LpmSetMonitor)(void);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_LpmSetMonitorState_R *Rte_PortHandle_LpmSetMonitorState_R;
#endif

struct Rte_PDS_sm_cp_LpmSocOnSmEnable_P {
    Std_ReturnType (*Write_socOnEnb)(VAR(LPM_SocOnEnbType, AUTOMATIC) Rte_arg_socOnEnb);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_LpmSocOnSmEnable_P *Rte_PortHandle_LpmSocOnSmEnable_P;
#endif

struct Rte_PDS_sm_cp_MntStopSendLogIndication_P {
    Std_ReturnType (*Write_isAbleToSend)(VAR(uint8, AUTOMATIC) Rte_arg_isAbleToSend);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_MntStopSendLogIndication_P *Rte_PortHandle_MntStopSendLogIndication_P;
#endif

struct Rte_PDS_sm_cp_NmServiceComReq_P {
    Std_ReturnType (*Send_comReq)(P2CONST(ComReqType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_comReq);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_NmServiceComReq_P *Rte_PortHandle_NmServiceComReq_P;
#endif

struct Rte_PDS_sm_cp_NmServiceComState_R {
    Std_ReturnType (*Read_comState)(P2VAR(ComStateType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_comState);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_NmServiceComState_R *Rte_PortHandle_NmServiceComState_R;
#endif

struct Rte_PDS_sm_cp_OfflineMode_R {
    Std_ReturnType (*Read_mode)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_mode);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_OfflineMode_R *Rte_PortHandle_OfflineMode_R;
#endif

struct Rte_PDS_sm_cp_SM_NotifyState_P {
    Std_ReturnType (*Write_Val)(VAR(uint8, AUTOMATIC) Rte_arg_Val);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_SM_NotifyState_P *Rte_PortHandle_SM_NotifyState_P;
#endif

struct Rte_PDS_sm_cp_SM_SsHeartbeat_P {
    Std_ReturnType (*Write_state)(VAR(uint8, AUTOMATIC) Rte_arg_state);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_SM_SsHeartbeat_P *Rte_PortHandle_SM_SsHeartbeat_P;
#endif

struct Rte_PDS_sm_cp_SM_SsHeartbeat_R {
    Std_ReturnType (*Read_state)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_SM_SsHeartbeat_R *Rte_PortHandle_SM_SsHeartbeat_R;
#endif

/* No RTE api is using port data structure Rte_PDS_sm_cp_SM_SsRequestState_P, so no structure is generated */

/* No RTE api is using port data structure Rte_PDS_sm_cp_SM_SsRequestState_1_P, so no structure is generated */

struct Rte_PDS_sm_cp_SmAppPlatInfo_P {
    Std_ReturnType (*Write_Info)(P2CONST(SmPlatInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Info);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_SmAppPlatInfo_P *Rte_PortHandle_SmAppPlatInfo_P;
#endif

struct Rte_PDS_sm_cp_SmAutoPowerOnHost_R {
    Std_ReturnType (*Read_switch)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_switch);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_SmAutoPowerOnHost_R *Rte_PortHandle_SmAutoPowerOnHost_R;
#endif

struct Rte_PDS_sm_cp_SmForbidUpgradeFlag_R {
    Std_ReturnType (*Read_flag)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_flag);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_SmForbidUpgradeFlag_R *Rte_PortHandle_SmForbidUpgradeFlag_R;
#endif

/* No RTE api is using port data structure Rte_PDS_sm_cp_SmGetWorkMode_P, so no structure is generated */

/* No RTE api is using port data structure Rte_PDS_sm_cp_SmLpmSocWakeupEnbale_P, so no structure is generated */

struct Rte_PDS_sm_cp_SmNotifyPlatEvent_P {
    Std_ReturnType (*Write_event)(VAR(uint8, AUTOMATIC) Rte_arg_event);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_SmNotifyPlatEvent_P *Rte_PortHandle_SmNotifyPlatEvent_P;
#endif

struct Rte_PDS_sm_cp_SmNotifyPlatMode_P {
    Std_ReturnType (*Write_mode)(VAR(uint16, AUTOMATIC) Rte_arg_mode);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_SmNotifyPlatMode_P *Rte_PortHandle_SmNotifyPlatMode_P;
#endif

struct Rte_PDS_sm_cp_SmNotifyPlatState_P {
    Std_ReturnType (*Write_state)(VAR(uint8, AUTOMATIC) Rte_arg_state);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_SmNotifyPlatState_P *Rte_PortHandle_SmNotifyPlatState_P;
#endif

struct Rte_PDS_sm_cp_SmNotifyPlatStateToHost_P {
    Std_ReturnType (*Write_para)(P2CONST(Array64, AUTOMATIC, RTE_APPL_DATA) Rte_arg_para);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_SmNotifyPlatStateToHost_P *Rte_PortHandle_SmNotifyPlatStateToHost_P;
#endif

/* No RTE api is using port data structure Rte_PDS_sm_cp_SmReqPlatState_P, so no structure is generated */

struct Rte_PDS_sm_cp_SmSendMsg_P {
    Std_ReturnType (*Write_msg)(P2CONST(SmSsMsg, AUTOMATIC, RTE_APPL_DATA) Rte_arg_msg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_SmSendMsg_P *Rte_PortHandle_SmSendMsg_P;
#endif

struct Rte_PDS_sm_cp_SmSetPlatStateSwitchFlag_R {
    Std_ReturnType (*Read_stateSwitchFlag)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_stateSwitchFlag);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_SmSetPlatStateSwitchFlag_R *Rte_PortHandle_SmSetPlatStateSwitchFlag_R;
#endif

struct Rte_PDS_sm_cp_SmSocOnFmEnable_R {
    Std_ReturnType (*Read_socOnEnb)(P2VAR(SM_SocOnEnbType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_socOnEnb);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_SmSocOnFmEnable_R *Rte_PortHandle_SmSocOnFmEnable_R;
#endif

/* No RTE api is using port data structure Rte_PDS_sm_cp_SmSsSocStatus_P, so no structure is generated */

struct Rte_PDS_sm_cp_SmSsWorkMode_P {
    Std_ReturnType (*Write_WorkMode)(VAR(WorkModeType, AUTOMATIC) Rte_arg_WorkMode);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_SmSsWorkMode_P *Rte_PortHandle_SmSsWorkMode_P;
#endif

/* No RTE api is using port data structure Rte_PDS_sm_cp_SmSsWorkModeSwitch_P, so no structure is generated */

struct Rte_PDS_sm_cp_SmSsWorkingStatus_P {
    Std_ReturnType (*Write_WorkStatus)(VAR(uint8, AUTOMATIC) Rte_arg_WorkStatus);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sm_cp_SmSsWorkingStatus_P *Rte_PortHandle_SmSsWorkingStatus_P;
#endif

struct Rte_CDS_sm_cp {
    void (*Enter_ExclusiveArea_ArbitPending)(void);
    void (*Exit_ExclusiveArea_ArbitPending)(void);
    void (*Enter_ExclusiveArea_DevmHandler)(void);
    void (*Exit_ExclusiveArea_DevmHandler)(void);
    void (*Enter_ExclusiveArea_DevmMsgInfo)(void);
    void (*Exit_ExclusiveArea_DevmMsgInfo)(void);
    void (*Enter_ExclusiveArea_StateOperate)(void);
    void (*Exit_ExclusiveArea_StateOperate)(void);
    void (*Enter_ExclusiveArea_SwitchPsState)(void);
    void (*Exit_ExclusiveArea_SwitchPsState)(void);
    void (*Enter_ExclusiveArea_SwitchReqInfo)(void);
    void (*Exit_ExclusiveArea_SwitchReqInfo)(void);
    void (*Enter_ExclusiveArea_Timer)(void);
    void (*Exit_ExclusiveArea_Timer)(void);
    struct Rte_PDS_sm_cp_DataServices_DcmDspDid_0x9253_P DataServices_DcmDspDid_0x9253;
    struct Rte_PDS_sm_cp_DataServices_DcmDspDid_0x9254_P DataServices_DcmDspDid_0x9254;
    struct Rte_PDS_sm_cp_DevmHardwireSignal_R DevmHardwireSignal;
    struct Rte_PDS_sm_cp_DevmPowerStatus_R DevmPowerStatus;
    struct Rte_PDS_sm_cp_DevmdBoardAttr_R DevmdBoardAttr;
    struct Rte_PDS_sm_cp_DevmdNotifySmStatus_R DevmdNotifySmStatus;
    struct Rte_PDS_sm_cp_FmFaultReport_P FmFaultReport;
    struct Rte_PDS_sm_cp_LogSwcMessageInterface_P LogSwcMessageInterface;
    struct Rte_PDS_sm_cp_LogSwcMessageService_R SmLogSwcMessageService;
    struct Rte_PDS_sm_cp_LpmOperSocPower_R LpmOperSocPower;
    struct Rte_PDS_sm_cp_LpmPowerOnSocReq_R LpmPowerOnSocReq;
    struct Rte_PDS_sm_cp_LpmSendReqResult_R LpmSendReqResult;
    struct Rte_PDS_sm_cp_LpmSetMonitorState_R LpmSetMonitorState;
    struct Rte_PDS_sm_cp_LpmSocOnSmEnable_P LpmSocOnSmEnable;
    struct Rte_PDS_sm_cp_MntStopSendLogIndication_P MntStopSendLogIndication;
    struct Rte_PDS_sm_cp_NmServiceComReq_P NmServiceComReq;
    struct Rte_PDS_sm_cp_NmServiceComState_R NmServiceComState;
    struct Rte_PDS_sm_cp_OfflineMode_R OfflineMode;
    struct Rte_PDS_sm_cp_SM_NotifyState_P SM_NotifyState;
    struct Rte_PDS_sm_cp_SM_SsHeartbeat_P SM_HeartbeatSnd;
    struct Rte_PDS_sm_cp_SM_SsHeartbeat_P SM_SsHeartbeatSnd;
    struct Rte_PDS_sm_cp_SM_SsHeartbeat_R SM_HeartbeatRcv;
    struct Rte_PDS_sm_cp_SmAppPlatInfo_P SmAppPlatInfo;
    struct Rte_PDS_sm_cp_SmAutoPowerOnHost_R SmAutoPowerOnHost;
    struct Rte_PDS_sm_cp_SmForbidUpgradeFlag_R SmForbidUpgradeFlag;
    struct Rte_PDS_sm_cp_SmNotifyPlatEvent_P SmNotifyPlatEvent;
    struct Rte_PDS_sm_cp_SmNotifyPlatMode_P SmNotifyPlatMode;
    struct Rte_PDS_sm_cp_SmNotifyPlatStateToHost_P SmNotifyPlatStateToHost;
    struct Rte_PDS_sm_cp_SmNotifyPlatStateToHost_P SmNotifyPlatStateToHost_1;
    struct Rte_PDS_sm_cp_SmNotifyPlatState_P SmNotifyPlatState;
    struct Rte_PDS_sm_cp_SmSendMsg_P SmSendMsg;
    struct Rte_PDS_sm_cp_SmSetPlatStateSwitchFlag_R SmSetPlatStateSwitchFlag;
    struct Rte_PDS_sm_cp_SmSocOnFmEnable_R SmSocOnFmEnable;
    struct Rte_PDS_sm_cp_SmSsWorkMode_P SmSsWorkMode;
    struct Rte_PDS_sm_cp_SmSsWorkMode_P SmSsWorkModeNotify;
    struct Rte_PDS_sm_cp_SmSsWorkingStatus_P SmSsWorkingStatus;
};
typedef struct Rte_CDS_sm_cp Rte_CDS_sm_cp;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_sm_cp, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_sm_cp, RTE_CONST, RTE_CONST) Rte_Inst_sm_cp;

/* Sender-Receiver Provided Port DataServices_DcmDspDid_0x9253 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_sm_cp_DataServices_DcmDspDid_0x9253_Data(P2CONST(DcmDspDid_0x9253_Struct_DataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_DataServices_DcmDspDid_0x9253_Data Rte_Write_sm_cp_DataServices_DcmDspDid_0x9253_Data
#endif

/* Sender-Receiver Provided Port DataServices_DcmDspDid_0x9254 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_sm_cp_DataServices_DcmDspDid_0x9254_Data(P2CONST(DcmDspDid_0x9254_Struct_DataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_DataServices_DcmDspDid_0x9254_Data Rte_Write_sm_cp_DataServices_DcmDspDid_0x9254_Data
#endif

/* Sender-Receiver Required Port DevmHardwireSignal */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_sm_cp_DevmHardwireSignal_accState(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_accState);

extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_sm_cp_DevmHardwireSignal_gpiState(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_gpiState);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmHardwireSignal_accState Rte_Read_sm_cp_DevmHardwireSignal_accState
#define Rte_Read_DevmHardwireSignal_gpiState Rte_Read_sm_cp_DevmHardwireSignal_gpiState
#endif

/* Sender-Receiver Required Port DevmPowerStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_sm_cp_DevmPowerStatus_status(P2VAR(PowerStatus, AUTOMATIC, RTE_APPL_DATA) Rte_arg_status);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmPowerStatus_status Rte_Read_sm_cp_DevmPowerStatus_status
#endif

/* Sender-Receiver Required Port DevmdBoardAttr */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_sm_cp_DevmdBoardAttr_boardAttr(P2VAR(DevmdBoardAttr, AUTOMATIC, RTE_APPL_DATA) Rte_arg_boardAttr);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmdBoardAttr_boardAttr Rte_Read_sm_cp_DevmdBoardAttr_boardAttr
#endif

/* Sender-Receiver Required Port DevmdNotifySmStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_sm_cp_DevmdNotifySmStatus_oper(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_oper);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmdNotifySmStatus_oper Rte_Read_sm_cp_DevmdNotifySmStatus_oper
#endif

/* Sender-Receiver Provided Port FmFaultReport */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_sm_cp_FmFaultReport_eventInfo(P2CONST(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_FmFaultReport_eventInfo Rte_Send_sm_cp_FmFaultReport_eventInfo
#endif

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_sm_cp_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_sm_cp_LogSwcMessageInterface_MntSendLog
#endif

/* Client-Server Required Port LpmOperSocPower */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_sm_cp_LpmOperSocPower_LpmOperSocPower(VAR(LPM_ReqType, AUTOMATIC) Rte_arg_req);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_LpmOperSocPower_LpmOperSocPower Rte_Call_sm_cp_LpmOperSocPower_LpmOperSocPower
#endif

/* Client-Server Required Port LpmPowerOnSocReq */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_sm_cp_LpmPowerOnSocReq_LpmPowerOnSocReq(VAR(uint8, AUTOMATIC) Rte_arg_userId);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_LpmPowerOnSocReq_LpmPowerOnSocReq Rte_Call_sm_cp_LpmPowerOnSocReq_LpmPowerOnSocReq
#endif

/* Sender-Receiver Required Port LpmSendReqResult */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_sm_cp_LpmSendReqResult_reqResult(P2VAR(LPM_RequestResultType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_reqResult);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_LpmSendReqResult_reqResult Rte_Read_sm_cp_LpmSendReqResult_reqResult
#endif

/* Client-Server Required Port LpmSetMonitorState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_sm_cp_LpmSetMonitorState_LpmSetMonitor(VAR(LPM_ReqType, AUTOMATIC) Rte_arg_reqMonitor,
    VAR(LPM_OprMonitorType, AUTOMATIC) Rte_arg_operation);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Result_sm_cp_LpmSetMonitorState_LpmSetMonitor(void);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_LpmSetMonitorState_LpmSetMonitor Rte_Call_sm_cp_LpmSetMonitorState_LpmSetMonitor
#define Rte_Result_LpmSetMonitorState_LpmSetMonitor Rte_Result_sm_cp_LpmSetMonitorState_LpmSetMonitor
#endif

/* Sender-Receiver Provided Port LpmSocOnSmEnable */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_sm_cp_LpmSocOnSmEnable_socOnEnb(VAR(LPM_SocOnEnbType, AUTOMATIC) Rte_arg_socOnEnb);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_LpmSocOnSmEnable_socOnEnb Rte_Write_sm_cp_LpmSocOnSmEnable_socOnEnb
#endif

/* Sender-Receiver Provided Port MntStopSendLogIndication */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_sm_cp_MntStopSendLogIndication_isAbleToSend(VAR(uint8, AUTOMATIC) Rte_arg_isAbleToSend);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_MntStopSendLogIndication_isAbleToSend Rte_Write_sm_cp_MntStopSendLogIndication_isAbleToSend
#endif

/* Sender-Receiver Provided Port NmServiceComReq */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_sm_cp_NmServiceComReq_comReq(P2CONST(ComReqType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_comReq);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_NmServiceComReq_comReq Rte_Send_sm_cp_NmServiceComReq_comReq
#endif

/* Sender-Receiver Required Port NmServiceComState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_sm_cp_NmServiceComState_comState(P2VAR(ComStateType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_comState);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_NmServiceComState_comState Rte_Read_sm_cp_NmServiceComState_comState
#endif

/* Sender-Receiver Required Port OfflineMode */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_sm_cp_OfflineMode_mode(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_mode);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_OfflineMode_mode Rte_Read_sm_cp_OfflineMode_mode
#endif

/* Sender-Receiver Required Port SM_HeartbeatRcv */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_sm_cp_SM_HeartbeatRcv_state(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SM_HeartbeatRcv_state Rte_Read_sm_cp_SM_HeartbeatRcv_state
#endif

/* Sender-Receiver Provided Port SM_HeartbeatSnd */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_sm_cp_SM_HeartbeatSnd_state(VAR(uint8, AUTOMATIC) Rte_arg_state);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_SM_HeartbeatSnd_state Rte_Write_sm_cp_SM_HeartbeatSnd_state
#endif

/* Sender-Receiver Provided Port SM_NotifyState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_sm_cp_SM_NotifyState_Val(VAR(uint8, AUTOMATIC) Rte_arg_Val);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_SM_NotifyState_Val Rte_Write_sm_cp_SM_NotifyState_Val
#endif

/* Sender-Receiver Provided Port SM_SsHeartbeatSnd */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_sm_cp_SM_SsHeartbeatSnd_state(VAR(uint8, AUTOMATIC) Rte_arg_state);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_SM_SsHeartbeatSnd_state Rte_Write_sm_cp_SM_SsHeartbeatSnd_state
#endif

/* Sender-Receiver Provided Port SmAppPlatInfo */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_sm_cp_SmAppPlatInfo_Info(P2CONST(SmPlatInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Info);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_SmAppPlatInfo_Info Rte_Write_sm_cp_SmAppPlatInfo_Info
#endif

/* Sender-Receiver Required Port SmAutoPowerOnHost */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_sm_cp_SmAutoPowerOnHost_switch(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_switch);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SmAutoPowerOnHost_switch Rte_Read_sm_cp_SmAutoPowerOnHost_switch
#endif

/* Sender-Receiver Required Port SmForbidUpgradeFlag */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_sm_cp_SmForbidUpgradeFlag_flag(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_flag);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SmForbidUpgradeFlag_flag Rte_Read_sm_cp_SmForbidUpgradeFlag_flag
#endif

/* Client-Server Required Port SmLogSwcMessageService */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_sm_cp_SmLogSwcMessageService_SendLogMessage(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
    VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
    VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_SmLogSwcMessageService_SendLogMessage Rte_Call_sm_cp_SmLogSwcMessageService_SendLogMessage
#endif

/* Sender-Receiver Provided Port SmNotifyPlatEvent */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_sm_cp_SmNotifyPlatEvent_event(VAR(uint8, AUTOMATIC) Rte_arg_event);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_SmNotifyPlatEvent_event Rte_Write_sm_cp_SmNotifyPlatEvent_event
#endif

/* Sender-Receiver Provided Port SmNotifyPlatMode */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_sm_cp_SmNotifyPlatMode_mode(VAR(uint16, AUTOMATIC) Rte_arg_mode);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_SmNotifyPlatMode_mode Rte_Write_sm_cp_SmNotifyPlatMode_mode
#endif

/* Sender-Receiver Provided Port SmNotifyPlatState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_sm_cp_SmNotifyPlatState_state(VAR(uint8, AUTOMATIC) Rte_arg_state);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_SmNotifyPlatState_state Rte_Write_sm_cp_SmNotifyPlatState_state
#endif

/* Sender-Receiver Provided Port SmNotifyPlatStateToHost */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_sm_cp_SmNotifyPlatStateToHost_para(P2CONST(Array64, AUTOMATIC, RTE_APPL_DATA) Rte_arg_para);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_SmNotifyPlatStateToHost_para Rte_Write_sm_cp_SmNotifyPlatStateToHost_para
#endif

/* Sender-Receiver Provided Port SmNotifyPlatStateToHost_1 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_sm_cp_SmNotifyPlatStateToHost_1_para(P2CONST(Array64, AUTOMATIC, RTE_APPL_DATA) Rte_arg_para);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_SmNotifyPlatStateToHost_1_para Rte_Write_sm_cp_SmNotifyPlatStateToHost_1_para
#endif

/* Sender-Receiver Provided Port SmSendMsg */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_sm_cp_SmSendMsg_msg(P2CONST(SmSsMsg, AUTOMATIC, RTE_APPL_DATA) Rte_arg_msg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_SmSendMsg_msg Rte_Write_sm_cp_SmSendMsg_msg
#endif

/* Sender-Receiver Required Port SmSetPlatStateSwitchFlag */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_sm_cp_SmSetPlatStateSwitchFlag_stateSwitchFlag(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_stateSwitchFlag);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SmSetPlatStateSwitchFlag_stateSwitchFlag Rte_Read_sm_cp_SmSetPlatStateSwitchFlag_stateSwitchFlag
#endif

/* Sender-Receiver Required Port SmSocOnFmEnable */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_sm_cp_SmSocOnFmEnable_socOnEnb(P2VAR(SM_SocOnEnbType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_socOnEnb);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SmSocOnFmEnable_socOnEnb Rte_Read_sm_cp_SmSocOnFmEnable_socOnEnb
#endif

/* Sender-Receiver Provided Port SmSsWorkMode */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_sm_cp_SmSsWorkMode_WorkMode(VAR(WorkModeType, AUTOMATIC) Rte_arg_WorkMode);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_SmSsWorkMode_WorkMode Rte_Write_sm_cp_SmSsWorkMode_WorkMode
#endif

/* Sender-Receiver Provided Port SmSsWorkModeNotify */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_sm_cp_SmSsWorkModeNotify_WorkMode(VAR(WorkModeType, AUTOMATIC) Rte_arg_WorkMode);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_SmSsWorkModeNotify_WorkMode Rte_Write_sm_cp_SmSsWorkModeNotify_WorkMode
#endif

/* Sender-Receiver Provided Port SmSsWorkingStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_sm_cp_SmSsWorkingStatus_WorkStatus(VAR(uint8, AUTOMATIC) Rte_arg_WorkStatus);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_SmSsWorkingStatus_WorkStatus Rte_Write_sm_cp_SmSsWorkingStatus_WorkStatus
#endif
/***************************************************************************
 *
 * Exclusive Area API
 *
 **************************************************************************/
extern FUNC(void, RTE_CODE) Rte_Enter_sm_cp_ExclusiveArea_ArbitPending(void);
extern FUNC(void, RTE_CODE) Rte_Exit_sm_cp_ExclusiveArea_ArbitPending(void);
extern FUNC(void, RTE_CODE) Rte_Enter_sm_cp_ExclusiveArea_DevmHandler(void);
extern FUNC(void, RTE_CODE) Rte_Exit_sm_cp_ExclusiveArea_DevmHandler(void);
extern FUNC(void, RTE_CODE) Rte_Enter_sm_cp_ExclusiveArea_DevmMsgInfo(void);
extern FUNC(void, RTE_CODE) Rte_Exit_sm_cp_ExclusiveArea_DevmMsgInfo(void);
extern FUNC(void, RTE_CODE) Rte_Enter_sm_cp_ExclusiveArea_StateOperate(void);
extern FUNC(void, RTE_CODE) Rte_Exit_sm_cp_ExclusiveArea_StateOperate(void);
extern FUNC(void, RTE_CODE) Rte_Enter_sm_cp_ExclusiveArea_SwitchPsState(void);
extern FUNC(void, RTE_CODE) Rte_Exit_sm_cp_ExclusiveArea_SwitchPsState(void);
extern FUNC(void, RTE_CODE) Rte_Enter_sm_cp_ExclusiveArea_SwitchReqInfo(void);
extern FUNC(void, RTE_CODE) Rte_Exit_sm_cp_ExclusiveArea_SwitchReqInfo(void);
extern FUNC(void, RTE_CODE) Rte_Enter_sm_cp_ExclusiveArea_Timer(void);
extern FUNC(void, RTE_CODE) Rte_Exit_sm_cp_ExclusiveArea_Timer(void);

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */

#if ( \
        (!defined RTE_RUNNABLEAPI_SM_GetWorkMode) && \
        (!defined RTE_RUNNABLEAPI_SM_HeartBeatGet) && \
        (!defined RTE_RUNNABLEAPI_SM_Init) && \
        (!defined RTE_RUNNABLEAPI_SM_SmLpmSocWakeupEnbale) && \
        (!defined RTE_RUNNABLEAPI_SM_SsSocStatus) && \
        (!defined RTE_RUNNABLEAPI_SM_SsWorkModeSwitch) \
)
#define Rte_Enter_ExclusiveArea_ArbitPending Rte_Enter_sm_cp_ExclusiveArea_ArbitPending
#endif
#if ( \
        (!defined RTE_RUNNABLEAPI_SM_GetWorkMode) && \
        (!defined RTE_RUNNABLEAPI_SM_HeartBeatGet) && \
        (!defined RTE_RUNNABLEAPI_SM_Init) && \
        (!defined RTE_RUNNABLEAPI_SM_SmLpmSocWakeupEnbale) && \
        (!defined RTE_RUNNABLEAPI_SM_SsSocStatus) && \
        (!defined RTE_RUNNABLEAPI_SM_SsWorkModeSwitch) \
)
#define Rte_Exit_ExclusiveArea_ArbitPending Rte_Exit_sm_cp_ExclusiveArea_ArbitPending
#endif

#if ( \
        (!defined RTE_RUNNABLEAPI_SM_GetWorkMode) && \
        (!defined RTE_RUNNABLEAPI_SM_HeartBeatGet) && \
        (!defined RTE_RUNNABLEAPI_SM_Init) && \
        (!defined RTE_RUNNABLEAPI_SM_SmLpmSocWakeupEnbale) && \
        (!defined RTE_RUNNABLEAPI_SM_SsSocStatus) && \
        (!defined RTE_RUNNABLEAPI_SM_SsWorkModeSwitch) \
)
#define Rte_Enter_ExclusiveArea_DevmHandler Rte_Enter_sm_cp_ExclusiveArea_DevmHandler
#endif
#if ( \
        (!defined RTE_RUNNABLEAPI_SM_GetWorkMode) && \
        (!defined RTE_RUNNABLEAPI_SM_HeartBeatGet) && \
        (!defined RTE_RUNNABLEAPI_SM_Init) && \
        (!defined RTE_RUNNABLEAPI_SM_SmLpmSocWakeupEnbale) && \
        (!defined RTE_RUNNABLEAPI_SM_SsSocStatus) && \
        (!defined RTE_RUNNABLEAPI_SM_SsWorkModeSwitch) \
)
#define Rte_Exit_ExclusiveArea_DevmHandler Rte_Exit_sm_cp_ExclusiveArea_DevmHandler
#endif

#if ( \
        (!defined RTE_RUNNABLEAPI_SM_GetWorkMode) && \
        (!defined RTE_RUNNABLEAPI_SM_HeartBeatGet) && \
        (!defined RTE_RUNNABLEAPI_SM_SmLpmSocWakeupEnbale) && \
        (!defined RTE_RUNNABLEAPI_SM_SsSocStatus) && \
        (!defined RTE_RUNNABLEAPI_SM_SsWorkModeSwitch) \
)
#define Rte_Enter_ExclusiveArea_DevmMsgInfo Rte_Enter_sm_cp_ExclusiveArea_DevmMsgInfo
#endif
#if ( \
        (!defined RTE_RUNNABLEAPI_SM_GetWorkMode) && \
        (!defined RTE_RUNNABLEAPI_SM_HeartBeatGet) && \
        (!defined RTE_RUNNABLEAPI_SM_SmLpmSocWakeupEnbale) && \
        (!defined RTE_RUNNABLEAPI_SM_SsSocStatus) && \
        (!defined RTE_RUNNABLEAPI_SM_SsWorkModeSwitch) \
)
#define Rte_Exit_ExclusiveArea_DevmMsgInfo Rte_Exit_sm_cp_ExclusiveArea_DevmMsgInfo
#endif

#if ( \
        (!defined RTE_RUNNABLEAPI_SM_GetWorkMode) && \
        (!defined RTE_RUNNABLEAPI_SM_HeartBeatGet) && \
        (!defined RTE_RUNNABLEAPI_SM_Init) && \
        (!defined RTE_RUNNABLEAPI_SM_SmLpmSocWakeupEnbale) && \
        (!defined RTE_RUNNABLEAPI_SM_SsSocStatus) && \
        (!defined RTE_RUNNABLEAPI_SM_SsWorkModeSwitch) && \
        (!defined RTE_RUNNABLEAPI_SmReqPlatState_oper) \
)
#define Rte_Enter_ExclusiveArea_StateOperate Rte_Enter_sm_cp_ExclusiveArea_StateOperate
#endif
#if ( \
        (!defined RTE_RUNNABLEAPI_SM_GetWorkMode) && \
        (!defined RTE_RUNNABLEAPI_SM_HeartBeatGet) && \
        (!defined RTE_RUNNABLEAPI_SM_Init) && \
        (!defined RTE_RUNNABLEAPI_SM_SmLpmSocWakeupEnbale) && \
        (!defined RTE_RUNNABLEAPI_SM_SsSocStatus) && \
        (!defined RTE_RUNNABLEAPI_SM_SsWorkModeSwitch) && \
        (!defined RTE_RUNNABLEAPI_SmReqPlatState_oper) \
)
#define Rte_Exit_ExclusiveArea_StateOperate Rte_Exit_sm_cp_ExclusiveArea_StateOperate
#endif

#if ( \
        (!defined RTE_RUNNABLEAPI_SM_GetWorkMode) && \
        (!defined RTE_RUNNABLEAPI_SM_HeartBeatGet) && \
        (!defined RTE_RUNNABLEAPI_SM_Init) && \
        (!defined RTE_RUNNABLEAPI_SM_SmLpmSocWakeupEnbale) && \
        (!defined RTE_RUNNABLEAPI_SM_SsWorkModeSwitch) \
)
#define Rte_Enter_ExclusiveArea_SwitchPsState Rte_Enter_sm_cp_ExclusiveArea_SwitchPsState
#endif
#if ( \
        (!defined RTE_RUNNABLEAPI_SM_GetWorkMode) && \
        (!defined RTE_RUNNABLEAPI_SM_HeartBeatGet) && \
        (!defined RTE_RUNNABLEAPI_SM_Init) && \
        (!defined RTE_RUNNABLEAPI_SM_SmLpmSocWakeupEnbale) && \
        (!defined RTE_RUNNABLEAPI_SM_SsWorkModeSwitch) \
)
#define Rte_Exit_ExclusiveArea_SwitchPsState Rte_Exit_sm_cp_ExclusiveArea_SwitchPsState
#endif

#if ( \
        (!defined RTE_RUNNABLEAPI_SM_GetWorkMode) && \
        (!defined RTE_RUNNABLEAPI_SM_HeartBeatGet) && \
        (!defined RTE_RUNNABLEAPI_SM_SmLpmSocWakeupEnbale) && \
        (!defined RTE_RUNNABLEAPI_SM_SsSocStatus) && \
        (!defined RTE_RUNNABLEAPI_SM_SsWorkModeSwitch) \
)
#define Rte_Enter_ExclusiveArea_SwitchReqInfo Rte_Enter_sm_cp_ExclusiveArea_SwitchReqInfo
#endif
#if ( \
        (!defined RTE_RUNNABLEAPI_SM_GetWorkMode) && \
        (!defined RTE_RUNNABLEAPI_SM_HeartBeatGet) && \
        (!defined RTE_RUNNABLEAPI_SM_SmLpmSocWakeupEnbale) && \
        (!defined RTE_RUNNABLEAPI_SM_SsSocStatus) && \
        (!defined RTE_RUNNABLEAPI_SM_SsWorkModeSwitch) \
)
#define Rte_Exit_ExclusiveArea_SwitchReqInfo Rte_Exit_sm_cp_ExclusiveArea_SwitchReqInfo
#endif

#if ( \
        (!defined RTE_RUNNABLEAPI_SM_GetWorkMode) && \
        (!defined RTE_RUNNABLEAPI_SM_HeartBeatGet) && \
        (!defined RTE_RUNNABLEAPI_SM_SmLpmSocWakeupEnbale) && \
        (!defined RTE_RUNNABLEAPI_SM_SsSocStatus) && \
        (!defined RTE_RUNNABLEAPI_SM_SsWorkModeSwitch) \
)
#define Rte_Enter_ExclusiveArea_Timer Rte_Enter_sm_cp_ExclusiveArea_Timer
#endif
#if ( \
        (!defined RTE_RUNNABLEAPI_SM_GetWorkMode) && \
        (!defined RTE_RUNNABLEAPI_SM_HeartBeatGet) && \
        (!defined RTE_RUNNABLEAPI_SM_SmLpmSocWakeupEnbale) && \
        (!defined RTE_RUNNABLEAPI_SM_SsSocStatus) && \
        (!defined RTE_RUNNABLEAPI_SM_SsWorkModeSwitch) \
)
#define Rte_Exit_ExclusiveArea_Timer Rte_Exit_sm_cp_ExclusiveArea_Timer
#endif

#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, sm_cp_CODE) SM_GetWorkMode (P2VAR(uint32, AUTOMATIC, RTE_APPL_DATA) Rte_arg_curMode,
    P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_res);

extern FUNC(void, sm_cp_CODE) SM_HeartBeatGet (void);

extern FUNC(void, sm_cp_CODE) SM_Init (void);

extern FUNC(void, sm_cp_CODE) SM_MainFunction (void);

extern FUNC(void, sm_cp_CODE) SM_SmLpmSocWakeupEnbale (P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_argReturn);

extern FUNC(void, sm_cp_CODE) SM_SsRequestState (VAR(uint8, AUTOMATIC) Rte_arg_mode,
    P2CONST(Array64, AUTOMATIC, RTE_APPL_DATA) Rte_arg_data,
    VAR(uint32, AUTOMATIC) Rte_arg_size,
    P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_res);

extern FUNC(void, sm_cp_CODE) SM_SsRequestState_1 (VAR(uint32, AUTOMATIC) Rte_arg_mode,
    VAR(uint32, AUTOMATIC) Rte_arg_size,
    P2CONST(Array64, AUTOMATIC, RTE_APPL_DATA) Rte_arg_data,
    P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_res);

extern FUNC(void, sm_cp_CODE) SM_SsSocStatus (VAR(uint8, AUTOMATIC) Rte_arg_type,
    VAR(uint32, AUTOMATIC) Rte_arg_size,
    P2CONST(Array64, AUTOMATIC, RTE_APPL_DATA) Rte_arg_dataBuff,
    P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_res);

extern FUNC(void, sm_cp_CODE) SM_SsWorkModeSwitch (VAR(WorkModeType, AUTOMATIC) Rte_arg_workMode,
    P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_res);

extern FUNC(Std_ReturnType, sm_cp_CODE) SmReqPlatState_oper (VAR(uint8, AUTOMATIC) Rte_arg_targetState,
    VAR(uint32, AUTOMATIC) Rte_arg_size,
    P2CONST(Array64, AUTOMATIC, RTE_APPL_DATA) Rte_arg_para,
    P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_result);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_SM_CP_H */