/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_swc_mnt.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < swc_mnt >
 *
 **************************************************************************/
#ifndef RTE_SWC_MNT_H
#define RTE_SWC_MNT_H

#define RTE_SWC_MNT_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_SWC_MNT_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_EthMonitorRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_EthMonitorRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_LogPublishRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_LogPublishRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_LogReportErrorRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_LogReportErrorRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_MntCmdLineResponseResult
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_MntCmdLineResponseResult */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_MntExecCmdRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_MntExecCmdRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_MntRequestCmdResultsRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_MntRequestCmdResultsRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_MntTimMonitorEntCore01msTaskRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_MntTimMonitorEntCore01msTaskRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_MntTimMonitorEntCore05msTaskRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_MntTimMonitorEntCore05msTaskRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_MntTimMonitorEntCore0InitTaskRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_MntTimMonitorEntCore0InitTaskRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_MntTimMonitorExitCore0InitTaskRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_MntTimMonitorExitCore0InitTaskRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_SendLogMessageServerRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_SendLogMessageServerRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_swc_mnt_Init
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_swc_mnt_Init */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_swc_mnt_Type.h"
/* Version verification of the Rte_swc_mnt_Type module */
#if ((RTE_SWC_MNT_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWC_MNT_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWC_MNT_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_swc_mnt_MemClasses.h"
/* Version verification of the Rte_swc_mnt_MemClasses module */
#if ((RTE_SWC_MNT_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SWC_MNT_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SWC_MNT_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_EthMonitorRunnable EthMonitorRunnable

#define RTE_RUNNABLE_LogPublishRunnable LogPublishRunnable

#define RTE_RUNNABLE_LogReportErrorRunnable LogReportErrorRunnable

#define RTE_RUNNABLE_MntCmdLineResponseResult MntCmdLineResponseResult

#define RTE_RUNNABLE_MntExecCmdRunnable MntExecCmdRunnable

#define RTE_RUNNABLE_MntRequestCmdResultsRunnable MntRequestCmdResultsRunnable

#define RTE_RUNNABLE_MntTimMonitorEntCore01msTaskRunnable MntTimMonitorEntCore01msTaskRunnable

#define RTE_RUNNABLE_MntTimMonitorEntCore05msTaskRunnable MntTimMonitorEntCore05msTaskRunnable

#define RTE_RUNNABLE_MntTimMonitorEntCore0InitTaskRunnable MntTimMonitorEntCore0InitTaskRunnable

#define RTE_RUNNABLE_MntTimMonitorExitCore0InitTaskRunnable MntTimMonitorExitCore0InitTaskRunnable

#define RTE_RUNNABLE_SendLogMessageServerRunnable SendLogMessageServerRunnable

#define RTE_RUNNABLE_swc_mnt_Init swc_mnt_Init

/***************************************************************************
 *
 * Entry point prototype init value
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_InitValue_MntStopSendLogIndication_isAbleToSend ((uint8) 0)
#define Rte_InitValue_SmNotifyPlatState_state ((uint8) 0)
#define Rte_InitValue_SmSsWorkingStatus_WorkStatus ((uint8) 0)
#endif

/***************************************************************************
 *
 * Rte_operation_applicationError Predefined Error Codes
 *
 **************************************************************************/
#if (!defined RTE_E_MntCmdLineResponseResult_E_NOT_OK)
#define RTE_E_MntCmdLineResponseResult_E_NOT_OK 1U
#endif
#if (!defined RTE_E_MntCmdLineResponseResult_E_OK)
#define RTE_E_MntCmdLineResponseResult_E_OK 0U
#endif
#if (!defined RTE_E_MntExceCmd_E_OK)
#define RTE_E_MntExceCmd_E_OK 0U
#endif
#if (!defined RTE_E_MntRequestCmdResult_E_OK)
#define RTE_E_MntRequestCmdResult_E_OK 0U
#endif

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_swc_mnt_CanRawMsg_P {
    Std_ReturnType (*Send_CanRawMsg)(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_CanRawMsg_P *Rte_PortHandle_CanRawMsg_P;
#endif

struct Rte_PDS_swc_mnt_CantraceAlarmReport_R {
    Std_ReturnType (*Receive_CantraceAlarmPkt)(P2VAR(CantraceAlarmPktType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CantraceAlarmPkt);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_CantraceAlarmReport_R *Rte_PortHandle_CantraceAlarmReport_R;
#endif

struct Rte_PDS_swc_mnt_DataServices_DcmDspDid_0x9255_P {
    Std_ReturnType (*Write_Data)(P2CONST(DcmDspDid_0x9255_Struct_DataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_DataServices_DcmDspDid_0x9255_P *Rte_PortHandle_DataServices_DcmDspDid_0x9255_P;
#endif

struct Rte_PDS_swc_mnt_DevmPowerStatus_R {
    Std_ReturnType (*Read_status)(P2VAR(PowerStatus, AUTOMATIC, RTE_APPL_DATA) Rte_arg_status);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_DevmPowerStatus_R *Rte_PortHandle_DevmPowerStatus_R;
#endif

struct Rte_PDS_swc_mnt_DevmdBoardAttr_R {
    Std_ReturnType (*Read_boardAttr)(P2VAR(DevmdBoardAttr, AUTOMATIC, RTE_APPL_DATA) Rte_arg_boardAttr);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_DevmdBoardAttr_R *Rte_PortHandle_DevmdBoardAttr_R;
#endif

struct Rte_PDS_swc_mnt_DiagDidReport_P {
    Std_ReturnType (*Send_didInfo)(P2CONST(DiagDid, AUTOMATIC, RTE_APPL_DATA) Rte_arg_didInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_DiagDidReport_P *Rte_PortHandle_DiagDidReport_P;
#endif

struct Rte_PDS_swc_mnt_FmFaultReport_P {
    Std_ReturnType (*Send_eventInfo)(P2CONST(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_FmFaultReport_P *Rte_PortHandle_FmFaultReport_P;
#endif

struct Rte_PDS_swc_mnt_LogQueue_P {
    Std_ReturnType (*Send_logDataQueue0)(P2CONST(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logDataQueue0);
    Std_ReturnType (*Send_logDataQueue1)(P2CONST(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logDataQueue1);
    Std_ReturnType (*Send_logDataQueue2)(P2CONST(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logDataQueue2);
    Std_ReturnType (*Send_logDataQueue3)(P2CONST(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logDataQueue3);
    Std_ReturnType (*Send_logDataQueue4)(P2CONST(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logDataQueue4);
    Std_ReturnType (*Send_logDataQueue5)(P2CONST(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logDataQueue5);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_LogQueue_P *Rte_PortHandle_LogQueue_P;
#endif

struct Rte_PDS_swc_mnt_LogQueue_R {
    Std_ReturnType (*Receive_logDataQueue0)(P2VAR(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logDataQueue0);
    Std_ReturnType (*Receive_logDataQueue1)(P2VAR(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logDataQueue1);
    Std_ReturnType (*Receive_logDataQueue2)(P2VAR(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logDataQueue2);
    Std_ReturnType (*Receive_logDataQueue3)(P2VAR(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logDataQueue3);
    Std_ReturnType (*Receive_logDataQueue4)(P2VAR(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logDataQueue4);
    Std_ReturnType (*Receive_logDataQueue5)(P2VAR(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logDataQueue5);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_LogQueue_R *Rte_PortHandle_LogQueue_R;
#endif

struct Rte_PDS_swc_mnt_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

/* No RTE api is using port data structure Rte_PDS_swc_mnt_LogSwcMessageService_P, so no structure is generated */

struct Rte_PDS_swc_mnt_MntCanTraceTriggerInterface_R {
    Std_ReturnType (*Receive_triggerInfo)(P2VAR(MntCanTraceTriggerType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_triggerInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_MntCanTraceTriggerInterface_R *Rte_PortHandle_MntCanTraceTriggerInterface_R;
#endif

/* No RTE api is using port data structure Rte_PDS_swc_mnt_MntCmdLineResponseResult_P, so no structure is generated */

struct Rte_PDS_swc_mnt_MntDispatchCmdLine_P {
    Std_ReturnType (*Send_CmdLineElement)(P2CONST(MntCmdParamsArrayType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CmdLineElement);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_MntDispatchCmdLine_P *Rte_PortHandle_MntDispatchCmdLine_P;
#endif

/* No RTE api is using port data structure Rte_PDS_swc_mnt_MntExceCmd_P, so no structure is generated */

struct Rte_PDS_swc_mnt_MntLogShowMsgToDlt_P {
    Std_ReturnType (*Send_log)(P2CONST(Dlt_MessageLogPublishType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_log);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_MntLogShowMsgToDlt_P *Rte_PortHandle_MntLogShowMsgToDlt_P;
#endif

/* No RTE api is using port data structure Rte_PDS_swc_mnt_MntRequestCmdResult_P, so no structure is generated */

struct Rte_PDS_swc_mnt_MntReserveAppCanPkt_R {
    Std_ReturnType (*Receive_canAppPkt)(P2VAR(Array64, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canAppPkt);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_MntReserveAppCanPkt_R *Rte_PortHandle_MntReserveAppCanPkt_R;
#endif

struct Rte_PDS_swc_mnt_MntSendCanTracePkt_P {
    Std_ReturnType (*Send_canTracePkt)(P2CONST(MntCanTracePktType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canTracePkt);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_MntSendCanTracePkt_P *Rte_PortHandle_MntSendCanTracePkt_P;
#endif

struct Rte_PDS_swc_mnt_MntStopSendLogIndication_R {
    Std_ReturnType (*Read_isAbleToSend)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_isAbleToSend);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_MntStopSendLogIndication_R *Rte_PortHandle_MntStopSendLogIndication_R;
#endif

struct Rte_PDS_swc_mnt_SmNotifyPlatState_R {
    Std_ReturnType (*Read_state)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_SmNotifyPlatState_R *Rte_PortHandle_SmNotifyPlatState_R;
#endif

struct Rte_PDS_swc_mnt_SmSsWorkingStatus_R {
    Std_ReturnType (*Read_WorkStatus)(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_WorkStatus);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_SmSsWorkingStatus_R *Rte_PortHandle_SmSsWorkingStatus_R;
#endif

struct Rte_PDS_swc_mnt_SomeIpLogEventInterface_P {
    Std_ReturnType (*Write_LogParam)(P2CONST(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_LogParam);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_SomeIpLogEventInterface_P *Rte_PortHandle_SomeIpLogEventInterface_P;
#endif

struct Rte_PDS_swc_mnt_UartInterface_P {
    Std_ReturnType (*Send_UartElement)(P2CONST(DevmdArrayUint8_128, AUTOMATIC, RTE_APPL_DATA) Rte_arg_UartElement);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_swc_mnt_UartInterface_P *Rte_PortHandle_UartInterface_P;
#endif

struct Rte_CDS_swc_mnt {
    struct Rte_PDS_swc_mnt_CanRawMsg_P CanRawMsg;
    struct Rte_PDS_swc_mnt_CantraceAlarmReport_R FmCantraceAlarmReport;
    struct Rte_PDS_swc_mnt_CantraceAlarmReport_R GwCantraceAlarmReport;
    struct Rte_PDS_swc_mnt_DataServices_DcmDspDid_0x9255_P DataServices_DcmDspDid_0x9255;
    struct Rte_PDS_swc_mnt_DevmPowerStatus_R DevmPowerStatus;
    struct Rte_PDS_swc_mnt_DevmdBoardAttr_R DevmdBoardAttr;
    struct Rte_PDS_swc_mnt_DiagDidReport_P DiagDidReport;
    struct Rte_PDS_swc_mnt_FmFaultReport_P FmFaultReport;
    struct Rte_PDS_swc_mnt_LogQueue_P PpLogQueue;
    struct Rte_PDS_swc_mnt_LogQueue_R RpLogQueue;
    struct Rte_PDS_swc_mnt_LogSwcMessageInterface_P LogSwcMessageInterface;
    struct Rte_PDS_swc_mnt_MntCanTraceTriggerInterface_R MntCanTraceTriggerInterface;
    struct Rte_PDS_swc_mnt_MntDispatchCmdLine_P PpMntDispatchCmdLine;
    struct Rte_PDS_swc_mnt_MntLogShowMsgToDlt_P MntLogShowMsgToDlt;
    struct Rte_PDS_swc_mnt_MntReserveAppCanPkt_R MntReserveAppCanPkt;
    struct Rte_PDS_swc_mnt_MntSendCanTracePkt_P MntSendCanTracePktSysAlarm;
    struct Rte_PDS_swc_mnt_MntSendCanTracePkt_P MntSendCanTracePktSysStatus;
    struct Rte_PDS_swc_mnt_MntSendCanTracePkt_P MntSendCanTracePktTriggerMsg;
    struct Rte_PDS_swc_mnt_MntStopSendLogIndication_R MntStopSendLogIndication;
    struct Rte_PDS_swc_mnt_SmNotifyPlatState_R SmNotifyPlatState;
    struct Rte_PDS_swc_mnt_SmSsWorkingStatus_R SmSsWorkingStatus;
    struct Rte_PDS_swc_mnt_SomeIpLogEventInterface_P SomeIpLogEventInterface;
    struct Rte_PDS_swc_mnt_UartInterface_P PpUartInterface;
};
typedef struct Rte_CDS_swc_mnt Rte_CDS_swc_mnt;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_swc_mnt, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_swc_mnt, RTE_CONST, RTE_CONST) Rte_Inst_swc_mnt;

/* Sender-Receiver Provided Port CanRawMsg */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_mnt_CanRawMsg_CanRawMsg(P2CONST(CanRawMsgType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CanRawMsg);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_CanRawMsg_CanRawMsg Rte_Send_swc_mnt_CanRawMsg_CanRawMsg
#endif

/* Sender-Receiver Provided Port DataServices_DcmDspDid_0x9255 */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_swc_mnt_DataServices_DcmDspDid_0x9255_Data(P2CONST(DcmDspDid_0x9255_Struct_DataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_Data);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_DataServices_DcmDspDid_0x9255_Data Rte_Write_swc_mnt_DataServices_DcmDspDid_0x9255_Data
#endif

/* Sender-Receiver Required Port DevmPowerStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_mnt_DevmPowerStatus_status(P2VAR(PowerStatus, AUTOMATIC, RTE_APPL_DATA) Rte_arg_status);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmPowerStatus_status Rte_Read_swc_mnt_DevmPowerStatus_status
#endif

/* Sender-Receiver Required Port DevmdBoardAttr */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_mnt_DevmdBoardAttr_boardAttr(P2VAR(DevmdBoardAttr, AUTOMATIC, RTE_APPL_DATA) Rte_arg_boardAttr);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_DevmdBoardAttr_boardAttr Rte_Read_swc_mnt_DevmdBoardAttr_boardAttr
#endif

/* Sender-Receiver Provided Port DiagDidReport */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_mnt_DiagDidReport_didInfo(P2CONST(DiagDid, AUTOMATIC, RTE_APPL_DATA) Rte_arg_didInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_DiagDidReport_didInfo Rte_Send_swc_mnt_DiagDidReport_didInfo
#endif

/* Sender-Receiver Required Port FmCantraceAlarmReport */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_mnt_FmCantraceAlarmReport_CantraceAlarmPkt(P2VAR(CantraceAlarmPktType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CantraceAlarmPkt);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_FmCantraceAlarmReport_CantraceAlarmPkt Rte_Receive_swc_mnt_FmCantraceAlarmReport_CantraceAlarmPkt
#endif

/* Sender-Receiver Provided Port FmFaultReport */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_mnt_FmFaultReport_eventInfo(P2CONST(EventInfo, AUTOMATIC, RTE_APPL_DATA) Rte_arg_eventInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_FmFaultReport_eventInfo Rte_Send_swc_mnt_FmFaultReport_eventInfo
#endif

/* Sender-Receiver Required Port GwCantraceAlarmReport */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_mnt_GwCantraceAlarmReport_CantraceAlarmPkt(P2VAR(CantraceAlarmPktType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CantraceAlarmPkt);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_GwCantraceAlarmReport_CantraceAlarmPkt Rte_Receive_swc_mnt_GwCantraceAlarmReport_CantraceAlarmPkt
#endif

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_mnt_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_swc_mnt_LogSwcMessageInterface_MntSendLog
#endif

/* Sender-Receiver Required Port MntCanTraceTriggerInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_mnt_MntCanTraceTriggerInterface_triggerInfo(P2VAR(MntCanTraceTriggerType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_triggerInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_MntCanTraceTriggerInterface_triggerInfo Rte_Receive_swc_mnt_MntCanTraceTriggerInterface_triggerInfo
#endif

/* Sender-Receiver Provided Port MntLogShowMsgToDlt */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_mnt_MntLogShowMsgToDlt_log(P2CONST(Dlt_MessageLogPublishType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_log);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_MntLogShowMsgToDlt_log Rte_Send_swc_mnt_MntLogShowMsgToDlt_log
#endif

/* Sender-Receiver Required Port MntReserveAppCanPkt */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_mnt_MntReserveAppCanPkt_canAppPkt(P2VAR(Array64, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canAppPkt);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_MntReserveAppCanPkt_canAppPkt Rte_Receive_swc_mnt_MntReserveAppCanPkt_canAppPkt
#endif

/* Sender-Receiver Provided Port MntSendCanTracePktSysAlarm */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_mnt_MntSendCanTracePktSysAlarm_canTracePkt(P2CONST(MntCanTracePktType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canTracePkt);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_MntSendCanTracePktSysAlarm_canTracePkt Rte_Send_swc_mnt_MntSendCanTracePktSysAlarm_canTracePkt
#endif

/* Sender-Receiver Provided Port MntSendCanTracePktSysStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_mnt_MntSendCanTracePktSysStatus_canTracePkt(P2CONST(MntCanTracePktType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canTracePkt);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_MntSendCanTracePktSysStatus_canTracePkt Rte_Send_swc_mnt_MntSendCanTracePktSysStatus_canTracePkt
#endif

/* Sender-Receiver Provided Port MntSendCanTracePktTriggerMsg */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_mnt_MntSendCanTracePktTriggerMsg_canTracePkt(P2CONST(MntCanTracePktType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_canTracePkt);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_MntSendCanTracePktTriggerMsg_canTracePkt Rte_Send_swc_mnt_MntSendCanTracePktTriggerMsg_canTracePkt
#endif

/* Sender-Receiver Required Port MntStopSendLogIndication */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_mnt_MntStopSendLogIndication_isAbleToSend(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_isAbleToSend);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_MntStopSendLogIndication_isAbleToSend Rte_Read_swc_mnt_MntStopSendLogIndication_isAbleToSend
#endif

/* Sender-Receiver Provided Port PpLogQueue */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_mnt_PpLogQueue_logDataQueue0(P2CONST(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logDataQueue0);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_mnt_PpLogQueue_logDataQueue1(P2CONST(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logDataQueue1);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_mnt_PpLogQueue_logDataQueue2(P2CONST(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logDataQueue2);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_mnt_PpLogQueue_logDataQueue3(P2CONST(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logDataQueue3);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_mnt_PpLogQueue_logDataQueue4(P2CONST(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logDataQueue4);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_mnt_PpLogQueue_logDataQueue5(P2CONST(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logDataQueue5);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_PpLogQueue_logDataQueue0 Rte_Send_swc_mnt_PpLogQueue_logDataQueue0
#define Rte_Send_PpLogQueue_logDataQueue1 Rte_Send_swc_mnt_PpLogQueue_logDataQueue1
#define Rte_Send_PpLogQueue_logDataQueue2 Rte_Send_swc_mnt_PpLogQueue_logDataQueue2
#define Rte_Send_PpLogQueue_logDataQueue3 Rte_Send_swc_mnt_PpLogQueue_logDataQueue3
#define Rte_Send_PpLogQueue_logDataQueue4 Rte_Send_swc_mnt_PpLogQueue_logDataQueue4
#define Rte_Send_PpLogQueue_logDataQueue5 Rte_Send_swc_mnt_PpLogQueue_logDataQueue5
#endif

/* Sender-Receiver Provided Port PpMntDispatchCmdLine */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_mnt_PpMntDispatchCmdLine_CmdLineElement(P2CONST(MntCmdParamsArrayType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_CmdLineElement);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_PpMntDispatchCmdLine_CmdLineElement Rte_Send_swc_mnt_PpMntDispatchCmdLine_CmdLineElement
#endif

/* Sender-Receiver Provided Port PpUartInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_swc_mnt_PpUartInterface_UartElement(P2CONST(DevmdArrayUint8_128, AUTOMATIC, RTE_APPL_DATA) Rte_arg_UartElement);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_PpUartInterface_UartElement Rte_Send_swc_mnt_PpUartInterface_UartElement
#endif

/* Sender-Receiver Required Port RpLogQueue */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_mnt_RpLogQueue_logDataQueue0(P2VAR(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logDataQueue0);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_mnt_RpLogQueue_logDataQueue1(P2VAR(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logDataQueue1);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_mnt_RpLogQueue_logDataQueue2(P2VAR(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logDataQueue2);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_mnt_RpLogQueue_logDataQueue3(P2VAR(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logDataQueue3);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_mnt_RpLogQueue_logDataQueue4(P2VAR(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logDataQueue4);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Receive_swc_mnt_RpLogQueue_logDataQueue5(P2VAR(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logDataQueue5);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Receive_RpLogQueue_logDataQueue0 Rte_Receive_swc_mnt_RpLogQueue_logDataQueue0
#define Rte_Receive_RpLogQueue_logDataQueue1 Rte_Receive_swc_mnt_RpLogQueue_logDataQueue1
#define Rte_Receive_RpLogQueue_logDataQueue2 Rte_Receive_swc_mnt_RpLogQueue_logDataQueue2
#define Rte_Receive_RpLogQueue_logDataQueue3 Rte_Receive_swc_mnt_RpLogQueue_logDataQueue3
#define Rte_Receive_RpLogQueue_logDataQueue4 Rte_Receive_swc_mnt_RpLogQueue_logDataQueue4
#define Rte_Receive_RpLogQueue_logDataQueue5 Rte_Receive_swc_mnt_RpLogQueue_logDataQueue5
#endif

/* Sender-Receiver Required Port SmNotifyPlatState */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_mnt_SmNotifyPlatState_state(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_state);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SmNotifyPlatState_state Rte_Read_swc_mnt_SmNotifyPlatState_state
#endif

/* Sender-Receiver Required Port SmSsWorkingStatus */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_swc_mnt_SmSsWorkingStatus_WorkStatus(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_WorkStatus);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_SmSsWorkingStatus_WorkStatus Rte_Read_swc_mnt_SmSsWorkingStatus_WorkStatus
#endif

/* Sender-Receiver Provided Port SomeIpLogEventInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_swc_mnt_SomeIpLogEventInterface_LogParam(P2CONST(LogString_Im, AUTOMATIC, RTE_APPL_DATA) Rte_arg_LogParam);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_SomeIpLogEventInterface_LogParam Rte_Write_swc_mnt_SomeIpLogEventInterface_LogParam
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, swc_mnt_CODE) EthMonitorRunnable (void);

extern FUNC(void, swc_mnt_CODE) LogPublishRunnable (void);

extern FUNC(void, swc_mnt_CODE) LogReportErrorRunnable (void);

extern FUNC(Std_ReturnType, swc_mnt_CODE) MntCmdLineResponseResult (P2VAR(MntCmdParamsArrayType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_cmdParamArray,
    VAR(uint8, AUTOMATIC) Rte_arg_groupNum,
    VAR(uint8, AUTOMATIC) Rte_arg_groupIndex,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_resultString,
    VAR(uint32, AUTOMATIC) Rte_arg_resultLen);

extern FUNC(Std_ReturnType, swc_mnt_CODE) MntExecCmdRunnable (P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_arg,
    VAR(MntCmdStrSize, AUTOMATIC) Rte_arg_arg_1,
    P2VAR(MntCmdRet, AUTOMATIC, RTE_APPL_DATA) Rte_arg_arg_2);

extern FUNC(Std_ReturnType, swc_mnt_CODE) MntRequestCmdResultsRunnable (P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_arg,
    VAR(MntCmdStrSize, AUTOMATIC) Rte_arg_arg_1,
    P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_arg_2,
    P2VAR(MntCmdResultStrSize, AUTOMATIC, RTE_APPL_DATA) Rte_arg_arg_3);

extern FUNC(void, swc_mnt_CODE) MntTimMonitorEntCore01msTaskRunnable (void);

extern FUNC(void, swc_mnt_CODE) MntTimMonitorEntCore05msTaskRunnable (void);

extern FUNC(void, swc_mnt_CODE) MntTimMonitorEntCore0InitTaskRunnable (void);

extern FUNC(void, swc_mnt_CODE) MntTimMonitorExitCore0InitTaskRunnable (void);

extern FUNC(void, swc_mnt_CODE) SendLogMessageServerRunnable (VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
    VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
    VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);

extern FUNC(void, swc_mnt_CODE) swc_mnt_Init (void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_SWC_MNT_H */