/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_sysdrv_safety_cp.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/***************************************************************************
 *
 * RTE Application Header File for SW-C < sysdrv_safety_cp >
 *
 **************************************************************************/
#ifndef RTE_SYSDRV_SAFETY_CP_H
#define RTE_SYSDRV_SAFETY_CP_H

#define RTE_SYSDRV_SAFETY_CP_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_SYSDRV_SAFETY_CP_AR_RELEASE_MINOR_VERSION 4U

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_APPLICATION_HEADER_FILE
#error Multiple application header files included.
#endif /* RTE_APPLICATION_HEADER_FILE */
#define RTE_APPLICATION_HEADER_FILE
#endif

/***************************************************************************
 *
 * Avoid restricting SW-C APIs to 2 or more runnables.
 * See SWS_Rte_02751
 *
 **************************************************************************/
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_AdcFunctionRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_AdcFunctionRunnable */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_AdcInit
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_AdcInit */
#endif

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#ifdef RTE_RUNNABLEAPI_AdcMainRunnable
#ifdef RTE_RESTRICTED_SWC_HEADER
#error SW-C APIs restricted to 2 or more runnables.
#else
#define RTE_RESTRICTED_SWC_HEADER
#endif /* RTE_RESTRICTED_SWC_HEADER */
#endif /* RTE_RUNNABLEAPI_AdcMainRunnable */
#endif

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_sysdrv_safety_cp_Type.h"
/* Version verification of the Rte_sysdrv_safety_cp_Type module */
#if ((RTE_SYSDRV_SAFETY_CP_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SYSDRV_SAFETY_CP_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SYSDRV_SAFETY_CP_TYPE module version is incompatible, there may be problems.
#endif
#include "Rte_sysdrv_safety_cp_MemClasses.h"
/* Version verification of the Rte_sysdrv_safety_cp_MemClasses module */
#if ((RTE_SYSDRV_SAFETY_CP_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_SYSDRV_SAFETY_CP_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_SYSDRV_SAFETY_CP_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_DataHandleType.h"
/* Version verification of the Rte_DataHandleType module */
#if ((RTE_DATAHANDLETYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_DATAHANDLETYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_DATAHANDLETYPE module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Add a define for each Runnable symbol
 *
 **************************************************************************/
#define RTE_RUNNABLE_AdcFunctionRunnable AdcFunctionRunnable

#define RTE_RUNNABLE_AdcInit AdcInit

#define RTE_RUNNABLE_AdcMainRunnable AdcMainRunnable

/***************************************************************************
 *
 * Instance Handle Type
 *
 **************************************************************************/
struct Rte_PDS_sysdrv_safety_cp_AdcDebugInfoPort_R {
    Std_ReturnType (*Read_adcDebugInfo)(P2VAR(AdcDebugInfoType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_adcDebugInfo);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sysdrv_safety_cp_AdcDebugInfoPort_R *Rte_PortHandle_AdcDebugInfoPort_R;
#endif

struct Rte_PDS_sysdrv_safety_cp_AdcSignal_P {
    Std_ReturnType (*Write_idData)(P2CONST(struct Rte_struct_IdSingleSignal, AUTOMATIC, RTE_APPL_DATA) Rte_arg_idData);
    Std_ReturnType (*Write_tempData)(P2CONST(struct Rte_struct_TempSingleSignal, AUTOMATIC, RTE_APPL_DATA) Rte_arg_tempData);
    Std_ReturnType (*Write_voltData)(P2CONST(struct Rte_struct_VoltSingleSignal, AUTOMATIC, RTE_APPL_DATA) Rte_arg_voltData);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sysdrv_safety_cp_AdcSignal_P *Rte_PortHandle_AdcSignal_P;
#endif

struct Rte_PDS_sysdrv_safety_cp_LogSwcMessageInterface_P {
    Std_ReturnType (*Send_MntSendLog)(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sysdrv_safety_cp_LogSwcMessageInterface_P *Rte_PortHandle_LogSwcMessageInterface_P;
#endif

struct Rte_PDS_sysdrv_safety_cp_LogSwcMessageService_R {
    Std_ReturnType (*Call_SendLogMessage)(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
        VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
        P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
        VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
};
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef struct Rte_PDS_sysdrv_safety_cp_LogSwcMessageService_R *Rte_PortHandle_LogSwcMessageService_R;
#endif

struct Rte_CDS_sysdrv_safety_cp {
    struct Rte_PDS_sysdrv_safety_cp_AdcDebugInfoPort_R AdcDebugInfoPort;
    struct Rte_PDS_sysdrv_safety_cp_AdcSignal_P AdcSignal;
    struct Rte_PDS_sysdrv_safety_cp_LogSwcMessageInterface_P LogSwcMessageInterface;
    struct Rte_PDS_sysdrv_safety_cp_LogSwcMessageService_R SysdrvSafetyLogService;
};
typedef struct Rte_CDS_sysdrv_safety_cp Rte_CDS_sysdrv_safety_cp;

#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
typedef CONSTP2CONST(Rte_CDS_sysdrv_safety_cp, AUTOMATIC, RTE_CONST) Rte_Instance;
#endif
extern CONSTP2CONST(Rte_CDS_sysdrv_safety_cp, RTE_CONST, RTE_CONST) Rte_Inst_sysdrv_safety_cp;

/* Sender-Receiver Required Port AdcDebugInfoPort */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Read_sysdrv_safety_cp_AdcDebugInfoPort_adcDebugInfo(P2VAR(AdcDebugInfoType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_adcDebugInfo);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Read_AdcDebugInfoPort_adcDebugInfo Rte_Read_sysdrv_safety_cp_AdcDebugInfoPort_adcDebugInfo
#endif

/* Sender-Receiver Provided Port AdcSignal */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_sysdrv_safety_cp_AdcSignal_idData(P2CONST(struct Rte_struct_IdSingleSignal, AUTOMATIC, RTE_APPL_DATA) Rte_arg_idData);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_sysdrv_safety_cp_AdcSignal_tempData(P2CONST(struct Rte_struct_TempSingleSignal, AUTOMATIC, RTE_APPL_DATA) Rte_arg_tempData);
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Write_sysdrv_safety_cp_AdcSignal_voltData(P2CONST(struct Rte_struct_VoltSingleSignal, AUTOMATIC, RTE_APPL_DATA) Rte_arg_voltData);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Write_AdcSignal_idData Rte_Write_sysdrv_safety_cp_AdcSignal_idData
#define Rte_Write_AdcSignal_tempData Rte_Write_sysdrv_safety_cp_AdcSignal_tempData
#define Rte_Write_AdcSignal_voltData Rte_Write_sysdrv_safety_cp_AdcSignal_voltData
#endif

/* Sender-Receiver Provided Port LogSwcMessageInterface */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Send_sysdrv_safety_cp_LogSwcMessageInterface_MntSendLog(P2CONST(MntSendLogType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_MntSendLog);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Send_LogSwcMessageInterface_MntSendLog Rte_Send_sysdrv_safety_cp_LogSwcMessageInterface_MntSendLog
#endif

/* Client-Server Required Port SysdrvSafetyLogService */
extern FUNC(Std_ReturnType, RTE_CODE) Rte_Call_sysdrv_safety_cp_SysdrvSafetyLogService_SendLogMessage(VAR(Dlt_MessageLogLevelType, AUTOMATIC) Rte_arg_logLevel,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_appId,
    VAR(Log_ContextIDType, AUTOMATIC) Rte_arg_contextId,
    P2CONST(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_logData,
    VAR(uint16, AUTOMATIC) Rte_arg_logDataLength);
#if (!defined RTE_CORE) /* Disabled if included by Rte.c */
#define Rte_Call_SysdrvSafetyLogService_SendLogMessage Rte_Call_sysdrv_safety_cp_SysdrvSafetyLogService_SendLogMessage
#endif

/***************************************************************************
 *
 * Runnable's entry point
 *
 **************************************************************************/

extern FUNC(void, sysdrv_safety_cp_CODE) AdcFunctionRunnable (void);

extern FUNC(void, sysdrv_safety_cp_CODE) AdcInit (void);

extern FUNC(void, sysdrv_safety_cp_CODE) AdcMainRunnable (void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_SYSDRV_SAFETY_CP_H */