/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: Rte_thm_cp_Type.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef RTE_THM_CP_TYPE_H
#define RTE_THM_CP_TYPE_H

#define RTE_THM_CP_TYPE_AR_RELEASE_MAJOR_VERSION 4U
#define RTE_THM_CP_TYPE_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Type.h"
/* Version verification of the Rte_Type module */
#if ((RTE_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_TYPE module version is incompatible, there may be problems.
#endif
#include <math.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Constant values
 *
 **************************************************************************/
#ifndef DLT_LOG_DEBUG
#define DLT_LOG_DEBUG 5U
#endif /* DLT_LOG_DEBUG */

#ifndef DLT_LOG_ERROR
#define DLT_LOG_ERROR 2U
#endif /* DLT_LOG_ERROR */

#ifndef DLT_LOG_FATAL
#define DLT_LOG_FATAL 1U
#endif /* DLT_LOG_FATAL */

#ifndef DLT_LOG_INFO
#define DLT_LOG_INFO 4U
#endif /* DLT_LOG_INFO */

#ifndef DLT_LOG_OFF
#define DLT_LOG_OFF 0U
#endif /* DLT_LOG_OFF */

#ifndef DLT_LOG_VERBOSE
#define DLT_LOG_VERBOSE 6U
#endif /* DLT_LOG_VERBOSE */

#ifndef DLT_LOG_WARN
#define DLT_LOG_WARN 3U
#endif /* DLT_LOG_WARN */

#ifndef FALSE
#define FALSE 0
#endif /* FALSE */

#ifndef LOG_CTX_BUTT
#define LOG_CTX_BUTT 4U
#endif /* LOG_CTX_BUTT */

#ifndef LOG_CTX_DBG
#define LOG_CTX_DBG 0U
#endif /* LOG_CTX_DBG */

#ifndef LOG_CTX_OPR
#define LOG_CTX_OPR 2U
#endif /* LOG_CTX_OPR */

#ifndef LOG_CTX_RUN
#define LOG_CTX_RUN 1U
#endif /* LOG_CTX_RUN */

#ifndef LOG_CTX_SAF
#define LOG_CTX_SAF 3U
#endif /* LOG_CTX_SAF */

#ifndef TRUE
#define TRUE 1
#endif /* TRUE */

/***************************************************************************
 *
 * Define limits of Application's types
 *
 **************************************************************************/
#ifndef boolean_LowerLimit
#define boolean_LowerLimit (boolean)0
#endif /* boolean_LowerLimit */

#ifndef boolean_UpperLimit
#define boolean_UpperLimit (boolean)1
#endif /* boolean_UpperLimit */

#ifndef float32_LowerLimit
#ifdef INFINITY
#define float32_LowerLimit (-INFINITY)
#else
#define float32_LowerLimit (-HUGE_VAL)
#endif
#endif /* float32_LowerLimit */

#ifndef float32_UpperLimit
#ifdef INFINITY
#define float32_UpperLimit INFINITY
#else
#define float32_UpperLimit HUGE_VAL
#endif
#endif /* float32_UpperLimit */

#ifndef sint16_LowerLimit
#define sint16_LowerLimit (sint16)(-32768)
#endif /* sint16_LowerLimit */

#ifndef sint16_UpperLimit
#define sint16_UpperLimit (sint16)32767
#endif /* sint16_UpperLimit */

#ifndef sint8_LowerLimit
#define sint8_LowerLimit (sint8)(-128)
#endif /* sint8_LowerLimit */

#ifndef sint8_UpperLimit
#define sint8_UpperLimit (sint8)127
#endif /* sint8_UpperLimit */

#ifndef uint16_LowerLimit
#define uint16_LowerLimit (uint16)0U
#endif /* uint16_LowerLimit */

#ifndef uint16_UpperLimit
#define uint16_UpperLimit (uint16)65535U
#endif /* uint16_UpperLimit */

#ifndef uint32_LowerLimit
#define uint32_LowerLimit (uint32)0U
#endif /* uint32_LowerLimit */

#ifndef uint32_UpperLimit
#define uint32_UpperLimit (uint32)4294967295U
#endif /* uint32_UpperLimit */

#ifndef uint64_LowerLimit
#define uint64_LowerLimit (uint64)0U
#endif /* uint64_LowerLimit */

#ifndef uint64_UpperLimit
#define uint64_UpperLimit (uint64)18446744073709551615U
#endif /* uint64_UpperLimit */

#ifndef uint8_LowerLimit
#define uint8_LowerLimit (uint8)0U
#endif /* uint8_LowerLimit */

#ifndef uint8_UpperLimit
#define uint8_UpperLimit (uint8)255U
#endif /* uint8_UpperLimit */

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* RTE_THM_CP_TYPE_H */