/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_CanIf.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_CANIF_H
#define SCHM_CANIF_H

#define SCHM_CANIF_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_CANIF_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_CanIf_Type.h"
/* Version verification of the SchM_CanIf_Type module */
#if ((SCHM_CANIF_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_CANIF_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_CANIF_TYPE module version is incompatible, there may be problems.
#endif
#include "CanIf.h"
#include "SchM_CanIf_MemClasses.h"
/* Version verification of the SchM_CanIf_MemClasses module */
#if ((SCHM_CANIF_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_CANIF_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_CANIF_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_CanIf_Init) && \
        (!defined RTE_RUNNABLEAPI_CanIf_DeInit) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetControllerMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ReadRxPduData) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ReadTxNotifStatus) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetPduMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetPduMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetDynamicTxId) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetTrcvMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTrcvMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTrcvWakeupReason) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetTrcvWakeupMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckWakeup) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckValidation) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTxConfirmationState) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ClearTrcvWufFlag) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckTrcvWakeFlag) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetBaudrate) && \
        (!defined RTE_RUNNABLEAPI_CanIf_Transmit) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerErrorState) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerRxErrorCounter) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerTxErrorCounter) && \
        (!defined RTE_RUNNABLEAPI_CanIf_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_CanIf_BusMirroring()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_CanIf_BusMirroring() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_CanIf_Init) && \
        (!defined RTE_RUNNABLEAPI_CanIf_DeInit) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ReadRxPduData) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ReadTxNotifStatus) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetPduMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetPduMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetDynamicTxId) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetTrcvMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTrcvMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTrcvWakeupReason) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetTrcvWakeupMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckWakeup) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckValidation) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTxConfirmationState) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ClearTrcvWufFlag) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckTrcvWakeFlag) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetBaudrate) && \
        (!defined RTE_RUNNABLEAPI_CanIf_Transmit) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerErrorState) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerRxErrorCounter) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerTxErrorCounter) && \
        (!defined RTE_RUNNABLEAPI_CanIf_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_CanIf_ControllerState()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_CanIf_ControllerState() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_CanIf_Init) && \
        (!defined RTE_RUNNABLEAPI_CanIf_DeInit) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetControllerMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ReadRxPduData) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ReadTxNotifStatus) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetPduMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetPduMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetDynamicTxId) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetTrcvMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTrcvMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTrcvWakeupReason) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetTrcvWakeupMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckWakeup) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckValidation) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTxConfirmationState) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ClearTrcvWufFlag) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckTrcvWakeFlag) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetBaudrate) && \
        (!defined RTE_RUNNABLEAPI_CanIf_Transmit) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerErrorState) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerRxErrorCounter) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerTxErrorCounter) && \
        (!defined RTE_RUNNABLEAPI_CanIf_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_CanIf_DynIdNoNest()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_CanIf_DynIdNoNest() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_CanIf_Init) && \
        (!defined RTE_RUNNABLEAPI_CanIf_DeInit) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetControllerMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ReadRxPduData) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ReadTxNotifStatus) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetPduMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetPduMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetDynamicTxId) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetTrcvMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTrcvMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTrcvWakeupReason) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetTrcvWakeupMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckWakeup) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckValidation) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTxConfirmationState) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ClearTrcvWufFlag) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckTrcvWakeFlag) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetBaudrate) && \
        (!defined RTE_RUNNABLEAPI_CanIf_Transmit) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerErrorState) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerRxErrorCounter) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerTxErrorCounter) && \
        (!defined RTE_RUNNABLEAPI_CanIf_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_CanIf_PNPduStatusNoNest()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_CanIf_PNPduStatusNoNest() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_CanIf_Init) && \
        (!defined RTE_RUNNABLEAPI_CanIf_DeInit) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetControllerMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ReadRxPduData) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ReadTxNotifStatus) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetPduMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetPduMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetDynamicTxId) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetTrcvMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTrcvMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTrcvWakeupReason) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetTrcvWakeupMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckWakeup) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckValidation) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTxConfirmationState) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ClearTrcvWufFlag) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckTrcvWakeFlag) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetBaudrate) && \
        (!defined RTE_RUNNABLEAPI_CanIf_Transmit) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerErrorState) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerRxErrorCounter) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerTxErrorCounter) && \
        (!defined RTE_RUNNABLEAPI_CanIf_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_CanIf_RxBufAccessNoNest()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_CanIf_RxBufAccessNoNest() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_CanIf_Init) && \
        (!defined RTE_RUNNABLEAPI_CanIf_DeInit) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetControllerMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ReadRxPduData) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ReadTxNotifStatus) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetPduMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetPduMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetDynamicTxId) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetTrcvMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTrcvMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTrcvWakeupReason) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetTrcvWakeupMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckWakeup) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckValidation) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTxConfirmationState) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ClearTrcvWufFlag) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckTrcvWakeFlag) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetBaudrate) && \
        (!defined RTE_RUNNABLEAPI_CanIf_Transmit) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerErrorState) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerRxErrorCounter) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerTxErrorCounter) && \
        (!defined RTE_RUNNABLEAPI_CanIf_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_CanIf_TxBufAccessNoNest()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_CanIf_TxBufAccessNoNest() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_CanIf_Init) && \
        (!defined RTE_RUNNABLEAPI_CanIf_DeInit) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetControllerMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ReadRxPduData) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ReadTxNotifStatus) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetPduMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetPduMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetDynamicTxId) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetTrcvMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTrcvMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTrcvWakeupReason) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetTrcvWakeupMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckWakeup) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckValidation) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTxConfirmationState) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ClearTrcvWufFlag) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckTrcvWakeFlag) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetBaudrate) && \
        (!defined RTE_RUNNABLEAPI_CanIf_Transmit) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerErrorState) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerRxErrorCounter) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerTxErrorCounter) && \
        (!defined RTE_RUNNABLEAPI_CanIf_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_CanIf_TxMuxing()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_CanIf_TxMuxing() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_CanIf_Init) && \
        (!defined RTE_RUNNABLEAPI_CanIf_DeInit) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetControllerMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ReadRxPduData) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ReadTxNotifStatus) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetPduMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetPduMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetDynamicTxId) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetTrcvMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTrcvMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTrcvWakeupReason) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetTrcvWakeupMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckWakeup) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckValidation) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTxConfirmationState) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ClearTrcvWufFlag) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckTrcvWakeFlag) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetBaudrate) && \
        (!defined RTE_RUNNABLEAPI_CanIf_Transmit) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerErrorState) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerRxErrorCounter) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerTxErrorCounter) && \
        (!defined RTE_RUNNABLEAPI_CanIf_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_CanIf_TxRxNotifNoNest()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_CanIf_TxRxNotifNoNest() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_CanIf_DeInit) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetControllerMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ReadRxPduData) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ReadTxNotifStatus) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetPduMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetPduMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetDynamicTxId) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetTrcvMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTrcvMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTrcvWakeupReason) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetTrcvWakeupMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckWakeup) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckValidation) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTxConfirmationState) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ClearTrcvWufFlag) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckTrcvWakeFlag) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetBaudrate) && \
        (!defined RTE_RUNNABLEAPI_CanIf_Transmit) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerErrorState) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerRxErrorCounter) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerTxErrorCounter) && \
        (!defined RTE_RUNNABLEAPI_CanIf_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_CanIf_InitMutxing()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_CanIf_InitMutxing() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_CanIf_Init) && \
        (!defined RTE_RUNNABLEAPI_CanIf_DeInit) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetControllerMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ReadRxPduData) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ReadTxNotifStatus) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetPduMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetPduMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetDynamicTxId) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetTrcvMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTrcvMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTrcvWakeupReason) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetTrcvWakeupMode) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckWakeup) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckValidation) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetTxConfirmationState) && \
        (!defined RTE_RUNNABLEAPI_CanIf_ClearTrcvWufFlag) && \
        (!defined RTE_RUNNABLEAPI_CanIf_CheckTrcvWakeFlag) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_CanIf_SetBaudrate) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerErrorState) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerRxErrorCounter) && \
        (!defined RTE_RUNNABLEAPI_CanIf_GetControllerTxErrorCounter) && \
        (!defined RTE_RUNNABLEAPI_CanIf_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_CanIf_TxQueueMuxing()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_CanIf_TxQueueMuxing() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_CANIF_H */