/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_CanNm.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_CANNM_H
#define SCHM_CANNM_H

#define SCHM_CANNM_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_CANNM_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_CanNm_Type.h"
/* Version verification of the SchM_CanNm_Type module */
#if ((SCHM_CANNM_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_CANNM_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_CANNM_TYPE module version is incompatible, there may be problems.
#endif
#include "CanNm.h"
#include "SchM_CanNm_MemClasses.h"
/* Version verification of the SchM_CanNm_MemClasses module */
#if ((SCHM_CANNM_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_CANNM_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_CANNM_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, CANNM_CODE) CanNm_MainFunction (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_CanNm_Init) && \
        (!defined RTE_RUNNABLEAPI_CanNm_DeInit) && \
        (!defined RTE_RUNNABLEAPI_CanNm_PassiveStartUp) && \
        (!defined RTE_RUNNABLEAPI_CanNm_NetworkRequest) && \
        (!defined RTE_RUNNABLEAPI_CanNm_NetworkRelease) && \
        (!defined RTE_RUNNABLEAPI_CanNm_DisableCommunication) && \
        (!defined RTE_RUNNABLEAPI_CanNm_EnableCommunication) && \
        (!defined RTE_RUNNABLEAPI_CanNm_SetUserData) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetUserData) && \
        (!defined RTE_RUNNABLEAPI_CanNm_Transmit) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetLocalNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_CanNm_RepeatMessageRequest) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetPduData) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetState) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_CanNm_RequestBusSynchronization) && \
        (!defined RTE_RUNNABLEAPI_CanNm_CheckRemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_CanNm_SetSleepReadyBit) && \
        (!defined RTE_RUNNABLEAPI_CanNm_TxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_CanNm_RxIndication) && \
        (!defined RTE_RUNNABLEAPI_CanNm_ConfirmPnAvailability) && \
        (!defined RTE_RUNNABLEAPI_CanNm_TriggerTransmit) \
)
#define SchM_Enter_CanNm_ExclusiveArea()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_CanNm_ExclusiveArea() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_CanNm_Init) && \
        (!defined RTE_RUNNABLEAPI_CanNm_DeInit) && \
        (!defined RTE_RUNNABLEAPI_CanNm_PassiveStartUp) && \
        (!defined RTE_RUNNABLEAPI_CanNm_NetworkRequest) && \
        (!defined RTE_RUNNABLEAPI_CanNm_NetworkRelease) && \
        (!defined RTE_RUNNABLEAPI_CanNm_DisableCommunication) && \
        (!defined RTE_RUNNABLEAPI_CanNm_EnableCommunication) && \
        (!defined RTE_RUNNABLEAPI_CanNm_SetUserData) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetUserData) && \
        (!defined RTE_RUNNABLEAPI_CanNm_Transmit) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetLocalNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_CanNm_RepeatMessageRequest) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetPduData) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetState) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_CanNm_RequestBusSynchronization) && \
        (!defined RTE_RUNNABLEAPI_CanNm_CheckRemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_CanNm_SetSleepReadyBit) && \
        (!defined RTE_RUNNABLEAPI_CanNm_TxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_CanNm_RxIndication) && \
        (!defined RTE_RUNNABLEAPI_CanNm_ConfirmPnAvailability) && \
        (!defined RTE_RUNNABLEAPI_CanNm_TriggerTransmit) \
)
#define SchM_Enter_CanNm_ResChnContext()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_CanNm_ResChnContext() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_CanNm_Init) && \
        (!defined RTE_RUNNABLEAPI_CanNm_DeInit) && \
        (!defined RTE_RUNNABLEAPI_CanNm_PassiveStartUp) && \
        (!defined RTE_RUNNABLEAPI_CanNm_NetworkRequest) && \
        (!defined RTE_RUNNABLEAPI_CanNm_NetworkRelease) && \
        (!defined RTE_RUNNABLEAPI_CanNm_DisableCommunication) && \
        (!defined RTE_RUNNABLEAPI_CanNm_EnableCommunication) && \
        (!defined RTE_RUNNABLEAPI_CanNm_SetUserData) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetUserData) && \
        (!defined RTE_RUNNABLEAPI_CanNm_Transmit) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetLocalNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_CanNm_RepeatMessageRequest) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetPduData) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetState) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_CanNm_RequestBusSynchronization) && \
        (!defined RTE_RUNNABLEAPI_CanNm_CheckRemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_CanNm_SetSleepReadyBit) && \
        (!defined RTE_RUNNABLEAPI_CanNm_TxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_CanNm_RxIndication) && \
        (!defined RTE_RUNNABLEAPI_CanNm_ConfirmPnAvailability) && \
        (!defined RTE_RUNNABLEAPI_CanNm_TriggerTransmit) \
)
#define SchM_Enter_CanNm_ResEIRAStatus()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_CanNm_ResEIRAStatus() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_CanNm_Init) && \
        (!defined RTE_RUNNABLEAPI_CanNm_DeInit) && \
        (!defined RTE_RUNNABLEAPI_CanNm_PassiveStartUp) && \
        (!defined RTE_RUNNABLEAPI_CanNm_NetworkRequest) && \
        (!defined RTE_RUNNABLEAPI_CanNm_NetworkRelease) && \
        (!defined RTE_RUNNABLEAPI_CanNm_DisableCommunication) && \
        (!defined RTE_RUNNABLEAPI_CanNm_EnableCommunication) && \
        (!defined RTE_RUNNABLEAPI_CanNm_SetUserData) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetUserData) && \
        (!defined RTE_RUNNABLEAPI_CanNm_Transmit) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetLocalNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_CanNm_RepeatMessageRequest) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetPduData) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetState) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_CanNm_RequestBusSynchronization) && \
        (!defined RTE_RUNNABLEAPI_CanNm_CheckRemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_CanNm_SetSleepReadyBit) && \
        (!defined RTE_RUNNABLEAPI_CanNm_TxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_CanNm_RxIndication) && \
        (!defined RTE_RUNNABLEAPI_CanNm_ConfirmPnAvailability) && \
        (!defined RTE_RUNNABLEAPI_CanNm_TriggerTransmit) \
)
#define SchM_Enter_CanNm_ResERAStatus()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_CanNm_ResERAStatus() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_CanNm_Init) && \
        (!defined RTE_RUNNABLEAPI_CanNm_DeInit) && \
        (!defined RTE_RUNNABLEAPI_CanNm_PassiveStartUp) && \
        (!defined RTE_RUNNABLEAPI_CanNm_NetworkRequest) && \
        (!defined RTE_RUNNABLEAPI_CanNm_NetworkRelease) && \
        (!defined RTE_RUNNABLEAPI_CanNm_DisableCommunication) && \
        (!defined RTE_RUNNABLEAPI_CanNm_EnableCommunication) && \
        (!defined RTE_RUNNABLEAPI_CanNm_SetUserData) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetUserData) && \
        (!defined RTE_RUNNABLEAPI_CanNm_Transmit) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetLocalNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_CanNm_RepeatMessageRequest) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetPduData) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetState) && \
        (!defined RTE_RUNNABLEAPI_CanNm_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_CanNm_RequestBusSynchronization) && \
        (!defined RTE_RUNNABLEAPI_CanNm_CheckRemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_CanNm_SetSleepReadyBit) && \
        (!defined RTE_RUNNABLEAPI_CanNm_TxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_CanNm_RxIndication) && \
        (!defined RTE_RUNNABLEAPI_CanNm_ConfirmPnAvailability) && \
        (!defined RTE_RUNNABLEAPI_CanNm_TriggerTransmit) \
)
#define SchM_Enter_CanNm_ContextNoNest()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_CanNm_ContextNoNest() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_CANNM_H */