/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_CanSM.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_CANSM_H
#define SCHM_CANSM_H

#define SCHM_CANSM_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_CANSM_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_CanSM_Type.h"
/* Version verification of the SchM_CanSM_Type module */
#if ((SCHM_CANSM_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_CANSM_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_CANSM_TYPE module version is incompatible, there may be problems.
#endif
#include "CanSM.h"
#include "SchM_CanSM_MemClasses.h"
/* Version verification of the SchM_CanSM_MemClasses module */
#if ((SCHM_CANSM_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_CANSM_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_CANSM_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, CANSM_CODE) CanSM_MainFunction_EcucPartition_C2_APP_QM (void);

extern FUNC(void, CANSM_CODE) CanSM_MainFunction_EcucPartition_C3_APP_QM (void);

extern FUNC(void, CANSM_CODE) CanSM_MainFunction_EcucPartition_C0_HW_QM (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_CanSM_Init) && \
        (!defined RTE_RUNNABLEAPI_CanSM_DeInit) && \
        (!defined RTE_RUNNABLEAPI_CanSM_RequestComMode) && \
        (!defined RTE_RUNNABLEAPI_CanSM_GetCurrentComMode) && \
        (!defined RTE_RUNNABLEAPI_CanSM_StartWakeupSource) && \
        (!defined RTE_RUNNABLEAPI_CanSM_StopWakeupSource) && \
        (!defined RTE_RUNNABLEAPI_CanSM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_CanSM_SetBaudrate) && \
        (!defined RTE_RUNNABLEAPI_CanSM_SetIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_CanSM_SetEcuPassive) && \
        (!defined RTE_RUNNABLEAPI_CanSM_ControllerBusOff) && \
        (!defined RTE_RUNNABLEAPI_CanSM_ControllerModeIndication) && \
        (!defined RTE_RUNNABLEAPI_CanSM_TransceiverModeIndication) && \
        (!defined RTE_RUNNABLEAPI_CanSM_TxTimeoutException) && \
        (!defined RTE_RUNNABLEAPI_CanSM_ClearTrcvWufFlagIndication) && \
        (!defined RTE_RUNNABLEAPI_CanSM_CheckTransceiverWakeFlagIndication) && \
        (!defined RTE_RUNNABLEAPI_CanSM_ConfirmPnAvailability) && \
        (!defined RTE_RUNNABLEAPI_CanSM_CurrentIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_CanSM_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_CanSM_ExclusiveArea()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_CanSM_ExclusiveArea() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_CanSM_Init) && \
        (!defined RTE_RUNNABLEAPI_CanSM_DeInit) && \
        (!defined RTE_RUNNABLEAPI_CanSM_RequestComMode) && \
        (!defined RTE_RUNNABLEAPI_CanSM_GetCurrentComMode) && \
        (!defined RTE_RUNNABLEAPI_CanSM_StartWakeupSource) && \
        (!defined RTE_RUNNABLEAPI_CanSM_StopWakeupSource) && \
        (!defined RTE_RUNNABLEAPI_CanSM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_CanSM_SetBaudrate) && \
        (!defined RTE_RUNNABLEAPI_CanSM_SetIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_CanSM_SetEcuPassive) && \
        (!defined RTE_RUNNABLEAPI_CanSM_ControllerBusOff) && \
        (!defined RTE_RUNNABLEAPI_CanSM_ControllerModeIndication) && \
        (!defined RTE_RUNNABLEAPI_CanSM_TransceiverModeIndication) && \
        (!defined RTE_RUNNABLEAPI_CanSM_TxTimeoutException) && \
        (!defined RTE_RUNNABLEAPI_CanSM_ClearTrcvWufFlagIndication) && \
        (!defined RTE_RUNNABLEAPI_CanSM_CheckTransceiverWakeFlagIndication) && \
        (!defined RTE_RUNNABLEAPI_CanSM_ConfirmPnAvailability) && \
        (!defined RTE_RUNNABLEAPI_CanSM_CurrentIcomConfiguration) && \
        (!defined RTE_RUNNABLEAPI_CanSM_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_CanSM_InitEA()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_CanSM_InitEA() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_CANSM_H */