/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_Can_17_McmCan.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_CAN_17_MCMCAN_H
#define SCHM_CAN_17_MCMCAN_H

#define SCHM_CAN_17_MCMCAN_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_CAN_17_MCMCAN_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_Can_17_McmCanType.h"
/* Version verification of the SchM_Can_17_McmCanType module */
#if ((SCHM_CAN_17_MCMCANTYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_CAN_17_MCMCANTYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_CAN_17_MCMCANTYPE module version is incompatible, there may be problems.
#endif
#include "Can.h"
#include "SchM_Can_17_McmCan_MemClasses.h"
/* Version verification of the SchM_Can_17_McmCan_MemClasses module */
#if ((SCHM_CAN_17_MCMCAN_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_CAN_17_MCMCAN_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_CAN_17_MCMCAN_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, CAN_17_McmCan_CODE) Can_17_McmCan_MainFunction_Write (void);

extern FUNC(void, CAN_17_McmCan_CODE) Can_17_McmCan_MainFunction_Read_EcucPartition_C0_APP_QM (void);

extern FUNC(void, CAN_17_McmCan_CODE) Can_17_McmCan_MainFunction_Read_EcucPartition_C2_APP_QM (void);

extern FUNC(void, CAN_17_McmCan_CODE) Can_17_McmCan_MainFunction_Read_EcucPartition_C3_APP_QM (void);

extern FUNC(void, CAN_17_McmCan_CODE) Can_17_McmCan_MainFunction_Read_EcucPartition_C4_APP_QM (void);

extern FUNC(void, CAN_17_McmCan_CODE) Can_17_McmCan_MainFunction_BusOff (void);

extern FUNC(void, CAN_17_McmCan_CODE) Can_17_McmCan_MainFunction_Wakeup (void);

extern FUNC(void, CAN_17_McmCan_CODE) Can_17_McmCan_MainFunction_Mode (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Can_Init) && \
        (!defined RTE_RUNNABLEAPI_Can_CheckBaudrate) && \
        (!defined RTE_RUNNABLEAPI_Can_SetBaudrate) && \
        (!defined RTE_RUNNABLEAPI_Can_Write) && \
        (!defined RTE_RUNNABLEAPI_Can_DeInit) && \
        (!defined RTE_RUNNABLEAPI_Can_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Can_MainFunction_Write) && \
        (!defined RTE_RUNNABLEAPI_Can_IsrTransmitHandler) && \
        (!defined RTE_RUNNABLEAPI_Can_IsrBusOffHandler) && \
        (!defined RTE_RUNNABLEAPI_Can_MainFunction_Read_EcucPartition_C0_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_Can_MainFunction_Read_EcucPartition_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_Can_MainFunction_Read_EcucPartition_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_Can_MainFunction_Read_EcucPartition_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_Can_MainFunction_BusOff) && \
        (!defined RTE_RUNNABLEAPI_Can_MainFunction_Wakeup) && \
        (!defined RTE_RUNNABLEAPI_Can_MainFunction_Mode) \
)
#define SchM_Enter_Can_17_McmCan_CanIntCtrl()

#define SchM_Exit_Can_17_McmCan_CanIntCtrl()

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Can_Init) && \
        (!defined RTE_RUNNABLEAPI_Can_CheckBaudrate) && \
        (!defined RTE_RUNNABLEAPI_Can_SetBaudrate) && \
        (!defined RTE_RUNNABLEAPI_Can_DisableControllerInterrupts) && \
        (!defined RTE_RUNNABLEAPI_Can_EnableControllerInterrupts) && \
        (!defined RTE_RUNNABLEAPI_Can_Write) && \
        (!defined RTE_RUNNABLEAPI_Can_DeInit) && \
        (!defined RTE_RUNNABLEAPI_Can_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Can_MainFunction_Write) && \
        (!defined RTE_RUNNABLEAPI_Can_IsrTransmitHandler) && \
        (!defined RTE_RUNNABLEAPI_Can_IsrBusOffHandler) && \
        (!defined RTE_RUNNABLEAPI_Can_MainFunction_BusOff) && \
        (!defined RTE_RUNNABLEAPI_Can_MainFunction_Mode) \
)
#define SchM_Enter_Can_17_McmCan_IcomMsgCntrVal()

#define SchM_Exit_Can_17_McmCan_IcomMsgCntrVal()

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Can_Init) && \
        (!defined RTE_RUNNABLEAPI_Can_CheckBaudrate) && \
        (!defined RTE_RUNNABLEAPI_Can_SetBaudrate) && \
        (!defined RTE_RUNNABLEAPI_Can_DisableControllerInterrupts) && \
        (!defined RTE_RUNNABLEAPI_Can_EnableControllerInterrupts) && \
        (!defined RTE_RUNNABLEAPI_Can_DeInit) && \
        (!defined RTE_RUNNABLEAPI_Can_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Can_MainFunction_Write) && \
        (!defined RTE_RUNNABLEAPI_Can_IsrTransmitHandler) && \
        (!defined RTE_RUNNABLEAPI_Can_IsrBusOffHandler) && \
        (!defined RTE_RUNNABLEAPI_Can_MainFunction_Read_EcucPartition_C0_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_Can_MainFunction_Read_EcucPartition_C2_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_Can_MainFunction_Read_EcucPartition_C3_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_Can_MainFunction_Read_EcucPartition_C4_APP_QM) && \
        (!defined RTE_RUNNABLEAPI_Can_MainFunction_BusOff) && \
        (!defined RTE_RUNNABLEAPI_Can_MainFunction_Wakeup) && \
        (!defined RTE_RUNNABLEAPI_Can_MainFunction_Mode) && \
        (!defined RTE_RUNNABLEAPI_Can_SetControllerMode) \
)
#define SchM_Enter_Can_17_McmCan_CanWrMO()  \
    ( \
        SuspendAllInterrupts() \
    )

#define SchM_Exit_Can_17_McmCan_CanWrMO() \
    ( \
        ResumeAllInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_CAN_17_MCMCAN_H */