/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_Com.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_COM_H
#define SCHM_COM_H

#define SCHM_COM_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_COM_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_Com_Type.h"
/* Version verification of the SchM_Com_Type module */
#if ((SCHM_COM_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_COM_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_COM_TYPE module version is incompatible, there may be problems.
#endif
#include "Com.h"
#include "SchM_Com_MemClasses.h"
/* Version verification of the SchM_Com_MemClasses module */
#if ((SCHM_COM_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_COM_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_COM_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, COM_CODE) Com_ComMainFunctionTxC0D (void);

extern FUNC(void, COM_CODE) Com_ComMainFunctionTxC0QM (void);

extern FUNC(void, COM_CODE) Com_ComMainFunctionRxC0D (void);

extern FUNC(void, COM_CODE) Com_ComMainFunctionRxC0QM (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Com_Init) && \
        (!defined RTE_RUNNABLEAPI_Com_DeInit) && \
        (!defined RTE_RUNNABLEAPI_Com_IpduGroupStart) && \
        (!defined RTE_RUNNABLEAPI_Com_IpduGroupStop) && \
        (!defined RTE_RUNNABLEAPI_Com_EnableReceptionDM) && \
        (!defined RTE_RUNNABLEAPI_Com_DisableReceptionDM) && \
        (!defined RTE_RUNNABLEAPI_Com_GetStatus) && \
        (!defined RTE_RUNNABLEAPI_Com_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Com_SendSignal) && \
        (!defined RTE_RUNNABLEAPI_Com_SendDynSignal) && \
        (!defined RTE_RUNNABLEAPI_Com_ReceiveSignal) && \
        (!defined RTE_RUNNABLEAPI_Com_ReceiveDynSignal) && \
        (!defined RTE_RUNNABLEAPI_Com_SendSignalGroup) && \
        (!defined RTE_RUNNABLEAPI_Com_ReceiveSignalGroup) && \
        (!defined RTE_RUNNABLEAPI_Com_SendSignalGroupArray) && \
        (!defined RTE_RUNNABLEAPI_Com_ReceiveSignalGroupArray) && \
        (!defined RTE_RUNNABLEAPI_Com_InvalidateSignal) && \
        (!defined RTE_RUNNABLEAPI_Com_InvalidateSignalGroup) && \
        (!defined RTE_RUNNABLEAPI_Com_TriggerIPDUSend) && \
        (!defined RTE_RUNNABLEAPI_Com_SwitchIpduTxMode) && \
        (!defined RTE_RUNNABLEAPI_Com_TriggerTransmit) && \
        (!defined RTE_RUNNABLEAPI_Com_RxIndication) && \
        (!defined RTE_RUNNABLEAPI_Com_TpRxIndication) && \
        (!defined RTE_RUNNABLEAPI_Com_TxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_Com_TpTxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_Com_StartOfReception) && \
        (!defined RTE_RUNNABLEAPI_Com_CopyRxData) && \
        (!defined RTE_RUNNABLEAPI_Com_CopyTxData) && \
        (!defined RTE_RUNNABLEAPI_Com_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_Com_ExclusiveArea()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Com_ExclusiveArea() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Com_ComMainFunctionTxC0D) && \
        (!defined RTE_RUNNABLEAPI_Com_ComMainFunctionTxC0QM) && \
        (!defined RTE_RUNNABLEAPI_Com_ComMainFunctionRxC0D) && \
        (!defined RTE_RUNNABLEAPI_Com_ComMainFunctionRxC0QM) && \
        (!defined RTE_RUNNABLEAPI_Com_Init) && \
        (!defined RTE_RUNNABLEAPI_Com_DeInit) && \
        (!defined RTE_RUNNABLEAPI_Com_IpduGroupStart) && \
        (!defined RTE_RUNNABLEAPI_Com_IpduGroupStop) && \
        (!defined RTE_RUNNABLEAPI_Com_EnableReceptionDM) && \
        (!defined RTE_RUNNABLEAPI_Com_DisableReceptionDM) && \
        (!defined RTE_RUNNABLEAPI_Com_GetStatus) && \
        (!defined RTE_RUNNABLEAPI_Com_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Com_SendSignal) && \
        (!defined RTE_RUNNABLEAPI_Com_SendDynSignal) && \
        (!defined RTE_RUNNABLEAPI_Com_SendSignalGroup) && \
        (!defined RTE_RUNNABLEAPI_Com_ReceiveSignalGroup) && \
        (!defined RTE_RUNNABLEAPI_Com_SendSignalGroupArray) && \
        (!defined RTE_RUNNABLEAPI_Com_ReceiveSignalGroupArray) && \
        (!defined RTE_RUNNABLEAPI_Com_InvalidateSignal) && \
        (!defined RTE_RUNNABLEAPI_Com_InvalidateSignalGroup) && \
        (!defined RTE_RUNNABLEAPI_Com_TriggerIPDUSend) && \
        (!defined RTE_RUNNABLEAPI_Com_SwitchIpduTxMode) && \
        (!defined RTE_RUNNABLEAPI_Com_TriggerTransmit) && \
        (!defined RTE_RUNNABLEAPI_Com_RxIndication) && \
        (!defined RTE_RUNNABLEAPI_Com_TpRxIndication) && \
        (!defined RTE_RUNNABLEAPI_Com_TxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_Com_TpTxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_Com_StartOfReception) && \
        (!defined RTE_RUNNABLEAPI_Com_CopyRxData) && \
        (!defined RTE_RUNNABLEAPI_Com_CopyTxData) && \
        (!defined RTE_RUNNABLEAPI_Com_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_Com_RxSignalExclusiveArea()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Com_RxSignalExclusiveArea() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Com_ComMainFunctionTxC0D) && \
        (!defined RTE_RUNNABLEAPI_Com_ComMainFunctionTxC0QM) && \
        (!defined RTE_RUNNABLEAPI_Com_Init) && \
        (!defined RTE_RUNNABLEAPI_Com_DeInit) && \
        (!defined RTE_RUNNABLEAPI_Com_IpduGroupStart) && \
        (!defined RTE_RUNNABLEAPI_Com_IpduGroupStop) && \
        (!defined RTE_RUNNABLEAPI_Com_EnableReceptionDM) && \
        (!defined RTE_RUNNABLEAPI_Com_DisableReceptionDM) && \
        (!defined RTE_RUNNABLEAPI_Com_GetStatus) && \
        (!defined RTE_RUNNABLEAPI_Com_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Com_SendSignal) && \
        (!defined RTE_RUNNABLEAPI_Com_SendDynSignal) && \
        (!defined RTE_RUNNABLEAPI_Com_ReceiveSignal) && \
        (!defined RTE_RUNNABLEAPI_Com_ReceiveDynSignal) && \
        (!defined RTE_RUNNABLEAPI_Com_SendSignalGroup) && \
        (!defined RTE_RUNNABLEAPI_Com_ReceiveSignalGroup) && \
        (!defined RTE_RUNNABLEAPI_Com_SendSignalGroupArray) && \
        (!defined RTE_RUNNABLEAPI_Com_ReceiveSignalGroupArray) && \
        (!defined RTE_RUNNABLEAPI_Com_InvalidateSignal) && \
        (!defined RTE_RUNNABLEAPI_Com_InvalidateSignalGroup) && \
        (!defined RTE_RUNNABLEAPI_Com_TriggerIPDUSend) && \
        (!defined RTE_RUNNABLEAPI_Com_SwitchIpduTxMode) && \
        (!defined RTE_RUNNABLEAPI_Com_TriggerTransmit) && \
        (!defined RTE_RUNNABLEAPI_Com_RxIndication) && \
        (!defined RTE_RUNNABLEAPI_Com_TpRxIndication) && \
        (!defined RTE_RUNNABLEAPI_Com_TxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_Com_TpTxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_Com_StartOfReception) && \
        (!defined RTE_RUNNABLEAPI_Com_CopyRxData) && \
        (!defined RTE_RUNNABLEAPI_Com_CopyTxData) && \
        (!defined RTE_RUNNABLEAPI_Com_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_Com_SigGwExclusiveArea()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Com_SigGwExclusiveArea() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_COM_H */