/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_ComM.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_COMM_H
#define SCHM_COMM_H

#define SCHM_COMM_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_COMM_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_ComM_Type.h"
/* Version verification of the SchM_ComM_Type module */
#if ((SCHM_COMM_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_COMM_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_COMM_TYPE module version is incompatible, there may be problems.
#endif
#include "ComM.h"
#include "SchM_ComM_MemClasses.h"
/* Version verification of the SchM_ComM_MemClasses module */
#if ((SCHM_COMM_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_COMM_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_COMM_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, COMM_CODE) ComM_MainFunction_CN_CAN_00 (void);

extern FUNC(void, COMM_CODE) ComM_MainFunction_CN_CAN_001 (void);

extern FUNC(void, COMM_CODE) ComM_MainFunction_CN_CAN_002 (void);

extern FUNC(void, COMM_CODE) ComM_MainFunction_CN_CAN_003 (void);

extern FUNC(void, COMM_CODE) ComM_MainFunction_CN_CAN_004 (void);

extern FUNC(void, COMM_CODE) ComM_MainFunction_CN_CAN_005 (void);

extern FUNC(void, COMM_CODE) ComM_MainFunction_CN_CAN_006 (void);

extern FUNC(void, COMM_CODE) ComM_MainFunction_CN_CAN_007 (void);

extern FUNC(void, COMM_CODE) ComM_MainFunction_CN_CAN_008 (void);

extern FUNC(void, COMM_CODE) ComM_MainFunction_CN_CAN_009 (void);

extern FUNC(void, COMM_CODE) ComM_MainFunction_CN_CAN_010 (void);

extern FUNC(void, COMM_CODE) ComM_MainFunction_CN_CAN_011 (void);

extern FUNC(void, COMM_CODE) ComM_MainFunction_ComMChannel_ChannelCommunication_ETH (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_ComM_Init) && \
        (!defined RTE_RUNNABLEAPI_ComM_DeInit) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetStatus) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetInhibitionStatus) && \
        (!defined RTE_RUNNABLEAPI_ComM_RequestComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetMaxComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetRequestedComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetCurrentComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_PreventWakeUp) && \
        (!defined RTE_RUNNABLEAPI_ComM_LimitChannelToNoComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_LimitECUToNoComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_ReadInhibitCounter) && \
        (!defined RTE_RUNNABLEAPI_ComM_ResetInhibitCounter) && \
        (!defined RTE_RUNNABLEAPI_ComM_SetECUGroupClassification) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_NetworkStartIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_NetworkMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_PrepareBusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_RestartIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_DCM_ActiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_ComM_DCM_InactiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_ComM_EcuM_WakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_EcuM_PNCWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_CommunicationAllowed) && \
        (!defined RTE_RUNNABLEAPI_ComM_BusSM_ModeIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_BusSM_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_ComM_ExclusiveArea()  \
    ( \
        GetSpinlock(SpinLock_ComM) \
    )

#define SchM_Exit_ComM_ExclusiveArea() \
    ( \
        ReleaseSpinlock(SpinLock_ComM) \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_ComM_Init) && \
        (!defined RTE_RUNNABLEAPI_ComM_DeInit) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetStatus) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetInhibitionStatus) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetMaxComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetCurrentComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_PreventWakeUp) && \
        (!defined RTE_RUNNABLEAPI_ComM_LimitChannelToNoComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_LimitECUToNoComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_ReadInhibitCounter) && \
        (!defined RTE_RUNNABLEAPI_ComM_ResetInhibitCounter) && \
        (!defined RTE_RUNNABLEAPI_ComM_SetECUGroupClassification) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_NetworkStartIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_NetworkMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_PrepareBusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_RestartIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_DCM_ActiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_ComM_DCM_InactiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_ComM_EcuM_WakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_EcuM_PNCWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_CommunicationAllowed) && \
        (!defined RTE_RUNNABLEAPI_ComM_BusSM_ModeIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_BusSM_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_ComM_ExclusiveArea_UserRunInfo()  \
    ( \
        GetSpinlock(OsSpinlock_ComM_ExclusiveArea_UserRunInfo) \
    )

#define SchM_Exit_ComM_ExclusiveArea_UserRunInfo() \
    ( \
        ReleaseSpinlock(OsSpinlock_ComM_ExclusiveArea_UserRunInfo) \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_ComM_Init) && \
        (!defined RTE_RUNNABLEAPI_ComM_DeInit) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetStatus) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetInhibitionStatus) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetRequestedComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetCurrentComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_PreventWakeUp) && \
        (!defined RTE_RUNNABLEAPI_ComM_LimitChannelToNoComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_LimitECUToNoComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_ReadInhibitCounter) && \
        (!defined RTE_RUNNABLEAPI_ComM_ResetInhibitCounter) && \
        (!defined RTE_RUNNABLEAPI_ComM_SetECUGroupClassification) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_NetworkStartIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_NetworkMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_PrepareBusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_RestartIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_DCM_ActiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_ComM_DCM_InactiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_ComM_EcuM_WakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_EcuM_PNCWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_CommunicationAllowed) && \
        (!defined RTE_RUNNABLEAPI_ComM_BusSM_ModeIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_BusSM_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_ComM_ExclusiveArea_ChannelRunInfo()  \
    ( \
        GetSpinlock(OsSpinlock_ComM_ExclusiveArea_ChannelRunInfo) \
    )

#define SchM_Exit_ComM_ExclusiveArea_ChannelRunInfo() \
    ( \
        ReleaseSpinlock(OsSpinlock_ComM_ExclusiveArea_ChannelRunInfo) \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_ComM_Init) && \
        (!defined RTE_RUNNABLEAPI_ComM_DeInit) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetStatus) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetInhibitionStatus) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetRequestedComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetCurrentComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_PreventWakeUp) && \
        (!defined RTE_RUNNABLEAPI_ComM_LimitChannelToNoComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_LimitECUToNoComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_ReadInhibitCounter) && \
        (!defined RTE_RUNNABLEAPI_ComM_ResetInhibitCounter) && \
        (!defined RTE_RUNNABLEAPI_ComM_SetECUGroupClassification) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_NetworkStartIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_NetworkMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_PrepareBusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_RestartIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_DCM_ActiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_ComM_DCM_InactiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_ComM_EcuM_WakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_EcuM_PNCWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_CommunicationAllowed) && \
        (!defined RTE_RUNNABLEAPI_ComM_BusSM_ModeIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_BusSM_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_ComM_ExclusiveArea_PncRunStateInfo()  \
    ( \
        GetSpinlock(OsSpinlock_ComM_ExclusiveArea_PncRunStateInfo) \
    )

#define SchM_Exit_ComM_ExclusiveArea_PncRunStateInfo() \
    ( \
        ReleaseSpinlock(OsSpinlock_ComM_ExclusiveArea_PncRunStateInfo) \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_ComM_Init) && \
        (!defined RTE_RUNNABLEAPI_ComM_DeInit) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetStatus) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetInhibitionStatus) && \
        (!defined RTE_RUNNABLEAPI_ComM_RequestComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetMaxComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetRequestedComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetCurrentComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_PreventWakeUp) && \
        (!defined RTE_RUNNABLEAPI_ComM_LimitChannelToNoComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_LimitECUToNoComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_ReadInhibitCounter) && \
        (!defined RTE_RUNNABLEAPI_ComM_ResetInhibitCounter) && \
        (!defined RTE_RUNNABLEAPI_ComM_SetECUGroupClassification) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_NetworkStartIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_NetworkMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_PrepareBusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_RestartIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_DCM_ActiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_ComM_DCM_InactiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_ComM_EcuM_WakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_EcuM_PNCWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_CommunicationAllowed) && \
        (!defined RTE_RUNNABLEAPI_ComM_BusSM_ModeIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_BusSM_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_ComM_ExclusiveArea_Inhibit()  \
    ( \
        GetSpinlock(OsSpinlock_ComM_ExclusiveArea_Inhibit) \
    )

#define SchM_Exit_ComM_ExclusiveArea_Inhibit() \
    ( \
        ReleaseSpinlock(OsSpinlock_ComM_ExclusiveArea_Inhibit) \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_ComM_Init) && \
        (!defined RTE_RUNNABLEAPI_ComM_DeInit) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetStatus) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetInhibitionStatus) && \
        (!defined RTE_RUNNABLEAPI_ComM_RequestComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetMaxComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetRequestedComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetCurrentComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_PreventWakeUp) && \
        (!defined RTE_RUNNABLEAPI_ComM_LimitChannelToNoComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_LimitECUToNoComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_ReadInhibitCounter) && \
        (!defined RTE_RUNNABLEAPI_ComM_ResetInhibitCounter) && \
        (!defined RTE_RUNNABLEAPI_ComM_SetECUGroupClassification) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_NetworkStartIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_NetworkMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_PrepareBusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_RestartIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_DCM_ActiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_ComM_DCM_InactiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_ComM_EcuM_WakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_EcuM_PNCWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_CommunicationAllowed) && \
        (!defined RTE_RUNNABLEAPI_ComM_BusSM_ModeIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_BusSM_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_ComM_ExclusiveArea_UserReq()  \
    ( \
        GetSpinlock(OsSpinlock_ComM_ExclusiveArea_UserReq) \
    )

#define SchM_Exit_ComM_ExclusiveArea_UserReq() \
    ( \
        ReleaseSpinlock(OsSpinlock_ComM_ExclusiveArea_UserReq) \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_ComM_Init) && \
        (!defined RTE_RUNNABLEAPI_ComM_DeInit) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetStatus) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetInhibitionStatus) && \
        (!defined RTE_RUNNABLEAPI_ComM_RequestComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetMaxComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetRequestedComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetCurrentComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_PreventWakeUp) && \
        (!defined RTE_RUNNABLEAPI_ComM_LimitChannelToNoComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_LimitECUToNoComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_ReadInhibitCounter) && \
        (!defined RTE_RUNNABLEAPI_ComM_ResetInhibitCounter) && \
        (!defined RTE_RUNNABLEAPI_ComM_SetECUGroupClassification) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_NetworkStartIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_NetworkMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_PrepareBusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_RestartIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_DCM_ActiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_ComM_DCM_InactiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_ComM_EcuM_WakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_EcuM_PNCWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_CommunicationAllowed) && \
        (!defined RTE_RUNNABLEAPI_ComM_BusSM_ModeIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_BusSM_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_ComM_ExclusiveArea_ERA()  \
    ( \
        GetSpinlock(OsSpinlock_ComM_ExclusiveArea_ERA) \
    )

#define SchM_Exit_ComM_ExclusiveArea_ERA() \
    ( \
        ReleaseSpinlock(OsSpinlock_ComM_ExclusiveArea_ERA) \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_ComM_Init) && \
        (!defined RTE_RUNNABLEAPI_ComM_DeInit) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetStatus) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetInhibitionStatus) && \
        (!defined RTE_RUNNABLEAPI_ComM_RequestComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetMaxComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetRequestedComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetCurrentComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_PreventWakeUp) && \
        (!defined RTE_RUNNABLEAPI_ComM_LimitChannelToNoComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_LimitECUToNoComMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_ReadInhibitCounter) && \
        (!defined RTE_RUNNABLEAPI_ComM_ResetInhibitCounter) && \
        (!defined RTE_RUNNABLEAPI_ComM_SetECUGroupClassification) && \
        (!defined RTE_RUNNABLEAPI_ComM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_NetworkStartIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_NetworkMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_PrepareBusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_Nm_RestartIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_DCM_ActiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_ComM_DCM_InactiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_ComM_EcuM_WakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_EcuM_PNCWakeUpIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_CommunicationAllowed) && \
        (!defined RTE_RUNNABLEAPI_ComM_BusSM_ModeIndication) && \
        (!defined RTE_RUNNABLEAPI_ComM_BusSM_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_ComM_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_ComM_ExclusiveArea_EIRA()  \
    ( \
        GetSpinlock(OsSpinlock_ComM_ExclusiveArea_EIRA) \
    )

#define SchM_Exit_ComM_ExclusiveArea_EIRA() \
    ( \
        ReleaseSpinlock(OsSpinlock_ComM_ExclusiveArea_EIRA) \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_COMM_H */