/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_Crypto.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_CRYPTO_H
#define SCHM_CRYPTO_H

#define SCHM_CRYPTO_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_CRYPTO_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_Crypto_Type.h"
/* Version verification of the SchM_Crypto_Type module */
#if ((SCHM_CRYPTO_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_CRYPTO_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_CRYPTO_TYPE module version is incompatible, there may be problems.
#endif
#include "SchM_Crypto_MemClasses.h"
/* Version verification of the SchM_Crypto_MemClasses module */
#if ((SCHM_CRYPTO_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_CRYPTO_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_CRYPTO_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, CRYPTO_CODE) Crypto_MainFunction (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_CRYPTO_H */