/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_Csm.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_CSM_H
#define SCHM_CSM_H

#define SCHM_CSM_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_CSM_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_Csm_Type.h"
/* Version verification of the SchM_Csm_Type module */
#if ((SCHM_CSM_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_CSM_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_CSM_TYPE module version is incompatible, there may be problems.
#endif
#include "Csm.h"
#include "SchM_Csm_MemClasses.h"
/* Version verification of the SchM_Csm_MemClasses module */
#if ((SCHM_CSM_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_CSM_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_CSM_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, CSM_CODE) Csm_MainFunction (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Csm_Init) && \
        (!defined RTE_RUNNABLEAPI_Csm_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Csm_Hash) && \
        (!defined RTE_RUNNABLEAPI_Csm_MacGenerate) && \
        (!defined RTE_RUNNABLEAPI_Csm_MacVerify) && \
        (!defined RTE_RUNNABLEAPI_Csm_Encrypt) && \
        (!defined RTE_RUNNABLEAPI_Csm_Decrypt) && \
        (!defined RTE_RUNNABLEAPI_Csm_AEADEncrypt) && \
        (!defined RTE_RUNNABLEAPI_Csm_AEADDecrypt) && \
        (!defined RTE_RUNNABLEAPI_Csm_SignatureGenerate) && \
        (!defined RTE_RUNNABLEAPI_Csm_SignatureVerify) && \
        (!defined RTE_RUNNABLEAPI_Csm_RandomGenerate) && \
        (!defined RTE_RUNNABLEAPI_Csm_KeyElementSet) && \
        (!defined RTE_RUNNABLEAPI_Csm_KeySetValid) && \
        (!defined RTE_RUNNABLEAPI_Csm_KeyElementGet) && \
        (!defined RTE_RUNNABLEAPI_Csm_KeyElementCopy) && \
        (!defined RTE_RUNNABLEAPI_Csm_KeyCopy) && \
        (!defined RTE_RUNNABLEAPI_Csm_KeyElementCopyPartial) && \
        (!defined RTE_RUNNABLEAPI_Csm_RandomSeed) && \
        (!defined RTE_RUNNABLEAPI_Csm_KeyGenerate) && \
        (!defined RTE_RUNNABLEAPI_Csm_KeyDerive) && \
        (!defined RTE_RUNNABLEAPI_Csm_KeyExchangeCalcPubVal) && \
        (!defined RTE_RUNNABLEAPI_Csm_KeyExchangeCalcSecret) && \
        (!defined RTE_RUNNABLEAPI_Csm_CertificateParse) && \
        (!defined RTE_RUNNABLEAPI_Csm_CertificateVerify) && \
        (!defined RTE_RUNNABLEAPI_Csm_KeyInfoSet) && \
        (!defined RTE_RUNNABLEAPI_Csm_KeyInfoGet) && \
        (!defined RTE_RUNNABLEAPI_Csm_JobKeyIdSet) && \
        (!defined RTE_RUNNABLEAPI_Csm_JobKeyIdGet) && \
        (!defined RTE_RUNNABLEAPI_Csm_JobKeySetValid) && \
        (!defined RTE_RUNNABLEAPI_Csm_JobRandomSeed) && \
        (!defined RTE_RUNNABLEAPI_Csm_JobKeyGenerate) && \
        (!defined RTE_RUNNABLEAPI_Csm_JobKeyDerive) && \
        (!defined RTE_RUNNABLEAPI_Csm_JobKeyExchangeCalcPubVal) && \
        (!defined RTE_RUNNABLEAPI_Csm_JobKeyExchangeCalcSecret) && \
        (!defined RTE_RUNNABLEAPI_Csm_JobCertificateParse) && \
        (!defined RTE_RUNNABLEAPI_Csm_JobCertificateVerify) && \
        (!defined RTE_RUNNABLEAPI_Csm_CancelJob) && \
        (!defined RTE_RUNNABLEAPI_Csm_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_Csm_ExclusiveArea()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Csm_ExclusiveArea() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_CSM_H */