/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_Dcm.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_DCM_H
#define SCHM_DCM_H

#define SCHM_DCM_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_DCM_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_Dcm_Type.h"
/* Version verification of the SchM_Dcm_Type module */
#if ((SCHM_DCM_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_DCM_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_DCM_TYPE module version is incompatible, there may be problems.
#endif
#include "Dcm.h"
#include "SchM_Dcm_MemClasses.h"
/* Version verification of the SchM_Dcm_MemClasses module */
#if ((SCHM_DCM_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_DCM_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_DCM_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, DCM_CODE) Dcm_MainFunction (void);

/***************************************************************************
 *
 * SchM Mode APIs
 *
 **************************************************************************/
#define SchM_Mode_Dcm_DcmAuthentication_DcmDslMainConnection SchM_Mode_Dcm_EcucPartition_C0_HW_QM_DcmAuthentication_DcmDslMainConnection
#define SchM_Switch_Dcm_DcmAuthentication_DcmDslMainConnection SchM_Switch_Dcm_EcucPartition_C0_HW_QM_DcmAuthentication_DcmDslMainConnection
#define SchM_Mode_Dcm_DcmControlDTCSetting SchM_Mode_Dcm_EcucPartition_C0_HW_QM_DcmControlDTCSetting
#define SchM_Switch_Dcm_DcmControlDTCSetting SchM_Switch_Dcm_EcucPartition_C0_HW_QM_DcmControlDTCSetting
#define SchM_Mode_Dcm_DcmDiagnosticSessionControl SchM_Mode_Dcm_EcucPartition_C0_HW_QM_DcmDiagnosticSessionControl
#define SchM_Switch_Dcm_DcmDiagnosticSessionControl SchM_Switch_Dcm_EcucPartition_C0_HW_QM_DcmDiagnosticSessionControl
#define SchM_Mode_Dcm_DcmEcuReset SchM_Mode_Dcm_EcucPartition_C0_HW_QM_DcmEcuReset
#define SchM_Switch_Dcm_DcmEcuReset SchM_Switch_Dcm_EcucPartition_C0_HW_QM_DcmEcuReset
#define SchM_Mode_Dcm_DcmModeRapidPowerShutDown SchM_Mode_Dcm_EcucPartition_C0_HW_QM_DcmModeRapidPowerShutDown
#define SchM_Switch_Dcm_DcmModeRapidPowerShutDown SchM_Switch_Dcm_EcucPartition_C0_HW_QM_DcmModeRapidPowerShutDown
#define SchM_Mode_Dcm_DcmSecurityAccess SchM_Mode_Dcm_EcucPartition_C0_HW_QM_DcmSecurityAccess
#define SchM_Switch_Dcm_DcmSecurityAccess SchM_Switch_Dcm_EcucPartition_C0_HW_QM_DcmSecurityAccess

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Dcm_GetActiveProtocol) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSecurityLevel) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSesCtrlType) && \
        (!defined RTE_RUNNABLEAPI_Dcm_ResetToDefaultSession) && \
        (!defined RTE_RUNNABLEAPI_Dcm_SetActiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetCurrentDoIPSA) \
)
#define SchM_Enter_Dcm_Core()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Dcm_Core() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

/***************************************************************************
 *
 * SchM Mode APIs Implementation
 *
 **************************************************************************/
#if ( \
        (!defined RTE_RUNNABLEAPI_Dcm_GetActiveProtocol) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSecurityLevel) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSesCtrlType) && \
        (!defined RTE_RUNNABLEAPI_Dcm_ResetToDefaultSession) && \
        (!defined RTE_RUNNABLEAPI_Dcm_SetActiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetCurrentDoIPSA) \
)
extern FUNC(uint8, RTE_CODE) SchM_Mode_Dcm_EcucPartition_C0_HW_QM_DcmAuthentication_DcmDslMainConnection(void);
#endif

#if ( \
        (!defined RTE_RUNNABLEAPI_Dcm_GetActiveProtocol) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSecurityLevel) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSesCtrlType) && \
        (!defined RTE_RUNNABLEAPI_Dcm_ResetToDefaultSession) && \
        (!defined RTE_RUNNABLEAPI_Dcm_SetActiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetCurrentDoIPSA) \
)
extern FUNC(Std_ReturnType, RTE_CODE) SchM_Switch_Dcm_EcucPartition_C0_HW_QM_DcmAuthentication_DcmDslMainConnection(VAR(uint8, AUTOMATIC) modeParameter);
#endif
#if ( \
        (!defined RTE_RUNNABLEAPI_Dcm_GetActiveProtocol) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSecurityLevel) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSesCtrlType) && \
        (!defined RTE_RUNNABLEAPI_Dcm_ResetToDefaultSession) && \
        (!defined RTE_RUNNABLEAPI_Dcm_SetActiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetCurrentDoIPSA) \
)
extern FUNC(uint8, RTE_CODE) SchM_Mode_Dcm_EcucPartition_C0_HW_QM_DcmControlDTCSetting(void);
#endif

#if ( \
        (!defined RTE_RUNNABLEAPI_Dcm_GetActiveProtocol) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSecurityLevel) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSesCtrlType) && \
        (!defined RTE_RUNNABLEAPI_Dcm_ResetToDefaultSession) && \
        (!defined RTE_RUNNABLEAPI_Dcm_SetActiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetCurrentDoIPSA) \
)
extern FUNC(Std_ReturnType, RTE_CODE) SchM_Switch_Dcm_EcucPartition_C0_HW_QM_DcmControlDTCSetting(VAR(uint8, AUTOMATIC) modeParameter);
#endif
#if ( \
        (!defined RTE_RUNNABLEAPI_Dcm_GetActiveProtocol) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSecurityLevel) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSesCtrlType) && \
        (!defined RTE_RUNNABLEAPI_Dcm_ResetToDefaultSession) && \
        (!defined RTE_RUNNABLEAPI_Dcm_SetActiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetCurrentDoIPSA) \
)
extern FUNC(uint8, RTE_CODE) SchM_Mode_Dcm_EcucPartition_C0_HW_QM_DcmDiagnosticSessionControl(void);
#endif

#if ( \
        (!defined RTE_RUNNABLEAPI_Dcm_GetActiveProtocol) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSecurityLevel) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSesCtrlType) && \
        (!defined RTE_RUNNABLEAPI_Dcm_ResetToDefaultSession) && \
        (!defined RTE_RUNNABLEAPI_Dcm_SetActiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetCurrentDoIPSA) \
)
extern FUNC(Std_ReturnType, RTE_CODE) SchM_Switch_Dcm_EcucPartition_C0_HW_QM_DcmDiagnosticSessionControl(VAR(uint8, AUTOMATIC) modeParameter);
#endif
#if ( \
        (!defined RTE_RUNNABLEAPI_Dcm_GetActiveProtocol) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSecurityLevel) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSesCtrlType) && \
        (!defined RTE_RUNNABLEAPI_Dcm_ResetToDefaultSession) && \
        (!defined RTE_RUNNABLEAPI_Dcm_SetActiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetCurrentDoIPSA) \
)
extern FUNC(uint8, RTE_CODE) SchM_Mode_Dcm_EcucPartition_C0_HW_QM_DcmEcuReset(void);
#endif

#if ( \
        (!defined RTE_RUNNABLEAPI_Dcm_GetActiveProtocol) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSecurityLevel) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSesCtrlType) && \
        (!defined RTE_RUNNABLEAPI_Dcm_ResetToDefaultSession) && \
        (!defined RTE_RUNNABLEAPI_Dcm_SetActiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetCurrentDoIPSA) \
)
extern FUNC(Std_ReturnType, RTE_CODE) SchM_Switch_Dcm_EcucPartition_C0_HW_QM_DcmEcuReset(VAR(uint8, AUTOMATIC) modeParameter);
#endif
#if ( \
        (!defined RTE_RUNNABLEAPI_Dcm_GetActiveProtocol) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSecurityLevel) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSesCtrlType) && \
        (!defined RTE_RUNNABLEAPI_Dcm_ResetToDefaultSession) && \
        (!defined RTE_RUNNABLEAPI_Dcm_SetActiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetCurrentDoIPSA) \
)
extern FUNC(uint8, RTE_CODE) SchM_Mode_Dcm_EcucPartition_C0_HW_QM_DcmModeRapidPowerShutDown(void);
#endif

#if ( \
        (!defined RTE_RUNNABLEAPI_Dcm_GetActiveProtocol) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSecurityLevel) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSesCtrlType) && \
        (!defined RTE_RUNNABLEAPI_Dcm_ResetToDefaultSession) && \
        (!defined RTE_RUNNABLEAPI_Dcm_SetActiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetCurrentDoIPSA) \
)
extern FUNC(Std_ReturnType, RTE_CODE) SchM_Switch_Dcm_EcucPartition_C0_HW_QM_DcmModeRapidPowerShutDown(VAR(uint8, AUTOMATIC) modeParameter);
#endif
#if ( \
        (!defined RTE_RUNNABLEAPI_Dcm_GetActiveProtocol) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSecurityLevel) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSesCtrlType) && \
        (!defined RTE_RUNNABLEAPI_Dcm_ResetToDefaultSession) && \
        (!defined RTE_RUNNABLEAPI_Dcm_SetActiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetCurrentDoIPSA) \
)
extern FUNC(uint8, RTE_CODE) SchM_Mode_Dcm_EcucPartition_C0_HW_QM_DcmSecurityAccess(void);
#endif

#if ( \
        (!defined RTE_RUNNABLEAPI_Dcm_GetActiveProtocol) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSecurityLevel) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetSesCtrlType) && \
        (!defined RTE_RUNNABLEAPI_Dcm_ResetToDefaultSession) && \
        (!defined RTE_RUNNABLEAPI_Dcm_SetActiveDiagnostic) && \
        (!defined RTE_RUNNABLEAPI_Dcm_GetCurrentDoIPSA) \
)
extern FUNC(Std_ReturnType, RTE_CODE) SchM_Switch_Dcm_EcucPartition_C0_HW_QM_DcmSecurityAccess(VAR(uint8, AUTOMATIC) modeParameter);
#endif

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_DCM_H */