/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_Dcm_Type.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_DCM_TYPE_H
#define SCHM_DCM_TYPE_H

#define SCHM_DCM_TYPE_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_DCM_TYPE_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Type.h"
/* Version verification of the Rte_Type module */
#if ((RTE_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_TYPE module version is incompatible, there may be problems.
#endif
#include "SchM_Type.h"
/* Version verification of the SchM_Type module */
#if ((SCHM_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_TYPE module version is incompatible, there may be problems.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Defines
 *
 **************************************************************************/
#ifndef RTE_TRANSITION_DcmAuthenticationState
#define RTE_TRANSITION_DcmAuthenticationState 255U
#endif
#ifndef RTE_MODE_DcmAuthenticationState_DCM_AUTHENTICATED
#define RTE_MODE_DcmAuthenticationState_DCM_AUTHENTICATED 1U
#endif
#ifndef RTE_MODE_DcmAuthenticationState_DCM_DEAUTHENTICATED
#define RTE_MODE_DcmAuthenticationState_DCM_DEAUTHENTICATED 0U
#endif
#ifndef RTE_TRANSITION_DcmControlDTCSetting
#define RTE_TRANSITION_DcmControlDTCSetting 255U
#endif
#ifndef RTE_MODE_DcmControlDTCSetting_DCM_DISABLEDTCSETTING
#define RTE_MODE_DcmControlDTCSetting_DCM_DISABLEDTCSETTING 1U
#endif
#ifndef RTE_MODE_DcmControlDTCSetting_DCM_ENABLEDTCSETTING
#define RTE_MODE_DcmControlDTCSetting_DCM_ENABLEDTCSETTING 0U
#endif
#ifndef RTE_TRANSITION_DcmDiagnosticSessionControl
#define RTE_TRANSITION_DcmDiagnosticSessionControl 255U
#endif
#ifndef RTE_MODE_DcmDiagnosticSessionControl_DCM_DEFAULT_SESSION
#define RTE_MODE_DcmDiagnosticSessionControl_DCM_DEFAULT_SESSION 1U
#endif
#ifndef RTE_MODE_DcmDiagnosticSessionControl_DCM_EXTENDED_DIAGNOSTIC_SESSION
#define RTE_MODE_DcmDiagnosticSessionControl_DCM_EXTENDED_DIAGNOSTIC_SESSION 3U
#endif
#ifndef RTE_MODE_DcmDiagnosticSessionControl_DCM_PROGRAMMING_SESSION
#define RTE_MODE_DcmDiagnosticSessionControl_DCM_PROGRAMMING_SESSION 2U
#endif
#ifndef RTE_MODE_DcmDiagnosticSessionControl_DCM_SAFETY_SYSTEM_DIAGNOSTIC_SESSION
#define RTE_MODE_DcmDiagnosticSessionControl_DCM_SAFETY_SYSTEM_DIAGNOSTIC_SESSION 4U
#endif
#ifndef RTE_TRANSITION_DcmEcuReset
#define RTE_TRANSITION_DcmEcuReset 255U
#endif
#ifndef RTE_MODE_DcmEcuReset_DCM_EXECUTE
#define RTE_MODE_DcmEcuReset_DCM_EXECUTE 6U
#endif
#ifndef RTE_MODE_DcmEcuReset_DCM_HARD
#define RTE_MODE_DcmEcuReset_DCM_HARD 1U
#endif
#ifndef RTE_MODE_DcmEcuReset_DCM_JUMPTOBOOTLOADER
#define RTE_MODE_DcmEcuReset_DCM_JUMPTOBOOTLOADER 4U
#endif
#ifndef RTE_MODE_DcmEcuReset_DCM_JUMPTOSYSSUPPLIERBOOTLOADER
#define RTE_MODE_DcmEcuReset_DCM_JUMPTOSYSSUPPLIERBOOTLOADER 5U
#endif
#ifndef RTE_MODE_DcmEcuReset_DCM_KEYONOFF
#define RTE_MODE_DcmEcuReset_DCM_KEYONOFF 2U
#endif
#ifndef RTE_MODE_DcmEcuReset_DCM_NONE
#define RTE_MODE_DcmEcuReset_DCM_NONE 0U
#endif
#ifndef RTE_MODE_DcmEcuReset_DCM_SOFT
#define RTE_MODE_DcmEcuReset_DCM_SOFT 3U
#endif
#ifndef RTE_TRANSITION_DcmModeRapidPowerShutDown
#define RTE_TRANSITION_DcmModeRapidPowerShutDown 255U
#endif
#ifndef RTE_MODE_DcmModeRapidPowerShutDown_DCM_DISABLE_RAPIDPOWERSHUTDOWN
#define RTE_MODE_DcmModeRapidPowerShutDown_DCM_DISABLE_RAPIDPOWERSHUTDOWN 1U
#endif
#ifndef RTE_MODE_DcmModeRapidPowerShutDown_DCM_ENABLE_RAPIDPOWERSHUTDOWN
#define RTE_MODE_DcmModeRapidPowerShutDown_DCM_ENABLE_RAPIDPOWERSHUTDOWN 0U
#endif
#ifndef RTE_TRANSITION_DcmSecurityAccess
#define RTE_TRANSITION_DcmSecurityAccess 255U
#endif
#ifndef RTE_MODE_DcmSecurityAccess_DCM_SEC_LEV_LOCKED
#define RTE_MODE_DcmSecurityAccess_DCM_SEC_LEV_LOCKED 0U
#endif

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_DCM_TYPE_H */