/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_Dem.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_DEM_H
#define SCHM_DEM_H

#define SCHM_DEM_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_DEM_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_Dem_Type.h"
/* Version verification of the SchM_Dem_Type module */
#if ((SCHM_DEM_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_DEM_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_DEM_TYPE module version is incompatible, there may be problems.
#endif
#include "Dem.h"
#include "SchM_Dem_MemClasses.h"
/* Version verification of the SchM_Dem_MemClasses module */
#if ((SCHM_DEM_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_DEM_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_DEM_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, DEM_CODE) Dem_MainFunction (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Dem_DfsServiceDataAccessFunc) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Dem_PreInit) && \
        (!defined RTE_RUNNABLEAPI_Dem_Init) && \
        (!defined RTE_RUNNABLEAPI_Dem_Shutdown) && \
        (!defined RTE_RUNNABLEAPI_Dem_ClearDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetComponentFailed) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCSelectionResult) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCSelectionResultForClearDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetEventUdsStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetMonitorStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetMonitorStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDebouncingOfEvent) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCOfEvent) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCSuppression) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetFaultDetectionCounter) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetIndicatorStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetEventFreezeFrameDataEx) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetEventExtendedDataRecordEx) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetEventMemoryOverflow) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNumberOfEventMemoryEntries) && \
        (!defined RTE_RUNNABLEAPI_Dem_ResetEventDebounceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_ResetEventStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_RestartOperationCycle) && \
        (!defined RTE_RUNNABLEAPI_Dem_SelectDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetComponentAvailable) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetEnableCondition) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetEventStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetEventStatusWithMonitorData) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetStorageCondition) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetWIRStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetTranslationType) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCStatusAvailabilityMask) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetStatusOfDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetSeverityOfDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetFunctionalUnitOfDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetDTCFilter) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNumberOfFilteredDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFilteredDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFilteredDTCAndFDC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFilteredDTCAndSeverity) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetFreezeFrameRecordFilter) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFilteredRecord) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCByOccurrenceTime) && \
        (!defined RTE_RUNNABLEAPI_Dem_DisableDTCRecordUpdate) && \
        (!defined RTE_RUNNABLEAPI_Dem_EnableDTCRecordUpdate) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetSizeOfExtendedDataRecordSelection) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetSizeOfFreezeFrameSelection) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextExtendedDataRecord) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFreezeFrameData) && \
        (!defined RTE_RUNNABLEAPI_Dem_SelectExtendedDataRecord) && \
        (!defined RTE_RUNNABLEAPI_Dem_SelectFreezeFrameData) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNumberOfFreezeFrameRecords) && \
        (!defined RTE_RUNNABLEAPI_Dem_DisableDTCSetting) && \
        (!defined RTE_RUNNABLEAPI_Dem_EnableDTCSetting) \
)
#define SchM_Enter_Dem_Condition_ExclusiveArea()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Dem_Condition_ExclusiveArea() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Dem_DfsServiceDataAccessFunc) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Dem_PreInit) && \
        (!defined RTE_RUNNABLEAPI_Dem_Init) && \
        (!defined RTE_RUNNABLEAPI_Dem_Shutdown) && \
        (!defined RTE_RUNNABLEAPI_Dem_ClearDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetComponentFailed) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCSelectionResult) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCSelectionResultForClearDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetEventUdsStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetMonitorStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetMonitorStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDebouncingOfEvent) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCOfEvent) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCSuppression) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetFaultDetectionCounter) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetIndicatorStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetEventFreezeFrameDataEx) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetEventExtendedDataRecordEx) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetEventMemoryOverflow) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNumberOfEventMemoryEntries) && \
        (!defined RTE_RUNNABLEAPI_Dem_ResetEventDebounceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_ResetEventStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_RestartOperationCycle) && \
        (!defined RTE_RUNNABLEAPI_Dem_SelectDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetComponentAvailable) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetEnableCondition) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetEventStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetEventStatusWithMonitorData) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetStorageCondition) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetWIRStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetTranslationType) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCStatusAvailabilityMask) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetStatusOfDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetSeverityOfDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetFunctionalUnitOfDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetDTCFilter) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNumberOfFilteredDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFilteredDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFilteredDTCAndFDC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFilteredDTCAndSeverity) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetFreezeFrameRecordFilter) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFilteredRecord) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCByOccurrenceTime) && \
        (!defined RTE_RUNNABLEAPI_Dem_DisableDTCRecordUpdate) && \
        (!defined RTE_RUNNABLEAPI_Dem_EnableDTCRecordUpdate) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetSizeOfExtendedDataRecordSelection) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetSizeOfFreezeFrameSelection) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextExtendedDataRecord) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFreezeFrameData) && \
        (!defined RTE_RUNNABLEAPI_Dem_SelectExtendedDataRecord) && \
        (!defined RTE_RUNNABLEAPI_Dem_SelectFreezeFrameData) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNumberOfFreezeFrameRecords) && \
        (!defined RTE_RUNNABLEAPI_Dem_DisableDTCSetting) && \
        (!defined RTE_RUNNABLEAPI_Dem_EnableDTCSetting) \
)
#define SchM_Enter_Dem_ClearDTC_ExclusiveArea()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Dem_ClearDTC_ExclusiveArea() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Dem_DfsServiceDataAccessFunc) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Dem_PreInit) && \
        (!defined RTE_RUNNABLEAPI_Dem_Init) && \
        (!defined RTE_RUNNABLEAPI_Dem_Shutdown) && \
        (!defined RTE_RUNNABLEAPI_Dem_ClearDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetComponentFailed) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCSelectionResult) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCSelectionResultForClearDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetEventUdsStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetMonitorStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetMonitorStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDebouncingOfEvent) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCOfEvent) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCSuppression) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetFaultDetectionCounter) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetIndicatorStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetEventFreezeFrameDataEx) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetEventExtendedDataRecordEx) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetEventMemoryOverflow) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNumberOfEventMemoryEntries) && \
        (!defined RTE_RUNNABLEAPI_Dem_ResetEventDebounceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_ResetEventStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_RestartOperationCycle) && \
        (!defined RTE_RUNNABLEAPI_Dem_SelectDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetComponentAvailable) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetEnableCondition) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetEventStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetEventStatusWithMonitorData) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetStorageCondition) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetWIRStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetTranslationType) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCStatusAvailabilityMask) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetStatusOfDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetSeverityOfDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetFunctionalUnitOfDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetDTCFilter) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNumberOfFilteredDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFilteredDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFilteredDTCAndFDC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFilteredDTCAndSeverity) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetFreezeFrameRecordFilter) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFilteredRecord) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCByOccurrenceTime) && \
        (!defined RTE_RUNNABLEAPI_Dem_DisableDTCRecordUpdate) && \
        (!defined RTE_RUNNABLEAPI_Dem_EnableDTCRecordUpdate) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetSizeOfExtendedDataRecordSelection) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetSizeOfFreezeFrameSelection) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextExtendedDataRecord) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFreezeFrameData) && \
        (!defined RTE_RUNNABLEAPI_Dem_SelectExtendedDataRecord) && \
        (!defined RTE_RUNNABLEAPI_Dem_SelectFreezeFrameData) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNumberOfFreezeFrameRecords) && \
        (!defined RTE_RUNNABLEAPI_Dem_DisableDTCSetting) && \
        (!defined RTE_RUNNABLEAPI_Dem_EnableDTCSetting) \
)
#define SchM_Enter_Dem_ElementData_ExclusiveArea()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Dem_ElementData_ExclusiveArea() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Dem_DfsServiceDataAccessFunc) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Dem_PreInit) && \
        (!defined RTE_RUNNABLEAPI_Dem_Init) && \
        (!defined RTE_RUNNABLEAPI_Dem_Shutdown) && \
        (!defined RTE_RUNNABLEAPI_Dem_ClearDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetComponentFailed) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCSelectionResult) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCSelectionResultForClearDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetEventUdsStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetMonitorStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetMonitorStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDebouncingOfEvent) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCOfEvent) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCSuppression) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetFaultDetectionCounter) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetIndicatorStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetEventFreezeFrameDataEx) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetEventExtendedDataRecordEx) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetEventMemoryOverflow) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNumberOfEventMemoryEntries) && \
        (!defined RTE_RUNNABLEAPI_Dem_ResetEventDebounceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_ResetEventStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_RestartOperationCycle) && \
        (!defined RTE_RUNNABLEAPI_Dem_SelectDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetComponentAvailable) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetEnableCondition) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetEventStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetEventStatusWithMonitorData) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetStorageCondition) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetWIRStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetTranslationType) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCStatusAvailabilityMask) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetStatusOfDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetSeverityOfDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetFunctionalUnitOfDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetDTCFilter) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNumberOfFilteredDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFilteredDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFilteredDTCAndFDC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFilteredDTCAndSeverity) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetFreezeFrameRecordFilter) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFilteredRecord) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCByOccurrenceTime) && \
        (!defined RTE_RUNNABLEAPI_Dem_DisableDTCRecordUpdate) && \
        (!defined RTE_RUNNABLEAPI_Dem_EnableDTCRecordUpdate) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetSizeOfExtendedDataRecordSelection) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetSizeOfFreezeFrameSelection) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextExtendedDataRecord) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFreezeFrameData) && \
        (!defined RTE_RUNNABLEAPI_Dem_SelectExtendedDataRecord) && \
        (!defined RTE_RUNNABLEAPI_Dem_SelectFreezeFrameData) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNumberOfFreezeFrameRecords) && \
        (!defined RTE_RUNNABLEAPI_Dem_DisableDTCSetting) && \
        (!defined RTE_RUNNABLEAPI_Dem_EnableDTCSetting) \
)
#define SchM_Enter_Dem_Filter_ExclusiveArea()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Dem_Filter_ExclusiveArea() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Dem_DfsServiceDataAccessFunc) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Dem_PreInit) && \
        (!defined RTE_RUNNABLEAPI_Dem_Init) && \
        (!defined RTE_RUNNABLEAPI_Dem_Shutdown) && \
        (!defined RTE_RUNNABLEAPI_Dem_ClearDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetComponentFailed) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCSelectionResult) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCSelectionResultForClearDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetEventUdsStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetMonitorStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetMonitorStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDebouncingOfEvent) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCOfEvent) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCSuppression) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetFaultDetectionCounter) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetIndicatorStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetEventFreezeFrameDataEx) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetEventExtendedDataRecordEx) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetEventMemoryOverflow) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNumberOfEventMemoryEntries) && \
        (!defined RTE_RUNNABLEAPI_Dem_ResetEventDebounceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_ResetEventStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_RestartOperationCycle) && \
        (!defined RTE_RUNNABLEAPI_Dem_SelectDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetComponentAvailable) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetEnableCondition) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetEventStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetEventStatusWithMonitorData) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetStorageCondition) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetWIRStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetTranslationType) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCStatusAvailabilityMask) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetStatusOfDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetSeverityOfDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetFunctionalUnitOfDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetDTCFilter) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNumberOfFilteredDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFilteredDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFilteredDTCAndFDC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFilteredDTCAndSeverity) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetFreezeFrameRecordFilter) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFilteredRecord) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCByOccurrenceTime) && \
        (!defined RTE_RUNNABLEAPI_Dem_DisableDTCRecordUpdate) && \
        (!defined RTE_RUNNABLEAPI_Dem_EnableDTCRecordUpdate) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetSizeOfExtendedDataRecordSelection) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetSizeOfFreezeFrameSelection) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextExtendedDataRecord) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFreezeFrameData) && \
        (!defined RTE_RUNNABLEAPI_Dem_SelectExtendedDataRecord) && \
        (!defined RTE_RUNNABLEAPI_Dem_SelectFreezeFrameData) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNumberOfFreezeFrameRecords) && \
        (!defined RTE_RUNNABLEAPI_Dem_DisableDTCSetting) && \
        (!defined RTE_RUNNABLEAPI_Dem_EnableDTCSetting) \
)
#define SchM_Enter_Dem_Select_ExclusiveArea()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Dem_Select_ExclusiveArea() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Dem_DfsServiceDataAccessFunc) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Dem_PreInit) && \
        (!defined RTE_RUNNABLEAPI_Dem_Init) && \
        (!defined RTE_RUNNABLEAPI_Dem_Shutdown) && \
        (!defined RTE_RUNNABLEAPI_Dem_ClearDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetComponentFailed) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCSelectionResult) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCSelectionResultForClearDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetEventUdsStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetMonitorStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetMonitorStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDebouncingOfEvent) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCOfEvent) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCSuppression) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetFaultDetectionCounter) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetIndicatorStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetEventFreezeFrameDataEx) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetEventExtendedDataRecordEx) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetEventMemoryOverflow) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNumberOfEventMemoryEntries) && \
        (!defined RTE_RUNNABLEAPI_Dem_ResetEventDebounceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_ResetEventStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_RestartOperationCycle) && \
        (!defined RTE_RUNNABLEAPI_Dem_SelectDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetComponentAvailable) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetEnableCondition) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetEventStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetEventStatusWithMonitorData) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetStorageCondition) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetWIRStatus) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetTranslationType) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCStatusAvailabilityMask) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetStatusOfDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetSeverityOfDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetFunctionalUnitOfDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetDTCFilter) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNumberOfFilteredDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFilteredDTC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFilteredDTCAndFDC) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFilteredDTCAndSeverity) && \
        (!defined RTE_RUNNABLEAPI_Dem_SetFreezeFrameRecordFilter) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFilteredRecord) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetDTCByOccurrenceTime) && \
        (!defined RTE_RUNNABLEAPI_Dem_DisableDTCRecordUpdate) && \
        (!defined RTE_RUNNABLEAPI_Dem_EnableDTCRecordUpdate) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetSizeOfExtendedDataRecordSelection) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetSizeOfFreezeFrameSelection) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextExtendedDataRecord) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNextFreezeFrameData) && \
        (!defined RTE_RUNNABLEAPI_Dem_SelectExtendedDataRecord) && \
        (!defined RTE_RUNNABLEAPI_Dem_SelectFreezeFrameData) && \
        (!defined RTE_RUNNABLEAPI_Dem_GetNumberOfFreezeFrameRecords) && \
        (!defined RTE_RUNNABLEAPI_Dem_DisableDTCSetting) && \
        (!defined RTE_RUNNABLEAPI_Dem_EnableDTCSetting) \
)
#define SchM_Enter_Dem_Iumpr_ExclusiveArea()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Dem_Iumpr_ExclusiveArea() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_DEM_H */