/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_Dlt.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_DLT_H
#define SCHM_DLT_H

#define SCHM_DLT_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_DLT_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_Dlt_Type.h"
/* Version verification of the SchM_Dlt_Type module */
#if ((SCHM_DLT_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_DLT_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_DLT_TYPE module version is incompatible, there may be problems.
#endif
#include "Dlt.h"
#include "SchM_Dlt_MemClasses.h"
/* Version verification of the SchM_Dlt_MemClasses module */
#if ((SCHM_DLT_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_DLT_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_DLT_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, DLT_CODE) Dlt_TxFunction (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/
#define SchM_Call_Dlt_GetCanIfDfsData SchM_Call_Dlt_EcucPartition_C1_APP_QM_GetCanIfDfsData
#define SchM_Call_Dlt_GetCanTpDfsData SchM_Call_Dlt_EcucPartition_C1_APP_QM_GetCanTpDfsData
#define SchM_Call_Dlt_GetComDfsData SchM_Call_Dlt_EcucPartition_C1_APP_QM_GetComDfsData
#define SchM_Call_Dlt_GetEthTSynDfsData SchM_Call_Dlt_EcucPartition_C1_APP_QM_GetEthTSynDfsData
#define SchM_Call_Dlt_GetStbMDfsData SchM_Call_Dlt_EcucPartition_C1_APP_QM_GetStbMDfsData
#define SchM_Call_Dlt_GetCanTSynDfsData SchM_Call_Dlt_EcucPartition_C1_APP_QM_GetCanTSynDfsData

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Dlt_Init) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SendTraceMessage) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SendLogMessage) && \
        (!defined RTE_RUNNABLEAPI_Dlt_RegisterContext) && \
        (!defined RTE_RUNNABLEAPI_Dlt_UnregisterContext) && \
        (!defined RTE_RUNNABLEAPI_Dlt_DetForwardErrorTrace) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetLogLevel) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetDefaultLogLevel) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetDefaultTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetDefaultTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetLogChannelNames) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetLogChannelAssignment) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetLogChannelThreshold) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetLogChannelThreshold) && \
        (!defined RTE_RUNNABLEAPI_Dlt_RxIndication) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TriggerTransmit) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TpTxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_Dlt_CopyTxData) && \
        (!defined RTE_RUNNABLEAPI_Dlt_StartOfReception) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TpRxIndication) && \
        (!defined RTE_RUNNABLEAPI_Dlt_CopyRxData) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetLogInfo) && \
        (!defined RTE_RUNNABLEAPI_Dlt_StoreConfiguration) && \
        (!defined RTE_RUNNABLEAPI_Dlt_ResetToFactoryDefault) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetMessageFiltering) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetDefaultLogLevel) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TriggerReadDfsData) \
)
extern FUNC(void, RTE_CODE) SchM_Enter_Dlt_ExclusiveArea(void);
extern FUNC(void, RTE_CODE) SchM_Exit_Dlt_ExclusiveArea(void);
#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Dlt_Init) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SendTraceMessage) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SendLogMessage) && \
        (!defined RTE_RUNNABLEAPI_Dlt_RegisterContext) && \
        (!defined RTE_RUNNABLEAPI_Dlt_UnregisterContext) && \
        (!defined RTE_RUNNABLEAPI_Dlt_DetForwardErrorTrace) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetLogLevel) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetDefaultLogLevel) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetDefaultTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetDefaultTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetLogChannelNames) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetLogChannelAssignment) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetLogChannelThreshold) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetLogChannelThreshold) && \
        (!defined RTE_RUNNABLEAPI_Dlt_RxIndication) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TriggerTransmit) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TpTxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_Dlt_CopyTxData) && \
        (!defined RTE_RUNNABLEAPI_Dlt_StartOfReception) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TpRxIndication) && \
        (!defined RTE_RUNNABLEAPI_Dlt_CopyRxData) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetLogInfo) && \
        (!defined RTE_RUNNABLEAPI_Dlt_StoreConfiguration) && \
        (!defined RTE_RUNNABLEAPI_Dlt_ResetToFactoryDefault) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetMessageFiltering) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetDefaultLogLevel) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TriggerReadDfsData) \
)
extern FUNC(void, RTE_CODE) SchM_Enter_Dlt_Shared_Array_ExclusiveArea(void);
extern FUNC(void, RTE_CODE) SchM_Exit_Dlt_Shared_Array_ExclusiveArea(void);
#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

/***************************************************************************
 *
 * SchM Client Server APIs Implementation
 *
 **************************************************************************/
#if ( \
        (!defined RTE_RUNNABLEAPI_Dlt_Init) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SendTraceMessage) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SendLogMessage) && \
        (!defined RTE_RUNNABLEAPI_Dlt_RegisterContext) && \
        (!defined RTE_RUNNABLEAPI_Dlt_UnregisterContext) && \
        (!defined RTE_RUNNABLEAPI_Dlt_DetForwardErrorTrace) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetLogLevel) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetDefaultLogLevel) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetDefaultTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetDefaultTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetLogChannelNames) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetLogChannelAssignment) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetLogChannelThreshold) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetLogChannelThreshold) && \
        (!defined RTE_RUNNABLEAPI_Dlt_RxIndication) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TriggerTransmit) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TpTxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_Dlt_CopyTxData) && \
        (!defined RTE_RUNNABLEAPI_Dlt_StartOfReception) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TpRxIndication) && \
        (!defined RTE_RUNNABLEAPI_Dlt_CopyRxData) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetLogInfo) && \
        (!defined RTE_RUNNABLEAPI_Dlt_StoreConfiguration) && \
        (!defined RTE_RUNNABLEAPI_Dlt_ResetToFactoryDefault) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetMessageFiltering) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetDefaultLogLevel) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TriggerReadDfsData) \
)
extern FUNC(Std_ReturnType, RTE_CODE) SchM_Call_Dlt_EcucPartition_C1_APP_QM_GetCanIfDfsData(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Return,
    VAR(uint8, AUTOMATIC) Rte_arg_operationType,
    P2VAR(Dfs_ServiceDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_dataHandler,
    P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_errorCode);
#endif
#if ( \
        (!defined RTE_RUNNABLEAPI_Dlt_Init) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SendTraceMessage) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SendLogMessage) && \
        (!defined RTE_RUNNABLEAPI_Dlt_RegisterContext) && \
        (!defined RTE_RUNNABLEAPI_Dlt_UnregisterContext) && \
        (!defined RTE_RUNNABLEAPI_Dlt_DetForwardErrorTrace) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetLogLevel) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetDefaultLogLevel) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetDefaultTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetDefaultTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetLogChannelNames) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetLogChannelAssignment) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetLogChannelThreshold) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetLogChannelThreshold) && \
        (!defined RTE_RUNNABLEAPI_Dlt_RxIndication) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TriggerTransmit) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TpTxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_Dlt_CopyTxData) && \
        (!defined RTE_RUNNABLEAPI_Dlt_StartOfReception) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TpRxIndication) && \
        (!defined RTE_RUNNABLEAPI_Dlt_CopyRxData) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetLogInfo) && \
        (!defined RTE_RUNNABLEAPI_Dlt_StoreConfiguration) && \
        (!defined RTE_RUNNABLEAPI_Dlt_ResetToFactoryDefault) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetMessageFiltering) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetDefaultLogLevel) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TriggerReadDfsData) \
)
extern FUNC(Std_ReturnType, RTE_CODE) SchM_Call_Dlt_EcucPartition_C1_APP_QM_GetCanTpDfsData(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Return,
    VAR(uint8, AUTOMATIC) Rte_arg_operationType,
    P2VAR(Dfs_ServiceDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_dataHandler,
    P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_errorCode);
#endif
#if ( \
        (!defined RTE_RUNNABLEAPI_Dlt_Init) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SendTraceMessage) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SendLogMessage) && \
        (!defined RTE_RUNNABLEAPI_Dlt_RegisterContext) && \
        (!defined RTE_RUNNABLEAPI_Dlt_UnregisterContext) && \
        (!defined RTE_RUNNABLEAPI_Dlt_DetForwardErrorTrace) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetLogLevel) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetDefaultLogLevel) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetDefaultTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetDefaultTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetLogChannelNames) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetLogChannelAssignment) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetLogChannelThreshold) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetLogChannelThreshold) && \
        (!defined RTE_RUNNABLEAPI_Dlt_RxIndication) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TriggerTransmit) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TpTxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_Dlt_CopyTxData) && \
        (!defined RTE_RUNNABLEAPI_Dlt_StartOfReception) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TpRxIndication) && \
        (!defined RTE_RUNNABLEAPI_Dlt_CopyRxData) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetLogInfo) && \
        (!defined RTE_RUNNABLEAPI_Dlt_StoreConfiguration) && \
        (!defined RTE_RUNNABLEAPI_Dlt_ResetToFactoryDefault) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetMessageFiltering) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetDefaultLogLevel) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TriggerReadDfsData) \
)
extern FUNC(Std_ReturnType, RTE_CODE) SchM_Call_Dlt_EcucPartition_C1_APP_QM_GetComDfsData(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Return,
    VAR(uint8, AUTOMATIC) Rte_arg_operationType,
    P2VAR(Dfs_ServiceDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_dataHandler,
    P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_errorCode);
#endif
#if ( \
        (!defined RTE_RUNNABLEAPI_Dlt_Init) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SendTraceMessage) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SendLogMessage) && \
        (!defined RTE_RUNNABLEAPI_Dlt_RegisterContext) && \
        (!defined RTE_RUNNABLEAPI_Dlt_UnregisterContext) && \
        (!defined RTE_RUNNABLEAPI_Dlt_DetForwardErrorTrace) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetLogLevel) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetDefaultLogLevel) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetDefaultTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetDefaultTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetLogChannelNames) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetLogChannelAssignment) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetLogChannelThreshold) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetLogChannelThreshold) && \
        (!defined RTE_RUNNABLEAPI_Dlt_RxIndication) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TriggerTransmit) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TpTxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_Dlt_CopyTxData) && \
        (!defined RTE_RUNNABLEAPI_Dlt_StartOfReception) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TpRxIndication) && \
        (!defined RTE_RUNNABLEAPI_Dlt_CopyRxData) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetLogInfo) && \
        (!defined RTE_RUNNABLEAPI_Dlt_StoreConfiguration) && \
        (!defined RTE_RUNNABLEAPI_Dlt_ResetToFactoryDefault) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetMessageFiltering) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetDefaultLogLevel) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TriggerReadDfsData) \
)
extern FUNC(Std_ReturnType, RTE_CODE) SchM_Call_Dlt_EcucPartition_C1_APP_QM_GetEthTSynDfsData(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Return,
    VAR(uint8, AUTOMATIC) Rte_arg_operationType,
    P2VAR(Dfs_ServiceDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_dataHandler,
    P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_errorCode);
#endif
#if ( \
        (!defined RTE_RUNNABLEAPI_Dlt_Init) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SendTraceMessage) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SendLogMessage) && \
        (!defined RTE_RUNNABLEAPI_Dlt_RegisterContext) && \
        (!defined RTE_RUNNABLEAPI_Dlt_UnregisterContext) && \
        (!defined RTE_RUNNABLEAPI_Dlt_DetForwardErrorTrace) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetLogLevel) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetDefaultLogLevel) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetDefaultTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetDefaultTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetLogChannelNames) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetLogChannelAssignment) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetLogChannelThreshold) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetLogChannelThreshold) && \
        (!defined RTE_RUNNABLEAPI_Dlt_RxIndication) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TriggerTransmit) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TpTxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_Dlt_CopyTxData) && \
        (!defined RTE_RUNNABLEAPI_Dlt_StartOfReception) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TpRxIndication) && \
        (!defined RTE_RUNNABLEAPI_Dlt_CopyRxData) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetLogInfo) && \
        (!defined RTE_RUNNABLEAPI_Dlt_StoreConfiguration) && \
        (!defined RTE_RUNNABLEAPI_Dlt_ResetToFactoryDefault) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetMessageFiltering) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetDefaultLogLevel) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TriggerReadDfsData) \
)
extern FUNC(Std_ReturnType, RTE_CODE) SchM_Call_Dlt_EcucPartition_C1_APP_QM_GetStbMDfsData(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Return,
    VAR(uint8, AUTOMATIC) Rte_arg_operationType,
    P2VAR(Dfs_ServiceDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_dataHandler,
    P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_errorCode);
#endif
#if ( \
        (!defined RTE_RUNNABLEAPI_Dlt_Init) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SendTraceMessage) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SendLogMessage) && \
        (!defined RTE_RUNNABLEAPI_Dlt_RegisterContext) && \
        (!defined RTE_RUNNABLEAPI_Dlt_UnregisterContext) && \
        (!defined RTE_RUNNABLEAPI_Dlt_DetForwardErrorTrace) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetLogLevel) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetDefaultLogLevel) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetDefaultTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetDefaultTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetLogChannelNames) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetTraceStatus) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetLogChannelAssignment) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetLogChannelThreshold) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetLogChannelThreshold) && \
        (!defined RTE_RUNNABLEAPI_Dlt_RxIndication) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TriggerTransmit) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TpTxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_Dlt_CopyTxData) && \
        (!defined RTE_RUNNABLEAPI_Dlt_StartOfReception) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TpRxIndication) && \
        (!defined RTE_RUNNABLEAPI_Dlt_CopyRxData) && \
        (!defined RTE_RUNNABLEAPI_Dlt_GetLogInfo) && \
        (!defined RTE_RUNNABLEAPI_Dlt_StoreConfiguration) && \
        (!defined RTE_RUNNABLEAPI_Dlt_ResetToFactoryDefault) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetMessageFiltering) && \
        (!defined RTE_RUNNABLEAPI_Dlt_SetDefaultLogLevel) && \
        (!defined RTE_RUNNABLEAPI_Dlt_TriggerReadDfsData) \
)
extern FUNC(Std_ReturnType, RTE_CODE) SchM_Call_Dlt_EcucPartition_C1_APP_QM_GetCanTSynDfsData(P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Return,
    VAR(uint8, AUTOMATIC) Rte_arg_operationType,
    P2VAR(Dfs_ServiceDataType, AUTOMATIC, RTE_APPL_DATA) Rte_arg_dataHandler,
    P2VAR(uint8, AUTOMATIC, RTE_APPL_DATA) Rte_arg_errorCode);
#endif

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_DLT_H */