/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_EthTSyn.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_ETHTSYN_H
#define SCHM_ETHTSYN_H

#define SCHM_ETHTSYN_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_ETHTSYN_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_EthTSyn_Type.h"
/* Version verification of the SchM_EthTSyn_Type module */
#if ((SCHM_ETHTSYN_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_ETHTSYN_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_ETHTSYN_TYPE module version is incompatible, there may be problems.
#endif
#include "EthTSyn.h"
#include "SchM_EthTSyn_MemClasses.h"
/* Version verification of the SchM_EthTSyn_MemClasses module */
#if ((SCHM_ETHTSYN_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_ETHTSYN_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_ETHTSYN_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, ETHTSYN_CODE) EthTSyn_MainFunction (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_EthTSyn_DfsServiceDataAccessFunc) && \
        (!defined RTE_RUNNABLEAPI_EthTSyn_Init) && \
        (!defined RTE_RUNNABLEAPI_EthTSyn_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_EthTSyn_SetTransmissionMode) && \
        (!defined RTE_RUNNABLEAPI_EthTSyn_RxIndication) && \
        (!defined RTE_RUNNABLEAPI_EthTSyn_TxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_EthTSyn_TrcvLinkStateChg) \
)
#define SchM_Enter_EthTSyn_ExclusiveArea_Transmit()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_EthTSyn_ExclusiveArea_Transmit() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_EthTSyn_DfsServiceDataAccessFunc) && \
        (!defined RTE_RUNNABLEAPI_EthTSyn_Init) && \
        (!defined RTE_RUNNABLEAPI_EthTSyn_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_EthTSyn_SetTransmissionMode) && \
        (!defined RTE_RUNNABLEAPI_EthTSyn_RxIndication) && \
        (!defined RTE_RUNNABLEAPI_EthTSyn_TxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_EthTSyn_TrcvLinkStateChg) \
)
#define SchM_Enter_EthTSyn_ExclusiveArea()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_EthTSyn_ExclusiveArea() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_ETHTSYN_H */