/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_Fee.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_FEE_H
#define SCHM_FEE_H

#define SCHM_FEE_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_FEE_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_Fee_Type.h"
/* Version verification of the SchM_Fee_Type module */
#if ((SCHM_FEE_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_FEE_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_FEE_TYPE module version is incompatible, there may be problems.
#endif
#include "Fee.h"
#include "SchM_Fee_MemClasses.h"
/* Version verification of the SchM_Fee_MemClasses module */
#if ((SCHM_FEE_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_FEE_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_FEE_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, FEE_CODE) Fee_MainFunction (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Fee_Init) && \
        (!defined RTE_RUNNABLEAPI_Fee_SetMode) && \
        (!defined RTE_RUNNABLEAPI_Fee_Read) && \
        (!defined RTE_RUNNABLEAPI_Fee_Write) && \
        (!defined RTE_RUNNABLEAPI_Fee_Cancel) && \
        (!defined RTE_RUNNABLEAPI_Fee_GetStatus) && \
        (!defined RTE_RUNNABLEAPI_Fee_GetJobResult) && \
        (!defined RTE_RUNNABLEAPI_Fee_InvalidateBlock) && \
        (!defined RTE_RUNNABLEAPI_Fee_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Fee_EraseImmediateBlock) && \
        (!defined RTE_RUNNABLEAPI_Fee_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_Fee_ExclusiveArea()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Fee_ExclusiveArea() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_FEE_H */