/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_Mirror.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_MIRROR_H
#define SCHM_MIRROR_H

#define SCHM_MIRROR_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_MIRROR_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_Mirror_Type.h"
/* Version verification of the SchM_Mirror_Type module */
#if ((SCHM_MIRROR_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_MIRROR_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_MIRROR_TYPE module version is incompatible, there may be problems.
#endif
#include "Mirror.h"
#include "SchM_Mirror_MemClasses.h"
/* Version verification of the SchM_Mirror_MemClasses module */
#if ((SCHM_MIRROR_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_MIRROR_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_MIRROR_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, MIRROR_CODE) Mirror_MainFunction (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Mirror_Init) && \
        (!defined RTE_RUNNABLEAPI_Mirror_DeInit) && \
        (!defined RTE_RUNNABLEAPI_Mirror_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Mirror_StopSourceNetwork) && \
        (!defined RTE_RUNNABLEAPI_Mirror_StartSourceNetwork) && \
        (!defined RTE_RUNNABLEAPI_Mirror_SwitchDestNetwork) && \
        (!defined RTE_RUNNABLEAPI_Mirror_Offline) && \
        (!defined RTE_RUNNABLEAPI_Mirror_SetStaticFilterState) && \
        (!defined RTE_RUNNABLEAPI_Mirror_AddCanRangeFilter) && \
        (!defined RTE_RUNNABLEAPI_Mirror_AddCanMaskFilter) && \
        (!defined RTE_RUNNABLEAPI_Mirror_AddLinRangeFilter) && \
        (!defined RTE_RUNNABLEAPI_Mirror_AddLinMaskFilter) && \
        (!defined RTE_RUNNABLEAPI_Mirror_RemoveFilter) && \
        (!defined RTE_RUNNABLEAPI_Mirror_IsMirrorActive_Rte) && \
        (!defined RTE_RUNNABLEAPI_Mirror_GetDestNetwork_Rte) && \
        (!defined RTE_RUNNABLEAPI_Mirror_IsSourceNetworkStarted_Rte) && \
        (!defined RTE_RUNNABLEAPI_Mirror_GetStaticFilterState) && \
        (!defined RTE_RUNNABLEAPI_Mirror_GetNetworkType_Rte) && \
        (!defined RTE_RUNNABLEAPI_Mirror_GetNetworkId_Rte) && \
        (!defined RTE_RUNNABLEAPI_Mirror_GetNetworkHandle_Rte) && \
        (!defined RTE_RUNNABLEAPI_Mirror_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_Mirror_SrcBufferInfoMutex()

#define SchM_Exit_Mirror_SrcBufferInfoMutex()

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Mirror_Init) && \
        (!defined RTE_RUNNABLEAPI_Mirror_DeInit) && \
        (!defined RTE_RUNNABLEAPI_Mirror_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Mirror_StopSourceNetwork) && \
        (!defined RTE_RUNNABLEAPI_Mirror_StartSourceNetwork) && \
        (!defined RTE_RUNNABLEAPI_Mirror_SwitchDestNetwork) && \
        (!defined RTE_RUNNABLEAPI_Mirror_Offline) && \
        (!defined RTE_RUNNABLEAPI_Mirror_SetStaticFilterState) && \
        (!defined RTE_RUNNABLEAPI_Mirror_AddCanRangeFilter) && \
        (!defined RTE_RUNNABLEAPI_Mirror_AddCanMaskFilter) && \
        (!defined RTE_RUNNABLEAPI_Mirror_AddLinRangeFilter) && \
        (!defined RTE_RUNNABLEAPI_Mirror_AddLinMaskFilter) && \
        (!defined RTE_RUNNABLEAPI_Mirror_RemoveFilter) && \
        (!defined RTE_RUNNABLEAPI_Mirror_IsMirrorActive_Rte) && \
        (!defined RTE_RUNNABLEAPI_Mirror_GetDestNetwork_Rte) && \
        (!defined RTE_RUNNABLEAPI_Mirror_IsSourceNetworkStarted_Rte) && \
        (!defined RTE_RUNNABLEAPI_Mirror_GetStaticFilterState) && \
        (!defined RTE_RUNNABLEAPI_Mirror_GetNetworkType_Rte) && \
        (!defined RTE_RUNNABLEAPI_Mirror_GetNetworkId_Rte) && \
        (!defined RTE_RUNNABLEAPI_Mirror_GetNetworkHandle_Rte) && \
        (!defined RTE_RUNNABLEAPI_Mirror_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_Mirror_GlobalBufferInfoMutex()

#define SchM_Exit_Mirror_GlobalBufferInfoMutex()

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Mirror_Init) && \
        (!defined RTE_RUNNABLEAPI_Mirror_DeInit) && \
        (!defined RTE_RUNNABLEAPI_Mirror_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Mirror_StopSourceNetwork) && \
        (!defined RTE_RUNNABLEAPI_Mirror_StartSourceNetwork) && \
        (!defined RTE_RUNNABLEAPI_Mirror_SwitchDestNetwork) && \
        (!defined RTE_RUNNABLEAPI_Mirror_Offline) && \
        (!defined RTE_RUNNABLEAPI_Mirror_SetStaticFilterState) && \
        (!defined RTE_RUNNABLEAPI_Mirror_AddCanRangeFilter) && \
        (!defined RTE_RUNNABLEAPI_Mirror_AddCanMaskFilter) && \
        (!defined RTE_RUNNABLEAPI_Mirror_AddLinRangeFilter) && \
        (!defined RTE_RUNNABLEAPI_Mirror_AddLinMaskFilter) && \
        (!defined RTE_RUNNABLEAPI_Mirror_RemoveFilter) && \
        (!defined RTE_RUNNABLEAPI_Mirror_IsMirrorActive_Rte) && \
        (!defined RTE_RUNNABLEAPI_Mirror_GetDestNetwork_Rte) && \
        (!defined RTE_RUNNABLEAPI_Mirror_IsSourceNetworkStarted_Rte) && \
        (!defined RTE_RUNNABLEAPI_Mirror_GetStaticFilterState) && \
        (!defined RTE_RUNNABLEAPI_Mirror_GetNetworkType_Rte) && \
        (!defined RTE_RUNNABLEAPI_Mirror_GetNetworkId_Rte) && \
        (!defined RTE_RUNNABLEAPI_Mirror_GetNetworkHandle_Rte) && \
        (!defined RTE_RUNNABLEAPI_Mirror_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_Mirror_QueueArrayInfoMutex()

#define SchM_Exit_Mirror_QueueArrayInfoMutex()

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_MIRROR_H */