/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_Nm.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_NM_H
#define SCHM_NM_H

#define SCHM_NM_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_NM_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_Nm_Type.h"
/* Version verification of the SchM_Nm_Type module */
#if ((SCHM_NM_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_NM_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_NM_TYPE module version is incompatible, there may be problems.
#endif
#include "Nm.h"
#include "SchM_Nm_MemClasses.h"
/* Version verification of the SchM_Nm_MemClasses module */
#if ((SCHM_NM_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_NM_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_NM_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Nm_Init) && \
        (!defined RTE_RUNNABLEAPI_Nm_PassiveStartUp) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkRequest) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkRelease) && \
        (!defined RTE_RUNNABLEAPI_Nm_DisableCommunication) && \
        (!defined RTE_RUNNABLEAPI_Nm_EnableCommunication) && \
        (!defined RTE_RUNNABLEAPI_Nm_SetUserData) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetUserData) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetPduData) && \
        (!defined RTE_RUNNABLEAPI_Nm_RepeatMessageRequest) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetLocalNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_Nm_CheckRemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetState) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkStartIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_PrepareBusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_SynchronizeMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_RemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_RemoteSleepCancellation) && \
        (!defined RTE_RUNNABLEAPI_Nm_SynchronizationPoint) && \
        (!defined RTE_RUNNABLEAPI_Nm_CoordReadyToSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_CoordReadyToSleepCancellation) && \
        (!defined RTE_RUNNABLEAPI_Nm_PduRxIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_Nm_RepeatMessageIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_TxTimeoutException) && \
        (!defined RTE_RUNNABLEAPI_Nm_CarWakeUpIndication) \
)
#define SchM_Enter_Nm_ExclusiveArea()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Nm_ExclusiveArea() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Nm_Init) && \
        (!defined RTE_RUNNABLEAPI_Nm_PassiveStartUp) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkRequest) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkRelease) && \
        (!defined RTE_RUNNABLEAPI_Nm_DisableCommunication) && \
        (!defined RTE_RUNNABLEAPI_Nm_EnableCommunication) && \
        (!defined RTE_RUNNABLEAPI_Nm_SetUserData) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetUserData) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetPduData) && \
        (!defined RTE_RUNNABLEAPI_Nm_RepeatMessageRequest) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetLocalNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_Nm_CheckRemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetState) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkStartIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_PrepareBusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_SynchronizeMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_RemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_RemoteSleepCancellation) && \
        (!defined RTE_RUNNABLEAPI_Nm_SynchronizationPoint) && \
        (!defined RTE_RUNNABLEAPI_Nm_CoordReadyToSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_CoordReadyToSleepCancellation) && \
        (!defined RTE_RUNNABLEAPI_Nm_PduRxIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_Nm_RepeatMessageIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_TxTimeoutException) && \
        (!defined RTE_RUNNABLEAPI_Nm_CarWakeUpIndication) \
)
#define SchM_Enter_Nm_ProcessChannelEvents()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Nm_ProcessChannelEvents() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Nm_Init) && \
        (!defined RTE_RUNNABLEAPI_Nm_PassiveStartUp) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkRequest) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkRelease) && \
        (!defined RTE_RUNNABLEAPI_Nm_DisableCommunication) && \
        (!defined RTE_RUNNABLEAPI_Nm_EnableCommunication) && \
        (!defined RTE_RUNNABLEAPI_Nm_SetUserData) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetUserData) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetPduData) && \
        (!defined RTE_RUNNABLEAPI_Nm_RepeatMessageRequest) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetLocalNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_Nm_CheckRemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetState) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkStartIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_PrepareBusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_SynchronizeMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_RemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_RemoteSleepCancellation) && \
        (!defined RTE_RUNNABLEAPI_Nm_SynchronizationPoint) && \
        (!defined RTE_RUNNABLEAPI_Nm_CoordReadyToSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_CoordReadyToSleepCancellation) && \
        (!defined RTE_RUNNABLEAPI_Nm_PduRxIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_Nm_RepeatMessageIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_TxTimeoutException) && \
        (!defined RTE_RUNNABLEAPI_Nm_CarWakeUpIndication) \
)
#define SchM_Enter_Nm_ResetCluster()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Nm_ResetCluster() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Nm_Init) && \
        (!defined RTE_RUNNABLEAPI_Nm_PassiveStartUp) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkRequest) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkRelease) && \
        (!defined RTE_RUNNABLEAPI_Nm_DisableCommunication) && \
        (!defined RTE_RUNNABLEAPI_Nm_EnableCommunication) && \
        (!defined RTE_RUNNABLEAPI_Nm_SetUserData) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetUserData) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetPduData) && \
        (!defined RTE_RUNNABLEAPI_Nm_RepeatMessageRequest) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetLocalNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_Nm_CheckRemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetState) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkStartIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_PrepareBusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_SynchronizeMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_RemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_RemoteSleepCancellation) && \
        (!defined RTE_RUNNABLEAPI_Nm_SynchronizationPoint) && \
        (!defined RTE_RUNNABLEAPI_Nm_CoordReadyToSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_CoordReadyToSleepCancellation) && \
        (!defined RTE_RUNNABLEAPI_Nm_PduRxIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_Nm_RepeatMessageIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_TxTimeoutException) && \
        (!defined RTE_RUNNABLEAPI_Nm_CarWakeUpIndication) \
)
#define SchM_Enter_Nm_Channels()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Nm_Channels() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Nm_Init) && \
        (!defined RTE_RUNNABLEAPI_Nm_PassiveStartUp) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkRequest) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkRelease) && \
        (!defined RTE_RUNNABLEAPI_Nm_DisableCommunication) && \
        (!defined RTE_RUNNABLEAPI_Nm_EnableCommunication) && \
        (!defined RTE_RUNNABLEAPI_Nm_SetUserData) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetUserData) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetPduData) && \
        (!defined RTE_RUNNABLEAPI_Nm_RepeatMessageRequest) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetLocalNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_Nm_CheckRemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetState) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkStartIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_PrepareBusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_SynchronizeMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_RemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_RemoteSleepCancellation) && \
        (!defined RTE_RUNNABLEAPI_Nm_SynchronizationPoint) && \
        (!defined RTE_RUNNABLEAPI_Nm_CoordReadyToSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_CoordReadyToSleepCancellation) && \
        (!defined RTE_RUNNABLEAPI_Nm_PduRxIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_Nm_RepeatMessageIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_TxTimeoutException) && \
        (!defined RTE_RUNNABLEAPI_Nm_CarWakeUpIndication) \
)
#define SchM_Enter_Nm_Channels_Events()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Nm_Channels_Events() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Nm_Init) && \
        (!defined RTE_RUNNABLEAPI_Nm_PassiveStartUp) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkRequest) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkRelease) && \
        (!defined RTE_RUNNABLEAPI_Nm_DisableCommunication) && \
        (!defined RTE_RUNNABLEAPI_Nm_EnableCommunication) && \
        (!defined RTE_RUNNABLEAPI_Nm_SetUserData) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetUserData) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetPduData) && \
        (!defined RTE_RUNNABLEAPI_Nm_RepeatMessageRequest) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetLocalNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_Nm_CheckRemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetState) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkStartIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_PrepareBusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_SynchronizeMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_RemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_RemoteSleepCancellation) && \
        (!defined RTE_RUNNABLEAPI_Nm_SynchronizationPoint) && \
        (!defined RTE_RUNNABLEAPI_Nm_CoordReadyToSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_CoordReadyToSleepCancellation) && \
        (!defined RTE_RUNNABLEAPI_Nm_PduRxIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_Nm_RepeatMessageIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_TxTimeoutException) && \
        (!defined RTE_RUNNABLEAPI_Nm_CarWakeUpIndication) \
)
#define SchM_Enter_Nm_Channels_Shutdown_Delay()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Nm_Channels_Shutdown_Delay() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Nm_Init) && \
        (!defined RTE_RUNNABLEAPI_Nm_PassiveStartUp) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkRequest) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkRelease) && \
        (!defined RTE_RUNNABLEAPI_Nm_DisableCommunication) && \
        (!defined RTE_RUNNABLEAPI_Nm_EnableCommunication) && \
        (!defined RTE_RUNNABLEAPI_Nm_SetUserData) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetUserData) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetPduData) && \
        (!defined RTE_RUNNABLEAPI_Nm_RepeatMessageRequest) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetLocalNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_Nm_CheckRemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetState) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkStartIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_PrepareBusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_SynchronizeMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_RemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_RemoteSleepCancellation) && \
        (!defined RTE_RUNNABLEAPI_Nm_SynchronizationPoint) && \
        (!defined RTE_RUNNABLEAPI_Nm_CoordReadyToSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_CoordReadyToSleepCancellation) && \
        (!defined RTE_RUNNABLEAPI_Nm_PduRxIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_Nm_RepeatMessageIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_TxTimeoutException) && \
        (!defined RTE_RUNNABLEAPI_Nm_CarWakeUpIndication) \
)
#define SchM_Enter_Nm_Channels_Network_State()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Nm_Channels_Network_State() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Nm_Init) && \
        (!defined RTE_RUNNABLEAPI_Nm_PassiveStartUp) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkRequest) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkRelease) && \
        (!defined RTE_RUNNABLEAPI_Nm_DisableCommunication) && \
        (!defined RTE_RUNNABLEAPI_Nm_EnableCommunication) && \
        (!defined RTE_RUNNABLEAPI_Nm_SetUserData) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetUserData) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetPduData) && \
        (!defined RTE_RUNNABLEAPI_Nm_RepeatMessageRequest) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetLocalNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_Nm_CheckRemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetState) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkStartIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_PrepareBusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_SynchronizeMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_RemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_RemoteSleepCancellation) && \
        (!defined RTE_RUNNABLEAPI_Nm_SynchronizationPoint) && \
        (!defined RTE_RUNNABLEAPI_Nm_CoordReadyToSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_CoordReadyToSleepCancellation) && \
        (!defined RTE_RUNNABLEAPI_Nm_PduRxIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_Nm_RepeatMessageIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_TxTimeoutException) && \
        (!defined RTE_RUNNABLEAPI_Nm_CarWakeUpIndication) \
)
#define SchM_Enter_Nm_Clusters()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Nm_Clusters() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Nm_Init) && \
        (!defined RTE_RUNNABLEAPI_Nm_PassiveStartUp) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkRequest) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkRelease) && \
        (!defined RTE_RUNNABLEAPI_Nm_DisableCommunication) && \
        (!defined RTE_RUNNABLEAPI_Nm_EnableCommunication) && \
        (!defined RTE_RUNNABLEAPI_Nm_SetUserData) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetUserData) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetPduData) && \
        (!defined RTE_RUNNABLEAPI_Nm_RepeatMessageRequest) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetLocalNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_Nm_CheckRemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetState) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkStartIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_PrepareBusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_SynchronizeMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_RemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_RemoteSleepCancellation) && \
        (!defined RTE_RUNNABLEAPI_Nm_SynchronizationPoint) && \
        (!defined RTE_RUNNABLEAPI_Nm_CoordReadyToSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_CoordReadyToSleepCancellation) && \
        (!defined RTE_RUNNABLEAPI_Nm_PduRxIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_Nm_RepeatMessageIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_TxTimeoutException) && \
        (!defined RTE_RUNNABLEAPI_Nm_CarWakeUpIndication) \
)
#define SchM_Enter_Nm_Clusters_Numb_Nw_Mode()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Nm_Clusters_Numb_Nw_Mode() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Nm_Init) && \
        (!defined RTE_RUNNABLEAPI_Nm_PassiveStartUp) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkRequest) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkRelease) && \
        (!defined RTE_RUNNABLEAPI_Nm_DisableCommunication) && \
        (!defined RTE_RUNNABLEAPI_Nm_EnableCommunication) && \
        (!defined RTE_RUNNABLEAPI_Nm_SetUserData) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetUserData) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetPduData) && \
        (!defined RTE_RUNNABLEAPI_Nm_RepeatMessageRequest) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetLocalNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_Nm_CheckRemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetState) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkStartIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_PrepareBusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_SynchronizeMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_RemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_RemoteSleepCancellation) && \
        (!defined RTE_RUNNABLEAPI_Nm_SynchronizationPoint) && \
        (!defined RTE_RUNNABLEAPI_Nm_CoordReadyToSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_CoordReadyToSleepCancellation) && \
        (!defined RTE_RUNNABLEAPI_Nm_PduRxIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_Nm_RepeatMessageIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_TxTimeoutException) && \
        (!defined RTE_RUNNABLEAPI_Nm_CarWakeUpIndication) \
)
#define SchM_Enter_Nm_Clusters_Coord_Shut_Underw()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Nm_Clusters_Coord_Shut_Underw() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Nm_Init) && \
        (!defined RTE_RUNNABLEAPI_Nm_PassiveStartUp) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkRequest) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkRelease) && \
        (!defined RTE_RUNNABLEAPI_Nm_DisableCommunication) && \
        (!defined RTE_RUNNABLEAPI_Nm_EnableCommunication) && \
        (!defined RTE_RUNNABLEAPI_Nm_SetUserData) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetUserData) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetPduData) && \
        (!defined RTE_RUNNABLEAPI_Nm_RepeatMessageRequest) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetLocalNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_Nm_CheckRemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetState) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkStartIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_PrepareBusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_SynchronizeMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_RemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_RemoteSleepCancellation) && \
        (!defined RTE_RUNNABLEAPI_Nm_SynchronizationPoint) && \
        (!defined RTE_RUNNABLEAPI_Nm_CoordReadyToSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_CoordReadyToSleepCancellation) && \
        (!defined RTE_RUNNABLEAPI_Nm_PduRxIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_Nm_RepeatMessageIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_TxTimeoutException) && \
        (!defined RTE_RUNNABLEAPI_Nm_CarWakeUpIndication) \
)
#define SchM_Enter_Nm_Clusters_Sync_Received()  \
    ( \
        SuspendOSInterrupts() \
    )

#define SchM_Exit_Nm_Clusters_Sync_Received() \
    ( \
        ResumeOSInterrupts() \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_Nm_Init) && \
        (!defined RTE_RUNNABLEAPI_Nm_PassiveStartUp) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkRequest) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkRelease) && \
        (!defined RTE_RUNNABLEAPI_Nm_DisableCommunication) && \
        (!defined RTE_RUNNABLEAPI_Nm_EnableCommunication) && \
        (!defined RTE_RUNNABLEAPI_Nm_SetUserData) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetUserData) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetPduData) && \
        (!defined RTE_RUNNABLEAPI_Nm_RepeatMessageRequest) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetLocalNodeIdentifier) && \
        (!defined RTE_RUNNABLEAPI_Nm_CheckRemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetState) && \
        (!defined RTE_RUNNABLEAPI_Nm_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkStartIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_NetworkMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_BusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_PrepareBusSleepMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_SynchronizeMode) && \
        (!defined RTE_RUNNABLEAPI_Nm_RemoteSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_RemoteSleepCancellation) && \
        (!defined RTE_RUNNABLEAPI_Nm_SynchronizationPoint) && \
        (!defined RTE_RUNNABLEAPI_Nm_CoordReadyToSleepIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_CoordReadyToSleepCancellation) && \
        (!defined RTE_RUNNABLEAPI_Nm_PduRxIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_StateChangeNotification) && \
        (!defined RTE_RUNNABLEAPI_Nm_RepeatMessageIndication) && \
        (!defined RTE_RUNNABLEAPI_Nm_TxTimeoutException) && \
        (!defined RTE_RUNNABLEAPI_Nm_CarWakeUpIndication) \
)
#define SchM_Enter_Nm_MultiCore_SpinLock()  \
    ( \
        GetSpinlock(OsSpinlock_Nm_MultiCore_SpinLock) \
    )

#define SchM_Exit_Nm_MultiCore_SpinLock() \
    ( \
        ReleaseSpinlock(OsSpinlock_Nm_MultiCore_SpinLock) \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_NM_H */