/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_NvM.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_NVM_H
#define SCHM_NVM_H

#define SCHM_NVM_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_NVM_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_NvM_Type.h"
/* Version verification of the SchM_NvM_Type module */
#if ((SCHM_NVM_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_NVM_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_NVM_TYPE module version is incompatible, there may be problems.
#endif
#include "NvM.h"
#include "SchM_NvM_MemClasses.h"
/* Version verification of the SchM_NvM_MemClasses module */
#if ((SCHM_NVM_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_NVM_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_NVM_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, NVM_CODE) NvM_MainFunction (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_NvM_Init) && \
        (!defined RTE_RUNNABLEAPI_NvM_SetDataIndex) && \
        (!defined RTE_RUNNABLEAPI_NvM_GetDataIndex) && \
        (!defined RTE_RUNNABLEAPI_NvM_GetErrorStatus) && \
        (!defined RTE_RUNNABLEAPI_NvM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_NvM_DfsServiceDataAccessFunc) \
)
extern FUNC(void, RTE_CODE) SchM_Enter_NvM_ExclusiveArea(void);
extern FUNC(void, RTE_CODE) SchM_Exit_NvM_ExclusiveArea(void);
#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_NvM_Init) && \
        (!defined RTE_RUNNABLEAPI_NvM_SetDataIndex) && \
        (!defined RTE_RUNNABLEAPI_NvM_GetDataIndex) && \
        (!defined RTE_RUNNABLEAPI_NvM_SetBlockProtection) && \
        (!defined RTE_RUNNABLEAPI_NvM_GetErrorStatus) && \
        (!defined RTE_RUNNABLEAPI_NvM_GetVersionInfo) && \
        (!defined RTE_RUNNABLEAPI_NvM_SetRamBlockStatus) && \
        (!defined RTE_RUNNABLEAPI_NvM_SetBlockLockStatus) && \
        (!defined RTE_RUNNABLEAPI_NvM_CancelJobs) && \
        (!defined RTE_RUNNABLEAPI_NvM_WriteBlock) && \
        (!defined RTE_RUNNABLEAPI_NvM_RestoreBlockDefaults) && \
        (!defined RTE_RUNNABLEAPI_NvM_EraseNvBlock) && \
        (!defined RTE_RUNNABLEAPI_NvM_InvalidateNvBlock) && \
        (!defined RTE_RUNNABLEAPI_NvM_WritePRAMBlock) && \
        (!defined RTE_RUNNABLEAPI_NvM_RestorePRAMBlockDefaults) && \
        (!defined RTE_RUNNABLEAPI_NvM_ReadAll) && \
        (!defined RTE_RUNNABLEAPI_NvM_WriteAll) && \
        (!defined RTE_RUNNABLEAPI_NvM_CancelWriteAll) && \
        (!defined RTE_RUNNABLEAPI_NvM_ValidateAll) && \
        (!defined RTE_RUNNABLEAPI_NvM_FirstInitAll) && \
        (!defined RTE_RUNNABLEAPI_NvM_DfsServiceDataAccessFunc) \
)
extern FUNC(void, RTE_CODE) SchM_Enter_NvM_RamExclusiveArea(void);
extern FUNC(void, RTE_CODE) SchM_Exit_NvM_RamExclusiveArea(void);
#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_NVM_H */