/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_PduR.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

#ifndef SCHM_PDUR_H
#define SCHM_PDUR_H

#define SCHM_PDUR_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_PDUR_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Cfg.h"
/* Version verification of the Rte_Cfg module */
#if ((RTE_CFG_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_CFG_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_CFG module version is incompatible, there may be problems.
#endif
#include "SchM_PduR_Type.h"
/* Version verification of the SchM_PduR_Type module */
#if ((SCHM_PDUR_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_PDUR_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_PDUR_TYPE module version is incompatible, there may be problems.
#endif
#include "PduR.h"
#include "SchM_PduR_MemClasses.h"
/* Version verification of the SchM_PduR_MemClasses module */
#if ((SCHM_PDUR_MEMCLASSES_AR_RELEASE_MAJOR_VERSION != 4U) || (SCHM_PDUR_MEMCLASSES_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported SCHM_PDUR_MEMCLASSES module version is incompatible, there may be problems.
#endif
#include "Rte_Util.h"
/* Version verification of the Rte_Util module */
#if ((RTE_UTIL_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_UTIL_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_UTIL module version is incompatible, there may be problems.
#endif
#include "Os.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/***************************************************************************
 *
 * Activating event feature
 *
 **************************************************************************/

/***************************************************************************
 *
 * Add a define for each BSW module entity symbol
 *
 **************************************************************************/

extern FUNC(void, PDUR_CODE) PduR_MainFunction_PduRPartition_C0_HW_QM (void);

extern FUNC(void, PDUR_CODE) PduR_MainFunction_PduRPartition_C1_HW_QM (void);

extern FUNC(void, PDUR_CODE) PduR_MainFunction_PduRPartition_C2_HW_QM (void);

extern FUNC(void, PDUR_CODE) PduR_MainFunction_PduRPartition_C3_HW_QM (void);

/***************************************************************************
 *
 * SchM Client Server APIs
 *
 **************************************************************************/

/***************************************************************************
 *
 * SchM Exclusive Area APIs Implementation
 *
 **************************************************************************/
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_PduR_Init) && \
        (!defined RTE_RUNNABLEAPI_PduR_GetConfigurationId) && \
        (!defined RTE_RUNNABLEAPI_PduR_EnableRouting) && \
        (!defined RTE_RUNNABLEAPI_PduR_DisableRouting) && \
        (!defined RTE_RUNNABLEAPI_PduR_Transmit) && \
        (!defined RTE_RUNNABLEAPI_PduR_CancelTransmit) && \
        (!defined RTE_RUNNABLEAPI_PduR_CancelReceive) && \
        (!defined RTE_RUNNABLEAPI_PduR_RxIndication) && \
        (!defined RTE_RUNNABLEAPI_PduR_TxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_PduR_TriggerTransmit) && \
        (!defined RTE_RUNNABLEAPI_PduR_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_PduR_FifoBuffer_LockNoNest()  \
    ( \
        GetSpinlock(OsSpinlock_PduR_FifoBuffer_LockNoNest) \
    )

#define SchM_Exit_PduR_FifoBuffer_LockNoNest() \
    ( \
        ReleaseSpinlock(OsSpinlock_PduR_FifoBuffer_LockNoNest) \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"
#define RTE_START_SEC_CODE
#include "Rte_MemMap.h"
#if ( \
        (!defined RTE_RUNNABLEAPI_PduR_Init) && \
        (!defined RTE_RUNNABLEAPI_PduR_GetConfigurationId) && \
        (!defined RTE_RUNNABLEAPI_PduR_EnableRouting) && \
        (!defined RTE_RUNNABLEAPI_PduR_DisableRouting) && \
        (!defined RTE_RUNNABLEAPI_PduR_Transmit) && \
        (!defined RTE_RUNNABLEAPI_PduR_CancelTransmit) && \
        (!defined RTE_RUNNABLEAPI_PduR_CancelReceive) && \
        (!defined RTE_RUNNABLEAPI_PduR_RxIndication) && \
        (!defined RTE_RUNNABLEAPI_PduR_TxConfirmation) && \
        (!defined RTE_RUNNABLEAPI_PduR_TriggerTransmit) && \
        (!defined RTE_RUNNABLEAPI_PduR_DfsServiceDataAccessFunc) \
)
#define SchM_Enter_PduR_BufferPool_LockNoNest()  \
    ( \
        GetSpinlock(OsSpinlock_PduR_BufferPool_LockNoNest) \
    )

#define SchM_Exit_PduR_BufferPool_LockNoNest() \
    ( \
        ReleaseSpinlock(OsSpinlock_PduR_BufferPool_LockNoNest) \
    )

#endif
#define RTE_STOP_SEC_CODE
#include "Rte_MemMap.h"

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* SCHM_PDUR_H */