/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SchM_Type.h
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/
#ifndef SCHM_TYPE_H
#define SCHM_TYPE_H

#define SCHM_TYPE_AR_RELEASE_MAJOR_VERSION 4U
#define SCHM_TYPE_AR_RELEASE_MINOR_VERSION 4U

/***************************************************************************
 *
 * Includes
 *
 **************************************************************************/
#include "Rte_Type.h"
/* Version verification of the Rte_Type module */
#if ((RTE_TYPE_AR_RELEASE_MAJOR_VERSION != 4U) || (RTE_TYPE_AR_RELEASE_MINOR_VERSION != 4U))
#error The imported RTE_TYPE module version is incompatible, there may be problems.
#endif

#define SchM_Call_status_empty     0U
#define SchM_Call_status_requested 1U
#define SchM_Call_status_running   2U
#define SchM_Call_status_completed 3U
#define SchM_Call_status_timeout   4U

#define SchM_Call_client_unset 0U

#define SchM_SyncCall_client_Dlt_CanIf_DfsServiceDataAccessFunc_EcucPartition_C1_APP_QM 1U
#define SchM_SyncCall_client_Dlt_CanTp_DfsServiceDataAccessFunc_EcucPartition_C1_APP_QM 2U
#define SchM_SyncCall_client_Dlt_Com_DfsServiceDataAccessFunc_EcucPartition_C1_APP_QM 3U
#define SchM_SyncCall_client_Dlt_EthTSyn_DfsServiceDataAccessFunc_EcucPartition_C1_APP_QM 4U
#define SchM_SyncCall_client_Dlt_StbM_DfsServiceDataAccessFunc_EcucPartition_C1_APP_QM 5U
#define SchM_SyncCall_client_Dlt_CanTSyn_DfsServiceDataAccessFunc_EcucPartition_C1_APP_QM 6U

/***************************************************************************
 *
 * SchM Send Receive Types
 *
 **************************************************************************/

struct Struct_SchM_SyncCall_CanIfModuleEntrys_CanIf_DfsServiceDataAccessFunc {
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) clientID;

    VAR(uint8, AUTOMATIC) Return;
    VAR(uint8, AUTOMATIC) Rte_arg_operationType;
    VAR(Dfs_ServiceDataType, AUTOMATIC) Rte_arg_dataHandler;
    VAR(uint8, AUTOMATIC) Rte_arg_errorCode;
};
typedef struct Struct_SchM_SyncCall_CanIfModuleEntrys_CanIf_DfsServiceDataAccessFunc SchM_SyncCall_CanIfModuleEntrys_CanIf_DfsServiceDataAccessFunc;
struct Struct_SchM_SyncCall_CanTpModuleEntrys_CanTp_DfsServiceDataAccessFunc {
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) clientID;

    VAR(uint8, AUTOMATIC) Return;
    VAR(uint8, AUTOMATIC) Rte_arg_operationType;
    VAR(Dfs_ServiceDataType, AUTOMATIC) Rte_arg_dataHandler;
    VAR(uint8, AUTOMATIC) Rte_arg_errorCode;
};
typedef struct Struct_SchM_SyncCall_CanTpModuleEntrys_CanTp_DfsServiceDataAccessFunc SchM_SyncCall_CanTpModuleEntrys_CanTp_DfsServiceDataAccessFunc;
struct Struct_SchM_SyncCall_ComModuleEntrys_Com_DfsServiceDataAccessFunc {
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) clientID;

    VAR(uint8, AUTOMATIC) Return;
    VAR(uint8, AUTOMATIC) Rte_arg_operationType;
    VAR(Dfs_ServiceDataType, AUTOMATIC) Rte_arg_dataHandler;
    VAR(uint8, AUTOMATIC) Rte_arg_errorCode;
};
typedef struct Struct_SchM_SyncCall_ComModuleEntrys_Com_DfsServiceDataAccessFunc SchM_SyncCall_ComModuleEntrys_Com_DfsServiceDataAccessFunc;
struct Struct_SchM_SyncCall_EthTSynModuleEntrys_EthTSyn_DfsServiceDataAccessFunc {
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) clientID;

    VAR(uint8, AUTOMATIC) Return;
    VAR(uint8, AUTOMATIC) Rte_arg_operationType;
    VAR(Dfs_ServiceDataType, AUTOMATIC) Rte_arg_dataHandler;
    VAR(uint8, AUTOMATIC) Rte_arg_errorCode;
};
typedef struct Struct_SchM_SyncCall_EthTSynModuleEntrys_EthTSyn_DfsServiceDataAccessFunc SchM_SyncCall_EthTSynModuleEntrys_EthTSyn_DfsServiceDataAccessFunc;
struct Struct_SchM_SyncCall_StbMModuleEntrys_StbM_DfsServiceDataAccessFunc {
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) clientID;

    VAR(uint8, AUTOMATIC) Return;
    VAR(uint8, AUTOMATIC) Rte_arg_operationType;
    VAR(Dfs_ServiceDataType, AUTOMATIC) Rte_arg_dataHandler;
    VAR(uint8, AUTOMATIC) Rte_arg_errorCode;
};
typedef struct Struct_SchM_SyncCall_StbMModuleEntrys_StbM_DfsServiceDataAccessFunc SchM_SyncCall_StbMModuleEntrys_StbM_DfsServiceDataAccessFunc;
struct Struct_SchM_SyncCall_CanTSynModuleEntrys_CanTSyn_DfsServiceDataAccessFunc {
    VAR(uint8,  AUTOMATIC) status;
    VAR(uint16, AUTOMATIC) clientID;

    VAR(uint8, AUTOMATIC) Return;
    VAR(uint8, AUTOMATIC) Rte_arg_operationType;
    VAR(Dfs_ServiceDataType, AUTOMATIC) Rte_arg_dataHandler;
    VAR(uint8, AUTOMATIC) Rte_arg_errorCode;
};
typedef struct Struct_SchM_SyncCall_CanTSynModuleEntrys_CanTSyn_DfsServiceDataAccessFunc SchM_SyncCall_CanTSynModuleEntrys_CanTSyn_DfsServiceDataAccessFunc;

#endif /* SCHM_TYPE_H */