/**************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2023. All rights reserved.
 * Description: SwcDummyCpu2_MemMap.h - The file has been not generated and validated in accordance with a safety standard
 * Author: VOS OS
 * Create: 2019-12-31
 *
 **************************************************************************************/

/**************************************************************************************
 *    Note:
 *    Only adapte to HighTec compiler and GHS
 **************************************************************************************/
#define SWCDUMMYCPU2_MEMMAP_ERROR

#ifdef _GHS_C_POWERPC_
#ifndef RTE_GHS_C_POWERPC
    #define RTE_GHS_C_POWERPC
#endif
#elif defined _GNU_C_POWERPC_
#ifndef RTE_GNU_C_POWERPC
    #define RTE_GNU_C_POWERPC
#endif
#elif defined _GNU_C_TRICORE_
#ifndef RTE_GNU_C_POWERPC
    #define RTE_GNU_C_POWERPC
#endif
#elif defined __clang__
#ifndef RTE_LLVM_C_S32G
    #define RTE_LLVM_C_S32G
#endif
#endif

#ifdef SWCDUMMYCPU2_START_SEC_CODE
#undef SWCDUMMYCPU2_START_SEC_CODE
#ifdef SWCDUMMYCPU2_OPEN_SECTION
#error Starting a "SwcDummyCpu2_CODE_OSA_C2_1_APP_QM_text" section while a section is already started
#else
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#ifdef RTE_GHS_C_POWERPC
    #pragma ghs section text="SwcDummyCpu2_CODE_OSA_C2_1_APP_QM_text"
#elif defined RTE_LLVM_C_S32G
    #pragma clang section text="SwcDummyCpu2_CODE_OSA_C2_1_APP_QM_text"
#elif defined RTE_GNU_C_POWERPC
    #pragma section "SwcDummyCpu2_CODE_OSA_C2_1_APP_QM_text" ax
#endif
#define SWCDUMMYCPU2_OPEN_SECTION
#endif
#endif

#ifdef SWCDUMMYCPU2_STOP_SEC_CODE
#undef SWCDUMMYCPU2_STOP_SEC_CODE
#ifdef SWCDUMMYCPU2_OPEN_SECTION
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_OPEN_SECTION
#ifdef RTE_GHS_C_POWERPC
    #pragma ghs section
#elif defined RTE_LLVM_C_S32G
    #pragma clang section text=""
#elif defined RTE_GNU_C_POWERPC
    #pragma section
#endif
#else
#error No section "SwcDummyCpu2_CODE_OSA_C2_1_APP_QM_text" started
#endif
#endif

/******************************************************************************
            Swc  memory mapping const section
            Application specific constants
            alignment: 8
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_CONST_8
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_CONST_8
#define RTE_OSA_C2_1_APP_QM_START_SEC_CONST_8
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_CONST_8
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_CONST_8
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_CONST_8
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping const section
            Calibration constants
            alignment: 8
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_CALIB_8
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_CALIB_8
#define RTE_OSA_C2_1_APP_QM_START_SEC_CALIB_8
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_CALIB_8
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_CALIB_8
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_CALIB_8
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables INIT
            Only application members and other trusted OSA may have access to them.
            alignment: 8
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_INIT_8
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_INIT_8
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_INIT_8
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_INIT_8
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_INIT_8
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_INIT_8
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables CLEARED
            Only application members and other trusted OSA may have access to them.
            alignment: 8
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_CLEARED_8
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_CLEARED_8
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_CLEARED_8
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_CLEARED_8
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_CLEARED_8
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_CLEARED_8
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private calibration variables INIT
            alignment: 8
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_INTERNAL_INIT_8
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_INTERNAL_INIT_8
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_INTERNAL_INIT_8
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_INTERNAL_INIT_8
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_INTERNAL_INIT_8
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_INTERNAL_INIT_8
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private calibration variables CLEARED
            alignment: 8
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_INTERNAL_CLEARED_8
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_INTERNAL_CLEARED_8
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_INTERNAL_CLEARED_8
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_INTERNAL_CLEARED_8
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_INTERNAL_CLEARED_8
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_INTERNAL_CLEARED_8
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables intended to be linked into fast RAM
            Only application members and other trusted OSA may have access to them.
            alignment: 8
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_FAST_INIT_8
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_FAST_INIT_8
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_FAST_INIT_8
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_FAST_INIT_8
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_FAST_INIT_8
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_FAST_INIT_8
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables intended to be linked into fast RAM
            Only application members and other trusted OSA may have access to them.
            alignment: 8
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_FAST_CLEARED_8
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_FAST_CLEARED_8
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_FAST_CLEARED_8
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_FAST_CLEARED_8
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_FAST_CLEARED_8
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_FAST_CLEARED_8
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables intended to be linked into slow RAM
            Only application members and other trusted OSA may have access to them.
            alignment: 8
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_SLOW_INIT_8
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_SLOW_INIT_8
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_SLOW_INIT_8
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_SLOW_INIT_8
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_SLOW_INIT_8
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_SLOW_INIT_8
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables intended to be linked into slow RAM
            Only application members and other trusted OSA may have access to them.
            alignment: 8
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_SLOW_CLEARED_8
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_SLOW_CLEARED_8
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_SLOW_CLEARED_8
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_SLOW_CLEARED_8
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_SLOW_CLEARED_8
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_SLOW_CLEARED_8
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping const section
            Application specific constants
            alignment: 16
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_CONST_16
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_CONST_16
#define RTE_OSA_C2_1_APP_QM_START_SEC_CONST_16
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_CONST_16
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_CONST_16
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_CONST_16
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping const section
            Calibration constants
            alignment: 16
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_CALIB_16
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_CALIB_16
#define RTE_OSA_C2_1_APP_QM_START_SEC_CALIB_16
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_CALIB_16
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_CALIB_16
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_CALIB_16
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables INIT
            Only application members and other trusted OSA may have access to them.
            alignment: 16
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_INIT_16
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_INIT_16
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_INIT_16
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_INIT_16
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_INIT_16
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_INIT_16
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables CLEARED
            Only application members and other trusted OSA may have access to them.
            alignment: 16
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_CLEARED_16
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_CLEARED_16
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_CLEARED_16
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_CLEARED_16
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_CLEARED_16
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_CLEARED_16
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private calibration variables INIT
            alignment: 16
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_INTERNAL_INIT_16
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_INTERNAL_INIT_16
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_INTERNAL_INIT_16
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_INTERNAL_INIT_16
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_INTERNAL_INIT_16
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_INTERNAL_INIT_16
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private calibration variables CLEARED
            alignment: 16
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_INTERNAL_CLEARED_16
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_INTERNAL_CLEARED_16
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_INTERNAL_CLEARED_16
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_INTERNAL_CLEARED_16
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_INTERNAL_CLEARED_16
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_INTERNAL_CLEARED_16
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables intended to be linked into fast RAM
            Only application members and other trusted OSA may have access to them.
            alignment: 16
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_FAST_INIT_16
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_FAST_INIT_16
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_FAST_INIT_16
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_FAST_INIT_16
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_FAST_INIT_16
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_FAST_INIT_16
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables intended to be linked into fast RAM
            Only application members and other trusted OSA may have access to them.
            alignment: 16
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_FAST_CLEARED_16
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_FAST_CLEARED_16
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_FAST_CLEARED_16
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_FAST_CLEARED_16
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_FAST_CLEARED_16
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_FAST_CLEARED_16
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables intended to be linked into slow RAM
            Only application members and other trusted OSA may have access to them.
            alignment: 16
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_SLOW_INIT_16
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_SLOW_INIT_16
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_SLOW_INIT_16
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_SLOW_INIT_16
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_SLOW_INIT_16
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_SLOW_INIT_16
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables intended to be linked into slow RAM
            Only application members and other trusted OSA may have access to them.
            alignment: 16
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_SLOW_CLEARED_16
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_SLOW_CLEARED_16
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_SLOW_CLEARED_16
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_SLOW_CLEARED_16
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_SLOW_CLEARED_16
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_SLOW_CLEARED_16
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping const section
            Application specific constants
            alignment: 32
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_CONST_32
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_CONST_32
#define RTE_OSA_C2_1_APP_QM_START_SEC_CONST_32
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_CONST_32
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_CONST_32
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_CONST_32
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping const section
            Calibration constants
            alignment: 32
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_CALIB_32
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_CALIB_32
#define RTE_OSA_C2_1_APP_QM_START_SEC_CALIB_32
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_CALIB_32
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_CALIB_32
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_CALIB_32
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables INIT
            Only application members and other trusted OSA may have access to them.
            alignment: 32
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_INIT_32
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_INIT_32
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_INIT_32
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_INIT_32
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_INIT_32
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_INIT_32
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables CLEARED
            Only application members and other trusted OSA may have access to them.
            alignment: 32
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_CLEARED_32
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_CLEARED_32
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_CLEARED_32
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_CLEARED_32
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_CLEARED_32
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_CLEARED_32
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private calibration variables INIT
            alignment: 32
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_INTERNAL_INIT_32
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_INTERNAL_INIT_32
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_INTERNAL_INIT_32
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_INTERNAL_INIT_32
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_INTERNAL_INIT_32
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_INTERNAL_INIT_32
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private calibration variables CLEARED
            alignment: 32
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_INTERNAL_CLEARED_32
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_INTERNAL_CLEARED_32
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_INTERNAL_CLEARED_32
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_INTERNAL_CLEARED_32
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_INTERNAL_CLEARED_32
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_INTERNAL_CLEARED_32
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables intended to be linked into fast RAM
            Only application members and other trusted OSA may have access to them.
            alignment: 32
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_FAST_INIT_32
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_FAST_INIT_32
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_FAST_INIT_32
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_FAST_INIT_32
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_FAST_INIT_32
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_FAST_INIT_32
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables intended to be linked into fast RAM
            Only application members and other trusted OSA may have access to them.
            alignment: 32
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_FAST_CLEARED_32
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_FAST_CLEARED_32
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_FAST_CLEARED_32
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_FAST_CLEARED_32
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_FAST_CLEARED_32
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_FAST_CLEARED_32
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables intended to be linked into slow RAM
            Only application members and other trusted OSA may have access to them.
            alignment: 32
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_SLOW_INIT_32
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_SLOW_INIT_32
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_SLOW_INIT_32
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_SLOW_INIT_32
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_SLOW_INIT_32
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_SLOW_INIT_32
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables intended to be linked into slow RAM
            Only application members and other trusted OSA may have access to them.
            alignment: 32
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_SLOW_CLEARED_32
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_SLOW_CLEARED_32
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_SLOW_CLEARED_32
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_SLOW_CLEARED_32
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_SLOW_CLEARED_32
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_SLOW_CLEARED_32
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping const section
            Application specific constants
            alignment: 64
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_CONST_64
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_CONST_64
#define RTE_OSA_C2_1_APP_QM_START_SEC_CONST_64
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_CONST_64
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_CONST_64
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_CONST_64
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping const section
            Calibration constants
            alignment: 64
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_CALIB_64
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_CALIB_64
#define RTE_OSA_C2_1_APP_QM_START_SEC_CALIB_64
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_CALIB_64
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_CALIB_64
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_CALIB_64
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables INIT
            Only application members and other trusted OSA may have access to them.
            alignment: 64
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_INIT_64
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_INIT_64
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_INIT_64
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_INIT_64
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_INIT_64
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_INIT_64
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables CLEARED
            Only application members and other trusted OSA may have access to them.
            alignment: 64
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_CLEARED_64
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_CLEARED_64
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_CLEARED_64
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_CLEARED_64
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_CLEARED_64
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_CLEARED_64
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private calibration variables INIT
            alignment: 64
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_INTERNAL_INIT_64
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_INTERNAL_INIT_64
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_INTERNAL_INIT_64
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_INTERNAL_INIT_64
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_INTERNAL_INIT_64
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_INTERNAL_INIT_64
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private calibration variables CLEARED
            alignment: 64
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_INTERNAL_CLEARED_64
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_INTERNAL_CLEARED_64
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_INTERNAL_CLEARED_64
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_INTERNAL_CLEARED_64
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_INTERNAL_CLEARED_64
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_INTERNAL_CLEARED_64
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables intended to be linked into fast RAM
            Only application members and other trusted OSA may have access to them.
            alignment: 64
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_FAST_INIT_64
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_FAST_INIT_64
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_FAST_INIT_64
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_FAST_INIT_64
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_FAST_INIT_64
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_FAST_INIT_64
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables intended to be linked into fast RAM
            Only application members and other trusted OSA may have access to them.
            alignment: 64
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_FAST_CLEARED_64
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_FAST_CLEARED_64
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_FAST_CLEARED_64
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_FAST_CLEARED_64
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_FAST_CLEARED_64
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_FAST_CLEARED_64
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables intended to be linked into slow RAM
            Only application members and other trusted OSA may have access to them.
            alignment: 64
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_SLOW_INIT_64
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_SLOW_INIT_64
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_SLOW_INIT_64
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_SLOW_INIT_64
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_SLOW_INIT_64
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_SLOW_INIT_64
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables intended to be linked into slow RAM
            Only application members and other trusted OSA may have access to them.
            alignment: 64
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_SLOW_CLEARED_64
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_SLOW_CLEARED_64
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_SLOW_CLEARED_64
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_SLOW_CLEARED_64
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_SLOW_CLEARED_64
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_SLOW_CLEARED_64
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping const section
            Application specific constants
            alignment: UNSPECIFIED
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_CONST_UNSPECIFIED
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_CONST_UNSPECIFIED
#define RTE_OSA_C2_1_APP_QM_START_SEC_CONST_UNSPECIFIED
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_CONST_UNSPECIFIED
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_CONST_UNSPECIFIED
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_CONST_UNSPECIFIED
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping const section
            Calibration constants
            alignment: UNSPECIFIED
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_CALIB_UNSPECIFIED
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_CALIB_UNSPECIFIED
#define RTE_OSA_C2_1_APP_QM_START_SEC_CALIB_UNSPECIFIED
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_CALIB_UNSPECIFIED
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_CALIB_UNSPECIFIED
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_CALIB_UNSPECIFIED
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables INIT
            Only application members and other trusted OSA may have access to them.
            alignment: UNSPECIFIED
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_INIT_UNSPECIFIED
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_INIT_UNSPECIFIED
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_INIT_UNSPECIFIED
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_INIT_UNSPECIFIED
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_INIT_UNSPECIFIED
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_INIT_UNSPECIFIED
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables CLEARED
            Only application members and other trusted OSA may have access to them.
            alignment: UNSPECIFIED
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_CLEARED_UNSPECIFIED
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_CLEARED_UNSPECIFIED
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_CLEARED_UNSPECIFIED
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_CLEARED_UNSPECIFIED
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_CLEARED_UNSPECIFIED
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_CLEARED_UNSPECIFIED
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private calibration variables INIT
            alignment: UNSPECIFIED
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_INTERNAL_INIT_UNSPECIFIED
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_INTERNAL_INIT_UNSPECIFIED
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_INTERNAL_INIT_UNSPECIFIED
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_INTERNAL_INIT_UNSPECIFIED
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_INTERNAL_INIT_UNSPECIFIED
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_INTERNAL_INIT_UNSPECIFIED
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private calibration variables CLEARED
            alignment: UNSPECIFIED
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_INTERNAL_CLEARED_UNSPECIFIED
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_INTERNAL_CLEARED_UNSPECIFIED
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_INTERNAL_CLEARED_UNSPECIFIED
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_INTERNAL_CLEARED_UNSPECIFIED
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_INTERNAL_CLEARED_UNSPECIFIED
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_INTERNAL_CLEARED_UNSPECIFIED
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables intended to be linked into fast RAM
            Only application members and other trusted OSA may have access to them.
            alignment: UNSPECIFIED
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_FAST_INIT_UNSPECIFIED
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_FAST_INIT_UNSPECIFIED
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_FAST_INIT_UNSPECIFIED
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_FAST_INIT_UNSPECIFIED
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_FAST_INIT_UNSPECIFIED
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_FAST_INIT_UNSPECIFIED
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables intended to be linked into fast RAM
            Only application members and other trusted OSA may have access to them.
            alignment: UNSPECIFIED
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_FAST_CLEARED_UNSPECIFIED
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_FAST_CLEARED_UNSPECIFIED
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_FAST_CLEARED_UNSPECIFIED
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_FAST_CLEARED_UNSPECIFIED
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_FAST_CLEARED_UNSPECIFIED
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_FAST_CLEARED_UNSPECIFIED
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables intended to be linked into slow RAM
            Only application members and other trusted OSA may have access to them.
            alignment: UNSPECIFIED
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_SLOW_INIT_UNSPECIFIED
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_SLOW_INIT_UNSPECIFIED
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_SLOW_INIT_UNSPECIFIED
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_SLOW_INIT_UNSPECIFIED
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_SLOW_INIT_UNSPECIFIED
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_SLOW_INIT_UNSPECIFIED
#include "Rte_MemMap.h"
#endif
/******************************************************************************
            Swc  memory mapping variables section
            Application private variables intended to be linked into slow RAM
            Only application members and other trusted OSA may have access to them.
            alignment: UNSPECIFIED
 ******************************************************************************/
#ifdef SWCDUMMYCPU2_START_SEC_VAR_SLOW_CLEARED_UNSPECIFIED
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_START_SEC_VAR_SLOW_CLEARED_UNSPECIFIED
#define RTE_OSA_C2_1_APP_QM_START_SEC_VAR_SLOW_CLEARED_UNSPECIFIED
#include "Rte_MemMap.h"
#endif
#ifdef SWCDUMMYCPU2_STOP_SEC_VAR_SLOW_CLEARED_UNSPECIFIED
#undef SWCDUMMYCPU2_MEMMAP_ERROR
#undef SWCDUMMYCPU2_STOP_SEC_VAR_SLOW_CLEARED_UNSPECIFIED
#define RTE_OSA_C2_1_APP_QM_STOP_SEC_VAR_SLOW_CLEARED_UNSPECIFIED
#include "Rte_MemMap.h"
#endif

/* Check if the "command macro" has been acknowledged */
#ifdef SWCDUMMYCPU2_MEMMAP_ERROR
#error Wrong SwcDummyCpu2_MemMap.h inclusion command macro!
#endif