/*******************************************************************************
**                                                                            **
** Copyright (C) Infineon Technologies (2018)                                 **
**                                                                            **
** All rights reserved.                                                       **
**                                                                            **
** This document contains proprietary information belonging to Infineon       **
** Technologies. Passing on and copying of this document, and communication   **
** of its contents is not permitted without prior written authorization.      **
**                                                                            **
********************************************************************************
**                                                                            **
**  FILENAME  : Adc_MemMap.h                                                  **
**                                                                            **
**  VERSION   :  <to be filled>                                               **
**                                                                            **
**  DATE      : 10/01/2020                                                    **
**                                                                            **
**  VARIANT   : NA                                                            **
**                                                                            **
**  PLATFORM  : Infineon AURIX2G                                              **
**                                                                            **
**  AUTHOR    : DL-AUTOSAR-Engineering                                        **
**                                                                            **
**  VENDOR    : Infineon Technologies                                         **
**                                                                            **
**  TRACEABILITY :                                                            **
**                                                                            **
**  DESCRIPTION  : This file contains the mapping of Memory Section           **
**                                                                            **
**  [/cover]                                                                  **
**                                                                            **
**  SPECIFICATION(S) : Specification of ADC Driver,                           **
**   AUTOSAR Release <4.2.2>                                                  **
**                                                                            **
**  MAY BE CHANGED BY USER : Yes                                              **
**                                                                            **
*******************************************************************************/
#define MEMMAP_ERROR
#if ((APP_SW == DEMO_APP) || (APP_SW == TEST_APP))
/*DATA Section*/
/*To be used for all global or static variables.*/
/*Variable to be cleared at startup or reset is palced here - .bss*/
#if defined ADC_START_SEC_VAR_CLEARED_ASIL_B_CORE0_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Adc.ClearedData.Cpu0.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Adc.ClearedData.Cpu0.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Adc.ClearedData.Cpu0.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Adc.InitData.Cpu0.Unspecified" "Adc.ClearedData.Cpu0.Unspecified" far-absolute RW
#endif
#undef  ADC_START_SEC_VAR_CLEARED_ASIL_B_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_VAR_CLEARED_ASIL_B_CORE0_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ADC_STOP_SEC_VAR_CLEARED_ASIL_B_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ADC_START_SEC_VAR_CLEARED_ASIL_B_CORE1_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Adc.ClearedData.Cpu1.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Adc.ClearedData.Cpu1.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Adc.ClearedData.Cpu1.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Adc.InitData.Cpu1.Unspecified" "Adc.ClearedData.Cpu1.Unspecified" far-absolute RW
#endif
#undef  ADC_START_SEC_VAR_CLEARED_ASIL_B_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_VAR_CLEARED_ASIL_B_CORE1_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ADC_STOP_SEC_VAR_CLEARED_ASIL_B_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ADC_START_SEC_VAR_CLEARED_ASIL_B_CORE2_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Adc.ClearedData.Cpu2.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Adc.ClearedData.Cpu2.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Adc.ClearedData.Cpu2.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "InitData.Cpu2.Unspecified" "Adc.ClearedData.Cpu2.Unspecified" far-absolute RW
#endif
#undef  ADC_START_SEC_VAR_CLEARED_ASIL_B_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_VAR_CLEARED_ASIL_B_CORE2_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ADC_STOP_SEC_VAR_CLEARED_ASIL_B_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ADC_START_SEC_VAR_CLEARED_ASIL_B_CORE3_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Adc.ClearedData.Cpu3.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "ClearedData.Cpu3.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Adc.ClearedData.Cpu3.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Adc.InitData.Cpu3.Unspecified" "Adc.ClearedData.Cpu3.Unspecified" far-absolute RW
#endif
#undef  ADC_START_SEC_VAR_CLEARED_ASIL_B_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_VAR_CLEARED_ASIL_B_CORE3_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ADC_STOP_SEC_VAR_CLEARED_ASIL_B_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ADC_START_SEC_VAR_CLEARED_ASIL_B_CORE4_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Adc.ClearedData.Cpu4.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Adc.ClearedData.Cpu4.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Adc.ClearedData.Cpu4.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Adc.InitData.Cpu4.Unspecified" "Adc.ClearedData.Cpu4.Unspecified" far-absolute RW
#endif
#undef  ADC_START_SEC_VAR_CLEARED_ASIL_B_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_VAR_CLEARED_ASIL_B_CORE4_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ADC_STOP_SEC_VAR_CLEARED_ASIL_B_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ADC_START_SEC_VAR_CLEARED_ASIL_B_CORE5_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Adc.ClearedData.Cpu5.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Adc.ClearedData.Cpu5.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Adc.ClearedData.Cpu5.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Adc.InitData.Cpu5.Unspecified" "Adc.ClearedData.Cpu5.Unspecified" far-absolute RW
#endif
#undef  ADC_START_SEC_VAR_CLEARED_ASIL_B_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_VAR_CLEARED_ASIL_B_CORE5_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ADC_STOP_SEC_VAR_CLEARED_ASIL_B_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ADC_START_SEC_VAR_CLEARED_ASIL_B_GLOBAL_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Adc.ClearedData.Cpu0.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Adc.ClearedData.Cpu0.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Adc.ClearedData.Cpu0.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Adc.InitData.Cpu0.32bit" "Adc.ClearedData.Cpu0.32bit" far-absolute RW
#endif
#undef  ADC_START_SEC_VAR_CLEARED_ASIL_B_GLOBAL_32
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_VAR_CLEARED_ASIL_B_GLOBAL_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ADC_STOP_SEC_VAR_CLEARED_ASIL_B_GLOBAL_32
#undef MEMMAP_ERROR

#elif defined ADC_START_SEC_VAR_CLEARED_ASIL_B_GLOBAL_8
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Adc.ClearedData.Cpu0.8bit"
#elif defined _GNU_C_TRICORE_
#pragma section "Adc.ClearedData.Cpu0.8bit" aw
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Adc.ClearedData.Cpu0.8bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Adc.InitData.Cpu0.8bit" "Adc.ClearedData.Cpu0.8bit" far-absolute RW
#endif
#undef  ADC_START_SEC_VAR_CLEARED_ASIL_B_GLOBAL_8
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_VAR_CLEARED_ASIL_B_GLOBAL_8
#ifdef _TASKING_C_TRICORE_
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ADC_STOP_SEC_VAR_CLEARED_ASIL_B_GLOBAL_8
#undef MEMMAP_ERROR

#elif defined ADC_START_SEC_VAR_CLEARED_ASIL_B_GLOBAL_16
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Adc.ClearedData.Cpu0.16bit"
#pragma align 2
#elif defined _GNU_C_TRICORE_
#pragma section "Adc.ClearedData.Cpu0.16bit" aw 2
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Adc.ClearedData.Cpu0.16bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Adc.InitData.Cpu0.16bit" "Adc.ClearedData.Cpu0.16bit" far-absolute RW
#endif
#undef  ADC_START_SEC_VAR_CLEARED_ASIL_B_GLOBAL_16
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_VAR_CLEARED_ASIL_B_GLOBAL_16
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ADC_STOP_SEC_VAR_CLEARED_ASIL_B_GLOBAL_16
#undef MEMMAP_ERROR

#elif defined ADC_START_SEC_VAR_INIT_ASIL_B_GLOBAL_8
#ifdef _TASKING_C_TRICORE_
#pragma section fardata "Adc.InitData.Cpu0.8bit"
#elif defined _GNU_C_TRICORE_
#pragma section "Adc.InitData.Cpu0.8bit" aw
#elif defined _GHS_C_TRICORE_
#pragma ghs section data = ".Adc.InitData.Cpu0.8bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Adc.InitData.Cpu0.8bit"  "Adc.ClearedData.Cpu0.8bit" far-absolute RW
#endif
#undef  ADC_START_SEC_VAR_INIT_ASIL_B_GLOBAL_8
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_VAR_INIT_ASIL_B_GLOBAL_8
#ifdef _TASKING_C_TRICORE_
#pragma section fardata restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ADC_STOP_SEC_VAR_INIT_ASIL_B_GLOBAL_8
#undef MEMMAP_ERROR

#elif defined ADC_START_SEC_VAR_INIT_ASIL_B_GLOBAL_16
#ifdef _TASKING_C_TRICORE_
#pragma section fardata "Adc.InitData.Cpu0.16bit"
#pragma align 2
#elif defined _GNU_C_TRICORE_
#pragma section "Adc.InitData.Cpu0.16bit" aw 2
#elif defined _GHS_C_TRICORE_
#pragma ghs section data = ".Adc.InitData.Cpu0.16bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Adc.InitData.Cpu0.16bit"  "Adc.ClearedData.Cpu0.16bit" far-absolute RW
#endif
#undef  ADC_START_SEC_VAR_INIT_ASIL_B_GLOBAL_16
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_VAR_INIT_ASIL_B_GLOBAL_16
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section fardata restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ADC_STOP_SEC_VAR_INIT_ASIL_B_GLOBAL_16
#undef MEMMAP_ERROR

#elif defined ADC_START_SEC_VAR_INIT_ASIL_B_GLOBAL_32
#ifdef _TASKING_C_TRICORE_
#pragma section fardata "Adc.InitData.Cpu0.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Adc.InitData.Cpu0.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section data = ".Adc.InitData.Cpu0.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Adc.InitData.Cpu0.32bit"  "Adc.ClearedData.Cpu0.32bit" far-absolute RW
#endif
#undef  ADC_START_SEC_VAR_INIT_ASIL_B_GLOBAL_32
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_VAR_INIT_ASIL_B_GLOBAL_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section fardata restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ADC_STOP_SEC_VAR_INIT_ASIL_B_GLOBAL_32
#undef MEMMAP_ERROR

/***************** Static Global Constants Sections ************************/
#elif defined ADC_START_SEC_CONST_ASIL_B_GLOBAL_8
#ifdef _TASKING_C_TRICORE_
#pragma section farrom  "Adc.Const.Cpu0.8bit"
#elif defined _GNU_C_TRICORE_
#pragma section  "Adc.Const.Cpu0.8bit" a
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Adc.Const.Cpu0.8bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Adc.Const.Cpu0.8bit" far-absolute R
#endif
#undef  ADC_START_SEC_CONST_ASIL_B_GLOBAL_8
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_CONST_ASIL_B_GLOBAL_8
#ifdef _TASKING_C_TRICORE_
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ADC_STOP_SEC_CONST_ASIL_B_GLOBAL_8
#undef MEMMAP_ERROR

#elif defined ADC_START_SEC_CONST_ASIL_B_GLOBAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom  "Adc.Const.Cpu0.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section  "Adc.Const.Cpu0.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Adc.Const.Cpu0.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Adc.Const.Cpu0.Unspecified" far-absolute R
#endif
#undef  ADC_START_SEC_CONST_ASIL_B_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_CONST_ASIL_B_GLOBAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ADC_STOP_SEC_CONST_ASIL_B_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR

/******************* Config Data Sections *************************/
#elif defined ADC_START_SEC_CONFIG_DATA_ASIL_B_GLOBAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Adc.Config.Cpu0.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Adc.Config.Cpu0.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Adc.Config.Cpu0.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Adc.Config.Cpu0.Unspecified" far-absolute R
#endif
#undef  ADC_START_SEC_CONFIG_DATA_ASIL_B_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_CONFIG_DATA_ASIL_B_GLOBAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ADC_STOP_SEC_CONFIG_DATA_ASIL_B_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ADC_START_SEC_CONFIG_DATA_ASIL_B_CORE0_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Adc.Config.Cpu0.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Adc.Config.Cpu0.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Adc.Config.Cpu0.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Adc.Config.Cpu0.Unspecified" far-absolute R
#endif
#undef  ADC_START_SEC_CONFIG_DATA_ASIL_B_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_CONFIG_DATA_ASIL_B_CORE0_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ADC_STOP_SEC_CONFIG_DATA_ASIL_B_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ADC_START_SEC_CONFIG_DATA_ASIL_B_CORE1_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Adc.Config.Cpu1.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Adc.Config.Cpu1.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Adc.Config.Cpu1.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Adc.Config.Cpu1.Unspecified" far-absolute R
#endif
#undef  ADC_START_SEC_CONFIG_DATA_ASIL_B_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_CONFIG_DATA_ASIL_B_CORE1_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ADC_STOP_SEC_CONFIG_DATA_ASIL_B_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ADC_START_SEC_CONFIG_DATA_ASIL_B_CORE2_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Adc.Config.Cpu2.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Adc.Config.Cpu2.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Adc.Config.Cpu2.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Adc.Config.Cpu2.Unspecified" far-absolute R
#endif
#undef  ADC_START_SEC_CONFIG_DATA_ASIL_B_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_CONFIG_DATA_ASIL_B_CORE2_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ADC_STOP_SEC_CONFIG_DATA_ASIL_B_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ADC_START_SEC_CONFIG_DATA_ASIL_B_CORE3_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Adc.Config.Cpu3.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Adc.Config.Cpu3.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Adc.Config.Cpu3.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Adc.Config.Cpu3.Unspecified" far-absolute R
#endif
#undef  ADC_START_SEC_CONFIG_DATA_ASIL_B_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_CONFIG_DATA_ASIL_B_CORE3_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ADC_STOP_SEC_CONFIG_DATA_ASIL_B_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ADC_START_SEC_CONFIG_DATA_ASIL_B_CORE4_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Adc.Config.Cpu4.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Adc.Config.Cpu4.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Adc.Config.Cpu4.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Adc.Config.Cpu4.Unspecified" far-absolute R
#endif
#undef  ADC_START_SEC_CONFIG_DATA_ASIL_B_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_CONFIG_DATA_ASIL_B_CORE4_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ADC_STOP_SEC_CONFIG_DATA_ASIL_B_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ADC_START_SEC_CONFIG_DATA_ASIL_B_CORE5_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Adc.Config.Cpu5.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Adc.Config.Cpu5.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Adc.Config.Cpu5.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Adc.Config.Cpu5.Unspecified" far-absolute R
#endif
#undef  ADC_START_SEC_CONFIG_DATA_ASIL_B_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_CONFIG_DATA_ASIL_B_CORE5_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ADC_STOP_SEC_CONFIG_DATA_ASIL_B_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR

/* Code Sections */
/*
To be used for mapping code to application block, boot block, external flash etc.
codePeriod is the typical period time value and unit of the ExecutableEntitys in this MemorySection.
The name part _{codePeriod} is optional. Units are:
- US microseconds
- MS milli second
- S second
*/
#elif defined ADC_START_SEC_CODE_ASIL_B_GLOBAL
#ifdef _TASKING_C_TRICORE_
#pragma section code "Adc.Code.Cpu0"
#elif defined _GNU_C_TRICORE_
#pragma section "Adc.Code.Cpu0" ax
#elif defined _GHS_C_TRICORE_
#pragma ghs section text = ".Adc.Code.Cpu0"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CODE "Adc.Code.Cpu0" RX
#endif
#undef  ADC_START_SEC_CODE_ASIL_B_GLOBAL
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_CODE_ASIL_B_GLOBAL
#ifdef _TASKING_C_TRICORE_
#pragma section code restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ADC_STOP_SEC_CODE_ASIL_B_GLOBAL
#undef MEMMAP_ERROR

#endif

#else  /*#if ((APP_SW == DEMO_APP) || (APP_SW == TEST_APP))*/
/***********************************EMPTY SECTIONS***********************************/
#if defined ADC_START_SEC_VAR_CLEARED_ASIL_B_CORE0_UNSPECIFIED
#undef  ADC_START_SEC_VAR_CLEARED_ASIL_B_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_VAR_CLEARED_ASIL_B_CORE0_UNSPECIFIED
#undef  ADC_STOP_SEC_VAR_CLEARED_ASIL_B_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_START_SEC_VAR_CLEARED_ASIL_B_CORE1_UNSPECIFIED
#undef  ADC_START_SEC_VAR_CLEARED_ASIL_B_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_VAR_CLEARED_ASIL_B_CORE1_UNSPECIFIED
#undef  ADC_STOP_SEC_VAR_CLEARED_ASIL_B_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_START_SEC_VAR_CLEARED_ASIL_B_CORE2_UNSPECIFIED
#undef  ADC_START_SEC_VAR_CLEARED_ASIL_B_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_VAR_CLEARED_ASIL_B_CORE2_UNSPECIFIED
#undef  ADC_STOP_SEC_VAR_CLEARED_ASIL_B_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_START_SEC_VAR_CLEARED_ASIL_B_CORE3_UNSPECIFIED
#undef  ADC_START_SEC_VAR_CLEARED_ASIL_B_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_VAR_CLEARED_ASIL_B_CORE3_UNSPECIFIED
#undef  ADC_STOP_SEC_VAR_CLEARED_ASIL_B_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_START_SEC_VAR_CLEARED_ASIL_B_CORE4_UNSPECIFIED
#undef  ADC_START_SEC_VAR_CLEARED_ASIL_B_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_VAR_CLEARED_ASIL_B_CORE4_UNSPECIFIED
#undef  ADC_STOP_SEC_VAR_CLEARED_ASIL_B_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_START_SEC_VAR_CLEARED_ASIL_B_CORE5_UNSPECIFIED
#undef  ADC_START_SEC_VAR_CLEARED_ASIL_B_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_VAR_CLEARED_ASIL_B_CORE5_UNSPECIFIED
#undef  ADC_STOP_SEC_VAR_CLEARED_ASIL_B_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_START_SEC_VAR_CLEARED_ASIL_B_GLOBAL_32
#undef  ADC_START_SEC_VAR_CLEARED_ASIL_B_GLOBAL_32
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_VAR_CLEARED_ASIL_B_GLOBAL_32
#undef  ADC_STOP_SEC_VAR_CLEARED_ASIL_B_GLOBAL_32
#undef MEMMAP_ERROR
#elif defined ADC_START_SEC_VAR_CLEARED_ASIL_B_GLOBAL_8
#undef  ADC_START_SEC_VAR_CLEARED_ASIL_B_GLOBAL_8
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_VAR_CLEARED_ASIL_B_GLOBAL_8
#undef  ADC_STOP_SEC_VAR_CLEARED_ASIL_B_GLOBAL_8
#undef MEMMAP_ERROR
#elif defined ADC_START_SEC_VAR_CLEARED_ASIL_B_GLOBAL_16
#undef  ADC_START_SEC_VAR_CLEARED_ASIL_B_GLOBAL_16
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_VAR_CLEARED_ASIL_B_GLOBAL_16
#undef  ADC_STOP_SEC_VAR_CLEARED_ASIL_B_GLOBAL_16
#undef MEMMAP_ERROR
#elif defined ADC_START_SEC_VAR_INIT_ASIL_B_GLOBAL_8
#undef  ADC_START_SEC_VAR_INIT_ASIL_B_GLOBAL_8
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_VAR_INIT_ASIL_B_GLOBAL_8
#undef  ADC_STOP_SEC_VAR_INIT_ASIL_B_GLOBAL_8
#undef MEMMAP_ERROR
#elif defined ADC_START_SEC_VAR_INIT_ASIL_B_GLOBAL_16
#undef  ADC_START_SEC_VAR_INIT_ASIL_B_GLOBAL_16
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_VAR_INIT_ASIL_B_GLOBAL_16
#undef  ADC_STOP_SEC_VAR_INIT_ASIL_B_GLOBAL_16
#undef MEMMAP_ERROR
#elif defined ADC_START_SEC_VAR_INIT_ASIL_B_GLOBAL_32
#undef  ADC_START_SEC_VAR_INIT_ASIL_B_GLOBAL_32
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_VAR_INIT_ASIL_B_GLOBAL_32
#undef  ADC_STOP_SEC_VAR_INIT_ASIL_B_GLOBAL_32
#undef MEMMAP_ERROR
#elif defined ADC_START_SEC_CONST_ASIL_B_GLOBAL_8
#undef  ADC_START_SEC_CONST_ASIL_B_GLOBAL_8
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_CONST_ASIL_B_GLOBAL_8
#undef  ADC_STOP_SEC_CONST_ASIL_B_GLOBAL_8
#undef MEMMAP_ERROR
#elif defined ADC_START_SEC_CONST_ASIL_B_GLOBAL_UNSPECIFIED
#undef  ADC_START_SEC_CONST_ASIL_B_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_CONST_ASIL_B_GLOBAL_UNSPECIFIED
#undef  ADC_STOP_SEC_CONST_ASIL_B_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_START_SEC_CONFIG_DATA_ASIL_B_GLOBAL_UNSPECIFIED
#undef  ADC_START_SEC_CONFIG_DATA_ASIL_B_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_CONFIG_DATA_ASIL_B_GLOBAL_UNSPECIFIED
#undef  ADC_STOP_SEC_CONFIG_DATA_ASIL_B_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_START_SEC_CONFIG_DATA_ASIL_B_CORE0_UNSPECIFIED
#undef  ADC_START_SEC_CONFIG_DATA_ASIL_B_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_CONFIG_DATA_ASIL_B_CORE0_UNSPECIFIED
#undef  ADC_STOP_SEC_CONFIG_DATA_ASIL_B_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_START_SEC_CONFIG_DATA_ASIL_B_CORE1_UNSPECIFIED
#undef  ADC_START_SEC_CONFIG_DATA_ASIL_B_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_CONFIG_DATA_ASIL_B_CORE1_UNSPECIFIED
#undef  ADC_STOP_SEC_CONFIG_DATA_ASIL_B_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_START_SEC_CONFIG_DATA_ASIL_B_CORE2_UNSPECIFIED
#undef  ADC_START_SEC_CONFIG_DATA_ASIL_B_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_CONFIG_DATA_ASIL_B_CORE2_UNSPECIFIED
#undef  ADC_STOP_SEC_CONFIG_DATA_ASIL_B_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_START_SEC_CONFIG_DATA_ASIL_B_CORE3_UNSPECIFIED
#undef  ADC_START_SEC_CONFIG_DATA_ASIL_B_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_CONFIG_DATA_ASIL_B_CORE3_UNSPECIFIED
#undef  ADC_STOP_SEC_CONFIG_DATA_ASIL_B_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_START_SEC_CONFIG_DATA_ASIL_B_CORE4_UNSPECIFIED
#undef  ADC_START_SEC_CONFIG_DATA_ASIL_B_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_CONFIG_DATA_ASIL_B_CORE4_UNSPECIFIED
#undef  ADC_STOP_SEC_CONFIG_DATA_ASIL_B_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_START_SEC_CONFIG_DATA_ASIL_B_CORE5_UNSPECIFIED
#undef  ADC_START_SEC_CONFIG_DATA_ASIL_B_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_CONFIG_DATA_ASIL_B_CORE5_UNSPECIFIED
#undef  ADC_STOP_SEC_CONFIG_DATA_ASIL_B_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ADC_START_SEC_CODE_ASIL_B_GLOBAL
#undef  ADC_START_SEC_CODE_ASIL_B_GLOBAL
#undef MEMMAP_ERROR
#elif defined ADC_STOP_SEC_CODE_ASIL_B_GLOBAL
#undef  ADC_STOP_SEC_CODE_ASIL_B_GLOBAL
#undef MEMMAP_ERROR
#endif

#endif /*#if ((APP_SW == DEMO_APP) || (APP_SW == TEST_APP))*/

#if defined MEMMAP_ERROR
#error "Adc_MemMap.h, wrong pragma command"
#endif
