/*******************************************************************************
**                                                                            **
** Copyright (C) Infineon Technologies (2019)                                 **
**                                                                            **
** All rights reserved.                                                       **
**                                                                            **
** This document contains proprietary information belonging to Infineon       **
** Technologies. Passing on and copying of this document, and communication   **
** of its contents is not permitted without prior written authorization.      **
**                                                                            **
********************************************************************************
**                                                                            **
**  FILENAME  : eth_17_gethmac_MemMap.h                                                      **
**                                                                            **
**  VERSION   :                                              **
**                                                                            **
**  DATE      :                                                             **
**                                                                            **
**  VARIANT   : NA                                                            **
**                                                                            **
**  PLATFORM  : Infineon AURIX2G                                              **
**                                                                            **
**  AUTHOR    : DL-AUTOSAR-Engineering                                        **
**                                                                            **
**  VENDOR    : Infineon Technologies                                         **
**                                                                            **
**  TRACEABILITY :                                                            **
**                                                                            **
**  DESCRIPTION  : This file contains the mapping of Memory Section           **
**                                                                            **
**  [/cover]                                                                  **
**                                                                            **
**  SPECIFICATION(S) : Specification of ETH_17_GETHMAC Driver,                      **
**   AUTOSAR Release <4.2.2>                                                  **
**                                                                            **
**  MAY BE CHANGED BY USER : Yes                                              **
**                                                                            **
*******************************************************************************/
#define MEMMAP_ERROR
#if ((APP_SW == DEMO_APP) || (APP_SW == TEST_APP))
/*DATA Section*/
/*To be used for all global or static variables.*/
/*Variable to be cleared at startup or reset is palced here - .bss*/
#if defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE0_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu0.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.Cpu0.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu0.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu0.Unspecified" "Eth.ClearedData.Cpu0.Unspecified" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE0_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE0_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu0.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.Cpu0.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu0.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu0.32bit" "Eth.ClearedData.Cpu0.32bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE0_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE0_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE0_32
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE1_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu1.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.Cpu1.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu1.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu1.Unspecified" "Eth.ClearedData.Cpu1.Unspecified" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE1_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE1_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu1.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.Cpu1.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu1.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu1.32bit" "Eth.ClearedData.Cpu1.32bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE1_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE1_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE1_32
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE2_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu2.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.Cpu2.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu2.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu2.Unspecified" "Eth.ClearedData.Cpu2.Unspecified" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE2_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE2_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu2.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.Cpu2.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu2.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu2.32bit" "Eth.ClearedData.Cpu2.32bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE2_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE2_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE2_32
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE3_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu3.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.Cpu3.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu3.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu3.Unspecified" "Eth.ClearedData.Cpu3.Unspecified" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE3_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE3_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu3.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.Cpu3.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu3.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu3.32bit" "Eth.ClearedData.Cpu3.32bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE3_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE3_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE3_32
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE4_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu4.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.Cpu4.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu4.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu4.Unspecified" "Eth.ClearedData.Cpu4.Unspecified" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE4_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE4_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu4.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.Cpu4.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu4.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu4.32bit" "Eth.ClearedData.Cpu4.32bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE4_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE4_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE4_32
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE5_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu5.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.Cpu5.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu5.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu5.Unspecified" "Eth.ClearedData.Cpu5.Unspecified" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE5_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE5_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu5.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.Cpu5.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu5.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu5.32bit" "Eth.ClearedData.Cpu5.32bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE5_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE5_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE5_32
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_TXBUFFER_CLEARED_QM_CORE0_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu0.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.Cpu0.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu0.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu0.32bit" "Eth.ClearedData.Cpu0.32bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_TXBUFFER_CLEARED_QM_CORE0_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_TXBUFFER_CLEARED_QM_CORE0_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_TXBUFFER_CLEARED_QM_CORE0_32
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_TXBUFFER_CLEARED_QM_CORE1_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu1.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.Cpu1.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu1.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu1.32bit" "Eth.ClearedData.Cpu1.32bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_TXBUFFER_CLEARED_QM_CORE1_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_TXBUFFER_CLEARED_QM_CORE1_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_TXBUFFER_CLEARED_QM_CORE1_32
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_TXBUFFER_CLEARED_QM_CORE2_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu2.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.Cpu2.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu2.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu2.32bit" "Eth.ClearedData.Cpu2.32bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_TXBUFFER_CLEARED_QM_CORE2_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_TXBUFFER_CLEARED_QM_CORE2_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_TXBUFFER_CLEARED_QM_CORE2_32
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_TXBUFFER_CLEARED_QM_CORE3_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu3.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.Cpu3.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu3.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu3.32bit" "Eth.ClearedData.Cpu3.32bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_TXBUFFER_CLEARED_QM_CORE3_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_TXBUFFER_CLEARED_QM_CORE3_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_TXBUFFER_CLEARED_QM_CORE3_32
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_TXBUFFER_CLEARED_QM_CORE4_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu4.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.Cpu4.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu4.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu4.32bit" "Eth.ClearedData.Cpu4.32bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_TXBUFFER_CLEARED_QM_CORE4_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_TXBUFFER_CLEARED_QM_CORE4_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_TXBUFFER_CLEARED_QM_CORE4_32
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_TXBUFFER_CLEARED_QM_CORE5_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu5.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.Cpu5.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu5.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu5.32bit" "Eth.ClearedData.Cpu5.32bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_TXBUFFER_CLEARED_QM_CORE5_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_TXBUFFER_CLEARED_QM_CORE5_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_TXBUFFER_CLEARED_QM_CORE5_32
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_RXBUFFER_CLEARED_QM_CORE0_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu0.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.Cpu0.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu0.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu0.32bit" "Eth.ClearedData.Cpu0.32bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_RXBUFFER_CLEARED_QM_CORE0_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_RXBUFFER_CLEARED_QM_CORE0_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_RXBUFFER_CLEARED_QM_CORE0_32
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_RXBUFFER_CLEARED_QM_CORE1_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu1.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.Cpu1.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu1.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu1.32bit" "Eth.ClearedData.Cpu1.32bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_RXBUFFER_CLEARED_QM_CORE1_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_RXBUFFER_CLEARED_QM_CORE1_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_RXBUFFER_CLEARED_QM_CORE1_32
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_RXBUFFER_CLEARED_QM_CORE2_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu2.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.Cpu2.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu2.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu2.32bit" "Eth.ClearedData.Cpu2.32bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_RXBUFFER_CLEARED_QM_CORE2_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_RXBUFFER_CLEARED_QM_CORE2_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_RXBUFFER_CLEARED_QM_CORE2_32
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_RXBUFFER_CLEARED_QM_CORE3_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu3.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.Cpu3.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu3.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu3.32bit" "Eth.ClearedData.Cpu3.32bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_RXBUFFER_CLEARED_QM_CORE3_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_RXBUFFER_CLEARED_QM_CORE3_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_RXBUFFER_CLEARED_QM_CORE3_32
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_RXBUFFER_CLEARED_QM_CORE4_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu4.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.Cpu4.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu4.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu4.32bit" "Eth.ClearedData.Cpu4.32bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_RXBUFFER_CLEARED_QM_CORE4_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_RXBUFFER_CLEARED_QM_CORE4_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_RXBUFFER_CLEARED_QM_CORE4_32
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_RXBUFFER_CLEARED_QM_CORE5_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu5.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.Cpu5.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu5.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu5.32bit" "Eth.ClearedData.Cpu5.32bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_RXBUFFER_CLEARED_QM_CORE5_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_RXBUFFER_CLEARED_QM_CORE5_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_RXBUFFER_CLEARED_QM_CORE5_32
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_GLOBAL_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.LmuNC.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.LmuNC.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.LmuNC.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.LmuNC.32bit" "Eth.ClearedData.LmuNC.32bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_GLOBAL_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_GLOBAL_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_GLOBAL_32
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_GLOBAL_32
#ifdef _TASKING_C_TRICORE_
#pragma section fardata "Eth.InitData.LmuNC.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.InitData.LmuNC.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section data = ".Eth.InitData.LmuNC.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.LmuNC.32bit"  "Eth.ClearedData.LmuNC.32bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_GLOBAL_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_GLOBAL_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section fardata restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_GLOBAL_32
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_GLOBAL_8
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.LmuNC.8bit"
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.LmuNC.8bit" aw
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.LmuNC.8bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.LmuNC.8bit" "Eth.ClearedData.LmuNC.8bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_GLOBAL_8
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_GLOBAL_8
#ifdef _TASKING_C_TRICORE_
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_GLOBAL_8
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_GLOBAL_8
#ifdef _TASKING_C_TRICORE_
#pragma section fardata "Eth.InitData.LmuNC.8bit"
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.InitData.LmuNC.8bit" aw
#elif defined _GHS_C_TRICORE_
#pragma ghs section data = ".Eth.InitData.LmuNC.8bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.LmuNC.8bit"  "Eth.ClearedData.LmuNC.8bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_GLOBAL_8
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_GLOBAL_8
#ifdef _TASKING_C_TRICORE_
#pragma section fardata restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_GLOBAL_8
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_LOCAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu0.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section  "Eth.ClearedData.Cpu0.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu0.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu0.Unspecified" "Eth.ClearedData.Cpu0.Unspecified" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_LOCAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_LOCAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_LOCAL_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_LOCAL_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu0.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section  "Eth.ClearedData.Cpu0.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu0.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu0.32bit" "Eth.ClearedData.Cpu0.32bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_LOCAL_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_LOCAL_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_LOCAL_32
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_LOCAL_16
#ifdef _TASKING_C_TRICORE_
#pragma section fardata "Eth.InitData.Cpu0.16bit"
#pragma align 2
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.InitData.Cpu0.16bit" aw 2
#elif defined _GHS_C_TRICORE_
#pragma ghs section data = ".Eth.InitData.Cpu0.16bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu0.16bit"  "Eth.ClearedData.Cpu0.16bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_LOCAL_16
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_LOCAL_16
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section fardata restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_LOCAL_16
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_LOCAL_8
#ifdef _TASKING_C_TRICORE_
#pragma section fardata "Eth.InitData.Cpu0.8bit"
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.InitData.Cpu0.8bit" aw
#elif defined _GHS_C_TRICORE_
#pragma ghs section data = ".Eth.InitData.Cpu0.8bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu0.8bit"  "Eth.ClearedData.Cpu0.8bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_LOCAL_8
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_LOCAL_8
#ifdef _TASKING_C_TRICORE_
#pragma section fardata restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_LOCAL_8
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_LOCAL_8
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.Cpu0.8bit"
#elif defined _GNU_C_TRICORE_
#pragma section  "Eth.ClearedData.Cpu0.8bit" aw
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.Cpu0.8bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu0.8bit" "Eth.ClearedData.Cpu0.8bit" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_LOCAL_8
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_LOCAL_8
#ifdef _TASKING_C_TRICORE_
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_LOCAL_8
#undef MEMMAP_ERROR

/***************** Static Global Constants Sections ************************/
#elif defined ETH_17_GETHMAC_START_SEC_CONST_QM_GLOBAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom  "Eth.Const.Cpu0.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section  "Eth.Const.Cpu0.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Eth.Const.Cpu0.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Eth.Const.Cpu0.Unspecified" far-absolute R
#endif
#undef  ETH_17_GETHMAC_START_SEC_CONST_QM_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_CONST_QM_GLOBAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_CONST_QM_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR

/******************* Eth.Config Data Sections *************************/
#elif defined ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_GLOBAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Eth.Config.Cpu0.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.Config.Cpu0.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Eth.Config.Cpu0.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Eth.Config.Cpu0.Unspecified" far-absolute R
#endif
#undef  ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_GLOBAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_CORE0_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Eth.Config.Cpu0.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.Config.Cpu0.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Eth.Config.Cpu0.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Eth.Config.Cpu0.Unspecified" far-absolute R
#endif
#undef  ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_CORE0_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_CORE1_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Eth.Config.Cpu1.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.Config.Cpu1.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Eth.Config.Cpu1.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Eth.Config.Cpu1.Unspecified" far-absolute R
#endif
#undef  ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_CORE1_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_CORE2_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Eth.Config.Cpu2.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.Config.Cpu2.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Eth.Config.Cpu2.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Eth.Config.Cpu2.Unspecified" far-absolute R
#endif
#undef  ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_CORE2_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_CORE3_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Eth.Config.Cpu3.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.Config.Cpu3.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Eth.Config.Cpu3.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Eth.Config.Cpu3.Unspecified" far-absolute R
#endif
#undef  ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_CORE3_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_CORE4_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Eth.Config.Cpu4.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.Config.Cpu4.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Eth.Config.Cpu4.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Eth.Config.Cpu4.Unspecified" far-absolute R
#endif
#undef  ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_CORE4_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_CORE5_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Eth.Config.Cpu5.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.Config.Cpu5.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Eth.Config.Cpu5.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Eth.Config.Cpu5.Unspecified" far-absolute R
#endif
#undef  ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_CORE5_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_LOCAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Eth.Config.Cpu0.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.Config.Cpu0.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Eth.Config.Cpu0.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Eth.Config.Cpu0.Unspecified" far-absolute R
#endif
#undef  ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_LOCAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_LOCAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_LOCAL_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_GLOBAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Eth.ClearedData.LmuNC.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.ClearedData.LmuNC.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Eth.ClearedData.LmuNC.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.LmuNC.Unspecified"  "Eth.ClearedData.LmuNC.Unspecified" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_GLOBAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_CORE0_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section fardata "Eth.InitData.Cpu0.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.InitData.Cpu0.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section data= ".Eth.InitData.Cpu0.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu0.Unspecified"  "Eth.ClearedData.Cpu0.Unspecified" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_CORE0_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section fardata restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_CORE1_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section fardata "Eth.InitData.Cpu1.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.InitData.Cpu1.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section data= ".Eth.InitData.Cpu1.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu1.Unspecified"  "Eth.ClearedData.Cpu1.Unspecified" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_CORE1_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section fardata restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_CORE2_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section fardata "Eth.InitData.Cpu2.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.InitData.Cpu2.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section data= ".Eth.InitData.Cpu2.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu2.Unspecified"  "Eth.ClearedData.Cpu2.Unspecified" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_CORE2_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section fardata restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_CORE3_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section fardata "Eth.InitData.Cpu3.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.InitData.Cpu3.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section data= ".Eth.InitData.Cpu3.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu3.Unspecified"  "Eth.ClearedData.Cpu3.Unspecified" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_CORE3_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section fardata restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_CORE4_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section fardata "Eth.InitData.Cpu4.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.InitData.Cpu4.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section data= ".Eth.InitData.Cpu4.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu4.Unspecified"  "Eth.ClearedData.Cpu4.Unspecified" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_CORE4_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section fardata restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_CORE5_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section fardata "Eth.InitData.Cpu5.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.InitData.Cpu5.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section data= ".Eth.InitData.Cpu5.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Eth.InitData.Cpu5.Unspecified"  "Eth.ClearedData.Cpu5.Unspecified" far-absolute RW
#endif
#undef  ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_CORE5_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section fardata restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR

/* Eth.Code Sections */
/*
To be used for mapping code to application block, boot block, external flash etc.
codePeriod is the typical period time value and unit of the ExecutableEntitys in this MemorySection.
The name part _{codePeriod} is optional. Units are:
- US microseconds
- MS milli second
- S second
*/
#elif defined ETH_17_GETHMAC_START_SEC_CODE_QM_GLOBAL
#ifdef _TASKING_C_TRICORE_
#pragma section code "Eth.Code.Cpu0"
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.Code.Cpu0" ax
#elif defined _GHS_C_TRICORE_
#pragma ghs section text = ".Eth.Code.Cpu0"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CODE "Eth.Code.Cpu0" RX
#endif
#undef  ETH_17_GETHMAC_START_SEC_CODE_QM_GLOBAL
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_CODE_QM_GLOBAL
#ifdef _TASKING_C_TRICORE_
#pragma section code restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_CODE_QM_GLOBAL
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_CODE_QM_LOCAL
#ifdef _TASKING_C_TRICORE_
#pragma section code "Eth.Code.Cpu0"
#elif defined _GNU_C_TRICORE_
#pragma section "Eth.Code.Cpu0" ax
#elif defined _GHS_C_TRICORE_
#pragma ghs section text  = ".Eth.Code.Cpu0"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CODE "Eth.Code.Cpu0" RX
#endif
#undef  ETH_17_GETHMAC_START_SEC_CODE_QM_LOCAL
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_CODE_QM_LOCAL
#ifdef _TASKING_C_TRICORE_
#pragma section code restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  ETH_17_GETHMAC_STOP_SEC_CODE_QM_LOCAL
#undef MEMMAP_ERROR

#endif

#else  /*#if ((APP_SW == DEMO_APP) || (APP_SW == TEST_APP))*/
/***********************************EMPTY SECTIONS***********************************/
#if defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE0_UNSPECIFIED
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE0_UNSPECIFIED
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE0_32
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE0_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE0_32
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE0_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE1_UNSPECIFIED
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE1_UNSPECIFIED
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE1_32
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE1_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE1_32
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE1_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE2_UNSPECIFIED
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE2_UNSPECIFIED
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE2_32
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE2_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE2_32
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE2_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE3_UNSPECIFIED
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE3_UNSPECIFIED
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE3_32
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE3_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE3_32
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE3_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE4_UNSPECIFIED
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE4_UNSPECIFIED
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE4_32
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE4_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE4_32
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE4_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE5_UNSPECIFIED
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE5_UNSPECIFIED
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE5_32
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_CORE5_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE5_32
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_CORE5_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_TXBUFFER_CLEARED_QM_CORE0_32
#undef  ETH_17_GETHMAC_START_SEC_VAR_TXBUFFER_CLEARED_QM_CORE0_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_TXBUFFER_CLEARED_QM_CORE0_32
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_TXBUFFER_CLEARED_QM_CORE0_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_TXBUFFER_CLEARED_QM_CORE1_32
#undef  ETH_17_GETHMAC_START_SEC_VAR_TXBUFFER_CLEARED_QM_CORE1_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_TXBUFFER_CLEARED_QM_CORE1_32
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_TXBUFFER_CLEARED_QM_CORE1_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_TXBUFFER_CLEARED_QM_CORE2_32
#undef  ETH_17_GETHMAC_START_SEC_VAR_TXBUFFER_CLEARED_QM_CORE2_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_TXBUFFER_CLEARED_QM_CORE2_32
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_TXBUFFER_CLEARED_QM_CORE2_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_TXBUFFER_CLEARED_QM_CORE3_32
#undef  ETH_17_GETHMAC_START_SEC_VAR_TXBUFFER_CLEARED_QM_CORE3_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_TXBUFFER_CLEARED_QM_CORE3_32
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_TXBUFFER_CLEARED_QM_CORE3_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_TXBUFFER_CLEARED_QM_CORE4_32
#undef  ETH_17_GETHMAC_START_SEC_VAR_TXBUFFER_CLEARED_QM_CORE4_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_TXBUFFER_CLEARED_QM_CORE4_32
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_TXBUFFER_CLEARED_QM_CORE4_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_TXBUFFER_CLEARED_QM_CORE5_32
#undef  ETH_17_GETHMAC_START_SEC_VAR_TXBUFFER_CLEARED_QM_CORE5_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_TXBUFFER_CLEARED_QM_CORE5_32
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_TXBUFFER_CLEARED_QM_CORE5_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_RXBUFFER_CLEARED_QM_CORE0_32
#undef  ETH_17_GETHMAC_START_SEC_VAR_RXBUFFER_CLEARED_QM_CORE0_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_RXBUFFER_CLEARED_QM_CORE0_32
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_RXBUFFER_CLEARED_QM_CORE0_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_RXBUFFER_CLEARED_QM_CORE1_32
#undef  ETH_17_GETHMAC_START_SEC_VAR_RXBUFFER_CLEARED_QM_CORE1_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_RXBUFFER_CLEARED_QM_CORE1_32
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_RXBUFFER_CLEARED_QM_CORE1_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_RXBUFFER_CLEARED_QM_CORE2_32
#undef  ETH_17_GETHMAC_START_SEC_VAR_RXBUFFER_CLEARED_QM_CORE2_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_RXBUFFER_CLEARED_QM_CORE2_32
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_RXBUFFER_CLEARED_QM_CORE2_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_RXBUFFER_CLEARED_QM_CORE3_32
#undef  ETH_17_GETHMAC_START_SEC_VAR_RXBUFFER_CLEARED_QM_CORE3_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_RXBUFFER_CLEARED_QM_CORE3_32
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_RXBUFFER_CLEARED_QM_CORE3_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_RXBUFFER_CLEARED_QM_CORE4_32
#undef  ETH_17_GETHMAC_START_SEC_VAR_RXBUFFER_CLEARED_QM_CORE4_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_RXBUFFER_CLEARED_QM_CORE4_32
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_RXBUFFER_CLEARED_QM_CORE4_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_RXBUFFER_CLEARED_QM_CORE5_32
#undef  ETH_17_GETHMAC_START_SEC_VAR_RXBUFFER_CLEARED_QM_CORE5_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_RXBUFFER_CLEARED_QM_CORE5_32
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_RXBUFFER_CLEARED_QM_CORE5_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_GLOBAL_32
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_GLOBAL_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_GLOBAL_32
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_GLOBAL_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_GLOBAL_32
#undef  ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_GLOBAL_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_GLOBAL_32
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_GLOBAL_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_GLOBAL_8
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_GLOBAL_8
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_GLOBAL_8
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_GLOBAL_8
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_GLOBAL_8
#undef  ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_GLOBAL_8
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_GLOBAL_8
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_GLOBAL_8
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_LOCAL_UNSPECIFIED
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_LOCAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_LOCAL_UNSPECIFIED
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_LOCAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_LOCAL_32
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_LOCAL_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_LOCAL_32
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_LOCAL_32
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_LOCAL_16
#undef  ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_LOCAL_16
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_LOCAL_16
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_LOCAL_16
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_LOCAL_8
#undef  ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_LOCAL_8
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_LOCAL_8
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_LOCAL_8
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_LOCAL_8
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_LOCAL_8
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_LOCAL_8
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_LOCAL_8
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_CONST_QM_GLOBAL_UNSPECIFIED
#undef  ETH_17_GETHMAC_START_SEC_CONST_QM_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_CONST_QM_GLOBAL_UNSPECIFIED
#undef  ETH_17_GETHMAC_STOP_SEC_CONST_QM_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_GLOBAL_UNSPECIFIED
#undef  ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_GLOBAL_UNSPECIFIED
#undef  ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_CORE0_UNSPECIFIED
#undef  ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_CORE0_UNSPECIFIED
#undef  ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_CORE1_UNSPECIFIED
#undef  ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_CORE1_UNSPECIFIED
#undef  ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_CORE2_UNSPECIFIED
#undef  ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_CORE2_UNSPECIFIED
#undef  ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_CORE3_UNSPECIFIED
#undef  ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_CORE3_UNSPECIFIED
#undef  ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_CORE4_UNSPECIFIED
#undef  ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_CORE4_UNSPECIFIED
#undef  ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_CORE5_UNSPECIFIED
#undef  ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_CORE5_UNSPECIFIED
#undef  ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_LOCAL_UNSPECIFIED
#undef  ETH_17_GETHMAC_START_SEC_CONFIG_DATA_QM_LOCAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_LOCAL_UNSPECIFIED
#undef  ETH_17_GETHMAC_STOP_SEC_CONFIG_DATA_QM_LOCAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_CODE_QM_GLOBAL
#undef  ETH_17_GETHMAC_START_SEC_CODE_QM_GLOBAL
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_CODE_QM_GLOBAL
#undef  ETH_17_GETHMAC_STOP_SEC_CODE_QM_GLOBAL
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_CODE_QM_LOCAL
#undef  ETH_17_GETHMAC_START_SEC_CODE_QM_LOCAL
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_CODE_QM_LOCAL
#undef  ETH_17_GETHMAC_STOP_SEC_CODE_QM_LOCAL
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_GLOBAL_UNSPECIFIED
#undef  ETH_17_GETHMAC_START_SEC_VAR_CLEARED_QM_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_GLOBAL_UNSPECIFIED
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_CLEARED_QM_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_CORE0_UNSPECIFIED
#undef  ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_CORE0_UNSPECIFIED
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_CORE1_UNSPECIFIED
#undef  ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_CORE1_UNSPECIFIED
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_CORE2_UNSPECIFIED
#undef  ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_CORE2_UNSPECIFIED
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_CORE3_UNSPECIFIED
#undef  ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_CORE3_UNSPECIFIED
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_CORE4_UNSPECIFIED
#undef  ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_CORE4_UNSPECIFIED
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_CORE5_UNSPECIFIED
#undef  ETH_17_GETHMAC_START_SEC_VAR_INIT_QM_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_CORE5_UNSPECIFIED
#undef  ETH_17_GETHMAC_STOP_SEC_VAR_INIT_QM_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR

#endif

#endif /*#if ((APP_SW == DEMO_APP) || (APP_SW == TEST_APP))*/

#if defined MEMMAP_ERROR
#error "eth_17_gethmac_MemMap.h, wrong pragma command"
#endif
