/*******************************************************************************
**                                                                            **
** Copyright (C) Infineon Technologies (2018)                                 **
**                                                                            **
** All rights reserved.                                                       **
**                                                                            **
** This document contains proprietary information belonging to Infineon       **
** Technologies. Passing on and copying of this document, and communication   **
** of its contents is not permitted without prior written authorization.      **
**                                                                            **
********************************************************************************
**                                                                            **
**  FILENAME  : Gpt_MemMap.h                                                  **
**                                                                            **
**  VERSION   :                                                               **
**                                                                            **
**  DATE      : 27/08/2019                                                    **
**                                                                            **
**  VARIANT   : NA                                                            **
**                                                                            **
**  PLATFORM  : Infineon AURIX2G                                              **
**                                                                            **
**  AUTHOR    : DL-AUTOSAR-Engineering                                        **
**                                                                            **
**  VENDOR    : Infineon Technologies                                         **
**                                                                            **
**  TRACEABILITY :                                                            **
**                                                                            **
**  DESCRIPTION  : This file contains the mapping of Memory Section           **
**                                                                            **
**  [/cover]                                                                  **
**                                                                            **
**  SPECIFICATION(S) : Specification of GPT Driver,                           **
**   AUTOSAR Release <4.2.2>                                                  **
**                                                                            **
**  MAY BE CHANGED BY USER : Yes                                              **
**                                                                            **
*******************************************************************************/
/* [cover parentID={CDC53A42-9F15-4a14-877A-1DF68CCE5ED1}]
       tracing to MemMap file
   [/cover] */
#define MEMMAP_ERROR
#if ((APP_SW == DEMO_APP) || (APP_SW == TEST_APP))
/*DATA Section*/
/*To be used for all global or static variables.*/
/*Variable to be cleared at startup or reset is palced here - .bss*/
#if defined GPT_START_SEC_VAR_CLEARED_ASIL_B_CORE0_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Gpt.ClearedData.Cpu0.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.ClearedData.Cpu0.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Gpt.ClearedData.Cpu0.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Gpt.InitData.Cpu0.32bit" "Gpt.ClearedData.Cpu0.32bit" far-absolute RW
#endif
#undef  GPT_START_SEC_VAR_CLEARED_ASIL_B_CORE0_32
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_CLEARED_ASIL_B_CORE0_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_VAR_CLEARED_ASIL_B_CORE0_32
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_VAR_INIT_ASIL_B_CORE0_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section fardata "Gpt.InitData.Cpu0.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.InitData.Cpu0.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section data= ".Gpt.InitData.Cpu0.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Gpt.InitData.Cpu0.Unspecified"  "Gpt.ClearedData.Cpu0.Unspecified" far-absolute RW
#endif
#undef  GPT_START_SEC_VAR_INIT_ASIL_B_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_INIT_ASIL_B_CORE0_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section fardata restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_VAR_INIT_ASIL_B_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_VAR_CLEARED_ASIL_B_CORE1_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Gpt.ClearedData.Cpu1.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.ClearedData.Cpu1.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Gpt.ClearedData.Cpu1.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Gpt.InitData.Cpu1.32bit" "Gpt.ClearedData.Cpu1.32bit" far-absolute RW
#endif
#undef  GPT_START_SEC_VAR_CLEARED_ASIL_B_CORE1_32
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_CLEARED_ASIL_B_CORE1_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_VAR_CLEARED_ASIL_B_CORE1_32
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_VAR_INIT_ASIL_B_CORE1_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section fardata "Gpt.InitData.Cpu1.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.InitData.Cpu1.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section data= ".Gpt.InitData.Cpu1.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Gpt.InitData.Cpu1.Unspecified"  "Gpt.ClearedData.Cpu1.Unspecified" far-absolute RW
#endif
#undef  GPT_START_SEC_VAR_INIT_ASIL_B_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_INIT_ASIL_B_CORE1_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section fardata restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_VAR_INIT_ASIL_B_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_VAR_CLEARED_ASIL_B_CORE2_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Gpt.ClearedData.Cpu2.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.ClearedData.Cpu2.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Gpt.ClearedData.Cpu2.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Gpt.InitData.Cpu2.32bit" "Gpt.ClearedData.Cpu2.32bit" far-absolute RW
#endif
#undef  GPT_START_SEC_VAR_CLEARED_ASIL_B_CORE2_32
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_CLEARED_ASIL_B_CORE2_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_VAR_CLEARED_ASIL_B_CORE2_32
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_VAR_INIT_ASIL_B_CORE2_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section fardata "Gpt.InitData.Cpu2.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.InitData.Cpu2.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section data= ".Gpt.InitData.Cpu2.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Gpt.InitData.Cpu2.Unspecified"  "Gpt.ClearedData.Cpu2.Unspecified" far-absolute RW
#endif
#undef  GPT_START_SEC_VAR_INIT_ASIL_B_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_INIT_ASIL_B_CORE2_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section fardata restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_VAR_INIT_ASIL_B_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_VAR_CLEARED_ASIL_B_CORE3_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Gpt.ClearedData.Cpu3.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.ClearedData.Cpu3.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Gpt.ClearedData.Cpu3.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Gpt.InitData.Cpu3.32bit" "Gpt.ClearedData.Cpu3.32bit" far-absolute RW
#endif
#undef  GPT_START_SEC_VAR_CLEARED_ASIL_B_CORE3_32
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_CLEARED_ASIL_B_CORE3_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_VAR_CLEARED_ASIL_B_CORE3_32
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_VAR_INIT_ASIL_B_CORE3_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section fardata "Gpt.InitData.Cpu3.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.InitData.Cpu3.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section data= ".Gpt.InitData.Cpu3.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Gpt.InitData.Cpu3.Unspecified"  "Gpt.ClearedData.Cpu3.Unspecified" far-absolute RW
#endif
#undef  GPT_START_SEC_VAR_INIT_ASIL_B_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_INIT_ASIL_B_CORE3_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section fardata restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_VAR_INIT_ASIL_B_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_VAR_CLEARED_ASIL_B_CORE4_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Gpt.ClearedData.Cpu4.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.ClearedData.Cpu4.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Gpt.ClearedData.Cpu4.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Gpt.InitData.Cpu4.32bit" "Gpt.ClearedData.Cpu4.32bit" far-absolute RW
#endif
#undef  GPT_START_SEC_VAR_CLEARED_ASIL_B_CORE4_32
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_CLEARED_ASIL_B_CORE4_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_VAR_CLEARED_ASIL_B_CORE4_32
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_VAR_INIT_ASIL_B_CORE4_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section fardata "Gpt.InitData.Cpu4.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.InitData.Cpu4.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section data= ".Gpt.InitData.Cpu4.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Gpt.InitData.Cpu4.Unspecified"  "Gpt.ClearedData.Cpu4.Unspecified" far-absolute RW
#endif
#undef  GPT_START_SEC_VAR_INIT_ASIL_B_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_INIT_ASIL_B_CORE4_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section fardata restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_VAR_INIT_ASIL_B_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_VAR_CLEARED_ASIL_B_CORE5_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Gpt.ClearedData.Cpu5.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.ClearedData.Cpu5.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Gpt.ClearedData.Cpu5.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Gpt.InitData.Cpu5.32bit" "Gpt.ClearedData.Cpu5.32bit" far-absolute RW
#endif
#undef  GPT_START_SEC_VAR_CLEARED_ASIL_B_CORE5_32
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_CLEARED_ASIL_B_CORE5_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_VAR_CLEARED_ASIL_B_CORE5_32
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_VAR_INIT_ASIL_B_CORE5_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section fardata "Gpt.InitData.Cpu5.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.InitData.Cpu5.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section data= ".Gpt.InitData.Cpu5.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Gpt.InitData.Cpu5.Unspecified"  "Gpt.ClearedData.Cpu5.Unspecified" far-absolute RW
#endif
#undef  GPT_START_SEC_VAR_INIT_ASIL_B_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_INIT_ASIL_B_CORE5_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section fardata restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_VAR_INIT_ASIL_B_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_VAR_INIT_ASIL_B_GLOBAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section fardata "Gpt.InitData.LmuNC.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.InitData.LmuNC.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section data = ".Gpt.InitData.LmuNC.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Gpt.InitData.LmuNC.Unspecified"  "Gpt.ClearedData.LmuNC.Unspecified" far-absolute RW
#endif
#undef  GPT_START_SEC_VAR_INIT_ASIL_B_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_INIT_ASIL_B_GLOBAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section fardata restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_VAR_INIT_ASIL_B_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_VAR_INIT_ASIL_B_GLOBAL_32
#ifdef _TASKING_C_TRICORE_
#pragma section fardata "Gpt.InitData.LmuNC.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.InitData.LmuNC.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section data = ".Gpt.InitData.LmuNC.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Gpt.InitData.LmuNC.32bit"  "Gpt.ClearedData.LmuNC.32bit" far-absolute RW
#endif
#undef  GPT_START_SEC_VAR_INIT_ASIL_B_GLOBAL_32
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_INIT_ASIL_B_GLOBAL_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section fardata restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_VAR_INIT_ASIL_B_GLOBAL_32
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_VAR_CLEARED_ASIL_B_GLOBAL_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Gpt.ClearedData.LmuNC.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.ClearedData.LmuNC.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Gpt.ClearedData.LmuNC.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Gpt.InitData.LmuNC.32bit" "Gpt.ClearedData.LmuNC.32bit" far-absolute RW
#endif
#undef  GPT_START_SEC_VAR_CLEARED_ASIL_B_GLOBAL_32
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_CLEARED_ASIL_B_GLOBAL_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_VAR_CLEARED_ASIL_B_GLOBAL_32
#undef MEMMAP_ERROR

/***************** Static Global Constants Sections ************************/
#elif defined GPT_START_SEC_CONST_ASIL_B_CORE0_8
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Gpt.Const.Cpu0.8bit"
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.Const.Cpu0.8bit" a
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Gpt.Const.Cpu0.8bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Gpt.Const.Cpu0.8bit" far-absolute R
#endif
#undef  GPT_START_SEC_CONST_ASIL_B_CORE0_8
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONST_ASIL_B_CORE0_8
#ifdef _TASKING_C_TRICORE_
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_CONST_ASIL_B_CORE0_8
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_CONST_ASIL_B_CORE1_8
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Gpt.Const.Cpu1.8bit"
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.Const.Cpu1.8bit" a
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Gpt.Const.Cpu1.8bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Gpt.Const.Cpu1.8bit" far-absolute R
#endif
#undef  GPT_START_SEC_CONST_ASIL_B_CORE1_8
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONST_ASIL_B_CORE1_8
#ifdef _TASKING_C_TRICORE_
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_CONST_ASIL_B_CORE1_8
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_CONST_ASIL_B_CORE2_8
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Gpt.Const.Cpu2.8bit"
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.Const.Cpu2.8bit" a
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Gpt.Const.Cpu2.8bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Gpt.Const.Cpu2.8bit" far-absolute R
#endif
#undef  GPT_START_SEC_CONST_ASIL_B_CORE2_8
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONST_ASIL_B_CORE2_8
#ifdef _TASKING_C_TRICORE_
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_CONST_ASIL_B_CORE2_8
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_CONST_ASIL_B_CORE3_8
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Gpt.Const.Cpu3.8bit"
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.Const.Cpu3.8bit" a
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Gpt.Const.Cpu3.8bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Gpt.Const.Cpu3.8bit" far-absolute R
#endif
#undef  GPT_START_SEC_CONST_ASIL_B_CORE3_8
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONST_ASIL_B_CORE3_8
#ifdef _TASKING_C_TRICORE_
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_CONST_ASIL_B_CORE3_8
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_CONST_ASIL_B_CORE4_8
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Gpt.Const.Cpu4.8bit"
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.Const.Cpu4.8bit" a
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Gpt.Const.Cpu4.8bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Gpt.Const.Cpu4.8bit" far-absolute R
#endif
#undef  GPT_START_SEC_CONST_ASIL_B_CORE4_8
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONST_ASIL_B_CORE4_8
#ifdef _TASKING_C_TRICORE_
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_CONST_ASIL_B_CORE4_8
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_CONST_ASIL_B_CORE5_8
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Gpt.Const.Cpu5.8bit"
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.Const.Cpu5.8bit" a
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Gpt.Const.Cpu5.8bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Gpt.Const.Cpu5.8bit" far-absolute R
#endif
#undef  GPT_START_SEC_CONST_ASIL_B_CORE5_8
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONST_ASIL_B_CORE5_8
#ifdef _TASKING_C_TRICORE_
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_CONST_ASIL_B_CORE5_8
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_CONST_ASIL_B_GLOBAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom  "Gpt.Const.Cpu0.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section  "Gpt.Const.Cpu0.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Gpt.Const.Cpu0.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Gpt.Const.Cpu0.Unspecified" far-absolute R
#endif
#undef  GPT_START_SEC_CONST_ASIL_B_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONST_ASIL_B_GLOBAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_CONST_ASIL_B_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR

/******************* Gpt.Config Data Sections *************************/
#elif defined GPT_START_SEC_CONFIG_DATA_ASIL_B_GLOBAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Gpt.Config.Cpu0.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.Config.Cpu0.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Gpt.Config.Cpu0.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Gpt.Config.Cpu0.Unspecified" far-absolute R
#endif
#undef  GPT_START_SEC_CONFIG_DATA_ASIL_B_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONFIG_DATA_ASIL_B_GLOBAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_CONFIG_DATA_ASIL_B_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_CONFIG_DATA_ASIL_B_CORE0_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Gpt.Config.Cpu0.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.Config.Cpu0.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Gpt.Config.Cpu0.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Gpt.Config.Cpu0.Unspecified" far-absolute R
#endif
#undef  GPT_START_SEC_CONFIG_DATA_ASIL_B_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONFIG_DATA_ASIL_B_CORE0_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_CONFIG_DATA_ASIL_B_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_CONFIG_DATA_ASIL_B_CORE1_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Gpt.Config.Cpu1.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.Config.Cpu1.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Gpt.Config.Cpu1.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Gpt.Config.Cpu1.Unspecified" far-absolute R
#endif
#undef  GPT_START_SEC_CONFIG_DATA_ASIL_B_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONFIG_DATA_ASIL_B_CORE1_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_CONFIG_DATA_ASIL_B_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_CONFIG_DATA_ASIL_B_CORE2_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Gpt.Config.Cpu2.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.Config.Cpu2.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Gpt.Config.Cpu2.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Gpt.Config.Cpu2.Unspecified" far-absolute R
#endif
#undef  GPT_START_SEC_CONFIG_DATA_ASIL_B_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONFIG_DATA_ASIL_B_CORE2_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_CONFIG_DATA_ASIL_B_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_CONFIG_DATA_ASIL_B_CORE3_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Gpt.Config.Cpu3.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.Config.Cpu3.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Gpt.Config.Cpu3.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Gpt.Config.Cpu3.Unspecified" far-absolute R
#endif
#undef  GPT_START_SEC_CONFIG_DATA_ASIL_B_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONFIG_DATA_ASIL_B_CORE3_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_CONFIG_DATA_ASIL_B_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_CONFIG_DATA_ASIL_B_CORE4_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Gpt.Config.Cpu4.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.Config.Cpu4.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Gpt.Config.Cpu4.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Gpt.Config.Cpu4.Unspecified" far-absolute R
#endif
#undef  GPT_START_SEC_CONFIG_DATA_ASIL_B_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONFIG_DATA_ASIL_B_CORE4_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_CONFIG_DATA_ASIL_B_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_CONFIG_DATA_ASIL_B_CORE5_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Gpt.Config.Cpu5.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.Config.Cpu5.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Gpt.Config.Cpu5.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Gpt.Config.Cpu5.Unspecified" far-absolute R
#endif
#undef  GPT_START_SEC_CONFIG_DATA_ASIL_B_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONFIG_DATA_ASIL_B_CORE5_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_CONFIG_DATA_ASIL_B_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR

/* Gpt.Code Sections */
/*
To be used for mapping code to application block, boot block, external flash etc.
codePeriod is the typical period time value and unit of the ExecutableEntitys in this MemorySection.
The name part _{codePeriod} is optional. Units are:
- US microseconds
- MS milli second
- S second
*/
#elif defined GPT_START_SEC_CODE_ASIL_B_GLOBAL
#ifdef _TASKING_C_TRICORE_
#pragma section code "Gpt.Code.Cpu0"
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.Code.Cpu0" ax
#elif defined _GHS_C_TRICORE_
#pragma ghs section text = ".Gpt.Code.Cpu0"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CODE "Gpt.Code.Cpu0" RX
#endif
#undef  GPT_START_SEC_CODE_ASIL_B_GLOBAL
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CODE_ASIL_B_GLOBAL
#ifdef _TASKING_C_TRICORE_
#pragma section code restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_CODE_ASIL_B_GLOBAL
#undef MEMMAP_ERROR

#elif defined GPT_START_SEC_CODE_FAST_ASIL_B_GLOBAL
#ifdef _TASKING_C_TRICORE_
#pragma section code "Gpt.Code.Cpu0"
#elif defined _GNU_C_TRICORE_
#pragma section "Gpt.Code.Cpu0" ax
#elif defined _GHS_C_TRICORE_
#pragma ghs section text = ".Gpt.Code.Cpu0"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CODE "Gpt.Code.Cpu0" RX
#endif
#undef  GPT_START_SEC_CODE_FAST_ASIL_B_GLOBAL
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CODE_FAST_ASIL_B_GLOBAL
#ifdef _TASKING_C_TRICORE_
#pragma section code restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  GPT_STOP_SEC_CODE_FAST_ASIL_B_GLOBAL
#undef MEMMAP_ERROR

#endif

#else  /*#if ((APP_SW == DEMO_APP) || (APP_SW == TEST_APP))*/
/************************EMPTY SECTIONS***************************************/
#if defined GPT_START_SEC_VAR_CLEARED_ASIL_B_CORE0_32
#undef  GPT_START_SEC_VAR_CLEARED_ASIL_B_CORE0_32
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_CLEARED_ASIL_B_CORE0_32
#undef  GPT_STOP_SEC_VAR_CLEARED_ASIL_B_CORE0_32
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_VAR_INIT_ASIL_B_CORE0_UNSPECIFIED
#undef  GPT_START_SEC_VAR_INIT_ASIL_B_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_INIT_ASIL_B_CORE0_UNSPECIFIED
#undef  GPT_STOP_SEC_VAR_INIT_ASIL_B_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_VAR_CLEARED_ASIL_B_CORE1_32
#undef  GPT_START_SEC_VAR_CLEARED_ASIL_B_CORE1_32
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_CLEARED_ASIL_B_CORE1_32
#undef  GPT_STOP_SEC_VAR_CLEARED_ASIL_B_CORE1_32
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_VAR_INIT_ASIL_B_CORE1_UNSPECIFIED
#undef  GPT_START_SEC_VAR_INIT_ASIL_B_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_INIT_ASIL_B_CORE1_UNSPECIFIED
#undef  GPT_STOP_SEC_VAR_INIT_ASIL_B_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_VAR_CLEARED_ASIL_B_CORE2_32
#undef  GPT_START_SEC_VAR_CLEARED_ASIL_B_CORE2_32
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_CLEARED_ASIL_B_CORE2_32
#undef  GPT_STOP_SEC_VAR_CLEARED_ASIL_B_CORE2_32
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_VAR_INIT_ASIL_B_CORE2_UNSPECIFIED
#undef  GPT_START_SEC_VAR_INIT_ASIL_B_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_INIT_ASIL_B_CORE2_UNSPECIFIED
#undef  GPT_STOP_SEC_VAR_INIT_ASIL_B_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_VAR_CLEARED_ASIL_B_CORE3_32
#undef  GPT_START_SEC_VAR_CLEARED_ASIL_B_CORE3_32
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_CLEARED_ASIL_B_CORE3_32
#undef  GPT_STOP_SEC_VAR_CLEARED_ASIL_B_CORE3_32
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_VAR_INIT_ASIL_B_CORE3_UNSPECIFIED
#undef  GPT_START_SEC_VAR_INIT_ASIL_B_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_INIT_ASIL_B_CORE3_UNSPECIFIED
#undef  GPT_STOP_SEC_VAR_INIT_ASIL_B_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_VAR_CLEARED_ASIL_B_CORE4_32
#undef  GPT_START_SEC_VAR_CLEARED_ASIL_B_CORE4_32
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_CLEARED_ASIL_B_CORE4_32
#undef  GPT_STOP_SEC_VAR_CLEARED_ASIL_B_CORE4_32
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_VAR_INIT_ASIL_B_CORE4_UNSPECIFIED
#undef  GPT_START_SEC_VAR_INIT_ASIL_B_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_INIT_ASIL_B_CORE4_UNSPECIFIED
#undef  GPT_STOP_SEC_VAR_INIT_ASIL_B_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_VAR_CLEARED_ASIL_B_CORE5_32
#undef  GPT_START_SEC_VAR_CLEARED_ASIL_B_CORE5_32
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_CLEARED_ASIL_B_CORE5_32
#undef  GPT_STOP_SEC_VAR_CLEARED_ASIL_B_CORE5_32
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_VAR_INIT_ASIL_B_CORE5_UNSPECIFIED
#undef  GPT_START_SEC_VAR_INIT_ASIL_B_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_INIT_ASIL_B_CORE5_UNSPECIFIED
#undef  GPT_STOP_SEC_VAR_INIT_ASIL_B_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_VAR_INIT_ASIL_B_GLOBAL_UNSPECIFIED
#undef  GPT_START_SEC_VAR_INIT_ASIL_B_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_INIT_ASIL_B_GLOBAL_UNSPECIFIED
#undef  GPT_STOP_SEC_VAR_INIT_ASIL_B_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_VAR_INIT_ASIL_B_GLOBAL_32
#undef  GPT_START_SEC_VAR_INIT_ASIL_B_GLOBAL_32
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_INIT_ASIL_B_GLOBAL_32
#undef  GPT_STOP_SEC_VAR_INIT_ASIL_B_GLOBAL_32
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_VAR_CLEARED_ASIL_B_GLOBAL_32
#undef  GPT_START_SEC_VAR_CLEARED_ASIL_B_GLOBAL_32
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_VAR_CLEARED_ASIL_B_GLOBAL_32
#undef  GPT_STOP_SEC_VAR_CLEARED_ASIL_B_GLOBAL_32
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_CONST_ASIL_B_CORE0_8
#undef  GPT_START_SEC_CONST_ASIL_B_CORE0_8
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONST_ASIL_B_CORE0_8
#undef  GPT_STOP_SEC_CONST_ASIL_B_CORE0_8
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_CONST_ASIL_B_CORE1_8
#undef  GPT_START_SEC_CONST_ASIL_B_CORE1_8
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONST_ASIL_B_CORE1_8
#undef  GPT_STOP_SEC_CONST_ASIL_B_CORE1_8
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_CONST_ASIL_B_CORE2_8
#undef  GPT_START_SEC_CONST_ASIL_B_CORE2_8
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONST_ASIL_B_CORE2_8
#undef  GPT_STOP_SEC_CONST_ASIL_B_CORE2_8
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_CONST_ASIL_B_CORE3_8
#undef  GPT_START_SEC_CONST_ASIL_B_CORE3_8
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONST_ASIL_B_CORE3_8
#undef  GPT_STOP_SEC_CONST_ASIL_B_CORE3_8
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_CONST_ASIL_B_CORE4_8
#undef  GPT_START_SEC_CONST_ASIL_B_CORE4_8
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONST_ASIL_B_CORE4_8
#undef  GPT_STOP_SEC_CONST_ASIL_B_CORE4_8
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_CONST_ASIL_B_CORE5_8
#undef  GPT_START_SEC_CONST_ASIL_B_CORE5_8
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONST_ASIL_B_CORE5_8
#undef  GPT_STOP_SEC_CONST_ASIL_B_CORE5_8
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_CONST_ASIL_B_GLOBAL_UNSPECIFIED
#undef  GPT_START_SEC_CONST_ASIL_B_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONST_ASIL_B_GLOBAL_UNSPECIFIED
#undef  GPT_STOP_SEC_CONST_ASIL_B_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_CONFIG_DATA_ASIL_B_GLOBAL_UNSPECIFIED
#undef  GPT_START_SEC_CONFIG_DATA_ASIL_B_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONFIG_DATA_ASIL_B_GLOBAL_UNSPECIFIED
#undef  GPT_STOP_SEC_CONFIG_DATA_ASIL_B_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_CONFIG_DATA_ASIL_B_CORE0_UNSPECIFIED
#undef  GPT_START_SEC_CONFIG_DATA_ASIL_B_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONFIG_DATA_ASIL_B_CORE0_UNSPECIFIED
#undef  GPT_STOP_SEC_CONFIG_DATA_ASIL_B_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_CONFIG_DATA_ASIL_B_CORE1_UNSPECIFIED
#undef  GPT_START_SEC_CONFIG_DATA_ASIL_B_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONFIG_DATA_ASIL_B_CORE1_UNSPECIFIED
#undef  GPT_STOP_SEC_CONFIG_DATA_ASIL_B_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_CONFIG_DATA_ASIL_B_CORE2_UNSPECIFIED
#undef  GPT_START_SEC_CONFIG_DATA_ASIL_B_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONFIG_DATA_ASIL_B_CORE2_UNSPECIFIED
#undef  GPT_STOP_SEC_CONFIG_DATA_ASIL_B_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_CONFIG_DATA_ASIL_B_CORE3_UNSPECIFIED
#undef  GPT_START_SEC_CONFIG_DATA_ASIL_B_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONFIG_DATA_ASIL_B_CORE3_UNSPECIFIED
#undef  GPT_STOP_SEC_CONFIG_DATA_ASIL_B_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_CONFIG_DATA_ASIL_B_CORE4_UNSPECIFIED
#undef  GPT_START_SEC_CONFIG_DATA_ASIL_B_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONFIG_DATA_ASIL_B_CORE4_UNSPECIFIED
#undef  GPT_STOP_SEC_CONFIG_DATA_ASIL_B_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_CONFIG_DATA_ASIL_B_CORE5_UNSPECIFIED
#undef  GPT_START_SEC_CONFIG_DATA_ASIL_B_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CONFIG_DATA_ASIL_B_CORE5_UNSPECIFIED
#undef  GPT_STOP_SEC_CONFIG_DATA_ASIL_B_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_CODE_ASIL_B_GLOBAL
#undef  GPT_START_SEC_CODE_ASIL_B_GLOBAL
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CODE_ASIL_B_GLOBAL
#undef  GPT_STOP_SEC_CODE_ASIL_B_GLOBAL
#undef MEMMAP_ERROR
#elif defined GPT_START_SEC_CODE_FAST_ASIL_B_GLOBAL
#undef  GPT_START_SEC_CODE_FAST_ASIL_B_GLOBAL
#undef MEMMAP_ERROR
#elif defined GPT_STOP_SEC_CODE_FAST_ASIL_B_GLOBAL
#undef  GPT_STOP_SEC_CODE_FAST_ASIL_B_GLOBAL
#undef MEMMAP_ERROR
#endif

#endif /*#if ((APP_SW == DEMO_APP) || (APP_SW == TEST_APP))*/

#if defined MEMMAP_ERROR
#error "Gpt_MemMap.h, wrong pragma command"
#endif
