/**
 * \file IfxPmu_bf.h
 * \brief
 * \copyright Copyright (c) 2020 Infineon Technologies AG. All rights reserved.
 *
 *
 * Version: TC39XB_UM_V1.4.0.R0
 * Specification: TC3xx User Manual V1.4.0
 * MAY BE CHANGED BY USER [yes/no]: No
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Use of this file is subject to the terms of use agreed between (i) you or 
 * the company in which ordinary course of business you are acting and (ii) 
 * Infineon Technologies AG or its licensees. If and as long as no such 
 * terms of use are agreed, use of this file is subject to following:


 * Boost Software License - Version 1.0 - August 17th, 2003

 * Permission is hereby granted, free of charge, to any person or 
 * organization obtaining a copy of the software and accompanying 
 * documentation covered by this license (the "Software") to use, reproduce,
 * display, distribute, execute, and transmit the Software, and to prepare
 * derivative works of the Software, and to permit third-parties to whom the 
 * Software is furnished to do so, all subject to the following:

 * The copyright notices in the Software and this entire statement, including
 * the above license grant, this restriction and the following disclaimer, must
 * be included in all copies of the Software, in whole or in part, and all
 * derivative works of the Software, unless such copies or derivative works are
 * solely in the form of machine-executable object code generated by a source
 * language processor.

 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT
 * SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE 
 * FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 * \defgroup IfxSfr_Pmu_Registers_BitfieldsMask Bitfields mask and offset
 * \ingroup IfxSfr_Pmu_Registers
 * 
 */
#ifndef IFXPMU_BF_H
#define IFXPMU_BF_H 1

/******************************************************************************/

/******************************************************************************/

/** \addtogroup IfxSfr_Pmu_Registers_BitfieldsMask
 * \{  */
/** \brief Length for Ifx_PMU_ID_Bits.MOD_REV */
#define IFX_PMU_ID_MOD_REV_LEN (8u)

/** \brief Mask for Ifx_PMU_ID_Bits.MOD_REV */
#define IFX_PMU_ID_MOD_REV_MSK (0xffu)

/** \brief Offset for Ifx_PMU_ID_Bits.MOD_REV */
#define IFX_PMU_ID_MOD_REV_OFF (0u)

/** \brief Length for Ifx_PMU_ID_Bits.MOD_TYPE */
#define IFX_PMU_ID_MOD_TYPE_LEN (8u)

/** \brief Mask for Ifx_PMU_ID_Bits.MOD_TYPE */
#define IFX_PMU_ID_MOD_TYPE_MSK (0xffu)

/** \brief Offset for Ifx_PMU_ID_Bits.MOD_TYPE */
#define IFX_PMU_ID_MOD_TYPE_OFF (8u)

/** \brief Length for Ifx_PMU_ID_Bits.MOD_NUMBER */
#define IFX_PMU_ID_MOD_NUMBER_LEN (16u)

/** \brief Mask for Ifx_PMU_ID_Bits.MOD_NUMBER */
#define IFX_PMU_ID_MOD_NUMBER_MSK (0xffffu)

/** \brief Offset for Ifx_PMU_ID_Bits.MOD_NUMBER */
#define IFX_PMU_ID_MOD_NUMBER_OFF (16u)

/** \}  */

/******************************************************************************/

/******************************************************************************/

#endif /* IFXPMU_BF_H */
