/*******************************************************************************
**                                                                            **
** Copyright (C) Infineon Technologies (2019)                                 **
**                                                                            **
** All rights reserved.                                                       **
**                                                                            **
** This document contains proprietary information belonging to Infineon       **
** Technologies. Passing on and copying of this document, and communication   **
** of its contents is not permitted without prior written authorization.      **
**                                                                            **
********************************************************************************
**                                                                            **
**  FILENAME     : Lin_17_AscLin_MemMap.h                                     **
**                                                                            **
**  VERSION      : 1.40.0_4.0.0                                               **
**                                                                            **
**  DATE         : 2020-01-10                                                 **
**                                                                            **
**  VARIANT      : Variant PB                                                 **
**                                                                            **
**  PLATFORM     : Infineon AURIX2G                                           **
**                                                                            **
**  AUTHOR       : DL-AUTOSAR-Engineering                                     **
**                                                                            **
**  VENDOR       : Infineon Technologies                                      **
**                                                                            **
**  DESCRIPTION  : Memory Mapping file for Lin driver                         **
**                                                                            **
**  SPECIFICATION(S) : Specification of LIN_17_ASCLIN Driver,                 **
**                     AUTOSAR Release 4.2.2                                  **
**                                                                            **
**  MAY BE CHANGED BY USER : Yes                                              **
**                                                                            **
*******************************************************************************/
#define MEMMAP_ERROR
#if ((APP_SW == DEMO_APP) || (APP_SW == TEST_APP))
/*DATA Section*/
/*To be used for all global or static variables.*/
/*Variable to be cleared at startup or reset is palced here - .bss*/
#if defined LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_GLOBAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Lin.ClearedData.LmuNC.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.ClearedData.LmuNC.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Lin.ClearedData.LmuNC.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Lin.InitData.LmuNC.Unspecified" "Lin.ClearedData.LmuNC.Unspecified" far-absolute RW
#endif
#undef  LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_GLOBAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_CORE0_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Lin.ClearedData.Cpu0.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.ClearedData.Cpu0.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Lin.ClearedData.Cpu0.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Lin.InitData.Cpu0.Unspecified" "Lin.ClearedData.Cpu0.Unspecified" far-absolute RW
#endif
#undef  LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_CORE0_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_CORE1_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Lin.ClearedData.Cpu1.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.ClearedData.Cpu1.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Lin.ClearedData.Cpu1.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Lin.InitData.Cpu1.Unspecified" "Lin.ClearedData.Cpu1.Unspecified" far-absolute RW
#endif
#undef  LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_CORE1_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_CORE2_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Lin.ClearedData.Cpu2.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.ClearedData.Cpu2.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Lin.ClearedData.Cpu2.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Lin.InitData.Cpu2.Unspecified" "Lin.ClearedData.Cpu2.Unspecified" far-absolute RW
#endif
#undef  LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_CORE2_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_CORE3_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Lin.ClearedData.Cpu3.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.ClearedData.Cpu3.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Lin.ClearedData.Cpu3.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Lin.InitData.Cpu3.Unspecified" "Lin.ClearedData.Cpu3.Unspecified" far-absolute RW
#endif
#undef  LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_CORE3_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_CORE4_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Lin.ClearedData.Cpu4.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.ClearedData.Cpu4.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Lin.ClearedData.Cpu4.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Lin.InitData.Cpu4.Unspecified" "Lin.ClearedData.Cpu4.Unspecified" far-absolute RW
#endif
#undef  LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_CORE4_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_CORE5_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Lin.ClearedData.Cpu5.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.ClearedData.Cpu5.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Lin.ClearedData.Cpu5.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Lin.InitData.Cpu5.Unspecified" "Lin.ClearedData.Cpu5.Unspecified" far-absolute RW
#endif
#undef  LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_CORE5_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_VAR_INIT_QM_GLOBAL_U8
#ifdef _TASKING_C_TRICORE_
#pragma section fardata "Lin.InitData.LmuNC.8bit"
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.InitData.LmuNC.8bit" aw
#elif defined _GHS_C_TRICORE_
#pragma ghs section data = ".Lin.InitData.LmuNC.8bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Lin.InitData.LmuNC.8bit"  "Lin.ClearedData.LmuNC.8bit" far-absolute RW
#endif
#undef  LIN_17_ASCLIN_START_SEC_VAR_INIT_QM_GLOBAL_U8
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_INIT_QM_GLOBAL_U8
#ifdef _TASKING_C_TRICORE_
#pragma section fardata restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_INIT_QM_GLOBAL_U8
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_GLOBAL_U8
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Lin.ClearedData.LmuNC.8bit"
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.ClearedData.LmuNC.8bit" aw
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Lin.ClearedData.LmuNC.8bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Lin.InitData.LmuNC.8bit" "Lin.ClearedData.LmuNC.8bit" far-absolute RW
#endif
#undef  LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_GLOBAL_U8
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_GLOBAL_U8
#ifdef _TASKING_C_TRICORE_
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_GLOBAL_U8
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_GLOBAL_U32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Lin.ClearedData.LmuNC.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.ClearedData.LmuNC.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Lin.ClearedData.LmuNC.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Lin.InitData.LmuNC.32bit" "Lin.ClearedData.LmuNC.32bit" far-absolute RW
#endif
#undef  LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_GLOBAL_U32
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_GLOBAL_U32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_GLOBAL_U32
#undef MEMMAP_ERROR

#elif defined  LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_LOCAL_8
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Lin.ClearedData.Cpu0.8bit"
#elif defined _GNU_C_TRICORE_
#pragma section  "Lin.ClearedData.Cpu0.8bit" aw
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Lin.ClearedData.Cpu0.8bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Lin.InitData.Cpu0.8bit" "Lin.ClearedData.Cpu0.8bit" far-absolute RW
#endif
#undef   LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_LOCAL_8
#undef MEMMAP_ERROR
#elif defined  LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_LOCAL_8
#ifdef _TASKING_C_TRICORE_
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef   LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_LOCAL_8
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_LOCAL_32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Lin.ClearedData.Cpu0.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section  "Lin.ClearedData.Cpu0.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Lin.ClearedData.Cpu0.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Lin.InitData.Cpu0.32bit" "Lin.ClearedData.Cpu0.32bit" far-absolute RW
#endif
#undef  LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_LOCAL_32
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_LOCAL_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_LOCAL_32
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_LOCAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Lin.ClearedData.Cpu0.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section  "Lin.ClearedData.Cpu0.Unspecified" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Lin.ClearedData.Cpu0.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Lin.InitData.Cpu0.Unspecified" "Lin.ClearedData.Cpu0.Unspecified" far-absolute RW
#endif
#undef  LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_LOCAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_LOCAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_LOCAL_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_VAR_INIT_QM_GLOBAL_U32
#ifdef _TASKING_C_TRICORE_
#pragma section fardata "Lin.InitData.LmuNC.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.InitData.LmuNC.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section data = ".Lin.InitData.LmuNC.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Lin.InitData.LmuNC.32bit"  "Lin.ClearedData.LmuNC.32bit" far-absolute RW
#endif
#undef  LIN_17_ASCLIN_START_SEC_VAR_INIT_QM_GLOBAL_U32
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_INIT_QM_GLOBAL_U32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section fardata restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_INIT_QM_GLOBAL_U32
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_GLOBAL_U32
#ifdef _TASKING_C_TRICORE_
#pragma section farbss "Lin.ClearedData.LmuNC.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.ClearedData.LmuNC.32bit" aw 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section bss = ".Lin.ClearedData.LmuNC.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section DATA "Lin.InitData.LmuNC.32bit" "Lin.ClearedData.LmuNC.32bit" far-absolute RW
#endif
#undef LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_GLOBAL_U32
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_GLOBAL_U32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farbss restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_GLOBAL_U32
#undef MEMMAP_ERROR

/***************** Static Global Constants Sections ************************/
#elif defined LIN_17_ASCLIN_START_SEC_CONST_QM_GLOBAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom  "Lin.Const.Cpu0.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section  "Lin.Const.Cpu0.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Lin.Const.Cpu0.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Lin.Const.Cpu0.Unspecified" far-absolute R
#endif
#undef  LIN_17_ASCLIN_START_SEC_CONST_QM_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONST_QM_GLOBAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_CONST_QM_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_CONST_QM_CORE0_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Lin.Const.Cpu0.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.Const.Cpu0.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Lin.Const.Cpu0.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Lin.Const.Cpu0.Unspecified" far-absolute R
#endif
#undef  LIN_17_ASCLIN_START_SEC_CONST_QM_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONST_QM_CORE0_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_CONST_QM_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_CONST_QM_CORE1_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Lin.Const.Cpu1.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.Const.Cpu1.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Lin.Const.Cpu1.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Lin.Const.Cpu1.Unspecified" far-absolute R
#endif
#undef  LIN_17_ASCLIN_START_SEC_CONST_QM_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONST_QM_CORE1_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_CONST_QM_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_CONST_QM_CORE2_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Lin.Const.Cpu2.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.Const.Cpu2.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Lin.Const.Cpu2.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Lin.Const.Cpu2.Unspecified" far-absolute R
#endif
#undef  LIN_17_ASCLIN_START_SEC_CONST_QM_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONST_QM_CORE2_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_CONST_QM_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_CONST_QM_CORE3_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Lin.Const.Cpu3.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.Const.Cpu3.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Lin.Const.Cpu3.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Lin.Const.Cpu3.Unspecified" far-absolute R
#endif
#undef  LIN_17_ASCLIN_START_SEC_CONST_QM_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONST_QM_CORE3_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_CONST_QM_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_CONST_QM_CORE4_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Lin.Const.Cpu4.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.Const.Cpu4.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Lin.Const.Cpu4.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Lin.Const.Cpu4.Unspecified" far-absolute R
#endif
#undef  LIN_17_ASCLIN_START_SEC_CONST_QM_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONST_QM_CORE4_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_CONST_QM_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_CONST_QM_CORE5_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Lin.Const.Cpu5.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.Const.Cpu5.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Lin.Const.Cpu5.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Lin.Const.Cpu5.Unspecified" far-absolute R
#endif
#undef  LIN_17_ASCLIN_START_SEC_CONST_QM_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONST_QM_CORE5_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_CONST_QM_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined  LIN_17_ASCLIN_START_SEC_CONST_QM_LOCAL_32
#ifdef _TASKING_C_TRICORE_
#pragma section farrom  "Lin.Const.Cpu0.32bit"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section  "Lin.Const.Cpu0.32bit" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Lin.Const.Cpu0.32bit"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Lin.Const.Cpu0.32bit" far-absolute R
#endif
#undef   LIN_17_ASCLIN_START_SEC_CONST_QM_LOCAL_32
#undef MEMMAP_ERROR
#elif defined  LIN_17_ASCLIN_STOP_SEC_CONST_QM_LOCAL_32
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef   LIN_17_ASCLIN_STOP_SEC_CONST_QM_LOCAL_32
#undef MEMMAP_ERROR

/******************* Lin.Config Data Sections *************************/
#elif defined LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_GLOBAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Lin.Config.Cpu0.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.Config.Cpu0.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Lin.Config.Cpu0.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Lin.Config.Cpu0.Unspecified" far-absolute R
#endif
#undef  LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_GLOBAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_CORE0_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Lin.Config.Cpu0.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.Config.Cpu0.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Lin.Config.Cpu0.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Lin.Config.Cpu0.Unspecified" far-absolute R
#endif
#undef  LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_CORE0_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_CORE1_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Lin.Config.Cpu1.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.Config.Cpu1.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Lin.Config.Cpu1.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Lin.Config.Cpu1.Unspecified" far-absolute R
#endif
#undef  LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_CORE1_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_CORE2_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Lin.Config.Cpu2.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.Config.Cpu2.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Lin.Config.Cpu2.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Lin.Config.Cpu2.Unspecified" far-absolute R
#endif
#undef  LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_CORE2_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_CORE3_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Lin.Config.Cpu3.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.Config.Cpu3.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Lin.Config.Cpu3.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Lin.Config.Cpu3.Unspecified" far-absolute R
#endif
#undef  LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_CORE3_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_CORE4_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Lin.Config.Cpu4.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.Config.Cpu4.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Lin.Config.Cpu4.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Lin.Config.Cpu4.Unspecified" far-absolute R
#endif
#undef  LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_CORE4_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_CORE5_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Lin.Config.Cpu5.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.Config.Cpu5.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Lin.Config.Cpu5.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Lin.Config.Cpu5.Unspecified" far-absolute R
#endif
#undef  LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_CORE5_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_LOCAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma section farrom "Lin.Config.Cpu0.Unspecified"
#pragma align 4
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.Config.Cpu0.Unspecified" a 4
#elif defined _GHS_C_TRICORE_
#pragma ghs section rodata = ".Lin.Config.Cpu0.Unspecified"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CONST "Lin.Config.Cpu0.Unspecified" far-absolute R
#endif
#undef  LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_LOCAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_LOCAL_UNSPECIFIED
#ifdef _TASKING_C_TRICORE_
#pragma align restore
#pragma section farrom restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_LOCAL_UNSPECIFIED
#undef MEMMAP_ERROR

/* Lin.Code Sections */
/*
To be used for mapping code to application block, boot block, external flash etc.
codePeriod is the typical period time value and unit of the ExecutableEntitys in this MemorySection.
The name part _{codePeriod} is optional. Units are:
- US microseconds
- MS milli second
- S second
*/
#elif defined LIN_17_ASCLIN_START_SEC_CODE_QM_GLOBAL
#ifdef _TASKING_C_TRICORE_
#pragma section code "Lin.Code.Cpu0"
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.Code.Cpu0" ax
#elif defined _GHS_C_TRICORE_
#pragma ghs section text = ".Lin.Code.Cpu0"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CODE "Lin.Code.Cpu0" RX
#endif
#undef  LIN_17_ASCLIN_START_SEC_CODE_QM_GLOBAL
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CODE_QM_GLOBAL
#ifdef _TASKING_C_TRICORE_
#pragma section code restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_CODE_QM_GLOBAL
#undef MEMMAP_ERROR

#elif defined LIN_17_ASCLIN_START_SEC_CODE_QM_LOCAL
#ifdef _TASKING_C_TRICORE_
#pragma section code "Lin.Code.Cpu0"
#elif defined _GNU_C_TRICORE_
#pragma section "Lin.Code.Cpu0" ax
#elif defined _GHS_C_TRICORE_
#pragma ghs section text  = ".Lin.Code.Cpu0"
#elif defined _DIABDATA_C_TRICORE_
#pragma section CODE "Lin.Code.Cpu0" RX
#endif
#undef  LIN_17_ASCLIN_START_SEC_CODE_QM_LOCAL
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CODE_QM_LOCAL
#ifdef _TASKING_C_TRICORE_
#pragma section code restore
#elif defined _GNU_C_TRICORE_
#pragma section
#elif defined _GHS_C_TRICORE_
#pragma ghs section
#elif defined _DIABDATA_C_TRICORE_
#pragma section
#endif
#undef  LIN_17_ASCLIN_STOP_SEC_CODE_QM_LOCAL
#undef MEMMAP_ERROR

#endif

#else  /*#if ((APP_SW == DEMO_APP) || (APP_SW == TEST_APP))*/
/***********************************EMPTY SECTIONS***********************************/
#if defined LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_GLOBAL_UNSPECIFIED
#undef  LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_GLOBAL_UNSPECIFIED
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_CORE0_UNSPECIFIED
#undef  LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_CORE0_UNSPECIFIED
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_CORE1_UNSPECIFIED
#undef  LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_CORE1_UNSPECIFIED
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_CORE2_UNSPECIFIED
#undef  LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_CORE2_UNSPECIFIED
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_CORE3_UNSPECIFIED
#undef  LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_CORE3_UNSPECIFIED
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_CORE4_UNSPECIFIED
#undef  LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_CORE4_UNSPECIFIED
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_CORE5_UNSPECIFIED
#undef  LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_CORE5_UNSPECIFIED
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_VAR_INIT_QM_GLOBAL_U8
#undef  LIN_17_ASCLIN_START_SEC_VAR_INIT_QM_GLOBAL_U8
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_INIT_QM_GLOBAL_U8
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_INIT_QM_GLOBAL_U8
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_GLOBAL_U8
#undef  LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_GLOBAL_U8
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_GLOBAL_U8
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_GLOBAL_U8
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_GLOBAL_U32
#undef  LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_GLOBAL_U32
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_GLOBAL_U32
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_GLOBAL_U32
#undef MEMMAP_ERROR
#elif defined  LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_LOCAL_8
#undef   LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_LOCAL_8
#undef MEMMAP_ERROR
#elif defined  LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_LOCAL_8
#undef   LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_LOCAL_8
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_LOCAL_32
#undef  LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_LOCAL_32
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_LOCAL_32
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_LOCAL_32
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_LOCAL_UNSPECIFIED
#undef  LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_LOCAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_LOCAL_UNSPECIFIED
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_LOCAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_VAR_INIT_QM_GLOBAL_U32
#undef  LIN_17_ASCLIN_START_SEC_VAR_INIT_QM_GLOBAL_U32
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_INIT_QM_GLOBAL_U32
#undef  LIN_17_ASCLIN_STOP_SEC_VAR_INIT_QM_GLOBAL_U32
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_GLOBAL_U32
#undef LIN_17_ASCLIN_START_SEC_VAR_CLEARED_QM_GLOBAL_U32
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_GLOBAL_U32
#undef LIN_17_ASCLIN_STOP_SEC_VAR_CLEARED_QM_GLOBAL_U32
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_CONST_QM_GLOBAL_UNSPECIFIED
#undef  LIN_17_ASCLIN_START_SEC_CONST_QM_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONST_QM_GLOBAL_UNSPECIFIED
#undef  LIN_17_ASCLIN_STOP_SEC_CONST_QM_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_CONST_QM_CORE0_UNSPECIFIED
#undef  LIN_17_ASCLIN_START_SEC_CONST_QM_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONST_QM_CORE0_UNSPECIFIED
#undef  LIN_17_ASCLIN_STOP_SEC_CONST_QM_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_CONST_QM_CORE1_UNSPECIFIED
#undef  LIN_17_ASCLIN_START_SEC_CONST_QM_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONST_QM_CORE1_UNSPECIFIED
#undef  LIN_17_ASCLIN_STOP_SEC_CONST_QM_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_CONST_QM_CORE2_UNSPECIFIED
#undef  LIN_17_ASCLIN_START_SEC_CONST_QM_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONST_QM_CORE2_UNSPECIFIED
#undef  LIN_17_ASCLIN_STOP_SEC_CONST_QM_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_CONST_QM_CORE3_UNSPECIFIED
#undef  LIN_17_ASCLIN_START_SEC_CONST_QM_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONST_QM_CORE3_UNSPECIFIED
#undef  LIN_17_ASCLIN_STOP_SEC_CONST_QM_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_CONST_QM_CORE4_UNSPECIFIED
#undef  LIN_17_ASCLIN_START_SEC_CONST_QM_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONST_QM_CORE4_UNSPECIFIED
#undef  LIN_17_ASCLIN_STOP_SEC_CONST_QM_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_CONST_QM_CORE5_UNSPECIFIED
#undef  LIN_17_ASCLIN_START_SEC_CONST_QM_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONST_QM_CORE5_UNSPECIFIED
#undef  LIN_17_ASCLIN_STOP_SEC_CONST_QM_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined  LIN_17_ASCLIN_START_SEC_CONST_QM_LOCAL_32
#undef   LIN_17_ASCLIN_START_SEC_CONST_QM_LOCAL_32
#undef MEMMAP_ERROR
#elif defined  LIN_17_ASCLIN_STOP_SEC_CONST_QM_LOCAL_32
#undef   LIN_17_ASCLIN_STOP_SEC_CONST_QM_LOCAL_32
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_GLOBAL_UNSPECIFIED
#undef  LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_GLOBAL_UNSPECIFIED
#undef  LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_GLOBAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_CORE0_UNSPECIFIED
#undef  LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_CORE0_UNSPECIFIED
#undef  LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_CORE0_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_CORE1_UNSPECIFIED
#undef  LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_CORE1_UNSPECIFIED
#undef  LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_CORE1_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_CORE2_UNSPECIFIED
#undef  LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_CORE2_UNSPECIFIED
#undef  LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_CORE2_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_CORE3_UNSPECIFIED
#undef  LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_CORE3_UNSPECIFIED
#undef  LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_CORE3_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_CORE4_UNSPECIFIED
#undef  LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_CORE4_UNSPECIFIED
#undef  LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_CORE4_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_CORE5_UNSPECIFIED
#undef  LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_CORE5_UNSPECIFIED
#undef  LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_CORE5_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_LOCAL_UNSPECIFIED
#undef  LIN_17_ASCLIN_START_SEC_CONFIG_DATA_QM_LOCAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_LOCAL_UNSPECIFIED
#undef  LIN_17_ASCLIN_STOP_SEC_CONFIG_DATA_QM_LOCAL_UNSPECIFIED
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_CODE_QM_GLOBAL
#undef  LIN_17_ASCLIN_START_SEC_CODE_QM_GLOBAL
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CODE_QM_GLOBAL
#undef  LIN_17_ASCLIN_STOP_SEC_CODE_QM_GLOBAL
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_START_SEC_CODE_QM_LOCAL
#undef  LIN_17_ASCLIN_START_SEC_CODE_QM_LOCAL
#undef MEMMAP_ERROR
#elif defined LIN_17_ASCLIN_STOP_SEC_CODE_QM_LOCAL
#undef  LIN_17_ASCLIN_STOP_SEC_CODE_QM_LOCAL
#undef MEMMAP_ERROR
#endif

#endif /*#if ((APP_SW == DEMO_APP) || (APP_SW == TEST_APP))*/

#if defined MEMMAP_ERROR
#error "Lin_17_AscLin_MemMap.h, wrong pragma command"
#endif
