/* ###*B*###
 * Erika Enterprise, version 3
 *
 * Copyright (C) 2017-2019 Evidence s.r.l.
 * Copyright (C) 2019-  Huawei Technologies Co., Ltd. and its Affiliates
 * ###*E*### */

/** \file   ee_tc_gcc_flash.ld
 *  \brief  Linker script file for GCC compiler for TC39X (no iLLD integration)
 *  \author VOS
 *  \date   2018
 */
 
OUTPUT_FORMAT("elf32-tricore")
OUTPUT_ARCH(tricore)
ENTRY(_start)
/* This is how you force to link symbols
EXTERN(osEE_tc_bmhd_0_orig)
EXTERN(osEE_tc_bmhd_1_orig)
EXTERN(osEE_tc_bmhd_2_orig)
EXTERN(osEE_tc_bmhd_3_orig)
EXTERN(osEE_tc_bmhd_4_orig)
EXTERN(osEE_tc_bmhd_0_copy)
EXTERN(osEE_tc_bmhd_1_copy)
EXTERN(osEE_tc_bmhd_2_copy)
EXTERN(osEE_tc_bmhd_3_copy)
EXTERN(osEE_tc_bmhd_4_copy)
*/
/* Force to link the variable that contains the "TriCore ID" used to compile */
EXTERN(__TRICORE_DERIVATE_NAME__)
__TRICORE_DERIVATE_MEMORY_MAP__ = 0x3900;

/* CSA list size */
__CSA_SIZE = DEFINED (__CSA_SIZE) ? __CSA_SIZE : 16k;
/* Interrupt stack size */
__ISTACK_SIZE = DEFINED (__ISTACK_SIZE) ? __ISTACK_SIZE : 1K;
/* User stack size */
__USTACK_SIZE = DEFINED (__USTACK_SIZE) ? __USTACK_SIZE : 16K;

/* Heap size */
__HEAP_SIZE = DEFINED (__HEAP_SIZE) ? __HEAP_SIZE : 0k;

/* Dflash0 size */
__DFLASH0_SIZE = DEFINED (__DFLASH0_SIZE) ? __DFLASH0_SIZE : 1M;

/* CPU0 CSA list size */
__CSA0_SIZE = DEFINED (__CSA0_SIZE) ? __CSA0_SIZE : __CSA_SIZE;
/* CPU0 Interrupt stack size */
__ISTACK0_SIZE = DEFINED (__ISTACK0_SIZE) ? __ISTACK0_SIZE : __ISTACK_SIZE;
/* CPU0 User stack size */
__USTACK0_SIZE = DEFINED (__USTACK0_SIZE) ? __USTACK0_SIZE : __USTACK_SIZE;

/* CPU1 CSA list size */
__CSA1_SIZE = DEFINED (__CSA1_SIZE) ? __CSA1_SIZE : __CSA_SIZE;
/* CPU1 Interrupt stack size */
__ISTACK1_SIZE = DEFINED (__ISTACK1_SIZE) ? __ISTACK1_SIZE : __ISTACK_SIZE;
/* CPU1 User stack size */
__USTACK1_SIZE = DEFINED (__USTACK1_SIZE) ? __USTACK1_SIZE : __USTACK_SIZE;

/* CPU2 CSA list size */
__CSA2_SIZE = DEFINED (__CSA2_SIZE) ? __CSA2_SIZE : __CSA_SIZE;
/* CPU2 Interrupt stack size */
__ISTACK2_SIZE = DEFINED (__ISTACK2_SIZE) ? __ISTACK2_SIZE : __ISTACK_SIZE;
/* CPU2 User stack size */
__USTACK2_SIZE = DEFINED (__USTACK2_SIZE) ? __USTACK2_SIZE : __USTACK_SIZE;

/* CPU3 CSA list size */
__CSA3_SIZE = DEFINED (__CSA3_SIZE) ? __CSA3_SIZE : __CSA_SIZE;
/* CPU3 Interrupt stack size */
__ISTACK3_SIZE = DEFINED (__ISTACK3_SIZE) ? __ISTACK3_SIZE : __ISTACK_SIZE;
/* CPU3 User stack size */
__USTACK3_SIZE = DEFINED (__USTACK3_SIZE) ? __USTACK3_SIZE : __USTACK_SIZE;

/* CPU4 CSA list size */
__CSA4_SIZE = DEFINED (__CSA4_SIZE) ? __CSA4_SIZE : __CSA_SIZE;
/* CPU4 Interrupt stack size */
__ISTACK4_SIZE = DEFINED (__ISTACK4_SIZE) ? __ISTACK4_SIZE : __ISTACK_SIZE;
/* CPU4 User stack size */
__USTACK4_SIZE = DEFINED (__USTACK4_SIZE) ? __USTACK4_SIZE : __USTACK_SIZE;

/* CPU5 CSA list size */
__CSA5_SIZE = DEFINED (__CSA5_SIZE) ? __CSA5_SIZE : __CSA_SIZE;
/* CPU5 Interrupt stack size */
__ISTACK5_SIZE = DEFINED (__ISTACK5_SIZE) ? __ISTACK5_SIZE : __ISTACK_SIZE;
/* CPU5 User stack size */
__USTACK5_SIZE = DEFINED (__USTACK5_SIZE) ? __USTACK5_SIZE : __USTACK_SIZE;

__DSPR5_START = 0x10000000;
__DSPR4_START = 0x30000000;
__DSPR3_START = 0x40000000;
__DSPR2_START = 0x50000000;
__DSPR1_START = 0x60000000;
__DSPR0_START = 0x70000000;
__DSPR_START  = 0x10000000;
__DSPR_END    = 0x7003C000;
__DLMU_START  = 0x90000000;
__DLMU_END    = 0x90120000;
__LMU_START   = 0xB0040000;
__LMU_END     = 0xB0100000;
__EMEM_START  = 0x99000000;
__EMEM_END    = 0x99400000;
__DSPR5_SIZE = 96k;
__DSPR4_SIZE = 96k;
__DSPR3_SIZE = 96k;
__DSPR2_SIZE = 96k;
__DSPR1_SIZE = DEFINED (__DSPR1_SIZE) ? __DSPR1_SIZE : 240k;
__DSPR0_SIZE = DEFINED (__DSPR0_SIZE) ? __DSPR0_SIZE : 240k;

__PMU_PFLASH5_START = 0x80f00000;
__PMU_PFLASH4_START = 0x80e00000;
__PMU_PFLASH3_START = 0x80d00000;
__PMU_PFLASH2_START = 0x80c00000;
__PMU_PFLASH1_START = 0x80a00000;
__PMU_PFLASH0_START = 0x80800000;

MEMORY
{
/* Scratch-Pad RAMs Core6 */
  DMI_DSPR5       (w!xpc6): org = 0x10000000, len = 96K
  PMI_PSPR5       (wx!pc6): org = 0x10100000, len = 64K

/* Scratch-Pad RAMs Core4 */
  DMI_DSPR4       (w!xpc4): org = 0x30000000, len = 96K
  PMI_PSPR4       (wx!pc4): org = 0x30100000, len = 64K

/* Scratch-Pad RAMs Core3 */
  DMI_DSPR3       (w!xpc3): org = 0x40000000, len = 96K
  PMI_PSPR3       (wx!pc3): org = 0x40100000, len = 64K

/* Scratch-Pad RAMs Core2 */
  DMI_DSPR2       (w!xpc2): org = 0x50000000, len = 96K
  PMI_PSPR2       (wx!pc2): org = 0x50100000, len = 64K

/* Scratch-Pad RAMs Core1 */
/* Reserved for Eth DMA */
  DMI_DSPR1_DMA   (w!xpc1): org = 0x60000000, len = 50K
  DMI_DSPR1       (w!xpc1): org = 0x6000C800, len = 190K
  PMI_PSPR1       (wx!pc1): org = 0x60100000, len = 64K

/* Scratch-Pad RAMs Core0 */
  USER_DEFINED    (w!xpc0): org = 0x70000000, len = 3K
  DMI_DSPR0       (w!xpc0): org = 0x70000c00, len = 237K
  PMI_PSPR0       (wx!pc0): org = 0x70100000, len = 64K

/* Program Scratch-Pad RAM (PSPR). Local Addressing */
  PMI_PSRAM_local (wx!p): org = 0xC0000000, len = 64K

/* Flash Memory for global .text and .data(include .const) */
  PFLASH_GLOBAL     (rx!p): org = 0x80800000, len = 3M
  PFLASH_GLOBAL_nc  (rx!p): org = 0xA0800000, len = 3M

  PFLASH_VERSION    (rx!p): org = 0x80FFFFE0, len = 32
  PFLASH_VERSION_nc (rx!p): org = 0xA0FFFFE0, len = 32

/* Data Flash Memory (DFLASH0) */
  PMU_DFLASH0     (r!xp): org = 0xAF000000, len = 1M

/* User Configuration Blocks (UCB)*/
  PMU_UCB         (rx!p): org = 0xAf400000, len = 24K

/* Reserved for Safety */
  DLMU_SRAM0_Safety     (w!xpc0): org = 0x90000000, len = 1K
  DLMU_SRAM0_Safety_nc  (w!xpc0): org = 0xB0000000, len = 1K

/* Distributed LMU Core0 */
  DLMU_SRAM0    (w!xpc0): org = 0x90000400, len = 63K
  DLMU_SRAM0_nc (w!xpc0): org = 0xB0000400, len = 63K

/* Distributed LMU Core1 */
  DLMU_SRAM1    (w!xpc1): org = 0x90010000, len = 64K
  DLMU_SRAM1_nc (w!xpc1): org = 0xB0010000, len = 64K

/* Distributed LMU Core2 */
  DLMU_SRAM2    (w!xpc2): org = 0x90020000, len = 64K
  DLMU_SRAM2_nc (w!xpc2): org = 0xB0020000, len = 64K

/* Distributed LMU Core3 */
  DLMU_SRAM3    (w!xpc3): org = 0x90030000, len = 64K
  DLMU_SRAM3_nc (w!xpc3): org = 0xB0030000, len = 64K

/* Global Data RAM (LMU) */
  LMU_SRAM        (w!xp): org = 0x90040000, len = 768K
/* Global Data RAM (LMU). Not Cached (NC)*/
/* Reserved for SafetyIsland DMA */
  LMU_SRAM_DMA_nc (w!xp): org = 0xB0040000, len = 4K
  LMU_SRAM_nc     (w!xp): org = 0xB0041000, len = 764K

/* Distributed LMU Core3 */
  DLMU_SRAM4    (w!xpc4): org = 0x90100000, len = 64K
  DLMU_SRAM4_nc (w!xpc4): org = 0xB0100000, len = 64K

/* Distributed LMU Core6 */
  DLMU_SRAM5    (w!xpc6): org = 0x90110000, len = 64K
  DLMU_SRAM5_nc (w!xpc6): org = 0xb0110000, len = 64K

  EDMEM           (w!xp): org = 0x99100000, len = 1M
  EDMEM_nc        (w!xp): org = 0xB9200000, len = 1M

  EDMEM_MDC           (w!xp): org = 0x99300000, len = 32K
  EDMEM_MDC_nc        (w!xp): org = 0xB9308000, len = 896K

  EDMEM_MDC_SINF      (w!xp): org = 0x993E8000, len = 96K
  EDMEM_MDC_SINF_nc   (w!xp): org = 0xB93E8000, len = 96K
}

/* Map local memory address to a global address */
REGION_MAP(CPU5 , ORIGIN(PMI_PSRAM_local), LENGTH(PMI_PSRAM_local), ORIGIN(PMI_PSPR5))
REGION_MAP(CPU4 , ORIGIN(PMI_PSRAM_local), LENGTH(PMI_PSRAM_local), ORIGIN(PMI_PSPR4))
REGION_MAP(CPU3 , ORIGIN(PMI_PSRAM_local), LENGTH(PMI_PSRAM_local), ORIGIN(PMI_PSPR3))
REGION_MAP(CPU2 , ORIGIN(PMI_PSRAM_local), LENGTH(PMI_PSRAM_local), ORIGIN(PMI_PSPR2))
REGION_MAP(CPU1 , ORIGIN(PMI_PSRAM_local), LENGTH(PMI_PSRAM_local), ORIGIN(PMI_PSPR1))
REGION_MAP(CPU0 , ORIGIN(PMI_PSRAM_local), LENGTH(PMI_PSRAM_local), ORIGIN(PMI_PSPR0))

/* Un-comment one of the below statements to enable CpuX DMI RAM to hold global
   variables */
/* REGION_ALIAS(GLOBAL_RAM , DMI_DSPR2) */
/* REGION_ALIAS(GLOBAL_RAM , DMI_DSPR1) */
/* REGION_ALIAS(GLOBAL_RAM , DMI_DSPR0) */
REGION_ALIAS(GLOBAL_RAM_FAST , DMI_DSPR0)
REGION_ALIAS(GLOBAL_RAM , LMU_SRAM_nc)

REGION_ALIAS(GLOBAL_ROM , PFLASH_GLOBAL)

/* PMU_PFLASH0/1/2/3/4/5 will be generated by VOS, mapping them to PFLASH_GLOBAL */
REGION_ALIAS(PMU_PFLASH0 , PFLASH_GLOBAL)  
REGION_ALIAS(PMU_PFLASH0_nc , PFLASH_GLOBAL_nc)
REGION_ALIAS(PMU_PFLASH1 , PFLASH_GLOBAL)
REGION_ALIAS(PMU_PFLASH1_nc , PFLASH_GLOBAL_nc)
REGION_ALIAS(PMU_PFLASH2 , PFLASH_GLOBAL)
REGION_ALIAS(PMU_PFLASH2_nc , PFLASH_GLOBAL_nc)
REGION_ALIAS(PMU_PFLASH3 , PFLASH_GLOBAL)
REGION_ALIAS(PMU_PFLASH3_nc , PFLASH_GLOBAL_nc)
REGION_ALIAS(PMU_PFLASH4 , PFLASH_GLOBAL)
REGION_ALIAS(PMU_PFLASH4_nc , PFLASH_GLOBAL_nc)
REGION_ALIAS(PMU_PFLASH5 , PFLASH_GLOBAL)
REGION_ALIAS(PMU_PFLASH5_nc , PFLASH_GLOBAL_nc)
/* Map Cached and Non-Cached Addresses */
REGION_MIRROR("PFLASH_GLOBAL", "PFLASH_GLOBAL_nc")
REGION_MIRROR("DLMU_SRAM0", "DLMU_SRAM0_nc")
REGION_MIRROR("DLMU_SRAM1", "DLMU_SRAM1_nc")
REGION_MIRROR("DLMU_SRAM2", "DLMU_SRAM2_nc")
REGION_MIRROR("DLMU_SRAM3", "DLMU_SRAM3_nc")
REGION_MIRROR("DLMU_SRAM4", "DLMU_SRAM4_nc")
REGION_MIRROR("DLMU_SRAM5", "DLMU_SRAM5_nc")
REGION_MIRROR("LMU_SRAM", "LMU_SRAM_nc")
REGION_MIRROR("EDMEM_MDC_SINF", "EDMEM_MDC_SINF_nc")