/***************************************************************************
 *
 * ERIKA Enterprise - a tiny RTOS for small microcontrollers
 * Copyright (c) Huawei Technologies Co., Ltd. 2019-2020. All rights reserved.
 * This file is part of ERIKA Enterprise.
 * See LICENSE file.
 *
 **************************************************************************/

SECTIONS
{
  illegal_section :
  {
    *(*)
  }
}

/* The symbol __TRICORE_DERIVATE_NAME__ will be defined in the ee_tc_cstart.c and is
 * tested here to confirm that this memory map and the startup file will
 * fit together
*/
  _. = ASSERT ((__TRICORE_DERIVATE_MEMORY_MAP__ == __TRICORE_DERIVATE_NAME__), "Using wrong Memory Map.");
  _. = ASSERT(SIZEOF(illegal_section) == 0 , "there are unallocated input section ");
/* Make sure that _START symbol is in the right place. */
  _. = ASSERT (_start == START_ADDR, "_start is not in the right place");
/* Make sure CSA, stack and heap addresses are properly aligned. */
  _. = ASSERT ((__CSA0 & 0x3f) == 0 , "Illegal CSA0 start address");
  _. = ASSERT ((__CSA0_SIZE & 0x3f) == 0 , "Illegal CSA0 size");
  _. = ASSERT ((osee_core0_irq_stack_top & 7) == 0 , "osee_core0_irq_stack_top not doubleword aligned");
  _. = ASSERT ((osee_core0_sys_stack_top & 7) == 0 , "osee_core0_sys_stack_top not doubleword aligned");
  _. = ASSERT ((__CSA1 & 0x3f) == 0 , "Illegal CSA1 start address");
  _. = ASSERT ((__CSA1_SIZE & 0x3f) == 0 , "Illegal CSA1 size");
  _. = ASSERT ((osee_core1_irq_stack_top & 7) == 0 , "osee_core1_irq_stack_top not doubleword aligned");
  _. = ASSERT ((osee_core1_sys_stack_top & 7) == 0 , "osee_core1_sys_stack_top not doubleword aligned");
  _. = ASSERT ((__CSA2 & 0x3f) == 0 , "Illegal CSA2 start address");
  _. = ASSERT ((__CSA2_SIZE & 0x3f) == 0 , "Illegal CSA2 size");
  _. = ASSERT ((osee_core2_irq_stack_top & 7) == 0 , "osee_core2_irq_stack_top not doubleword aligned");
  _. = ASSERT ((osee_core2_sys_stack_top & 7) == 0 , "osee_core2_sys_stack_top not doubleword aligned");
  _. = ASSERT ((__CSA3 & 0x3f) == 0 , "Illegal CSA3 start address");
  _. = ASSERT ((__CSA3_SIZE & 0x3f) == 0 , "Illegal CSA3 size");
  _. = ASSERT ((osee_core3_irq_stack_top & 7) == 0 , "osee_core3_irq_stack_top not doubleword aligned");
  _. = ASSERT ((osee_core3_sys_stack_top & 7) == 0 , "osee_core3_sys_stack_top not doubleword aligned");
  _. = ASSERT ((__CSA4 & 0x3f) == 0 , "Illegal CSA4 start address");
  _. = ASSERT ((__CSA4_SIZE & 0x3f) == 0 , "Illegal CSA4 size");
  _. = ASSERT ((osee_core4_irq_stack_top & 7) == 0 , "osee_core4_irq_stack_top not doubleword aligned");
  _. = ASSERT ((osee_core4_sys_stack_top & 7) == 0 , "osee_core4_sys_stack_top not doubleword aligned");
  _. = ASSERT ((__CSA5 & 0x3f) == 0 , "Illegal CSA5 start address");
  _. = ASSERT ((__CSA5_SIZE & 0x3f) == 0 , "Illegal CSA5 size");
  _. = ASSERT ((osee_core5_irq_stack_top & 7) == 0 , "osee_core5_irq_stack_top not doubleword aligned");
  _. = ASSERT ((osee_core5_sys_stack_top & 7) == 0 , "osee_core5_sys_stack_top not doubleword aligned");
  _. = ASSERT ((__HEAP_END & 7) == 0 , "HEAP not doubleword aligned");

