/**
 * \file IfxCpu_bf.h
 * \brief
 * \copyright Copyright (c) 2020 Infineon Technologies AG. All rights reserved.
 *
 *
 * Version: TC39XB_UM_V1.4.0.R0
 * Specification: TC3xx User Manual V1.4.0
 * MAY BE CHANGED BY USER [yes/no]: No
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Use of this file is subject to the terms of use agreed between (i) you or 
 * the company in which ordinary course of business you are acting and (ii) 
 * Infineon Technologies AG or its licensees. If and as long as no such 
 * terms of use are agreed, use of this file is subject to following:


 * Boost Software License - Version 1.0 - August 17th, 2003

 * Permission is hereby granted, free of charge, to any person or 
 * organization obtaining a copy of the software and accompanying 
 * documentation covered by this license (the "Software") to use, reproduce,
 * display, distribute, execute, and transmit the Software, and to prepare
 * derivative works of the Software, and to permit third-parties to whom the 
 * Software is furnished to do so, all subject to the following:

 * The copyright notices in the Software and this entire statement, including
 * the above license grant, this restriction and the following disclaimer, must
 * be included in all copies of the Software, in whole or in part, and all
 * derivative works of the Software, unless such copies or derivative works are
 * solely in the form of machine-executable object code generated by a source
 * language processor.

 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT
 * SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE 
 * FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 * \defgroup IfxSfr_Cpu_Registers_BitfieldsMask Bitfields mask and offset
 * \ingroup IfxSfr_Cpu_Registers
 * 
 */
#ifndef IFXCPU_BF_H
#define IFXCPU_BF_H 1

/******************************************************************************/

/******************************************************************************/

/** \addtogroup IfxSfr_Cpu_Registers_BitfieldsMask
 * \{  */
/** \brief Length for Ifx_CPU_FLASHCON0_Bits.TAG1 */
#define IFX_CPU_FLASHCON0_TAG1_LEN (6u)

/** \brief Mask for Ifx_CPU_FLASHCON0_Bits.TAG1 */
#define IFX_CPU_FLASHCON0_TAG1_MSK (0x3fu)

/** \brief Offset for Ifx_CPU_FLASHCON0_Bits.TAG1 */
#define IFX_CPU_FLASHCON0_TAG1_OFF (0u)

/** \brief Length for Ifx_CPU_FLASHCON0_Bits.TAG2 */
#define IFX_CPU_FLASHCON0_TAG2_LEN (6u)

/** \brief Mask for Ifx_CPU_FLASHCON0_Bits.TAG2 */
#define IFX_CPU_FLASHCON0_TAG2_MSK (0x3fu)

/** \brief Offset for Ifx_CPU_FLASHCON0_Bits.TAG2 */
#define IFX_CPU_FLASHCON0_TAG2_OFF (8u)

/** \brief Length for Ifx_CPU_FLASHCON0_Bits.TAG3 */
#define IFX_CPU_FLASHCON0_TAG3_LEN (6u)

/** \brief Mask for Ifx_CPU_FLASHCON0_Bits.TAG3 */
#define IFX_CPU_FLASHCON0_TAG3_MSK (0x3fu)

/** \brief Offset for Ifx_CPU_FLASHCON0_Bits.TAG3 */
#define IFX_CPU_FLASHCON0_TAG3_OFF (16u)

/** \brief Length for Ifx_CPU_FLASHCON0_Bits.TAG4 */
#define IFX_CPU_FLASHCON0_TAG4_LEN (6u)

/** \brief Mask for Ifx_CPU_FLASHCON0_Bits.TAG4 */
#define IFX_CPU_FLASHCON0_TAG4_MSK (0x3fu)

/** \brief Offset for Ifx_CPU_FLASHCON0_Bits.TAG4 */
#define IFX_CPU_FLASHCON0_TAG4_OFF (24u)

/** \brief Length for Ifx_CPU_FLASHCON1_Bits.STALL */
#define IFX_CPU_FLASHCON1_STALL_LEN (1u)

/** \brief Mask for Ifx_CPU_FLASHCON1_Bits.STALL */
#define IFX_CPU_FLASHCON1_STALL_MSK (0x1u)

/** \brief Offset for Ifx_CPU_FLASHCON1_Bits.STALL */
#define IFX_CPU_FLASHCON1_STALL_OFF (0u)

/** \brief Length for Ifx_CPU_FLASHCON1_Bits.MASKUECC */
#define IFX_CPU_FLASHCON1_MASKUECC_LEN (2u)

/** \brief Mask for Ifx_CPU_FLASHCON1_Bits.MASKUECC */
#define IFX_CPU_FLASHCON1_MASKUECC_MSK (0x3u)

/** \brief Offset for Ifx_CPU_FLASHCON1_Bits.MASKUECC */
#define IFX_CPU_FLASHCON1_MASKUECC_OFF (16u)

/** \brief Length for Ifx_CPU_FLASHCON2_Bits.RECDIS */
#define IFX_CPU_FLASHCON2_RECDIS_LEN (2u)

/** \brief Mask for Ifx_CPU_FLASHCON2_Bits.RECDIS */
#define IFX_CPU_FLASHCON2_RECDIS_MSK (0x3u)

/** \brief Offset for Ifx_CPU_FLASHCON2_Bits.RECDIS */
#define IFX_CPU_FLASHCON2_RECDIS_OFF (0u)

/** \brief Length for Ifx_CPU_FLASHCON2_Bits.ECCCORDIS */
#define IFX_CPU_FLASHCON2_ECCCORDIS_LEN (2u)

/** \brief Mask for Ifx_CPU_FLASHCON2_Bits.ECCCORDIS */
#define IFX_CPU_FLASHCON2_ECCCORDIS_MSK (0x3u)

/** \brief Offset for Ifx_CPU_FLASHCON2_Bits.ECCCORDIS */
#define IFX_CPU_FLASHCON2_ECCCORDIS_OFF (2u)

/** \brief Length for Ifx_CPU_FLASHCON2_Bits.HMARGIN */
#define IFX_CPU_FLASHCON2_HMARGIN_LEN (2u)

/** \brief Mask for Ifx_CPU_FLASHCON2_Bits.HMARGIN */
#define IFX_CPU_FLASHCON2_HMARGIN_MSK (0x3u)

/** \brief Offset for Ifx_CPU_FLASHCON2_Bits.HMARGIN */
#define IFX_CPU_FLASHCON2_HMARGIN_OFF (8u)

/** \brief Length for Ifx_CPU_FLASHCON2_Bits.MSEL */
#define IFX_CPU_FLASHCON2_MSEL_LEN (2u)

/** \brief Mask for Ifx_CPU_FLASHCON2_Bits.MSEL */
#define IFX_CPU_FLASHCON2_MSEL_MSK (0x3u)

/** \brief Offset for Ifx_CPU_FLASHCON2_Bits.MSEL */
#define IFX_CPU_FLASHCON2_MSEL_OFF (10u)

/** \brief Length for Ifx_CPU_FLASHCON2_Bits.ECCSCLR */
#define IFX_CPU_FLASHCON2_ECCSCLR_LEN (2u)

/** \brief Mask for Ifx_CPU_FLASHCON2_Bits.ECCSCLR */
#define IFX_CPU_FLASHCON2_ECCSCLR_MSK (0x3u)

/** \brief Offset for Ifx_CPU_FLASHCON2_Bits.ECCSCLR */
#define IFX_CPU_FLASHCON2_ECCSCLR_OFF (16u)

/** \brief Length for Ifx_CPU_FLASHCON2_Bits.SBABCLR */
#define IFX_CPU_FLASHCON2_SBABCLR_LEN (2u)

/** \brief Mask for Ifx_CPU_FLASHCON2_Bits.SBABCLR */
#define IFX_CPU_FLASHCON2_SBABCLR_MSK (0x3u)

/** \brief Offset for Ifx_CPU_FLASHCON2_Bits.SBABCLR */
#define IFX_CPU_FLASHCON2_SBABCLR_OFF (24u)

/** \brief Length for Ifx_CPU_FLASHCON2_Bits.DBABCLR */
#define IFX_CPU_FLASHCON2_DBABCLR_LEN (2u)

/** \brief Mask for Ifx_CPU_FLASHCON2_Bits.DBABCLR */
#define IFX_CPU_FLASHCON2_DBABCLR_MSK (0x3u)

/** \brief Offset for Ifx_CPU_FLASHCON2_Bits.DBABCLR */
#define IFX_CPU_FLASHCON2_DBABCLR_OFF (26u)

/** \brief Length for Ifx_CPU_FLASHCON2_Bits.MBABCLR */
#define IFX_CPU_FLASHCON2_MBABCLR_LEN (2u)

/** \brief Mask for Ifx_CPU_FLASHCON2_Bits.MBABCLR */
#define IFX_CPU_FLASHCON2_MBABCLR_MSK (0x3u)

/** \brief Offset for Ifx_CPU_FLASHCON2_Bits.MBABCLR */
#define IFX_CPU_FLASHCON2_MBABCLR_OFF (28u)

/** \brief Length for Ifx_CPU_FLASHCON2_Bits.ZBABCLR */
#define IFX_CPU_FLASHCON2_ZBABCLR_LEN (2u)

/** \brief Mask for Ifx_CPU_FLASHCON2_Bits.ZBABCLR */
#define IFX_CPU_FLASHCON2_ZBABCLR_MSK (0x3u)

/** \brief Offset for Ifx_CPU_FLASHCON2_Bits.ZBABCLR */
#define IFX_CPU_FLASHCON2_ZBABCLR_OFF (30u)

/** \brief Length for Ifx_CPU_FLASHCON3_Bits.ECCERRINJ */
#define IFX_CPU_FLASHCON3_ECCERRINJ_LEN (1u)

/** \brief Mask for Ifx_CPU_FLASHCON3_Bits.ECCERRINJ */
#define IFX_CPU_FLASHCON3_ECCERRINJ_MSK (0x1u)

/** \brief Offset for Ifx_CPU_FLASHCON3_Bits.ECCERRINJ */
#define IFX_CPU_FLASHCON3_ECCERRINJ_OFF (0u)

/** \brief Length for Ifx_CPU_FLASHCON3_Bits.EDCERRINJ */
#define IFX_CPU_FLASHCON3_EDCERRINJ_LEN (1u)

/** \brief Mask for Ifx_CPU_FLASHCON3_Bits.EDCERRINJ */
#define IFX_CPU_FLASHCON3_EDCERRINJ_MSK (0x1u)

/** \brief Offset for Ifx_CPU_FLASHCON3_Bits.EDCERRINJ */
#define IFX_CPU_FLASHCON3_EDCERRINJ_OFF (1u)

/** \brief Length for Ifx_CPU_FLASHCON3_Bits.SBABERRINJ */
#define IFX_CPU_FLASHCON3_SBABERRINJ_LEN (1u)

/** \brief Mask for Ifx_CPU_FLASHCON3_Bits.SBABERRINJ */
#define IFX_CPU_FLASHCON3_SBABERRINJ_MSK (0x1u)

/** \brief Offset for Ifx_CPU_FLASHCON3_Bits.SBABERRINJ */
#define IFX_CPU_FLASHCON3_SBABERRINJ_OFF (2u)

/** \brief Length for Ifx_CPU_FLASHCON3_Bits.DBABERRINJ */
#define IFX_CPU_FLASHCON3_DBABERRINJ_LEN (1u)

/** \brief Mask for Ifx_CPU_FLASHCON3_Bits.DBABERRINJ */
#define IFX_CPU_FLASHCON3_DBABERRINJ_MSK (0x1u)

/** \brief Offset for Ifx_CPU_FLASHCON3_Bits.DBABERRINJ */
#define IFX_CPU_FLASHCON3_DBABERRINJ_OFF (3u)

/** \brief Length for Ifx_CPU_FLASHCON3_Bits.MBABERRINJ */
#define IFX_CPU_FLASHCON3_MBABERRINJ_LEN (1u)

/** \brief Mask for Ifx_CPU_FLASHCON3_Bits.MBABERRINJ */
#define IFX_CPU_FLASHCON3_MBABERRINJ_MSK (0x1u)

/** \brief Offset for Ifx_CPU_FLASHCON3_Bits.MBABERRINJ */
#define IFX_CPU_FLASHCON3_MBABERRINJ_OFF (4u)

/** \brief Length for Ifx_CPU_FLASHCON3_Bits.ZBABERRINJ */
#define IFX_CPU_FLASHCON3_ZBABERRINJ_LEN (1u)

/** \brief Mask for Ifx_CPU_FLASHCON3_Bits.ZBABERRINJ */
#define IFX_CPU_FLASHCON3_ZBABERRINJ_MSK (0x1u)

/** \brief Offset for Ifx_CPU_FLASHCON3_Bits.ZBABERRINJ */
#define IFX_CPU_FLASHCON3_ZBABERRINJ_OFF (5u)

/** \brief Length for Ifx_CPU_FLASHCON3_Bits.SBERERRINJ */
#define IFX_CPU_FLASHCON3_SBERERRINJ_LEN (1u)

/** \brief Mask for Ifx_CPU_FLASHCON3_Bits.SBERERRINJ */
#define IFX_CPU_FLASHCON3_SBERERRINJ_MSK (0x1u)

/** \brief Offset for Ifx_CPU_FLASHCON3_Bits.SBERERRINJ */
#define IFX_CPU_FLASHCON3_SBERERRINJ_OFF (6u)

/** \brief Length for Ifx_CPU_FLASHCON3_Bits.DBERERRINJ */
#define IFX_CPU_FLASHCON3_DBERERRINJ_LEN (1u)

/** \brief Mask for Ifx_CPU_FLASHCON3_Bits.DBERERRINJ */
#define IFX_CPU_FLASHCON3_DBERERRINJ_MSK (0x1u)

/** \brief Offset for Ifx_CPU_FLASHCON3_Bits.DBERERRINJ */
#define IFX_CPU_FLASHCON3_DBERERRINJ_OFF (7u)

/** \brief Length for Ifx_CPU_FLASHCON3_Bits.NVMCERRINJ */
#define IFX_CPU_FLASHCON3_NVMCERRINJ_LEN (1u)

/** \brief Mask for Ifx_CPU_FLASHCON3_Bits.NVMCERRINJ */
#define IFX_CPU_FLASHCON3_NVMCERRINJ_MSK (0x1u)

/** \brief Offset for Ifx_CPU_FLASHCON3_Bits.NVMCERRINJ */
#define IFX_CPU_FLASHCON3_NVMCERRINJ_OFF (8u)

/** \brief Length for Ifx_CPU_FLASHCON3_Bits.FLCONERRINJ */
#define IFX_CPU_FLASHCON3_FLCONERRINJ_LEN (1u)

/** \brief Mask for Ifx_CPU_FLASHCON3_Bits.FLCONERRINJ */
#define IFX_CPU_FLASHCON3_FLCONERRINJ_MSK (0x1u)

/** \brief Offset for Ifx_CPU_FLASHCON3_Bits.FLCONERRINJ */
#define IFX_CPU_FLASHCON3_FLCONERRINJ_OFF (9u)

/** \brief Length for Ifx_CPU_FLASHCON4_Bits.DDIS */
#define IFX_CPU_FLASHCON4_DDIS_LEN (1u)

/** \brief Mask for Ifx_CPU_FLASHCON4_Bits.DDIS */
#define IFX_CPU_FLASHCON4_DDIS_MSK (0x1u)

/** \brief Offset for Ifx_CPU_FLASHCON4_Bits.DDIS */
#define IFX_CPU_FLASHCON4_DDIS_OFF (0u)

/** \brief Length for Ifx_CPU_KRST0_Bits.RST */
#define IFX_CPU_KRST0_RST_LEN (1u)

/** \brief Mask for Ifx_CPU_KRST0_Bits.RST */
#define IFX_CPU_KRST0_RST_MSK (0x1u)

/** \brief Offset for Ifx_CPU_KRST0_Bits.RST */
#define IFX_CPU_KRST0_RST_OFF (0u)

/** \brief Length for Ifx_CPU_KRST0_Bits.RSTSTAT */
#define IFX_CPU_KRST0_RSTSTAT_LEN (2u)

/** \brief Mask for Ifx_CPU_KRST0_Bits.RSTSTAT */
#define IFX_CPU_KRST0_RSTSTAT_MSK (0x3u)

/** \brief Offset for Ifx_CPU_KRST0_Bits.RSTSTAT */
#define IFX_CPU_KRST0_RSTSTAT_OFF (1u)

/** \brief Length for Ifx_CPU_KRST1_Bits.RST */
#define IFX_CPU_KRST1_RST_LEN (1u)

/** \brief Mask for Ifx_CPU_KRST1_Bits.RST */
#define IFX_CPU_KRST1_RST_MSK (0x1u)

/** \brief Offset for Ifx_CPU_KRST1_Bits.RST */
#define IFX_CPU_KRST1_RST_OFF (0u)

/** \brief Length for Ifx_CPU_KRSTCLR_Bits.CLR */
#define IFX_CPU_KRSTCLR_CLR_LEN (1u)

/** \brief Mask for Ifx_CPU_KRSTCLR_Bits.CLR */
#define IFX_CPU_KRSTCLR_CLR_MSK (0x1u)

/** \brief Offset for Ifx_CPU_KRSTCLR_Bits.CLR */
#define IFX_CPU_KRSTCLR_CLR_OFF (0u)

/** \brief Length for Ifx_CPU_RGN_LA_Bits.ADDR */
#define IFX_CPU_RGN_LA_ADDR_LEN (27u)

/** \brief Mask for Ifx_CPU_RGN_LA_Bits.ADDR */
#define IFX_CPU_RGN_LA_ADDR_MSK (0x7ffffffu)

/** \brief Offset for Ifx_CPU_RGN_LA_Bits.ADDR */
#define IFX_CPU_RGN_LA_ADDR_OFF (5u)

/** \brief Length for Ifx_CPU_RGN_UA_Bits.ADDR */
#define IFX_CPU_RGN_UA_ADDR_LEN (27u)

/** \brief Mask for Ifx_CPU_RGN_UA_Bits.ADDR */
#define IFX_CPU_RGN_UA_ADDR_MSK (0x7ffffffu)

/** \brief Offset for Ifx_CPU_RGN_UA_Bits.ADDR */
#define IFX_CPU_RGN_UA_ADDR_OFF (5u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN0 */
#define IFX_CPU_RGN_ACCENA_EN0_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN0 */
#define IFX_CPU_RGN_ACCENA_EN0_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN0 */
#define IFX_CPU_RGN_ACCENA_EN0_OFF (0u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN1 */
#define IFX_CPU_RGN_ACCENA_EN1_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN1 */
#define IFX_CPU_RGN_ACCENA_EN1_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN1 */
#define IFX_CPU_RGN_ACCENA_EN1_OFF (1u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN2 */
#define IFX_CPU_RGN_ACCENA_EN2_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN2 */
#define IFX_CPU_RGN_ACCENA_EN2_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN2 */
#define IFX_CPU_RGN_ACCENA_EN2_OFF (2u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN3 */
#define IFX_CPU_RGN_ACCENA_EN3_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN3 */
#define IFX_CPU_RGN_ACCENA_EN3_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN3 */
#define IFX_CPU_RGN_ACCENA_EN3_OFF (3u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN4 */
#define IFX_CPU_RGN_ACCENA_EN4_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN4 */
#define IFX_CPU_RGN_ACCENA_EN4_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN4 */
#define IFX_CPU_RGN_ACCENA_EN4_OFF (4u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN5 */
#define IFX_CPU_RGN_ACCENA_EN5_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN5 */
#define IFX_CPU_RGN_ACCENA_EN5_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN5 */
#define IFX_CPU_RGN_ACCENA_EN5_OFF (5u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN6 */
#define IFX_CPU_RGN_ACCENA_EN6_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN6 */
#define IFX_CPU_RGN_ACCENA_EN6_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN6 */
#define IFX_CPU_RGN_ACCENA_EN6_OFF (6u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN7 */
#define IFX_CPU_RGN_ACCENA_EN7_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN7 */
#define IFX_CPU_RGN_ACCENA_EN7_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN7 */
#define IFX_CPU_RGN_ACCENA_EN7_OFF (7u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN8 */
#define IFX_CPU_RGN_ACCENA_EN8_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN8 */
#define IFX_CPU_RGN_ACCENA_EN8_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN8 */
#define IFX_CPU_RGN_ACCENA_EN8_OFF (8u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN9 */
#define IFX_CPU_RGN_ACCENA_EN9_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN9 */
#define IFX_CPU_RGN_ACCENA_EN9_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN9 */
#define IFX_CPU_RGN_ACCENA_EN9_OFF (9u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN10 */
#define IFX_CPU_RGN_ACCENA_EN10_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN10 */
#define IFX_CPU_RGN_ACCENA_EN10_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN10 */
#define IFX_CPU_RGN_ACCENA_EN10_OFF (10u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN11 */
#define IFX_CPU_RGN_ACCENA_EN11_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN11 */
#define IFX_CPU_RGN_ACCENA_EN11_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN11 */
#define IFX_CPU_RGN_ACCENA_EN11_OFF (11u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN12 */
#define IFX_CPU_RGN_ACCENA_EN12_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN12 */
#define IFX_CPU_RGN_ACCENA_EN12_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN12 */
#define IFX_CPU_RGN_ACCENA_EN12_OFF (12u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN13 */
#define IFX_CPU_RGN_ACCENA_EN13_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN13 */
#define IFX_CPU_RGN_ACCENA_EN13_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN13 */
#define IFX_CPU_RGN_ACCENA_EN13_OFF (13u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN14 */
#define IFX_CPU_RGN_ACCENA_EN14_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN14 */
#define IFX_CPU_RGN_ACCENA_EN14_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN14 */
#define IFX_CPU_RGN_ACCENA_EN14_OFF (14u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN15 */
#define IFX_CPU_RGN_ACCENA_EN15_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN15 */
#define IFX_CPU_RGN_ACCENA_EN15_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN15 */
#define IFX_CPU_RGN_ACCENA_EN15_OFF (15u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN16 */
#define IFX_CPU_RGN_ACCENA_EN16_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN16 */
#define IFX_CPU_RGN_ACCENA_EN16_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN16 */
#define IFX_CPU_RGN_ACCENA_EN16_OFF (16u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN17 */
#define IFX_CPU_RGN_ACCENA_EN17_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN17 */
#define IFX_CPU_RGN_ACCENA_EN17_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN17 */
#define IFX_CPU_RGN_ACCENA_EN17_OFF (17u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN18 */
#define IFX_CPU_RGN_ACCENA_EN18_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN18 */
#define IFX_CPU_RGN_ACCENA_EN18_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN18 */
#define IFX_CPU_RGN_ACCENA_EN18_OFF (18u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN19 */
#define IFX_CPU_RGN_ACCENA_EN19_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN19 */
#define IFX_CPU_RGN_ACCENA_EN19_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN19 */
#define IFX_CPU_RGN_ACCENA_EN19_OFF (19u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN20 */
#define IFX_CPU_RGN_ACCENA_EN20_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN20 */
#define IFX_CPU_RGN_ACCENA_EN20_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN20 */
#define IFX_CPU_RGN_ACCENA_EN20_OFF (20u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN21 */
#define IFX_CPU_RGN_ACCENA_EN21_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN21 */
#define IFX_CPU_RGN_ACCENA_EN21_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN21 */
#define IFX_CPU_RGN_ACCENA_EN21_OFF (21u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN22 */
#define IFX_CPU_RGN_ACCENA_EN22_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN22 */
#define IFX_CPU_RGN_ACCENA_EN22_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN22 */
#define IFX_CPU_RGN_ACCENA_EN22_OFF (22u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN23 */
#define IFX_CPU_RGN_ACCENA_EN23_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN23 */
#define IFX_CPU_RGN_ACCENA_EN23_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN23 */
#define IFX_CPU_RGN_ACCENA_EN23_OFF (23u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN24 */
#define IFX_CPU_RGN_ACCENA_EN24_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN24 */
#define IFX_CPU_RGN_ACCENA_EN24_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN24 */
#define IFX_CPU_RGN_ACCENA_EN24_OFF (24u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN25 */
#define IFX_CPU_RGN_ACCENA_EN25_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN25 */
#define IFX_CPU_RGN_ACCENA_EN25_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN25 */
#define IFX_CPU_RGN_ACCENA_EN25_OFF (25u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN26 */
#define IFX_CPU_RGN_ACCENA_EN26_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN26 */
#define IFX_CPU_RGN_ACCENA_EN26_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN26 */
#define IFX_CPU_RGN_ACCENA_EN26_OFF (26u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN27 */
#define IFX_CPU_RGN_ACCENA_EN27_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN27 */
#define IFX_CPU_RGN_ACCENA_EN27_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN27 */
#define IFX_CPU_RGN_ACCENA_EN27_OFF (27u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN28 */
#define IFX_CPU_RGN_ACCENA_EN28_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN28 */
#define IFX_CPU_RGN_ACCENA_EN28_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN28 */
#define IFX_CPU_RGN_ACCENA_EN28_OFF (28u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN29 */
#define IFX_CPU_RGN_ACCENA_EN29_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN29 */
#define IFX_CPU_RGN_ACCENA_EN29_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN29 */
#define IFX_CPU_RGN_ACCENA_EN29_OFF (29u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN30 */
#define IFX_CPU_RGN_ACCENA_EN30_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN30 */
#define IFX_CPU_RGN_ACCENA_EN30_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN30 */
#define IFX_CPU_RGN_ACCENA_EN30_OFF (30u)

/** \brief Length for Ifx_CPU_RGN_ACCENA_Bits.EN31 */
#define IFX_CPU_RGN_ACCENA_EN31_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENA_Bits.EN31 */
#define IFX_CPU_RGN_ACCENA_EN31_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENA_Bits.EN31 */
#define IFX_CPU_RGN_ACCENA_EN31_OFF (31u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN32 */
#define IFX_CPU_RGN_ACCENB_EN32_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN32 */
#define IFX_CPU_RGN_ACCENB_EN32_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN32 */
#define IFX_CPU_RGN_ACCENB_EN32_OFF (0u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN33 */
#define IFX_CPU_RGN_ACCENB_EN33_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN33 */
#define IFX_CPU_RGN_ACCENB_EN33_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN33 */
#define IFX_CPU_RGN_ACCENB_EN33_OFF (1u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN34 */
#define IFX_CPU_RGN_ACCENB_EN34_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN34 */
#define IFX_CPU_RGN_ACCENB_EN34_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN34 */
#define IFX_CPU_RGN_ACCENB_EN34_OFF (2u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN35 */
#define IFX_CPU_RGN_ACCENB_EN35_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN35 */
#define IFX_CPU_RGN_ACCENB_EN35_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN35 */
#define IFX_CPU_RGN_ACCENB_EN35_OFF (3u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN36 */
#define IFX_CPU_RGN_ACCENB_EN36_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN36 */
#define IFX_CPU_RGN_ACCENB_EN36_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN36 */
#define IFX_CPU_RGN_ACCENB_EN36_OFF (4u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN37 */
#define IFX_CPU_RGN_ACCENB_EN37_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN37 */
#define IFX_CPU_RGN_ACCENB_EN37_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN37 */
#define IFX_CPU_RGN_ACCENB_EN37_OFF (5u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN38 */
#define IFX_CPU_RGN_ACCENB_EN38_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN38 */
#define IFX_CPU_RGN_ACCENB_EN38_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN38 */
#define IFX_CPU_RGN_ACCENB_EN38_OFF (6u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN39 */
#define IFX_CPU_RGN_ACCENB_EN39_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN39 */
#define IFX_CPU_RGN_ACCENB_EN39_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN39 */
#define IFX_CPU_RGN_ACCENB_EN39_OFF (7u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN40 */
#define IFX_CPU_RGN_ACCENB_EN40_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN40 */
#define IFX_CPU_RGN_ACCENB_EN40_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN40 */
#define IFX_CPU_RGN_ACCENB_EN40_OFF (8u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN41 */
#define IFX_CPU_RGN_ACCENB_EN41_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN41 */
#define IFX_CPU_RGN_ACCENB_EN41_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN41 */
#define IFX_CPU_RGN_ACCENB_EN41_OFF (9u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN42 */
#define IFX_CPU_RGN_ACCENB_EN42_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN42 */
#define IFX_CPU_RGN_ACCENB_EN42_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN42 */
#define IFX_CPU_RGN_ACCENB_EN42_OFF (10u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN43 */
#define IFX_CPU_RGN_ACCENB_EN43_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN43 */
#define IFX_CPU_RGN_ACCENB_EN43_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN43 */
#define IFX_CPU_RGN_ACCENB_EN43_OFF (11u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN44 */
#define IFX_CPU_RGN_ACCENB_EN44_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN44 */
#define IFX_CPU_RGN_ACCENB_EN44_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN44 */
#define IFX_CPU_RGN_ACCENB_EN44_OFF (12u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN45 */
#define IFX_CPU_RGN_ACCENB_EN45_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN45 */
#define IFX_CPU_RGN_ACCENB_EN45_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN45 */
#define IFX_CPU_RGN_ACCENB_EN45_OFF (13u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN46 */
#define IFX_CPU_RGN_ACCENB_EN46_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN46 */
#define IFX_CPU_RGN_ACCENB_EN46_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN46 */
#define IFX_CPU_RGN_ACCENB_EN46_OFF (14u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN47 */
#define IFX_CPU_RGN_ACCENB_EN47_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN47 */
#define IFX_CPU_RGN_ACCENB_EN47_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN47 */
#define IFX_CPU_RGN_ACCENB_EN47_OFF (15u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN48 */
#define IFX_CPU_RGN_ACCENB_EN48_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN48 */
#define IFX_CPU_RGN_ACCENB_EN48_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN48 */
#define IFX_CPU_RGN_ACCENB_EN48_OFF (16u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN49 */
#define IFX_CPU_RGN_ACCENB_EN49_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN49 */
#define IFX_CPU_RGN_ACCENB_EN49_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN49 */
#define IFX_CPU_RGN_ACCENB_EN49_OFF (17u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN50 */
#define IFX_CPU_RGN_ACCENB_EN50_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN50 */
#define IFX_CPU_RGN_ACCENB_EN50_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN50 */
#define IFX_CPU_RGN_ACCENB_EN50_OFF (18u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN51 */
#define IFX_CPU_RGN_ACCENB_EN51_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN51 */
#define IFX_CPU_RGN_ACCENB_EN51_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN51 */
#define IFX_CPU_RGN_ACCENB_EN51_OFF (19u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN52 */
#define IFX_CPU_RGN_ACCENB_EN52_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN52 */
#define IFX_CPU_RGN_ACCENB_EN52_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN52 */
#define IFX_CPU_RGN_ACCENB_EN52_OFF (20u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN53 */
#define IFX_CPU_RGN_ACCENB_EN53_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN53 */
#define IFX_CPU_RGN_ACCENB_EN53_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN53 */
#define IFX_CPU_RGN_ACCENB_EN53_OFF (21u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN54 */
#define IFX_CPU_RGN_ACCENB_EN54_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN54 */
#define IFX_CPU_RGN_ACCENB_EN54_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN54 */
#define IFX_CPU_RGN_ACCENB_EN54_OFF (22u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN55 */
#define IFX_CPU_RGN_ACCENB_EN55_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN55 */
#define IFX_CPU_RGN_ACCENB_EN55_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN55 */
#define IFX_CPU_RGN_ACCENB_EN55_OFF (23u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN56 */
#define IFX_CPU_RGN_ACCENB_EN56_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN56 */
#define IFX_CPU_RGN_ACCENB_EN56_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN56 */
#define IFX_CPU_RGN_ACCENB_EN56_OFF (24u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN57 */
#define IFX_CPU_RGN_ACCENB_EN57_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN57 */
#define IFX_CPU_RGN_ACCENB_EN57_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN57 */
#define IFX_CPU_RGN_ACCENB_EN57_OFF (25u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN58 */
#define IFX_CPU_RGN_ACCENB_EN58_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN58 */
#define IFX_CPU_RGN_ACCENB_EN58_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN58 */
#define IFX_CPU_RGN_ACCENB_EN58_OFF (26u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN59 */
#define IFX_CPU_RGN_ACCENB_EN59_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN59 */
#define IFX_CPU_RGN_ACCENB_EN59_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN59 */
#define IFX_CPU_RGN_ACCENB_EN59_OFF (27u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN60 */
#define IFX_CPU_RGN_ACCENB_EN60_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN60 */
#define IFX_CPU_RGN_ACCENB_EN60_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN60 */
#define IFX_CPU_RGN_ACCENB_EN60_OFF (28u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN61 */
#define IFX_CPU_RGN_ACCENB_EN61_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN61 */
#define IFX_CPU_RGN_ACCENB_EN61_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN61 */
#define IFX_CPU_RGN_ACCENB_EN61_OFF (29u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN62 */
#define IFX_CPU_RGN_ACCENB_EN62_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN62 */
#define IFX_CPU_RGN_ACCENB_EN62_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN62 */
#define IFX_CPU_RGN_ACCENB_EN62_OFF (30u)

/** \brief Length for Ifx_CPU_RGN_ACCENB_Bits.EN63 */
#define IFX_CPU_RGN_ACCENB_EN63_LEN (1u)

/** \brief Mask for Ifx_CPU_RGN_ACCENB_Bits.EN63 */
#define IFX_CPU_RGN_ACCENB_EN63_MSK (0x1u)

/** \brief Offset for Ifx_CPU_RGN_ACCENB_Bits.EN63 */
#define IFX_CPU_RGN_ACCENB_EN63_OFF (31u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN0 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN0_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN0 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN0_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN0 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN0_OFF (0u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN1 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN1_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN1 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN1_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN1 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN1_OFF (1u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN2 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN2_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN2 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN2_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN2 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN2_OFF (2u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN3 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN3_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN3 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN3_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN3 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN3_OFF (3u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN4 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN4_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN4 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN4_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN4 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN4_OFF (4u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN5 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN5_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN5 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN5_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN5 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN5_OFF (5u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN6 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN6_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN6 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN6_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN6 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN6_OFF (6u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN7 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN7_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN7 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN7_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN7 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN7_OFF (7u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN8 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN8_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN8 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN8_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN8 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN8_OFF (8u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN9 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN9_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN9 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN9_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN9 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN9_OFF (9u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN10 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN10_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN10 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN10_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN10 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN10_OFF (10u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN11 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN11_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN11 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN11_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN11 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN11_OFF (11u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN12 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN12_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN12 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN12_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN12 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN12_OFF (12u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN13 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN13_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN13 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN13_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN13 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN13_OFF (13u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN14 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN14_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN14 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN14_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN14 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN14_OFF (14u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN15 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN15_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN15 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN15_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN15 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN15_OFF (15u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN16 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN16_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN16 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN16_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN16 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN16_OFF (16u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN17 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN17_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN17 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN17_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN17 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN17_OFF (17u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN18 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN18_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN18 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN18_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN18 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN18_OFF (18u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN19 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN19_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN19 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN19_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN19 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN19_OFF (19u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN20 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN20_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN20 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN20_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN20 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN20_OFF (20u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN21 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN21_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN21 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN21_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN21 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN21_OFF (21u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN22 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN22_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN22 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN22_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN22 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN22_OFF (22u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN23 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN23_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN23 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN23_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN23 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN23_OFF (23u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN24 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN24_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN24 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN24_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN24 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN24_OFF (24u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN25 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN25_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN25 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN25_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN25 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN25_OFF (25u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN26 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN26_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN26 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN26_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN26 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN26_OFF (26u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN27 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN27_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN27 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN27_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN27 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN27_OFF (27u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN28 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN28_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN28 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN28_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN28 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN28_OFF (28u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN29 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN29_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN29 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN29_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN29 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN29_OFF (29u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN30 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN30_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN30 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN30_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN30 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN30_OFF (30u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN31 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN31_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN31 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN31_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENA_R_Bits.EN31 */
#define IFX_CPU_SPR_SPROT_RGNACCENA_R_EN31_OFF (31u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN32 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN32_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN32 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN32_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN32 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN32_OFF (0u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN33 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN33_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN33 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN33_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN33 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN33_OFF (1u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN34 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN34_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN34 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN34_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN34 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN34_OFF (2u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN35 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN35_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN35 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN35_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN35 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN35_OFF (3u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN36 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN36_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN36 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN36_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN36 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN36_OFF (4u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN37 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN37_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN37 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN37_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN37 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN37_OFF (5u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN38 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN38_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN38 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN38_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN38 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN38_OFF (6u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN39 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN39_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN39 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN39_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN39 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN39_OFF (7u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN40 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN40_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN40 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN40_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN40 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN40_OFF (8u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN41 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN41_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN41 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN41_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN41 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN41_OFF (9u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN42 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN42_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN42 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN42_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN42 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN42_OFF (10u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN43 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN43_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN43 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN43_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN43 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN43_OFF (11u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN44 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN44_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN44 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN44_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN44 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN44_OFF (12u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN45 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN45_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN45 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN45_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN45 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN45_OFF (13u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN46 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN46_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN46 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN46_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN46 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN46_OFF (14u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN47 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN47_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN47 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN47_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN47 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN47_OFF (15u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN48 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN48_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN48 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN48_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN48 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN48_OFF (16u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN49 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN49_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN49 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN49_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN49 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN49_OFF (17u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN50 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN50_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN50 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN50_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN50 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN50_OFF (18u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN51 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN51_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN51 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN51_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN51 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN51_OFF (19u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN52 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN52_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN52 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN52_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN52 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN52_OFF (20u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN53 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN53_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN53 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN53_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN53 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN53_OFF (21u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN54 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN54_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN54 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN54_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN54 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN54_OFF (22u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN55 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN55_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN55 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN55_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN55 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN55_OFF (23u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN56 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN56_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN56 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN56_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN56 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN56_OFF (24u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN57 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN57_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN57 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN57_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN57 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN57_OFF (25u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN58 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN58_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN58 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN58_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN58 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN58_OFF (26u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN59 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN59_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN59 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN59_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN59 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN59_OFF (27u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN60 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN60_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN60 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN60_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN60 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN60_OFF (28u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN61 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN61_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN61 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN61_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN61 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN61_OFF (29u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN62 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN62_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN62 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN62_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN62 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN62_OFF (30u)

/** \brief Length for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN63 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN63_LEN (1u)

/** \brief Mask for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN63 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN63_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SPR_SPROT_RGNACCENB_R_Bits.EN63 */
#define IFX_CPU_SPR_SPROT_RGNACCENB_R_EN63_OFF (31u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN0 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN0_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN0 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN0_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN0 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN0_OFF (0u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN1 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN1_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN1 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN1_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN1 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN1_OFF (1u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN2 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN2_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN2 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN2_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN2 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN2_OFF (2u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN3 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN3_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN3 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN3_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN3 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN3_OFF (3u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN4 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN4_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN4 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN4_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN4 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN4_OFF (4u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN5 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN5_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN5 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN5_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN5 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN5_OFF (5u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN6 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN6_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN6 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN6_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN6 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN6_OFF (6u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN7 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN7_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN7 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN7_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN7 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN7_OFF (7u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN8 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN8_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN8 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN8_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN8 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN8_OFF (8u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN9 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN9_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN9 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN9_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN9 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN9_OFF (9u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN10 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN10_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN10 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN10_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN10 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN10_OFF (10u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN11 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN11_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN11 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN11_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN11 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN11_OFF (11u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN12 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN12_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN12 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN12_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN12 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN12_OFF (12u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN13 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN13_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN13 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN13_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN13 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN13_OFF (13u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN14 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN14_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN14 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN14_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN14 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN14_OFF (14u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN15 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN15_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN15 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN15_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN15 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN15_OFF (15u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN16 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN16_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN16 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN16_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN16 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN16_OFF (16u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN17 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN17_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN17 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN17_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN17 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN17_OFF (17u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN18 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN18_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN18 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN18_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN18 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN18_OFF (18u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN19 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN19_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN19 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN19_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN19 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN19_OFF (19u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN20 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN20_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN20 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN20_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN20 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN20_OFF (20u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN21 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN21_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN21 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN21_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN21 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN21_OFF (21u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN22 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN22_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN22 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN22_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN22 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN22_OFF (22u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN23 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN23_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN23 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN23_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN23 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN23_OFF (23u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN24 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN24_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN24 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN24_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN24 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN24_OFF (24u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN25 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN25_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN25 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN25_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN25 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN25_OFF (25u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN26 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN26_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN26 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN26_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN26 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN26_OFF (26u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN27 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN27_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN27 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN27_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN27 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN27_OFF (27u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN28 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN28_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN28 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN28_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN28 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN28_OFF (28u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN29 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN29_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN29 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN29_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN29 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN29_OFF (29u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN30 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN30_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN30 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN30_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN30 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN30_OFF (30u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN31 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN31_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN31 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN31_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENA_W_Bits.EN31 */
#define IFX_CPU_SFR_SPROT_ACCENA_W_EN31_OFF (31u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN32 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN32_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN32 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN32_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN32 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN32_OFF (0u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN33 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN33_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN33 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN33_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN33 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN33_OFF (1u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN34 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN34_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN34 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN34_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN34 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN34_OFF (2u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN35 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN35_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN35 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN35_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN35 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN35_OFF (3u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN36 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN36_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN36 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN36_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN36 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN36_OFF (4u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN37 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN37_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN37 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN37_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN37 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN37_OFF (5u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN38 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN38_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN38 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN38_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN38 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN38_OFF (6u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN39 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN39_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN39 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN39_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN39 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN39_OFF (7u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN40 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN40_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN40 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN40_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN40 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN40_OFF (8u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN41 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN41_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN41 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN41_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN41 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN41_OFF (9u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN42 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN42_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN42 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN42_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN42 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN42_OFF (10u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN43 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN43_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN43 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN43_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN43 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN43_OFF (11u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN44 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN44_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN44 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN44_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN44 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN44_OFF (12u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN45 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN45_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN45 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN45_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN45 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN45_OFF (13u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN46 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN46_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN46 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN46_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN46 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN46_OFF (14u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN47 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN47_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN47 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN47_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN47 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN47_OFF (15u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN48 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN48_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN48 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN48_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN48 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN48_OFF (16u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN49 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN49_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN49 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN49_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN49 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN49_OFF (17u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN50 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN50_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN50 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN50_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN50 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN50_OFF (18u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN51 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN51_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN51 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN51_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN51 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN51_OFF (19u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN52 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN52_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN52 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN52_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN52 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN52_OFF (20u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN53 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN53_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN53 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN53_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN53 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN53_OFF (21u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN54 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN54_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN54 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN54_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN54 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN54_OFF (22u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN55 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN55_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN55 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN55_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN55 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN55_OFF (23u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN56 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN56_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN56 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN56_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN56 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN56_OFF (24u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN57 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN57_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN57 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN57_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN57 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN57_OFF (25u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN58 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN58_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN58 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN58_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN58 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN58_OFF (26u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN59 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN59_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN59 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN59_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN59 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN59_OFF (27u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN60 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN60_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN60 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN60_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN60 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN60_OFF (28u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN61 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN61_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN61 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN61_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN61 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN61_OFF (29u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN62 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN62_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN62 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN62_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN62 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN62_OFF (30u)

/** \brief Length for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN63 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN63_LEN (1u)

/** \brief Mask for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN63 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN63_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SFR_SPROT_ACCENB_W_Bits.EN63 */
#define IFX_CPU_SFR_SPROT_ACCENB_W_EN63_OFF (31u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN0 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN0_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN0 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN0_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN0 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN0_OFF (0u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN1 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN1_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN1 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN1_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN1 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN1_OFF (1u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN2 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN2_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN2 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN2_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN2 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN2_OFF (2u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN3 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN3_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN3 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN3_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN3 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN3_OFF (3u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN4 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN4_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN4 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN4_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN4 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN4_OFF (4u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN5 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN5_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN5 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN5_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN5 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN5_OFF (5u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN6 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN6_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN6 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN6_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN6 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN6_OFF (6u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN7 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN7_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN7 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN7_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN7 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN7_OFF (7u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN8 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN8_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN8 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN8_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN8 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN8_OFF (8u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN9 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN9_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN9 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN9_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN9 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN9_OFF (9u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN10 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN10_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN10 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN10_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN10 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN10_OFF (10u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN11 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN11_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN11 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN11_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN11 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN11_OFF (11u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN12 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN12_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN12 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN12_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN12 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN12_OFF (12u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN13 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN13_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN13 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN13_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN13 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN13_OFF (13u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN14 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN14_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN14 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN14_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN14 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN14_OFF (14u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN15 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN15_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN15 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN15_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN15 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN15_OFF (15u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN16 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN16_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN16 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN16_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN16 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN16_OFF (16u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN17 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN17_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN17 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN17_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN17 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN17_OFF (17u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN18 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN18_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN18 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN18_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN18 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN18_OFF (18u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN19 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN19_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN19 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN19_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN19 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN19_OFF (19u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN20 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN20_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN20 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN20_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN20 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN20_OFF (20u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN21 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN21_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN21 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN21_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN21 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN21_OFF (21u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN22 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN22_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN22 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN22_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN22 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN22_OFF (22u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN23 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN23_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN23 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN23_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN23 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN23_OFF (23u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN24 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN24_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN24 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN24_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN24 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN24_OFF (24u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN25 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN25_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN25 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN25_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN25 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN25_OFF (25u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN26 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN26_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN26 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN26_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN26 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN26_OFF (26u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN27 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN27_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN27 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN27_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN27 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN27_OFF (27u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN28 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN28_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN28 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN28_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN28 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN28_OFF (28u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN29 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN29_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN29 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN29_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN29 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN29_OFF (29u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN30 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN30_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN30 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN30_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN30 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN30_OFF (30u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN31 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN31_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN31 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN31_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENA_R_Bits.EN31 */
#define IFX_CPU_LPB_SPROT_ACCENA_R_EN31_OFF (31u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN32 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN32_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN32 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN32_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN32 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN32_OFF (0u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN33 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN33_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN33 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN33_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN33 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN33_OFF (1u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN34 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN34_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN34 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN34_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN34 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN34_OFF (2u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN35 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN35_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN35 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN35_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN35 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN35_OFF (3u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN36 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN36_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN36 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN36_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN36 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN36_OFF (4u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN37 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN37_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN37 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN37_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN37 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN37_OFF (5u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN38 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN38_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN38 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN38_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN38 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN38_OFF (6u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN39 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN39_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN39 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN39_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN39 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN39_OFF (7u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN40 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN40_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN40 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN40_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN40 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN40_OFF (8u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN41 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN41_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN41 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN41_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN41 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN41_OFF (9u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN42 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN42_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN42 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN42_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN42 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN42_OFF (10u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN43 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN43_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN43 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN43_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN43 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN43_OFF (11u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN44 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN44_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN44 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN44_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN44 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN44_OFF (12u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN45 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN45_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN45 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN45_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN45 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN45_OFF (13u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN46 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN46_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN46 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN46_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN46 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN46_OFF (14u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN47 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN47_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN47 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN47_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN47 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN47_OFF (15u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN48 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN48_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN48 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN48_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN48 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN48_OFF (16u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN49 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN49_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN49 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN49_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN49 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN49_OFF (17u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN50 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN50_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN50 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN50_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN50 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN50_OFF (18u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN51 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN51_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN51 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN51_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN51 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN51_OFF (19u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN52 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN52_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN52 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN52_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN52 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN52_OFF (20u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN53 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN53_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN53 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN53_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN53 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN53_OFF (21u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN54 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN54_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN54 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN54_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN54 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN54_OFF (22u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN55 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN55_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN55 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN55_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN55 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN55_OFF (23u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN56 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN56_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN56 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN56_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN56 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN56_OFF (24u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN57 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN57_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN57 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN57_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN57 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN57_OFF (25u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN58 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN58_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN58 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN58_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN58 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN58_OFF (26u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN59 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN59_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN59 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN59_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN59 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN59_OFF (27u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN60 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN60_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN60 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN60_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN60 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN60_OFF (28u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN61 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN61_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN61 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN61_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN61 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN61_OFF (29u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN62 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN62_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN62 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN62_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN62 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN62_OFF (30u)

/** \brief Length for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN63 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN63_LEN (1u)

/** \brief Mask for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN63 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN63_MSK (0x1u)

/** \brief Offset for Ifx_CPU_LPB_SPROT_ACCENB_R_Bits.EN63 */
#define IFX_CPU_LPB_SPROT_ACCENB_R_EN63_OFF (31u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNLA_Bits.ADDR */
#define IFX_CPU_DLMU_SPROT_RGNLA_ADDR_LEN (27u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNLA_Bits.ADDR */
#define IFX_CPU_DLMU_SPROT_RGNLA_ADDR_MSK (0x7ffffffu)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNLA_Bits.ADDR */
#define IFX_CPU_DLMU_SPROT_RGNLA_ADDR_OFF (5u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNUA_Bits.ADDR */
#define IFX_CPU_DLMU_SPROT_RGNUA_ADDR_LEN (27u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNUA_Bits.ADDR */
#define IFX_CPU_DLMU_SPROT_RGNUA_ADDR_MSK (0x7ffffffu)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNUA_Bits.ADDR */
#define IFX_CPU_DLMU_SPROT_RGNUA_ADDR_OFF (5u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN0 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN0_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN0 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN0_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN0 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN0_OFF (0u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN1 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN1_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN1 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN1_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN1 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN1_OFF (1u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN2 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN2_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN2 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN2_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN2 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN2_OFF (2u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN3 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN3_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN3 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN3_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN3 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN3_OFF (3u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN4 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN4_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN4 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN4_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN4 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN4_OFF (4u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN5 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN5_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN5 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN5_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN5 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN5_OFF (5u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN6 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN6_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN6 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN6_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN6 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN6_OFF (6u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN7 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN7_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN7 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN7_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN7 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN7_OFF (7u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN8 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN8_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN8 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN8_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN8 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN8_OFF (8u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN9 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN9_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN9 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN9_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN9 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN9_OFF (9u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN10 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN10_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN10 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN10_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN10 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN10_OFF (10u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN11 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN11_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN11 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN11_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN11 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN11_OFF (11u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN12 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN12_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN12 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN12_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN12 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN12_OFF (12u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN13 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN13_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN13 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN13_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN13 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN13_OFF (13u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN14 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN14_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN14 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN14_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN14 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN14_OFF (14u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN15 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN15_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN15 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN15_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN15 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN15_OFF (15u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN16 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN16_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN16 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN16_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN16 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN16_OFF (16u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN17 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN17_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN17 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN17_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN17 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN17_OFF (17u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN18 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN18_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN18 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN18_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN18 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN18_OFF (18u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN19 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN19_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN19 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN19_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN19 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN19_OFF (19u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN20 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN20_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN20 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN20_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN20 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN20_OFF (20u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN21 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN21_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN21 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN21_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN21 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN21_OFF (21u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN22 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN22_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN22 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN22_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN22 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN22_OFF (22u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN23 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN23_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN23 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN23_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN23 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN23_OFF (23u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN24 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN24_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN24 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN24_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN24 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN24_OFF (24u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN25 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN25_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN25 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN25_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN25 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN25_OFF (25u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN26 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN26_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN26 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN26_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN26 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN26_OFF (26u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN27 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN27_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN27 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN27_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN27 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN27_OFF (27u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN28 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN28_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN28 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN28_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN28 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN28_OFF (28u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN29 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN29_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN29 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN29_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN29 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN29_OFF (29u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN30 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN30_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN30 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN30_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN30 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN30_OFF (30u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN31 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN31_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN31 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN31_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_W_Bits.EN31 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_W_EN31_OFF (31u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN32 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN32_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN32 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN32_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN32 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN32_OFF (0u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN33 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN33_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN33 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN33_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN33 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN33_OFF (1u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN34 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN34_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN34 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN34_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN34 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN34_OFF (2u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN35 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN35_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN35 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN35_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN35 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN35_OFF (3u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN36 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN36_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN36 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN36_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN36 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN36_OFF (4u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN37 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN37_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN37 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN37_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN37 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN37_OFF (5u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN38 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN38_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN38 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN38_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN38 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN38_OFF (6u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN39 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN39_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN39 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN39_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN39 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN39_OFF (7u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN40 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN40_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN40 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN40_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN40 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN40_OFF (8u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN41 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN41_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN41 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN41_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN41 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN41_OFF (9u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN42 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN42_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN42 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN42_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN42 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN42_OFF (10u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN43 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN43_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN43 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN43_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN43 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN43_OFF (11u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN44 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN44_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN44 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN44_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN44 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN44_OFF (12u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN45 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN45_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN45 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN45_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN45 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN45_OFF (13u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN46 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN46_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN46 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN46_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN46 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN46_OFF (14u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN47 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN47_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN47 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN47_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN47 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN47_OFF (15u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN48 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN48_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN48 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN48_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN48 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN48_OFF (16u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN49 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN49_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN49 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN49_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN49 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN49_OFF (17u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN50 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN50_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN50 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN50_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN50 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN50_OFF (18u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN51 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN51_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN51 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN51_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN51 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN51_OFF (19u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN52 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN52_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN52 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN52_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN52 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN52_OFF (20u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN53 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN53_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN53 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN53_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN53 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN53_OFF (21u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN54 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN54_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN54 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN54_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN54 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN54_OFF (22u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN55 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN55_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN55 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN55_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN55 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN55_OFF (23u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN56 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN56_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN56 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN56_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN56 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN56_OFF (24u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN57 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN57_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN57 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN57_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN57 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN57_OFF (25u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN58 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN58_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN58 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN58_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN58 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN58_OFF (26u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN59 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN59_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN59 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN59_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN59 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN59_OFF (27u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN60 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN60_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN60 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN60_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN60 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN60_OFF (28u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN61 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN61_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN61 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN61_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN61 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN61_OFF (29u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN62 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN62_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN62 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN62_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN62 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN62_OFF (30u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN63 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN63_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN63 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN63_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_W_Bits.EN63 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_W_EN63_OFF (31u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN0 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN0_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN0 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN0_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN0 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN0_OFF (0u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN1 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN1_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN1 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN1_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN1 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN1_OFF (1u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN2 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN2_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN2 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN2_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN2 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN2_OFF (2u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN3 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN3_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN3 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN3_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN3 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN3_OFF (3u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN4 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN4_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN4 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN4_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN4 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN4_OFF (4u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN5 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN5_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN5 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN5_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN5 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN5_OFF (5u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN6 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN6_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN6 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN6_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN6 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN6_OFF (6u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN7 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN7_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN7 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN7_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN7 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN7_OFF (7u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN8 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN8_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN8 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN8_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN8 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN8_OFF (8u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN9 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN9_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN9 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN9_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN9 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN9_OFF (9u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN10 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN10_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN10 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN10_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN10 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN10_OFF (10u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN11 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN11_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN11 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN11_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN11 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN11_OFF (11u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN12 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN12_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN12 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN12_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN12 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN12_OFF (12u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN13 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN13_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN13 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN13_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN13 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN13_OFF (13u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN14 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN14_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN14 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN14_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN14 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN14_OFF (14u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN15 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN15_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN15 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN15_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN15 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN15_OFF (15u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN16 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN16_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN16 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN16_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN16 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN16_OFF (16u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN17 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN17_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN17 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN17_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN17 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN17_OFF (17u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN18 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN18_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN18 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN18_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN18 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN18_OFF (18u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN19 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN19_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN19 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN19_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN19 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN19_OFF (19u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN20 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN20_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN20 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN20_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN20 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN20_OFF (20u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN21 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN21_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN21 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN21_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN21 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN21_OFF (21u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN22 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN22_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN22 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN22_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN22 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN22_OFF (22u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN23 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN23_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN23 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN23_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN23 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN23_OFF (23u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN24 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN24_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN24 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN24_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN24 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN24_OFF (24u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN25 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN25_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN25 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN25_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN25 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN25_OFF (25u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN26 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN26_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN26 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN26_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN26 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN26_OFF (26u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN27 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN27_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN27 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN27_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN27 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN27_OFF (27u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN28 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN28_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN28 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN28_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN28 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN28_OFF (28u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN29 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN29_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN29 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN29_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN29 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN29_OFF (29u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN30 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN30_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN30 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN30_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN30 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN30_OFF (30u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN31 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN31_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN31 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN31_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENA_R_Bits.EN31 */
#define IFX_CPU_DLMU_SPROT_RGNACCENA_R_EN31_OFF (31u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN32 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN32_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN32 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN32_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN32 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN32_OFF (0u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN33 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN33_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN33 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN33_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN33 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN33_OFF (1u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN34 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN34_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN34 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN34_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN34 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN34_OFF (2u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN35 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN35_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN35 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN35_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN35 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN35_OFF (3u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN36 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN36_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN36 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN36_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN36 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN36_OFF (4u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN37 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN37_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN37 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN37_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN37 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN37_OFF (5u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN38 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN38_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN38 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN38_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN38 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN38_OFF (6u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN39 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN39_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN39 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN39_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN39 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN39_OFF (7u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN40 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN40_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN40 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN40_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN40 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN40_OFF (8u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN41 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN41_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN41 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN41_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN41 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN41_OFF (9u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN42 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN42_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN42 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN42_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN42 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN42_OFF (10u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN43 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN43_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN43 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN43_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN43 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN43_OFF (11u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN44 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN44_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN44 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN44_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN44 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN44_OFF (12u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN45 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN45_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN45 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN45_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN45 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN45_OFF (13u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN46 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN46_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN46 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN46_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN46 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN46_OFF (14u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN47 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN47_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN47 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN47_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN47 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN47_OFF (15u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN48 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN48_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN48 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN48_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN48 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN48_OFF (16u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN49 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN49_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN49 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN49_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN49 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN49_OFF (17u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN50 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN50_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN50 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN50_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN50 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN50_OFF (18u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN51 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN51_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN51 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN51_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN51 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN51_OFF (19u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN52 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN52_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN52 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN52_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN52 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN52_OFF (20u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN53 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN53_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN53 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN53_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN53 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN53_OFF (21u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN54 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN54_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN54 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN54_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN54 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN54_OFF (22u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN55 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN55_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN55 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN55_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN55 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN55_OFF (23u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN56 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN56_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN56 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN56_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN56 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN56_OFF (24u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN57 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN57_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN57 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN57_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN57 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN57_OFF (25u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN58 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN58_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN58 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN58_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN58 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN58_OFF (26u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN59 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN59_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN59 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN59_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN59 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN59_OFF (27u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN60 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN60_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN60 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN60_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN60 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN60_OFF (28u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN61 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN61_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN61 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN61_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN61 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN61_OFF (29u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN62 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN62_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN62 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN62_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN62 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN62_OFF (30u)

/** \brief Length for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN63 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN63_LEN (1u)

/** \brief Mask for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN63 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN63_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DLMU_SPROT_RGNACCENB_R_Bits.EN63 */
#define IFX_CPU_DLMU_SPROT_RGNACCENB_R_EN63_OFF (31u)

/** \brief Length for Ifx_CPU_OSEL_Bits.SHOVEN_x */
#define IFX_CPU_OSEL_SHOVEN_X_LEN (32u)

/** \brief Mask for Ifx_CPU_OSEL_Bits.SHOVEN_x */
#define IFX_CPU_OSEL_SHOVEN_X_MSK (0xffffffffu)

/** \brief Offset for Ifx_CPU_OSEL_Bits.SHOVEN_x */
#define IFX_CPU_OSEL_SHOVEN_X_OFF (0u)

/** \brief Length for Ifx_CPU_BLK_RABR_Bits.OBASE */
#define IFX_CPU_BLK_RABR_OBASE_LEN (17u)

/** \brief Mask for Ifx_CPU_BLK_RABR_Bits.OBASE */
#define IFX_CPU_BLK_RABR_OBASE_MSK (0x1ffffu)

/** \brief Offset for Ifx_CPU_BLK_RABR_Bits.OBASE */
#define IFX_CPU_BLK_RABR_OBASE_OFF (5u)

/** \brief Length for Ifx_CPU_BLK_RABR_Bits.OMEM */
#define IFX_CPU_BLK_RABR_OMEM_LEN (4u)

/** \brief Mask for Ifx_CPU_BLK_RABR_Bits.OMEM */
#define IFX_CPU_BLK_RABR_OMEM_MSK (0xfu)

/** \brief Offset for Ifx_CPU_BLK_RABR_Bits.OMEM */
#define IFX_CPU_BLK_RABR_OMEM_OFF (24u)

/** \brief Length for Ifx_CPU_BLK_RABR_Bits.OVEN */
#define IFX_CPU_BLK_RABR_OVEN_LEN (1u)

/** \brief Mask for Ifx_CPU_BLK_RABR_Bits.OVEN */
#define IFX_CPU_BLK_RABR_OVEN_MSK (0x1u)

/** \brief Offset for Ifx_CPU_BLK_RABR_Bits.OVEN */
#define IFX_CPU_BLK_RABR_OVEN_OFF (31u)

/** \brief Length for Ifx_CPU_BLK_OTAR_Bits.TBASE */
#define IFX_CPU_BLK_OTAR_TBASE_LEN (23u)

/** \brief Mask for Ifx_CPU_BLK_OTAR_Bits.TBASE */
#define IFX_CPU_BLK_OTAR_TBASE_MSK (0x7fffffu)

/** \brief Offset for Ifx_CPU_BLK_OTAR_Bits.TBASE */
#define IFX_CPU_BLK_OTAR_TBASE_OFF (5u)

/** \brief Length for Ifx_CPU_BLK_OMASK_Bits.OMASK */
#define IFX_CPU_BLK_OMASK_OMASK_LEN (12u)

/** \brief Mask for Ifx_CPU_BLK_OMASK_Bits.OMASK */
#define IFX_CPU_BLK_OMASK_OMASK_MSK (0xfffu)

/** \brief Offset for Ifx_CPU_BLK_OMASK_Bits.OMASK */
#define IFX_CPU_BLK_OMASK_OMASK_OFF (5u)

/** \brief Length for Ifx_CPU_BLK_OMASK_Bits.ONE */
#define IFX_CPU_BLK_OMASK_ONE_LEN (11u)

/** \brief Mask for Ifx_CPU_BLK_OMASK_Bits.ONE */
#define IFX_CPU_BLK_OMASK_ONE_MSK (0x7ffu)

/** \brief Offset for Ifx_CPU_BLK_OMASK_Bits.ONE */
#define IFX_CPU_BLK_OMASK_ONE_OFF (17u)

/** \brief Length for Ifx_CPU_SEGEN_Bits.ADFLIP */
#define IFX_CPU_SEGEN_ADFLIP_LEN (8u)

/** \brief Mask for Ifx_CPU_SEGEN_Bits.ADFLIP */
#define IFX_CPU_SEGEN_ADFLIP_MSK (0xffu)

/** \brief Offset for Ifx_CPU_SEGEN_Bits.ADFLIP */
#define IFX_CPU_SEGEN_ADFLIP_OFF (0u)

/** \brief Length for Ifx_CPU_SEGEN_Bits.ADTYPE */
#define IFX_CPU_SEGEN_ADTYPE_LEN (2u)

/** \brief Mask for Ifx_CPU_SEGEN_Bits.ADTYPE */
#define IFX_CPU_SEGEN_ADTYPE_MSK (0x3u)

/** \brief Offset for Ifx_CPU_SEGEN_Bits.ADTYPE */
#define IFX_CPU_SEGEN_ADTYPE_OFF (8u)

/** \brief Length for Ifx_CPU_SEGEN_Bits.AE */
#define IFX_CPU_SEGEN_AE_LEN (1u)

/** \brief Mask for Ifx_CPU_SEGEN_Bits.AE */
#define IFX_CPU_SEGEN_AE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SEGEN_Bits.AE */
#define IFX_CPU_SEGEN_AE_OFF (31u)

/** \brief Length for Ifx_CPU_TASK_ASI_Bits.ASI */
#define IFX_CPU_TASK_ASI_ASI_LEN (5u)

/** \brief Mask for Ifx_CPU_TASK_ASI_Bits.ASI */
#define IFX_CPU_TASK_ASI_ASI_MSK (0x1fu)

/** \brief Offset for Ifx_CPU_TASK_ASI_Bits.ASI */
#define IFX_CPU_TASK_ASI_ASI_OFF (0u)

/** \brief Length for Ifx_CPU_PMA0_Bits.DAC */
#define IFX_CPU_PMA0_DAC_LEN (16u)

/** \brief Mask for Ifx_CPU_PMA0_Bits.DAC */
#define IFX_CPU_PMA0_DAC_MSK (0xffffu)

/** \brief Offset for Ifx_CPU_PMA0_Bits.DAC */
#define IFX_CPU_PMA0_DAC_OFF (0u)

/** \brief Length for Ifx_CPU_PMA1_Bits.CAC */
#define IFX_CPU_PMA1_CAC_LEN (16u)

/** \brief Mask for Ifx_CPU_PMA1_Bits.CAC */
#define IFX_CPU_PMA1_CAC_MSK (0xffffu)

/** \brief Offset for Ifx_CPU_PMA1_Bits.CAC */
#define IFX_CPU_PMA1_CAC_OFF (0u)

/** \brief Length for Ifx_CPU_PMA2_Bits.PSI */
#define IFX_CPU_PMA2_PSI_LEN (16u)

/** \brief Mask for Ifx_CPU_PMA2_Bits.PSI */
#define IFX_CPU_PMA2_PSI_MSK (0xffffu)

/** \brief Offset for Ifx_CPU_PMA2_Bits.PSI */
#define IFX_CPU_PMA2_PSI_OFF (0u)

/** \brief Length for Ifx_CPU_DCON2_Bits.DCACHE_SZE */
#define IFX_CPU_DCON2_DCACHE_SZE_LEN (16u)

/** \brief Mask for Ifx_CPU_DCON2_Bits.DCACHE_SZE */
#define IFX_CPU_DCON2_DCACHE_SZE_MSK (0xffffu)

/** \brief Offset for Ifx_CPU_DCON2_Bits.DCACHE_SZE */
#define IFX_CPU_DCON2_DCACHE_SZE_OFF (0u)

/** \brief Length for Ifx_CPU_DCON2_Bits.DSCRATCH_SZE */
#define IFX_CPU_DCON2_DSCRATCH_SZE_LEN (16u)

/** \brief Mask for Ifx_CPU_DCON2_Bits.DSCRATCH_SZE */
#define IFX_CPU_DCON2_DSCRATCH_SZE_MSK (0xffffu)

/** \brief Offset for Ifx_CPU_DCON2_Bits.DSCRATCH_SZE */
#define IFX_CPU_DCON2_DSCRATCH_SZE_OFF (16u)

/** \brief Length for Ifx_CPU_SMACON_Bits.IODT */
#define IFX_CPU_SMACON_IODT_LEN (1u)

/** \brief Mask for Ifx_CPU_SMACON_Bits.IODT */
#define IFX_CPU_SMACON_IODT_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SMACON_Bits.IODT */
#define IFX_CPU_SMACON_IODT_OFF (24u)

/** \brief Length for Ifx_CPU_DSTR_Bits.SRE */
#define IFX_CPU_DSTR_SRE_LEN (1u)

/** \brief Mask for Ifx_CPU_DSTR_Bits.SRE */
#define IFX_CPU_DSTR_SRE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DSTR_Bits.SRE */
#define IFX_CPU_DSTR_SRE_OFF (0u)

/** \brief Length for Ifx_CPU_DSTR_Bits.GAE */
#define IFX_CPU_DSTR_GAE_LEN (1u)

/** \brief Mask for Ifx_CPU_DSTR_Bits.GAE */
#define IFX_CPU_DSTR_GAE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DSTR_Bits.GAE */
#define IFX_CPU_DSTR_GAE_OFF (1u)

/** \brief Length for Ifx_CPU_DSTR_Bits.LBE */
#define IFX_CPU_DSTR_LBE_LEN (1u)

/** \brief Mask for Ifx_CPU_DSTR_Bits.LBE */
#define IFX_CPU_DSTR_LBE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DSTR_Bits.LBE */
#define IFX_CPU_DSTR_LBE_OFF (2u)

/** \brief Length for Ifx_CPU_DSTR_Bits.DRE */
#define IFX_CPU_DSTR_DRE_LEN (1u)

/** \brief Mask for Ifx_CPU_DSTR_Bits.DRE */
#define IFX_CPU_DSTR_DRE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DSTR_Bits.DRE */
#define IFX_CPU_DSTR_DRE_OFF (3u)

/** \brief Length for Ifx_CPU_DSTR_Bits.CRE */
#define IFX_CPU_DSTR_CRE_LEN (1u)

/** \brief Mask for Ifx_CPU_DSTR_Bits.CRE */
#define IFX_CPU_DSTR_CRE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DSTR_Bits.CRE */
#define IFX_CPU_DSTR_CRE_OFF (6u)

/** \brief Length for Ifx_CPU_DSTR_Bits.DTME */
#define IFX_CPU_DSTR_DTME_LEN (1u)

/** \brief Mask for Ifx_CPU_DSTR_Bits.DTME */
#define IFX_CPU_DSTR_DTME_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DSTR_Bits.DTME */
#define IFX_CPU_DSTR_DTME_OFF (14u)

/** \brief Length for Ifx_CPU_DSTR_Bits.LOE */
#define IFX_CPU_DSTR_LOE_LEN (1u)

/** \brief Mask for Ifx_CPU_DSTR_Bits.LOE */
#define IFX_CPU_DSTR_LOE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DSTR_Bits.LOE */
#define IFX_CPU_DSTR_LOE_OFF (15u)

/** \brief Length for Ifx_CPU_DSTR_Bits.SDE */
#define IFX_CPU_DSTR_SDE_LEN (1u)

/** \brief Mask for Ifx_CPU_DSTR_Bits.SDE */
#define IFX_CPU_DSTR_SDE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DSTR_Bits.SDE */
#define IFX_CPU_DSTR_SDE_OFF (16u)

/** \brief Length for Ifx_CPU_DSTR_Bits.SCE */
#define IFX_CPU_DSTR_SCE_LEN (1u)

/** \brief Mask for Ifx_CPU_DSTR_Bits.SCE */
#define IFX_CPU_DSTR_SCE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DSTR_Bits.SCE */
#define IFX_CPU_DSTR_SCE_OFF (17u)

/** \brief Length for Ifx_CPU_DSTR_Bits.CAC */
#define IFX_CPU_DSTR_CAC_LEN (1u)

/** \brief Mask for Ifx_CPU_DSTR_Bits.CAC */
#define IFX_CPU_DSTR_CAC_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DSTR_Bits.CAC */
#define IFX_CPU_DSTR_CAC_OFF (18u)

/** \brief Length for Ifx_CPU_DSTR_Bits.MPE */
#define IFX_CPU_DSTR_MPE_LEN (1u)

/** \brief Mask for Ifx_CPU_DSTR_Bits.MPE */
#define IFX_CPU_DSTR_MPE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DSTR_Bits.MPE */
#define IFX_CPU_DSTR_MPE_OFF (19u)

/** \brief Length for Ifx_CPU_DSTR_Bits.CLE */
#define IFX_CPU_DSTR_CLE_LEN (1u)

/** \brief Mask for Ifx_CPU_DSTR_Bits.CLE */
#define IFX_CPU_DSTR_CLE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DSTR_Bits.CLE */
#define IFX_CPU_DSTR_CLE_OFF (20u)

/** \brief Length for Ifx_CPU_DSTR_Bits.ALN */
#define IFX_CPU_DSTR_ALN_LEN (1u)

/** \brief Mask for Ifx_CPU_DSTR_Bits.ALN */
#define IFX_CPU_DSTR_ALN_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DSTR_Bits.ALN */
#define IFX_CPU_DSTR_ALN_OFF (24u)

/** \brief Length for Ifx_CPU_DATR_Bits.SBE */
#define IFX_CPU_DATR_SBE_LEN (1u)

/** \brief Mask for Ifx_CPU_DATR_Bits.SBE */
#define IFX_CPU_DATR_SBE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DATR_Bits.SBE */
#define IFX_CPU_DATR_SBE_OFF (3u)

/** \brief Length for Ifx_CPU_DATR_Bits.CWE */
#define IFX_CPU_DATR_CWE_LEN (1u)

/** \brief Mask for Ifx_CPU_DATR_Bits.CWE */
#define IFX_CPU_DATR_CWE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DATR_Bits.CWE */
#define IFX_CPU_DATR_CWE_OFF (9u)

/** \brief Length for Ifx_CPU_DATR_Bits.CFE */
#define IFX_CPU_DATR_CFE_LEN (1u)

/** \brief Mask for Ifx_CPU_DATR_Bits.CFE */
#define IFX_CPU_DATR_CFE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DATR_Bits.CFE */
#define IFX_CPU_DATR_CFE_OFF (10u)

/** \brief Length for Ifx_CPU_DATR_Bits.SOE */
#define IFX_CPU_DATR_SOE_LEN (1u)

/** \brief Mask for Ifx_CPU_DATR_Bits.SOE */
#define IFX_CPU_DATR_SOE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DATR_Bits.SOE */
#define IFX_CPU_DATR_SOE_OFF (14u)

/** \brief Length for Ifx_CPU_DEADD_Bits.ERROR_ADDRESS */
#define IFX_CPU_DEADD_ERROR_ADDRESS_LEN (32u)

/** \brief Mask for Ifx_CPU_DEADD_Bits.ERROR_ADDRESS */
#define IFX_CPU_DEADD_ERROR_ADDRESS_MSK (0xffffffffu)

/** \brief Offset for Ifx_CPU_DEADD_Bits.ERROR_ADDRESS */
#define IFX_CPU_DEADD_ERROR_ADDRESS_OFF (0u)

/** \brief Length for Ifx_CPU_DIEAR_Bits.TA */
#define IFX_CPU_DIEAR_TA_LEN (32u)

/** \brief Mask for Ifx_CPU_DIEAR_Bits.TA */
#define IFX_CPU_DIEAR_TA_MSK (0xffffffffu)

/** \brief Offset for Ifx_CPU_DIEAR_Bits.TA */
#define IFX_CPU_DIEAR_TA_OFF (0u)

/** \brief Length for Ifx_CPU_DIETR_Bits.IED */
#define IFX_CPU_DIETR_IED_LEN (1u)

/** \brief Mask for Ifx_CPU_DIETR_Bits.IED */
#define IFX_CPU_DIETR_IED_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DIETR_Bits.IED */
#define IFX_CPU_DIETR_IED_OFF (0u)

/** \brief Length for Ifx_CPU_DIETR_Bits.IE_T */
#define IFX_CPU_DIETR_IE_T_LEN (1u)

/** \brief Mask for Ifx_CPU_DIETR_Bits.IE_T */
#define IFX_CPU_DIETR_IE_T_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DIETR_Bits.IE_T */
#define IFX_CPU_DIETR_IE_T_OFF (1u)

/** \brief Length for Ifx_CPU_DIETR_Bits.IE_C */
#define IFX_CPU_DIETR_IE_C_LEN (1u)

/** \brief Mask for Ifx_CPU_DIETR_Bits.IE_C */
#define IFX_CPU_DIETR_IE_C_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DIETR_Bits.IE_C */
#define IFX_CPU_DIETR_IE_C_OFF (2u)

/** \brief Length for Ifx_CPU_DIETR_Bits.IE_S */
#define IFX_CPU_DIETR_IE_S_LEN (1u)

/** \brief Mask for Ifx_CPU_DIETR_Bits.IE_S */
#define IFX_CPU_DIETR_IE_S_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DIETR_Bits.IE_S */
#define IFX_CPU_DIETR_IE_S_OFF (3u)

/** \brief Length for Ifx_CPU_DIETR_Bits.IE_BI */
#define IFX_CPU_DIETR_IE_BI_LEN (1u)

/** \brief Mask for Ifx_CPU_DIETR_Bits.IE_BI */
#define IFX_CPU_DIETR_IE_BI_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DIETR_Bits.IE_BI */
#define IFX_CPU_DIETR_IE_BI_OFF (4u)

/** \brief Length for Ifx_CPU_DIETR_Bits.E_INFO */
#define IFX_CPU_DIETR_E_INFO_LEN (6u)

/** \brief Mask for Ifx_CPU_DIETR_Bits.E_INFO */
#define IFX_CPU_DIETR_E_INFO_MSK (0x3fu)

/** \brief Offset for Ifx_CPU_DIETR_Bits.E_INFO */
#define IFX_CPU_DIETR_E_INFO_OFF (5u)

/** \brief Length for Ifx_CPU_DIETR_Bits.IE_UNC */
#define IFX_CPU_DIETR_IE_UNC_LEN (1u)

/** \brief Mask for Ifx_CPU_DIETR_Bits.IE_UNC */
#define IFX_CPU_DIETR_IE_UNC_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DIETR_Bits.IE_UNC */
#define IFX_CPU_DIETR_IE_UNC_OFF (11u)

/** \brief Length for Ifx_CPU_DIETR_Bits.IE_SP */
#define IFX_CPU_DIETR_IE_SP_LEN (1u)

/** \brief Mask for Ifx_CPU_DIETR_Bits.IE_SP */
#define IFX_CPU_DIETR_IE_SP_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DIETR_Bits.IE_SP */
#define IFX_CPU_DIETR_IE_SP_OFF (12u)

/** \brief Length for Ifx_CPU_DIETR_Bits.IE_BS */
#define IFX_CPU_DIETR_IE_BS_LEN (1u)

/** \brief Mask for Ifx_CPU_DIETR_Bits.IE_BS */
#define IFX_CPU_DIETR_IE_BS_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DIETR_Bits.IE_BS */
#define IFX_CPU_DIETR_IE_BS_OFF (13u)

/** \brief Length for Ifx_CPU_DIETR_Bits.IE_DLMU */
#define IFX_CPU_DIETR_IE_DLMU_LEN (1u)

/** \brief Mask for Ifx_CPU_DIETR_Bits.IE_DLMU */
#define IFX_CPU_DIETR_IE_DLMU_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DIETR_Bits.IE_DLMU */
#define IFX_CPU_DIETR_IE_DLMU_OFF (14u)

/** \brief Length for Ifx_CPU_DIETR_Bits.IE_LPB */
#define IFX_CPU_DIETR_IE_LPB_LEN (1u)

/** \brief Mask for Ifx_CPU_DIETR_Bits.IE_LPB */
#define IFX_CPU_DIETR_IE_LPB_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DIETR_Bits.IE_LPB */
#define IFX_CPU_DIETR_IE_LPB_OFF (15u)

/** \brief Length for Ifx_CPU_DIETR_Bits.IE_MTMV */
#define IFX_CPU_DIETR_IE_MTMV_LEN (1u)

/** \brief Mask for Ifx_CPU_DIETR_Bits.IE_MTMV */
#define IFX_CPU_DIETR_IE_MTMV_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DIETR_Bits.IE_MTMV */
#define IFX_CPU_DIETR_IE_MTMV_OFF (16u)

/** \brief Length for Ifx_CPU_DCON0_Bits.DCBYP */
#define IFX_CPU_DCON0_DCBYP_LEN (1u)

/** \brief Mask for Ifx_CPU_DCON0_Bits.DCBYP */
#define IFX_CPU_DCON0_DCBYP_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DCON0_Bits.DCBYP */
#define IFX_CPU_DCON0_DCBYP_OFF (1u)

/** \brief Length for Ifx_CPU_PSTR_Bits.FRE */
#define IFX_CPU_PSTR_FRE_LEN (1u)

/** \brief Mask for Ifx_CPU_PSTR_Bits.FRE */
#define IFX_CPU_PSTR_FRE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_PSTR_Bits.FRE */
#define IFX_CPU_PSTR_FRE_OFF (0u)

/** \brief Length for Ifx_CPU_PSTR_Bits.FBE */
#define IFX_CPU_PSTR_FBE_LEN (1u)

/** \brief Mask for Ifx_CPU_PSTR_Bits.FBE */
#define IFX_CPU_PSTR_FBE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_PSTR_Bits.FBE */
#define IFX_CPU_PSTR_FBE_OFF (2u)

/** \brief Length for Ifx_CPU_PSTR_Bits.FPE */
#define IFX_CPU_PSTR_FPE_LEN (1u)

/** \brief Mask for Ifx_CPU_PSTR_Bits.FPE */
#define IFX_CPU_PSTR_FPE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_PSTR_Bits.FPE */
#define IFX_CPU_PSTR_FPE_OFF (12u)

/** \brief Length for Ifx_CPU_PSTR_Bits.FME */
#define IFX_CPU_PSTR_FME_LEN (1u)

/** \brief Mask for Ifx_CPU_PSTR_Bits.FME */
#define IFX_CPU_PSTR_FME_MSK (0x1u)

/** \brief Offset for Ifx_CPU_PSTR_Bits.FME */
#define IFX_CPU_PSTR_FME_OFF (14u)

/** \brief Length for Ifx_CPU_PCON1_Bits.PCINV */
#define IFX_CPU_PCON1_PCINV_LEN (1u)

/** \brief Mask for Ifx_CPU_PCON1_Bits.PCINV */
#define IFX_CPU_PCON1_PCINV_MSK (0x1u)

/** \brief Offset for Ifx_CPU_PCON1_Bits.PCINV */
#define IFX_CPU_PCON1_PCINV_OFF (0u)

/** \brief Length for Ifx_CPU_PCON1_Bits.PBINV */
#define IFX_CPU_PCON1_PBINV_LEN (1u)

/** \brief Mask for Ifx_CPU_PCON1_Bits.PBINV */
#define IFX_CPU_PCON1_PBINV_MSK (0x1u)

/** \brief Offset for Ifx_CPU_PCON1_Bits.PBINV */
#define IFX_CPU_PCON1_PBINV_OFF (1u)

/** \brief Length for Ifx_CPU_PCON2_Bits.PCACHE_SZE */
#define IFX_CPU_PCON2_PCACHE_SZE_LEN (16u)

/** \brief Mask for Ifx_CPU_PCON2_Bits.PCACHE_SZE */
#define IFX_CPU_PCON2_PCACHE_SZE_MSK (0xffffu)

/** \brief Offset for Ifx_CPU_PCON2_Bits.PCACHE_SZE */
#define IFX_CPU_PCON2_PCACHE_SZE_OFF (0u)

/** \brief Length for Ifx_CPU_PCON2_Bits.PSCRATCH_SZE */
#define IFX_CPU_PCON2_PSCRATCH_SZE_LEN (16u)

/** \brief Mask for Ifx_CPU_PCON2_Bits.PSCRATCH_SZE */
#define IFX_CPU_PCON2_PSCRATCH_SZE_MSK (0xffffu)

/** \brief Offset for Ifx_CPU_PCON2_Bits.PSCRATCH_SZE */
#define IFX_CPU_PCON2_PSCRATCH_SZE_OFF (16u)

/** \brief Length for Ifx_CPU_PCON0_Bits.PCBYP */
#define IFX_CPU_PCON0_PCBYP_LEN (1u)

/** \brief Mask for Ifx_CPU_PCON0_Bits.PCBYP */
#define IFX_CPU_PCON0_PCBYP_MSK (0x1u)

/** \brief Offset for Ifx_CPU_PCON0_Bits.PCBYP */
#define IFX_CPU_PCON0_PCBYP_OFF (1u)

/** \brief Length for Ifx_CPU_PIEAR_Bits.TA */
#define IFX_CPU_PIEAR_TA_LEN (32u)

/** \brief Mask for Ifx_CPU_PIEAR_Bits.TA */
#define IFX_CPU_PIEAR_TA_MSK (0xffffffffu)

/** \brief Offset for Ifx_CPU_PIEAR_Bits.TA */
#define IFX_CPU_PIEAR_TA_OFF (0u)

/** \brief Length for Ifx_CPU_PIETR_Bits.IED */
#define IFX_CPU_PIETR_IED_LEN (1u)

/** \brief Mask for Ifx_CPU_PIETR_Bits.IED */
#define IFX_CPU_PIETR_IED_MSK (0x1u)

/** \brief Offset for Ifx_CPU_PIETR_Bits.IED */
#define IFX_CPU_PIETR_IED_OFF (0u)

/** \brief Length for Ifx_CPU_PIETR_Bits.IE_T */
#define IFX_CPU_PIETR_IE_T_LEN (1u)

/** \brief Mask for Ifx_CPU_PIETR_Bits.IE_T */
#define IFX_CPU_PIETR_IE_T_MSK (0x1u)

/** \brief Offset for Ifx_CPU_PIETR_Bits.IE_T */
#define IFX_CPU_PIETR_IE_T_OFF (1u)

/** \brief Length for Ifx_CPU_PIETR_Bits.IE_C */
#define IFX_CPU_PIETR_IE_C_LEN (1u)

/** \brief Mask for Ifx_CPU_PIETR_Bits.IE_C */
#define IFX_CPU_PIETR_IE_C_MSK (0x1u)

/** \brief Offset for Ifx_CPU_PIETR_Bits.IE_C */
#define IFX_CPU_PIETR_IE_C_OFF (2u)

/** \brief Length for Ifx_CPU_PIETR_Bits.IE_S */
#define IFX_CPU_PIETR_IE_S_LEN (1u)

/** \brief Mask for Ifx_CPU_PIETR_Bits.IE_S */
#define IFX_CPU_PIETR_IE_S_MSK (0x1u)

/** \brief Offset for Ifx_CPU_PIETR_Bits.IE_S */
#define IFX_CPU_PIETR_IE_S_OFF (3u)

/** \brief Length for Ifx_CPU_PIETR_Bits.IE_BI */
#define IFX_CPU_PIETR_IE_BI_LEN (1u)

/** \brief Mask for Ifx_CPU_PIETR_Bits.IE_BI */
#define IFX_CPU_PIETR_IE_BI_MSK (0x1u)

/** \brief Offset for Ifx_CPU_PIETR_Bits.IE_BI */
#define IFX_CPU_PIETR_IE_BI_OFF (4u)

/** \brief Length for Ifx_CPU_PIETR_Bits.E_INFO */
#define IFX_CPU_PIETR_E_INFO_LEN (6u)

/** \brief Mask for Ifx_CPU_PIETR_Bits.E_INFO */
#define IFX_CPU_PIETR_E_INFO_MSK (0x3fu)

/** \brief Offset for Ifx_CPU_PIETR_Bits.E_INFO */
#define IFX_CPU_PIETR_E_INFO_OFF (5u)

/** \brief Length for Ifx_CPU_PIETR_Bits.IE_UNC */
#define IFX_CPU_PIETR_IE_UNC_LEN (1u)

/** \brief Mask for Ifx_CPU_PIETR_Bits.IE_UNC */
#define IFX_CPU_PIETR_IE_UNC_MSK (0x1u)

/** \brief Offset for Ifx_CPU_PIETR_Bits.IE_UNC */
#define IFX_CPU_PIETR_IE_UNC_OFF (11u)

/** \brief Length for Ifx_CPU_PIETR_Bits.IE_SP */
#define IFX_CPU_PIETR_IE_SP_LEN (1u)

/** \brief Mask for Ifx_CPU_PIETR_Bits.IE_SP */
#define IFX_CPU_PIETR_IE_SP_MSK (0x1u)

/** \brief Offset for Ifx_CPU_PIETR_Bits.IE_SP */
#define IFX_CPU_PIETR_IE_SP_OFF (12u)

/** \brief Length for Ifx_CPU_PIETR_Bits.IE_BS */
#define IFX_CPU_PIETR_IE_BS_LEN (1u)

/** \brief Mask for Ifx_CPU_PIETR_Bits.IE_BS */
#define IFX_CPU_PIETR_IE_BS_MSK (0x1u)

/** \brief Offset for Ifx_CPU_PIETR_Bits.IE_BS */
#define IFX_CPU_PIETR_IE_BS_OFF (13u)

/** \brief Length for Ifx_CPU_PIETR_Bits.IE_ADDR */
#define IFX_CPU_PIETR_IE_ADDR_LEN (1u)

/** \brief Mask for Ifx_CPU_PIETR_Bits.IE_ADDR */
#define IFX_CPU_PIETR_IE_ADDR_MSK (0x1u)

/** \brief Offset for Ifx_CPU_PIETR_Bits.IE_ADDR */
#define IFX_CPU_PIETR_IE_ADDR_OFF (14u)

/** \brief Length for Ifx_CPU_PIETR_Bits.IE_LPB */
#define IFX_CPU_PIETR_IE_LPB_LEN (1u)

/** \brief Mask for Ifx_CPU_PIETR_Bits.IE_LPB */
#define IFX_CPU_PIETR_IE_LPB_MSK (0x1u)

/** \brief Offset for Ifx_CPU_PIETR_Bits.IE_LPB */
#define IFX_CPU_PIETR_IE_LPB_OFF (15u)

/** \brief Length for Ifx_CPU_PIETR_Bits.IE_MTMV */
#define IFX_CPU_PIETR_IE_MTMV_LEN (1u)

/** \brief Mask for Ifx_CPU_PIETR_Bits.IE_MTMV */
#define IFX_CPU_PIETR_IE_MTMV_MSK (0x1u)

/** \brief Offset for Ifx_CPU_PIETR_Bits.IE_MTMV */
#define IFX_CPU_PIETR_IE_MTMV_OFF (16u)

/** \brief Length for Ifx_CPU_COMPAT_Bits.RM */
#define IFX_CPU_COMPAT_RM_LEN (1u)

/** \brief Mask for Ifx_CPU_COMPAT_Bits.RM */
#define IFX_CPU_COMPAT_RM_MSK (0x1u)

/** \brief Offset for Ifx_CPU_COMPAT_Bits.RM */
#define IFX_CPU_COMPAT_RM_OFF (3u)

/** \brief Length for Ifx_CPU_COMPAT_Bits.SP */
#define IFX_CPU_COMPAT_SP_LEN (1u)

/** \brief Mask for Ifx_CPU_COMPAT_Bits.SP */
#define IFX_CPU_COMPAT_SP_MSK (0x1u)

/** \brief Offset for Ifx_CPU_COMPAT_Bits.SP */
#define IFX_CPU_COMPAT_SP_OFF (4u)

/** \brief Length for Ifx_CPU_FPU_TRAP_CON_Bits.TST */
#define IFX_CPU_FPU_TRAP_CON_TST_LEN (1u)

/** \brief Mask for Ifx_CPU_FPU_TRAP_CON_Bits.TST */
#define IFX_CPU_FPU_TRAP_CON_TST_MSK (0x1u)

/** \brief Offset for Ifx_CPU_FPU_TRAP_CON_Bits.TST */
#define IFX_CPU_FPU_TRAP_CON_TST_OFF (0u)

/** \brief Length for Ifx_CPU_FPU_TRAP_CON_Bits.TCL */
#define IFX_CPU_FPU_TRAP_CON_TCL_LEN (1u)

/** \brief Mask for Ifx_CPU_FPU_TRAP_CON_Bits.TCL */
#define IFX_CPU_FPU_TRAP_CON_TCL_MSK (0x1u)

/** \brief Offset for Ifx_CPU_FPU_TRAP_CON_Bits.TCL */
#define IFX_CPU_FPU_TRAP_CON_TCL_OFF (1u)

/** \brief Length for Ifx_CPU_FPU_TRAP_CON_Bits.RM */
#define IFX_CPU_FPU_TRAP_CON_RM_LEN (2u)

/** \brief Mask for Ifx_CPU_FPU_TRAP_CON_Bits.RM */
#define IFX_CPU_FPU_TRAP_CON_RM_MSK (0x3u)

/** \brief Offset for Ifx_CPU_FPU_TRAP_CON_Bits.RM */
#define IFX_CPU_FPU_TRAP_CON_RM_OFF (8u)

/** \brief Length for Ifx_CPU_FPU_TRAP_CON_Bits.FXE */
#define IFX_CPU_FPU_TRAP_CON_FXE_LEN (1u)

/** \brief Mask for Ifx_CPU_FPU_TRAP_CON_Bits.FXE */
#define IFX_CPU_FPU_TRAP_CON_FXE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_FPU_TRAP_CON_Bits.FXE */
#define IFX_CPU_FPU_TRAP_CON_FXE_OFF (18u)

/** \brief Length for Ifx_CPU_FPU_TRAP_CON_Bits.FUE */
#define IFX_CPU_FPU_TRAP_CON_FUE_LEN (1u)

/** \brief Mask for Ifx_CPU_FPU_TRAP_CON_Bits.FUE */
#define IFX_CPU_FPU_TRAP_CON_FUE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_FPU_TRAP_CON_Bits.FUE */
#define IFX_CPU_FPU_TRAP_CON_FUE_OFF (19u)

/** \brief Length for Ifx_CPU_FPU_TRAP_CON_Bits.FZE */
#define IFX_CPU_FPU_TRAP_CON_FZE_LEN (1u)

/** \brief Mask for Ifx_CPU_FPU_TRAP_CON_Bits.FZE */
#define IFX_CPU_FPU_TRAP_CON_FZE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_FPU_TRAP_CON_Bits.FZE */
#define IFX_CPU_FPU_TRAP_CON_FZE_OFF (20u)

/** \brief Length for Ifx_CPU_FPU_TRAP_CON_Bits.FVE */
#define IFX_CPU_FPU_TRAP_CON_FVE_LEN (1u)

/** \brief Mask for Ifx_CPU_FPU_TRAP_CON_Bits.FVE */
#define IFX_CPU_FPU_TRAP_CON_FVE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_FPU_TRAP_CON_Bits.FVE */
#define IFX_CPU_FPU_TRAP_CON_FVE_OFF (21u)

/** \brief Length for Ifx_CPU_FPU_TRAP_CON_Bits.FIE */
#define IFX_CPU_FPU_TRAP_CON_FIE_LEN (1u)

/** \brief Mask for Ifx_CPU_FPU_TRAP_CON_Bits.FIE */
#define IFX_CPU_FPU_TRAP_CON_FIE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_FPU_TRAP_CON_Bits.FIE */
#define IFX_CPU_FPU_TRAP_CON_FIE_OFF (22u)

/** \brief Length for Ifx_CPU_FPU_TRAP_CON_Bits.FX */
#define IFX_CPU_FPU_TRAP_CON_FX_LEN (1u)

/** \brief Mask for Ifx_CPU_FPU_TRAP_CON_Bits.FX */
#define IFX_CPU_FPU_TRAP_CON_FX_MSK (0x1u)

/** \brief Offset for Ifx_CPU_FPU_TRAP_CON_Bits.FX */
#define IFX_CPU_FPU_TRAP_CON_FX_OFF (26u)

/** \brief Length for Ifx_CPU_FPU_TRAP_CON_Bits.FU */
#define IFX_CPU_FPU_TRAP_CON_FU_LEN (1u)

/** \brief Mask for Ifx_CPU_FPU_TRAP_CON_Bits.FU */
#define IFX_CPU_FPU_TRAP_CON_FU_MSK (0x1u)

/** \brief Offset for Ifx_CPU_FPU_TRAP_CON_Bits.FU */
#define IFX_CPU_FPU_TRAP_CON_FU_OFF (27u)

/** \brief Length for Ifx_CPU_FPU_TRAP_CON_Bits.FZ */
#define IFX_CPU_FPU_TRAP_CON_FZ_LEN (1u)

/** \brief Mask for Ifx_CPU_FPU_TRAP_CON_Bits.FZ */
#define IFX_CPU_FPU_TRAP_CON_FZ_MSK (0x1u)

/** \brief Offset for Ifx_CPU_FPU_TRAP_CON_Bits.FZ */
#define IFX_CPU_FPU_TRAP_CON_FZ_OFF (28u)

/** \brief Length for Ifx_CPU_FPU_TRAP_CON_Bits.FV */
#define IFX_CPU_FPU_TRAP_CON_FV_LEN (1u)

/** \brief Mask for Ifx_CPU_FPU_TRAP_CON_Bits.FV */
#define IFX_CPU_FPU_TRAP_CON_FV_MSK (0x1u)

/** \brief Offset for Ifx_CPU_FPU_TRAP_CON_Bits.FV */
#define IFX_CPU_FPU_TRAP_CON_FV_OFF (29u)

/** \brief Length for Ifx_CPU_FPU_TRAP_CON_Bits.FI */
#define IFX_CPU_FPU_TRAP_CON_FI_LEN (1u)

/** \brief Mask for Ifx_CPU_FPU_TRAP_CON_Bits.FI */
#define IFX_CPU_FPU_TRAP_CON_FI_MSK (0x1u)

/** \brief Offset for Ifx_CPU_FPU_TRAP_CON_Bits.FI */
#define IFX_CPU_FPU_TRAP_CON_FI_OFF (30u)

/** \brief Length for Ifx_CPU_FPU_TRAP_PC_Bits.PC */
#define IFX_CPU_FPU_TRAP_PC_PC_LEN (32u)

/** \brief Mask for Ifx_CPU_FPU_TRAP_PC_Bits.PC */
#define IFX_CPU_FPU_TRAP_PC_PC_MSK (0xffffffffu)

/** \brief Offset for Ifx_CPU_FPU_TRAP_PC_Bits.PC */
#define IFX_CPU_FPU_TRAP_PC_PC_OFF (0u)

/** \brief Length for Ifx_CPU_FPU_TRAP_OPC_Bits.OPC */
#define IFX_CPU_FPU_TRAP_OPC_OPC_LEN (8u)

/** \brief Mask for Ifx_CPU_FPU_TRAP_OPC_Bits.OPC */
#define IFX_CPU_FPU_TRAP_OPC_OPC_MSK (0xffu)

/** \brief Offset for Ifx_CPU_FPU_TRAP_OPC_Bits.OPC */
#define IFX_CPU_FPU_TRAP_OPC_OPC_OFF (0u)

/** \brief Length for Ifx_CPU_FPU_TRAP_OPC_Bits.FMT */
#define IFX_CPU_FPU_TRAP_OPC_FMT_LEN (1u)

/** \brief Mask for Ifx_CPU_FPU_TRAP_OPC_Bits.FMT */
#define IFX_CPU_FPU_TRAP_OPC_FMT_MSK (0x1u)

/** \brief Offset for Ifx_CPU_FPU_TRAP_OPC_Bits.FMT */
#define IFX_CPU_FPU_TRAP_OPC_FMT_OFF (8u)

/** \brief Length for Ifx_CPU_FPU_TRAP_OPC_Bits.DREG */
#define IFX_CPU_FPU_TRAP_OPC_DREG_LEN (4u)

/** \brief Mask for Ifx_CPU_FPU_TRAP_OPC_Bits.DREG */
#define IFX_CPU_FPU_TRAP_OPC_DREG_MSK (0xfu)

/** \brief Offset for Ifx_CPU_FPU_TRAP_OPC_Bits.DREG */
#define IFX_CPU_FPU_TRAP_OPC_DREG_OFF (16u)

/** \brief Length for Ifx_CPU_FPU_TRAP_SRC1_Bits.SRC1 */
#define IFX_CPU_FPU_TRAP_SRC1_SRC1_LEN (32u)

/** \brief Mask for Ifx_CPU_FPU_TRAP_SRC1_Bits.SRC1 */
#define IFX_CPU_FPU_TRAP_SRC1_SRC1_MSK (0xffffffffu)

/** \brief Offset for Ifx_CPU_FPU_TRAP_SRC1_Bits.SRC1 */
#define IFX_CPU_FPU_TRAP_SRC1_SRC1_OFF (0u)

/** \brief Length for Ifx_CPU_FPU_TRAP_SRC2_Bits.SRC2 */
#define IFX_CPU_FPU_TRAP_SRC2_SRC2_LEN (32u)

/** \brief Mask for Ifx_CPU_FPU_TRAP_SRC2_Bits.SRC2 */
#define IFX_CPU_FPU_TRAP_SRC2_SRC2_MSK (0xffffffffu)

/** \brief Offset for Ifx_CPU_FPU_TRAP_SRC2_Bits.SRC2 */
#define IFX_CPU_FPU_TRAP_SRC2_SRC2_OFF (0u)

/** \brief Length for Ifx_CPU_FPU_TRAP_SRC3_Bits.SRC3 */
#define IFX_CPU_FPU_TRAP_SRC3_SRC3_LEN (32u)

/** \brief Mask for Ifx_CPU_FPU_TRAP_SRC3_Bits.SRC3 */
#define IFX_CPU_FPU_TRAP_SRC3_SRC3_MSK (0xffffffffu)

/** \brief Offset for Ifx_CPU_FPU_TRAP_SRC3_Bits.SRC3 */
#define IFX_CPU_FPU_TRAP_SRC3_SRC3_OFF (0u)

/** \brief Length for Ifx_CPU_DPR_L_Bits.LOWBND */
#define IFX_CPU_DPR_L_LOWBND_LEN (29u)

/** \brief Mask for Ifx_CPU_DPR_L_Bits.LOWBND */
#define IFX_CPU_DPR_L_LOWBND_MSK (0x1fffffffu)

/** \brief Offset for Ifx_CPU_DPR_L_Bits.LOWBND */
#define IFX_CPU_DPR_L_LOWBND_OFF (3u)

/** \brief Length for Ifx_CPU_DPR_U_Bits.UPPBND */
#define IFX_CPU_DPR_U_UPPBND_LEN (29u)

/** \brief Mask for Ifx_CPU_DPR_U_Bits.UPPBND */
#define IFX_CPU_DPR_U_UPPBND_MSK (0x1fffffffu)

/** \brief Offset for Ifx_CPU_DPR_U_Bits.UPPBND */
#define IFX_CPU_DPR_U_UPPBND_OFF (3u)

/** \brief Length for Ifx_CPU_CPR_L_Bits.LOWBND */
#define IFX_CPU_CPR_L_LOWBND_LEN (27u)

/** \brief Mask for Ifx_CPU_CPR_L_Bits.LOWBND */
#define IFX_CPU_CPR_L_LOWBND_MSK (0x7ffffffu)

/** \brief Offset for Ifx_CPU_CPR_L_Bits.LOWBND */
#define IFX_CPU_CPR_L_LOWBND_OFF (5u)

/** \brief Length for Ifx_CPU_CPR_U_Bits.UPPBND */
#define IFX_CPU_CPR_U_UPPBND_LEN (27u)

/** \brief Mask for Ifx_CPU_CPR_U_Bits.UPPBND */
#define IFX_CPU_CPR_U_UPPBND_MSK (0x7ffffffu)

/** \brief Offset for Ifx_CPU_CPR_U_Bits.UPPBND */
#define IFX_CPU_CPR_U_UPPBND_OFF (5u)

/** \brief Length for Ifx_CPU_CPXE_Bits.XE_n */
#define IFX_CPU_CPXE_XE_N_LEN (10u)

/** \brief Mask for Ifx_CPU_CPXE_Bits.XE_n */
#define IFX_CPU_CPXE_XE_N_MSK (0x3ffu)

/** \brief Offset for Ifx_CPU_CPXE_Bits.XE_n */
#define IFX_CPU_CPXE_XE_N_OFF (0u)

/** \brief Length for Ifx_CPU_DPRE_Bits.RE_n */
#define IFX_CPU_DPRE_RE_N_LEN (18u)

/** \brief Mask for Ifx_CPU_DPRE_Bits.RE_n */
#define IFX_CPU_DPRE_RE_N_MSK (0x3ffffu)

/** \brief Offset for Ifx_CPU_DPRE_Bits.RE_n */
#define IFX_CPU_DPRE_RE_N_OFF (0u)

/** \brief Length for Ifx_CPU_DPWE_Bits.WE_n */
#define IFX_CPU_DPWE_WE_N_LEN (18u)

/** \brief Mask for Ifx_CPU_DPWE_Bits.WE_n */
#define IFX_CPU_DPWE_WE_N_MSK (0x3ffffu)

/** \brief Offset for Ifx_CPU_DPWE_Bits.WE_n */
#define IFX_CPU_DPWE_WE_N_OFF (0u)

/** \brief Length for Ifx_CPU_TPS_CON_Bits.TEXP0 */
#define IFX_CPU_TPS_CON_TEXP0_LEN (1u)

/** \brief Mask for Ifx_CPU_TPS_CON_Bits.TEXP0 */
#define IFX_CPU_TPS_CON_TEXP0_MSK (0x1u)

/** \brief Offset for Ifx_CPU_TPS_CON_Bits.TEXP0 */
#define IFX_CPU_TPS_CON_TEXP0_OFF (0u)

/** \brief Length for Ifx_CPU_TPS_CON_Bits.TEXP1 */
#define IFX_CPU_TPS_CON_TEXP1_LEN (1u)

/** \brief Mask for Ifx_CPU_TPS_CON_Bits.TEXP1 */
#define IFX_CPU_TPS_CON_TEXP1_MSK (0x1u)

/** \brief Offset for Ifx_CPU_TPS_CON_Bits.TEXP1 */
#define IFX_CPU_TPS_CON_TEXP1_OFF (1u)

/** \brief Length for Ifx_CPU_TPS_CON_Bits.TEXP2 */
#define IFX_CPU_TPS_CON_TEXP2_LEN (1u)

/** \brief Mask for Ifx_CPU_TPS_CON_Bits.TEXP2 */
#define IFX_CPU_TPS_CON_TEXP2_MSK (0x1u)

/** \brief Offset for Ifx_CPU_TPS_CON_Bits.TEXP2 */
#define IFX_CPU_TPS_CON_TEXP2_OFF (2u)

/** \brief Length for Ifx_CPU_TPS_CON_Bits.TTRAP */
#define IFX_CPU_TPS_CON_TTRAP_LEN (1u)

/** \brief Mask for Ifx_CPU_TPS_CON_Bits.TTRAP */
#define IFX_CPU_TPS_CON_TTRAP_MSK (0x1u)

/** \brief Offset for Ifx_CPU_TPS_CON_Bits.TTRAP */
#define IFX_CPU_TPS_CON_TTRAP_OFF (16u)

/** \brief Length for Ifx_CPU_TPS_TIMER_Bits.Timer */
#define IFX_CPU_TPS_TIMER_TIMER_LEN (32u)

/** \brief Mask for Ifx_CPU_TPS_TIMER_Bits.Timer */
#define IFX_CPU_TPS_TIMER_TIMER_MSK (0xffffffffu)

/** \brief Offset for Ifx_CPU_TPS_TIMER_Bits.Timer */
#define IFX_CPU_TPS_TIMER_TIMER_OFF (0u)

/** \brief Length for Ifx_CPU_TPS_EXTIM_ENTRY_LVAL_Bits.ENTRY_LVAL */
#define IFX_CPU_TPS_EXTIM_ENTRY_LVAL_ENTRY_LVAL_LEN (8u)

/** \brief Mask for Ifx_CPU_TPS_EXTIM_ENTRY_LVAL_Bits.ENTRY_LVAL */
#define IFX_CPU_TPS_EXTIM_ENTRY_LVAL_ENTRY_LVAL_MSK (0xffu)

/** \brief Offset for Ifx_CPU_TPS_EXTIM_ENTRY_LVAL_Bits.ENTRY_LVAL */
#define IFX_CPU_TPS_EXTIM_ENTRY_LVAL_ENTRY_LVAL_OFF (4u)

/** \brief Length for Ifx_CPU_TPS_EXTIM_ENTRY_CVAL_Bits.ENTRY_CVAL */
#define IFX_CPU_TPS_EXTIM_ENTRY_CVAL_ENTRY_CVAL_LEN (12u)

/** \brief Mask for Ifx_CPU_TPS_EXTIM_ENTRY_CVAL_Bits.ENTRY_CVAL */
#define IFX_CPU_TPS_EXTIM_ENTRY_CVAL_ENTRY_CVAL_MSK (0xfffu)

/** \brief Offset for Ifx_CPU_TPS_EXTIM_ENTRY_CVAL_Bits.ENTRY_CVAL */
#define IFX_CPU_TPS_EXTIM_ENTRY_CVAL_ENTRY_CVAL_OFF (0u)

/** \brief Length for Ifx_CPU_TPS_EXTIM_EXIT_LVAL_Bits.EXIT_LVAL */
#define IFX_CPU_TPS_EXTIM_EXIT_LVAL_EXIT_LVAL_LEN (20u)

/** \brief Mask for Ifx_CPU_TPS_EXTIM_EXIT_LVAL_Bits.EXIT_LVAL */
#define IFX_CPU_TPS_EXTIM_EXIT_LVAL_EXIT_LVAL_MSK (0xfffffu)

/** \brief Offset for Ifx_CPU_TPS_EXTIM_EXIT_LVAL_Bits.EXIT_LVAL */
#define IFX_CPU_TPS_EXTIM_EXIT_LVAL_EXIT_LVAL_OFF (4u)

/** \brief Length for Ifx_CPU_TPS_EXTIM_EXIT_CVAL_Bits.EXIT_CVAL */
#define IFX_CPU_TPS_EXTIM_EXIT_CVAL_EXIT_CVAL_LEN (24u)

/** \brief Mask for Ifx_CPU_TPS_EXTIM_EXIT_CVAL_Bits.EXIT_CVAL */
#define IFX_CPU_TPS_EXTIM_EXIT_CVAL_EXIT_CVAL_MSK (0xffffffu)

/** \brief Offset for Ifx_CPU_TPS_EXTIM_EXIT_CVAL_Bits.EXIT_CVAL */
#define IFX_CPU_TPS_EXTIM_EXIT_CVAL_EXIT_CVAL_OFF (0u)

/** \brief Length for Ifx_CPU_TPS_EXTIM_CLASS_EN_Bits.EXTIM_CLASS_EN */
#define IFX_CPU_TPS_EXTIM_CLASS_EN_EXTIM_CLASS_EN_LEN (8u)

/** \brief Mask for Ifx_CPU_TPS_EXTIM_CLASS_EN_Bits.EXTIM_CLASS_EN */
#define IFX_CPU_TPS_EXTIM_CLASS_EN_EXTIM_CLASS_EN_MSK (0xffu)

/** \brief Offset for Ifx_CPU_TPS_EXTIM_CLASS_EN_Bits.EXTIM_CLASS_EN */
#define IFX_CPU_TPS_EXTIM_CLASS_EN_EXTIM_CLASS_EN_OFF (0u)

/** \brief Length for Ifx_CPU_TPS_EXTIM_STAT_Bits.EXIT_TIN */
#define IFX_CPU_TPS_EXTIM_STAT_EXIT_TIN_LEN (8u)

/** \brief Mask for Ifx_CPU_TPS_EXTIM_STAT_Bits.EXIT_TIN */
#define IFX_CPU_TPS_EXTIM_STAT_EXIT_TIN_MSK (0xffu)

/** \brief Offset for Ifx_CPU_TPS_EXTIM_STAT_Bits.EXIT_TIN */
#define IFX_CPU_TPS_EXTIM_STAT_EXIT_TIN_OFF (0u)

/** \brief Length for Ifx_CPU_TPS_EXTIM_STAT_Bits.EXIT_CLASS */
#define IFX_CPU_TPS_EXTIM_STAT_EXIT_CLASS_LEN (3u)

/** \brief Mask for Ifx_CPU_TPS_EXTIM_STAT_Bits.EXIT_CLASS */
#define IFX_CPU_TPS_EXTIM_STAT_EXIT_CLASS_MSK (0x7u)

/** \brief Offset for Ifx_CPU_TPS_EXTIM_STAT_Bits.EXIT_CLASS */
#define IFX_CPU_TPS_EXTIM_STAT_EXIT_CLASS_OFF (8u)

/** \brief Length for Ifx_CPU_TPS_EXTIM_STAT_Bits.EXIT_AT */
#define IFX_CPU_TPS_EXTIM_STAT_EXIT_AT_LEN (1u)

/** \brief Mask for Ifx_CPU_TPS_EXTIM_STAT_Bits.EXIT_AT */
#define IFX_CPU_TPS_EXTIM_STAT_EXIT_AT_MSK (0x1u)

/** \brief Offset for Ifx_CPU_TPS_EXTIM_STAT_Bits.EXIT_AT */
#define IFX_CPU_TPS_EXTIM_STAT_EXIT_AT_OFF (15u)

/** \brief Length for Ifx_CPU_TPS_EXTIM_STAT_Bits.ENTRY_TIN */
#define IFX_CPU_TPS_EXTIM_STAT_ENTRY_TIN_LEN (8u)

/** \brief Mask for Ifx_CPU_TPS_EXTIM_STAT_Bits.ENTRY_TIN */
#define IFX_CPU_TPS_EXTIM_STAT_ENTRY_TIN_MSK (0xffu)

/** \brief Offset for Ifx_CPU_TPS_EXTIM_STAT_Bits.ENTRY_TIN */
#define IFX_CPU_TPS_EXTIM_STAT_ENTRY_TIN_OFF (16u)

/** \brief Length for Ifx_CPU_TPS_EXTIM_STAT_Bits.ENTRY_CLASS */
#define IFX_CPU_TPS_EXTIM_STAT_ENTRY_CLASS_LEN (3u)

/** \brief Mask for Ifx_CPU_TPS_EXTIM_STAT_Bits.ENTRY_CLASS */
#define IFX_CPU_TPS_EXTIM_STAT_ENTRY_CLASS_MSK (0x7u)

/** \brief Offset for Ifx_CPU_TPS_EXTIM_STAT_Bits.ENTRY_CLASS */
#define IFX_CPU_TPS_EXTIM_STAT_ENTRY_CLASS_OFF (24u)

/** \brief Length for Ifx_CPU_TPS_EXTIM_STAT_Bits.ENTRY_AT */
#define IFX_CPU_TPS_EXTIM_STAT_ENTRY_AT_LEN (1u)

/** \brief Mask for Ifx_CPU_TPS_EXTIM_STAT_Bits.ENTRY_AT */
#define IFX_CPU_TPS_EXTIM_STAT_ENTRY_AT_MSK (0x1u)

/** \brief Offset for Ifx_CPU_TPS_EXTIM_STAT_Bits.ENTRY_AT */
#define IFX_CPU_TPS_EXTIM_STAT_ENTRY_AT_OFF (31u)

/** \brief Length for Ifx_CPU_TPS_EXTIM_FCX_Bits.EXIT_FCX */
#define IFX_CPU_TPS_EXTIM_FCX_EXIT_FCX_LEN (20u)

/** \brief Mask for Ifx_CPU_TPS_EXTIM_FCX_Bits.EXIT_FCX */
#define IFX_CPU_TPS_EXTIM_FCX_EXIT_FCX_MSK (0xfffffu)

/** \brief Offset for Ifx_CPU_TPS_EXTIM_FCX_Bits.EXIT_FCX */
#define IFX_CPU_TPS_EXTIM_FCX_EXIT_FCX_OFF (0u)

/** \brief Length for Ifx_CPU_TR_EVT_Bits.EVTA */
#define IFX_CPU_TR_EVT_EVTA_LEN (3u)

/** \brief Mask for Ifx_CPU_TR_EVT_Bits.EVTA */
#define IFX_CPU_TR_EVT_EVTA_MSK (0x7u)

/** \brief Offset for Ifx_CPU_TR_EVT_Bits.EVTA */
#define IFX_CPU_TR_EVT_EVTA_OFF (0u)

/** \brief Length for Ifx_CPU_TR_EVT_Bits.BBM */
#define IFX_CPU_TR_EVT_BBM_LEN (1u)

/** \brief Mask for Ifx_CPU_TR_EVT_Bits.BBM */
#define IFX_CPU_TR_EVT_BBM_MSK (0x1u)

/** \brief Offset for Ifx_CPU_TR_EVT_Bits.BBM */
#define IFX_CPU_TR_EVT_BBM_OFF (3u)

/** \brief Length for Ifx_CPU_TR_EVT_Bits.BOD */
#define IFX_CPU_TR_EVT_BOD_LEN (1u)

/** \brief Mask for Ifx_CPU_TR_EVT_Bits.BOD */
#define IFX_CPU_TR_EVT_BOD_MSK (0x1u)

/** \brief Offset for Ifx_CPU_TR_EVT_Bits.BOD */
#define IFX_CPU_TR_EVT_BOD_OFF (4u)

/** \brief Length for Ifx_CPU_TR_EVT_Bits.SUSP */
#define IFX_CPU_TR_EVT_SUSP_LEN (1u)

/** \brief Mask for Ifx_CPU_TR_EVT_Bits.SUSP */
#define IFX_CPU_TR_EVT_SUSP_MSK (0x1u)

/** \brief Offset for Ifx_CPU_TR_EVT_Bits.SUSP */
#define IFX_CPU_TR_EVT_SUSP_OFF (5u)

/** \brief Length for Ifx_CPU_TR_EVT_Bits.CNT */
#define IFX_CPU_TR_EVT_CNT_LEN (2u)

/** \brief Mask for Ifx_CPU_TR_EVT_Bits.CNT */
#define IFX_CPU_TR_EVT_CNT_MSK (0x3u)

/** \brief Offset for Ifx_CPU_TR_EVT_Bits.CNT */
#define IFX_CPU_TR_EVT_CNT_OFF (6u)

/** \brief Length for Ifx_CPU_TR_EVT_Bits.TYP */
#define IFX_CPU_TR_EVT_TYP_LEN (1u)

/** \brief Mask for Ifx_CPU_TR_EVT_Bits.TYP */
#define IFX_CPU_TR_EVT_TYP_MSK (0x1u)

/** \brief Offset for Ifx_CPU_TR_EVT_Bits.TYP */
#define IFX_CPU_TR_EVT_TYP_OFF (12u)

/** \brief Length for Ifx_CPU_TR_EVT_Bits.RNG */
#define IFX_CPU_TR_EVT_RNG_LEN (1u)

/** \brief Mask for Ifx_CPU_TR_EVT_Bits.RNG */
#define IFX_CPU_TR_EVT_RNG_MSK (0x1u)

/** \brief Offset for Ifx_CPU_TR_EVT_Bits.RNG */
#define IFX_CPU_TR_EVT_RNG_OFF (13u)

/** \brief Length for Ifx_CPU_TR_EVT_Bits.ASI_EN */
#define IFX_CPU_TR_EVT_ASI_EN_LEN (1u)

/** \brief Mask for Ifx_CPU_TR_EVT_Bits.ASI_EN */
#define IFX_CPU_TR_EVT_ASI_EN_MSK (0x1u)

/** \brief Offset for Ifx_CPU_TR_EVT_Bits.ASI_EN */
#define IFX_CPU_TR_EVT_ASI_EN_OFF (15u)

/** \brief Length for Ifx_CPU_TR_EVT_Bits.ASI */
#define IFX_CPU_TR_EVT_ASI_LEN (5u)

/** \brief Mask for Ifx_CPU_TR_EVT_Bits.ASI */
#define IFX_CPU_TR_EVT_ASI_MSK (0x1fu)

/** \brief Offset for Ifx_CPU_TR_EVT_Bits.ASI */
#define IFX_CPU_TR_EVT_ASI_OFF (16u)

/** \brief Length for Ifx_CPU_TR_EVT_Bits.AST */
#define IFX_CPU_TR_EVT_AST_LEN (1u)

/** \brief Mask for Ifx_CPU_TR_EVT_Bits.AST */
#define IFX_CPU_TR_EVT_AST_MSK (0x1u)

/** \brief Offset for Ifx_CPU_TR_EVT_Bits.AST */
#define IFX_CPU_TR_EVT_AST_OFF (27u)

/** \brief Length for Ifx_CPU_TR_EVT_Bits.ALD */
#define IFX_CPU_TR_EVT_ALD_LEN (1u)

/** \brief Mask for Ifx_CPU_TR_EVT_Bits.ALD */
#define IFX_CPU_TR_EVT_ALD_MSK (0x1u)

/** \brief Offset for Ifx_CPU_TR_EVT_Bits.ALD */
#define IFX_CPU_TR_EVT_ALD_OFF (28u)

/** \brief Length for Ifx_CPU_TR_ADR_Bits.ADDR */
#define IFX_CPU_TR_ADR_ADDR_LEN (32u)

/** \brief Mask for Ifx_CPU_TR_ADR_Bits.ADDR */
#define IFX_CPU_TR_ADR_ADDR_MSK (0xffffffffu)

/** \brief Offset for Ifx_CPU_TR_ADR_Bits.ADDR */
#define IFX_CPU_TR_ADR_ADDR_OFF (0u)

/** \brief Length for Ifx_CPU_CCTRL_Bits.CM */
#define IFX_CPU_CCTRL_CM_LEN (1u)

/** \brief Mask for Ifx_CPU_CCTRL_Bits.CM */
#define IFX_CPU_CCTRL_CM_MSK (0x1u)

/** \brief Offset for Ifx_CPU_CCTRL_Bits.CM */
#define IFX_CPU_CCTRL_CM_OFF (0u)

/** \brief Length for Ifx_CPU_CCTRL_Bits.CE */
#define IFX_CPU_CCTRL_CE_LEN (1u)

/** \brief Mask for Ifx_CPU_CCTRL_Bits.CE */
#define IFX_CPU_CCTRL_CE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_CCTRL_Bits.CE */
#define IFX_CPU_CCTRL_CE_OFF (1u)

/** \brief Length for Ifx_CPU_CCTRL_Bits.M1 */
#define IFX_CPU_CCTRL_M1_LEN (3u)

/** \brief Mask for Ifx_CPU_CCTRL_Bits.M1 */
#define IFX_CPU_CCTRL_M1_MSK (0x7u)

/** \brief Offset for Ifx_CPU_CCTRL_Bits.M1 */
#define IFX_CPU_CCTRL_M1_OFF (2u)

/** \brief Length for Ifx_CPU_CCTRL_Bits.M2 */
#define IFX_CPU_CCTRL_M2_LEN (3u)

/** \brief Mask for Ifx_CPU_CCTRL_Bits.M2 */
#define IFX_CPU_CCTRL_M2_MSK (0x7u)

/** \brief Offset for Ifx_CPU_CCTRL_Bits.M2 */
#define IFX_CPU_CCTRL_M2_OFF (5u)

/** \brief Length for Ifx_CPU_CCTRL_Bits.M3 */
#define IFX_CPU_CCTRL_M3_LEN (3u)

/** \brief Mask for Ifx_CPU_CCTRL_Bits.M3 */
#define IFX_CPU_CCTRL_M3_MSK (0x7u)

/** \brief Offset for Ifx_CPU_CCTRL_Bits.M3 */
#define IFX_CPU_CCTRL_M3_OFF (8u)

/** \brief Length for Ifx_CPU_CCNT_Bits.CountValue */
#define IFX_CPU_CCNT_COUNTVALUE_LEN (31u)

/** \brief Mask for Ifx_CPU_CCNT_Bits.CountValue */
#define IFX_CPU_CCNT_COUNTVALUE_MSK (0x7fffffffu)

/** \brief Offset for Ifx_CPU_CCNT_Bits.CountValue */
#define IFX_CPU_CCNT_COUNTVALUE_OFF (0u)

/** \brief Length for Ifx_CPU_CCNT_Bits.SOvf */
#define IFX_CPU_CCNT_SOVF_LEN (1u)

/** \brief Mask for Ifx_CPU_CCNT_Bits.SOvf */
#define IFX_CPU_CCNT_SOVF_MSK (0x1u)

/** \brief Offset for Ifx_CPU_CCNT_Bits.SOvf */
#define IFX_CPU_CCNT_SOVF_OFF (31u)

/** \brief Length for Ifx_CPU_ICNT_Bits.CountValue */
#define IFX_CPU_ICNT_COUNTVALUE_LEN (31u)

/** \brief Mask for Ifx_CPU_ICNT_Bits.CountValue */
#define IFX_CPU_ICNT_COUNTVALUE_MSK (0x7fffffffu)

/** \brief Offset for Ifx_CPU_ICNT_Bits.CountValue */
#define IFX_CPU_ICNT_COUNTVALUE_OFF (0u)

/** \brief Length for Ifx_CPU_ICNT_Bits.SOvf */
#define IFX_CPU_ICNT_SOVF_LEN (1u)

/** \brief Mask for Ifx_CPU_ICNT_Bits.SOvf */
#define IFX_CPU_ICNT_SOVF_MSK (0x1u)

/** \brief Offset for Ifx_CPU_ICNT_Bits.SOvf */
#define IFX_CPU_ICNT_SOVF_OFF (31u)

/** \brief Length for Ifx_CPU_M1CNT_Bits.CountValue */
#define IFX_CPU_M1CNT_COUNTVALUE_LEN (31u)

/** \brief Mask for Ifx_CPU_M1CNT_Bits.CountValue */
#define IFX_CPU_M1CNT_COUNTVALUE_MSK (0x7fffffffu)

/** \brief Offset for Ifx_CPU_M1CNT_Bits.CountValue */
#define IFX_CPU_M1CNT_COUNTVALUE_OFF (0u)

/** \brief Length for Ifx_CPU_M1CNT_Bits.SOvf */
#define IFX_CPU_M1CNT_SOVF_LEN (1u)

/** \brief Mask for Ifx_CPU_M1CNT_Bits.SOvf */
#define IFX_CPU_M1CNT_SOVF_MSK (0x1u)

/** \brief Offset for Ifx_CPU_M1CNT_Bits.SOvf */
#define IFX_CPU_M1CNT_SOVF_OFF (31u)

/** \brief Length for Ifx_CPU_M2CNT_Bits.CountValue */
#define IFX_CPU_M2CNT_COUNTVALUE_LEN (31u)

/** \brief Mask for Ifx_CPU_M2CNT_Bits.CountValue */
#define IFX_CPU_M2CNT_COUNTVALUE_MSK (0x7fffffffu)

/** \brief Offset for Ifx_CPU_M2CNT_Bits.CountValue */
#define IFX_CPU_M2CNT_COUNTVALUE_OFF (0u)

/** \brief Length for Ifx_CPU_M2CNT_Bits.SOvf */
#define IFX_CPU_M2CNT_SOVF_LEN (1u)

/** \brief Mask for Ifx_CPU_M2CNT_Bits.SOvf */
#define IFX_CPU_M2CNT_SOVF_MSK (0x1u)

/** \brief Offset for Ifx_CPU_M2CNT_Bits.SOvf */
#define IFX_CPU_M2CNT_SOVF_OFF (31u)

/** \brief Length for Ifx_CPU_M3CNT_Bits.CountValue */
#define IFX_CPU_M3CNT_COUNTVALUE_LEN (31u)

/** \brief Mask for Ifx_CPU_M3CNT_Bits.CountValue */
#define IFX_CPU_M3CNT_COUNTVALUE_MSK (0x7fffffffu)

/** \brief Offset for Ifx_CPU_M3CNT_Bits.CountValue */
#define IFX_CPU_M3CNT_COUNTVALUE_OFF (0u)

/** \brief Length for Ifx_CPU_M3CNT_Bits.SOvf */
#define IFX_CPU_M3CNT_SOVF_LEN (1u)

/** \brief Mask for Ifx_CPU_M3CNT_Bits.SOvf */
#define IFX_CPU_M3CNT_SOVF_MSK (0x1u)

/** \brief Offset for Ifx_CPU_M3CNT_Bits.SOvf */
#define IFX_CPU_M3CNT_SOVF_OFF (31u)

/** \brief Length for Ifx_CPU_DBGSR_Bits.DE */
#define IFX_CPU_DBGSR_DE_LEN (1u)

/** \brief Mask for Ifx_CPU_DBGSR_Bits.DE */
#define IFX_CPU_DBGSR_DE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DBGSR_Bits.DE */
#define IFX_CPU_DBGSR_DE_OFF (0u)

/** \brief Length for Ifx_CPU_DBGSR_Bits.HALT */
#define IFX_CPU_DBGSR_HALT_LEN (2u)

/** \brief Mask for Ifx_CPU_DBGSR_Bits.HALT */
#define IFX_CPU_DBGSR_HALT_MSK (0x3u)

/** \brief Offset for Ifx_CPU_DBGSR_Bits.HALT */
#define IFX_CPU_DBGSR_HALT_OFF (1u)

/** \brief Length for Ifx_CPU_DBGSR_Bits.SIH */
#define IFX_CPU_DBGSR_SIH_LEN (1u)

/** \brief Mask for Ifx_CPU_DBGSR_Bits.SIH */
#define IFX_CPU_DBGSR_SIH_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DBGSR_Bits.SIH */
#define IFX_CPU_DBGSR_SIH_OFF (3u)

/** \brief Length for Ifx_CPU_DBGSR_Bits.SUSP */
#define IFX_CPU_DBGSR_SUSP_LEN (1u)

/** \brief Mask for Ifx_CPU_DBGSR_Bits.SUSP */
#define IFX_CPU_DBGSR_SUSP_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DBGSR_Bits.SUSP */
#define IFX_CPU_DBGSR_SUSP_OFF (4u)

/** \brief Length for Ifx_CPU_DBGSR_Bits.PREVSUSP */
#define IFX_CPU_DBGSR_PREVSUSP_LEN (1u)

/** \brief Mask for Ifx_CPU_DBGSR_Bits.PREVSUSP */
#define IFX_CPU_DBGSR_PREVSUSP_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DBGSR_Bits.PREVSUSP */
#define IFX_CPU_DBGSR_PREVSUSP_OFF (6u)

/** \brief Length for Ifx_CPU_DBGSR_Bits.PEVT */
#define IFX_CPU_DBGSR_PEVT_LEN (1u)

/** \brief Mask for Ifx_CPU_DBGSR_Bits.PEVT */
#define IFX_CPU_DBGSR_PEVT_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DBGSR_Bits.PEVT */
#define IFX_CPU_DBGSR_PEVT_OFF (7u)

/** \brief Length for Ifx_CPU_DBGSR_Bits.EVTSRC */
#define IFX_CPU_DBGSR_EVTSRC_LEN (5u)

/** \brief Mask for Ifx_CPU_DBGSR_Bits.EVTSRC */
#define IFX_CPU_DBGSR_EVTSRC_MSK (0x1fu)

/** \brief Offset for Ifx_CPU_DBGSR_Bits.EVTSRC */
#define IFX_CPU_DBGSR_EVTSRC_OFF (8u)

/** \brief Length for Ifx_CPU_EXEVT_Bits.EVTA */
#define IFX_CPU_EXEVT_EVTA_LEN (3u)

/** \brief Mask for Ifx_CPU_EXEVT_Bits.EVTA */
#define IFX_CPU_EXEVT_EVTA_MSK (0x7u)

/** \brief Offset for Ifx_CPU_EXEVT_Bits.EVTA */
#define IFX_CPU_EXEVT_EVTA_OFF (0u)

/** \brief Length for Ifx_CPU_EXEVT_Bits.BBM */
#define IFX_CPU_EXEVT_BBM_LEN (1u)

/** \brief Mask for Ifx_CPU_EXEVT_Bits.BBM */
#define IFX_CPU_EXEVT_BBM_MSK (0x1u)

/** \brief Offset for Ifx_CPU_EXEVT_Bits.BBM */
#define IFX_CPU_EXEVT_BBM_OFF (3u)

/** \brief Length for Ifx_CPU_EXEVT_Bits.BOD */
#define IFX_CPU_EXEVT_BOD_LEN (1u)

/** \brief Mask for Ifx_CPU_EXEVT_Bits.BOD */
#define IFX_CPU_EXEVT_BOD_MSK (0x1u)

/** \brief Offset for Ifx_CPU_EXEVT_Bits.BOD */
#define IFX_CPU_EXEVT_BOD_OFF (4u)

/** \brief Length for Ifx_CPU_EXEVT_Bits.SUSP */
#define IFX_CPU_EXEVT_SUSP_LEN (1u)

/** \brief Mask for Ifx_CPU_EXEVT_Bits.SUSP */
#define IFX_CPU_EXEVT_SUSP_MSK (0x1u)

/** \brief Offset for Ifx_CPU_EXEVT_Bits.SUSP */
#define IFX_CPU_EXEVT_SUSP_OFF (5u)

/** \brief Length for Ifx_CPU_EXEVT_Bits.CNT */
#define IFX_CPU_EXEVT_CNT_LEN (2u)

/** \brief Mask for Ifx_CPU_EXEVT_Bits.CNT */
#define IFX_CPU_EXEVT_CNT_MSK (0x3u)

/** \brief Offset for Ifx_CPU_EXEVT_Bits.CNT */
#define IFX_CPU_EXEVT_CNT_OFF (6u)

/** \brief Length for Ifx_CPU_CREVT_Bits.EVTA */
#define IFX_CPU_CREVT_EVTA_LEN (3u)

/** \brief Mask for Ifx_CPU_CREVT_Bits.EVTA */
#define IFX_CPU_CREVT_EVTA_MSK (0x7u)

/** \brief Offset for Ifx_CPU_CREVT_Bits.EVTA */
#define IFX_CPU_CREVT_EVTA_OFF (0u)

/** \brief Length for Ifx_CPU_CREVT_Bits.BBM */
#define IFX_CPU_CREVT_BBM_LEN (1u)

/** \brief Mask for Ifx_CPU_CREVT_Bits.BBM */
#define IFX_CPU_CREVT_BBM_MSK (0x1u)

/** \brief Offset for Ifx_CPU_CREVT_Bits.BBM */
#define IFX_CPU_CREVT_BBM_OFF (3u)

/** \brief Length for Ifx_CPU_CREVT_Bits.BOD */
#define IFX_CPU_CREVT_BOD_LEN (1u)

/** \brief Mask for Ifx_CPU_CREVT_Bits.BOD */
#define IFX_CPU_CREVT_BOD_MSK (0x1u)

/** \brief Offset for Ifx_CPU_CREVT_Bits.BOD */
#define IFX_CPU_CREVT_BOD_OFF (4u)

/** \brief Length for Ifx_CPU_CREVT_Bits.SUSP */
#define IFX_CPU_CREVT_SUSP_LEN (1u)

/** \brief Mask for Ifx_CPU_CREVT_Bits.SUSP */
#define IFX_CPU_CREVT_SUSP_MSK (0x1u)

/** \brief Offset for Ifx_CPU_CREVT_Bits.SUSP */
#define IFX_CPU_CREVT_SUSP_OFF (5u)

/** \brief Length for Ifx_CPU_CREVT_Bits.CNT */
#define IFX_CPU_CREVT_CNT_LEN (2u)

/** \brief Mask for Ifx_CPU_CREVT_Bits.CNT */
#define IFX_CPU_CREVT_CNT_MSK (0x3u)

/** \brief Offset for Ifx_CPU_CREVT_Bits.CNT */
#define IFX_CPU_CREVT_CNT_OFF (6u)

/** \brief Length for Ifx_CPU_SWEVT_Bits.EVTA */
#define IFX_CPU_SWEVT_EVTA_LEN (3u)

/** \brief Mask for Ifx_CPU_SWEVT_Bits.EVTA */
#define IFX_CPU_SWEVT_EVTA_MSK (0x7u)

/** \brief Offset for Ifx_CPU_SWEVT_Bits.EVTA */
#define IFX_CPU_SWEVT_EVTA_OFF (0u)

/** \brief Length for Ifx_CPU_SWEVT_Bits.BBM */
#define IFX_CPU_SWEVT_BBM_LEN (1u)

/** \brief Mask for Ifx_CPU_SWEVT_Bits.BBM */
#define IFX_CPU_SWEVT_BBM_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SWEVT_Bits.BBM */
#define IFX_CPU_SWEVT_BBM_OFF (3u)

/** \brief Length for Ifx_CPU_SWEVT_Bits.BOD */
#define IFX_CPU_SWEVT_BOD_LEN (1u)

/** \brief Mask for Ifx_CPU_SWEVT_Bits.BOD */
#define IFX_CPU_SWEVT_BOD_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SWEVT_Bits.BOD */
#define IFX_CPU_SWEVT_BOD_OFF (4u)

/** \brief Length for Ifx_CPU_SWEVT_Bits.SUSP */
#define IFX_CPU_SWEVT_SUSP_LEN (1u)

/** \brief Mask for Ifx_CPU_SWEVT_Bits.SUSP */
#define IFX_CPU_SWEVT_SUSP_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SWEVT_Bits.SUSP */
#define IFX_CPU_SWEVT_SUSP_OFF (5u)

/** \brief Length for Ifx_CPU_SWEVT_Bits.CNT */
#define IFX_CPU_SWEVT_CNT_LEN (2u)

/** \brief Mask for Ifx_CPU_SWEVT_Bits.CNT */
#define IFX_CPU_SWEVT_CNT_MSK (0x3u)

/** \brief Offset for Ifx_CPU_SWEVT_Bits.CNT */
#define IFX_CPU_SWEVT_CNT_OFF (6u)

/** \brief Length for Ifx_CPU_TRIG_ACC_Bits.T0 */
#define IFX_CPU_TRIG_ACC_T0_LEN (1u)

/** \brief Mask for Ifx_CPU_TRIG_ACC_Bits.T0 */
#define IFX_CPU_TRIG_ACC_T0_MSK (0x1u)

/** \brief Offset for Ifx_CPU_TRIG_ACC_Bits.T0 */
#define IFX_CPU_TRIG_ACC_T0_OFF (0u)

/** \brief Length for Ifx_CPU_TRIG_ACC_Bits.T1 */
#define IFX_CPU_TRIG_ACC_T1_LEN (1u)

/** \brief Mask for Ifx_CPU_TRIG_ACC_Bits.T1 */
#define IFX_CPU_TRIG_ACC_T1_MSK (0x1u)

/** \brief Offset for Ifx_CPU_TRIG_ACC_Bits.T1 */
#define IFX_CPU_TRIG_ACC_T1_OFF (1u)

/** \brief Length for Ifx_CPU_TRIG_ACC_Bits.T2 */
#define IFX_CPU_TRIG_ACC_T2_LEN (1u)

/** \brief Mask for Ifx_CPU_TRIG_ACC_Bits.T2 */
#define IFX_CPU_TRIG_ACC_T2_MSK (0x1u)

/** \brief Offset for Ifx_CPU_TRIG_ACC_Bits.T2 */
#define IFX_CPU_TRIG_ACC_T2_OFF (2u)

/** \brief Length for Ifx_CPU_TRIG_ACC_Bits.T3 */
#define IFX_CPU_TRIG_ACC_T3_LEN (1u)

/** \brief Mask for Ifx_CPU_TRIG_ACC_Bits.T3 */
#define IFX_CPU_TRIG_ACC_T3_MSK (0x1u)

/** \brief Offset for Ifx_CPU_TRIG_ACC_Bits.T3 */
#define IFX_CPU_TRIG_ACC_T3_OFF (3u)

/** \brief Length for Ifx_CPU_TRIG_ACC_Bits.T4 */
#define IFX_CPU_TRIG_ACC_T4_LEN (1u)

/** \brief Mask for Ifx_CPU_TRIG_ACC_Bits.T4 */
#define IFX_CPU_TRIG_ACC_T4_MSK (0x1u)

/** \brief Offset for Ifx_CPU_TRIG_ACC_Bits.T4 */
#define IFX_CPU_TRIG_ACC_T4_OFF (4u)

/** \brief Length for Ifx_CPU_TRIG_ACC_Bits.T5 */
#define IFX_CPU_TRIG_ACC_T5_LEN (1u)

/** \brief Mask for Ifx_CPU_TRIG_ACC_Bits.T5 */
#define IFX_CPU_TRIG_ACC_T5_MSK (0x1u)

/** \brief Offset for Ifx_CPU_TRIG_ACC_Bits.T5 */
#define IFX_CPU_TRIG_ACC_T5_OFF (5u)

/** \brief Length for Ifx_CPU_TRIG_ACC_Bits.T6 */
#define IFX_CPU_TRIG_ACC_T6_LEN (1u)

/** \brief Mask for Ifx_CPU_TRIG_ACC_Bits.T6 */
#define IFX_CPU_TRIG_ACC_T6_MSK (0x1u)

/** \brief Offset for Ifx_CPU_TRIG_ACC_Bits.T6 */
#define IFX_CPU_TRIG_ACC_T6_OFF (6u)

/** \brief Length for Ifx_CPU_TRIG_ACC_Bits.T7 */
#define IFX_CPU_TRIG_ACC_T7_LEN (1u)

/** \brief Mask for Ifx_CPU_TRIG_ACC_Bits.T7 */
#define IFX_CPU_TRIG_ACC_T7_MSK (0x1u)

/** \brief Offset for Ifx_CPU_TRIG_ACC_Bits.T7 */
#define IFX_CPU_TRIG_ACC_T7_OFF (7u)

/** \brief Length for Ifx_CPU_DMS_Bits.DMSValue */
#define IFX_CPU_DMS_DMSVALUE_LEN (31u)

/** \brief Mask for Ifx_CPU_DMS_Bits.DMSValue */
#define IFX_CPU_DMS_DMSVALUE_MSK (0x7fffffffu)

/** \brief Offset for Ifx_CPU_DMS_Bits.DMSValue */
#define IFX_CPU_DMS_DMSVALUE_OFF (1u)

/** \brief Length for Ifx_CPU_DCX_Bits.DCXValue */
#define IFX_CPU_DCX_DCXVALUE_LEN (26u)

/** \brief Mask for Ifx_CPU_DCX_Bits.DCXValue */
#define IFX_CPU_DCX_DCXVALUE_MSK (0x3ffffffu)

/** \brief Offset for Ifx_CPU_DCX_Bits.DCXValue */
#define IFX_CPU_DCX_DCXVALUE_OFF (6u)

/** \brief Length for Ifx_CPU_DBGTCR_Bits.DTA */
#define IFX_CPU_DBGTCR_DTA_LEN (1u)

/** \brief Mask for Ifx_CPU_DBGTCR_Bits.DTA */
#define IFX_CPU_DBGTCR_DTA_MSK (0x1u)

/** \brief Offset for Ifx_CPU_DBGTCR_Bits.DTA */
#define IFX_CPU_DBGTCR_DTA_OFF (0u)

/** \brief Length for Ifx_CPU_PCXI_Bits.PCXO */
#define IFX_CPU_PCXI_PCXO_LEN (16u)

/** \brief Mask for Ifx_CPU_PCXI_Bits.PCXO */
#define IFX_CPU_PCXI_PCXO_MSK (0xffffu)

/** \brief Offset for Ifx_CPU_PCXI_Bits.PCXO */
#define IFX_CPU_PCXI_PCXO_OFF (0u)

/** \brief Length for Ifx_CPU_PCXI_Bits.PCXS */
#define IFX_CPU_PCXI_PCXS_LEN (4u)

/** \brief Mask for Ifx_CPU_PCXI_Bits.PCXS */
#define IFX_CPU_PCXI_PCXS_MSK (0xfu)

/** \brief Offset for Ifx_CPU_PCXI_Bits.PCXS */
#define IFX_CPU_PCXI_PCXS_OFF (16u)

/** \brief Length for Ifx_CPU_PCXI_Bits.UL */
#define IFX_CPU_PCXI_UL_LEN (1u)

/** \brief Mask for Ifx_CPU_PCXI_Bits.UL */
#define IFX_CPU_PCXI_UL_MSK (0x1u)

/** \brief Offset for Ifx_CPU_PCXI_Bits.UL */
#define IFX_CPU_PCXI_UL_OFF (20u)

/** \brief Length for Ifx_CPU_PCXI_Bits.PIE */
#define IFX_CPU_PCXI_PIE_LEN (1u)

/** \brief Mask for Ifx_CPU_PCXI_Bits.PIE */
#define IFX_CPU_PCXI_PIE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_PCXI_Bits.PIE */
#define IFX_CPU_PCXI_PIE_OFF (21u)

/** \brief Length for Ifx_CPU_PCXI_Bits.PCPN */
#define IFX_CPU_PCXI_PCPN_LEN (8u)

/** \brief Mask for Ifx_CPU_PCXI_Bits.PCPN */
#define IFX_CPU_PCXI_PCPN_MSK (0xffu)

/** \brief Offset for Ifx_CPU_PCXI_Bits.PCPN */
#define IFX_CPU_PCXI_PCPN_OFF (22u)

/** \brief Length for Ifx_CPU_PSW_Bits.CDC */
#define IFX_CPU_PSW_CDC_LEN (7u)

/** \brief Mask for Ifx_CPU_PSW_Bits.CDC */
#define IFX_CPU_PSW_CDC_MSK (0x7fu)

/** \brief Offset for Ifx_CPU_PSW_Bits.CDC */
#define IFX_CPU_PSW_CDC_OFF (0u)

/** \brief Length for Ifx_CPU_PSW_Bits.CDE */
#define IFX_CPU_PSW_CDE_LEN (1u)

/** \brief Mask for Ifx_CPU_PSW_Bits.CDE */
#define IFX_CPU_PSW_CDE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_PSW_Bits.CDE */
#define IFX_CPU_PSW_CDE_OFF (7u)

/** \brief Length for Ifx_CPU_PSW_Bits.GW */
#define IFX_CPU_PSW_GW_LEN (1u)

/** \brief Mask for Ifx_CPU_PSW_Bits.GW */
#define IFX_CPU_PSW_GW_MSK (0x1u)

/** \brief Offset for Ifx_CPU_PSW_Bits.GW */
#define IFX_CPU_PSW_GW_OFF (8u)

/** \brief Length for Ifx_CPU_PSW_Bits.IS */
#define IFX_CPU_PSW_IS_LEN (1u)

/** \brief Mask for Ifx_CPU_PSW_Bits.IS */
#define IFX_CPU_PSW_IS_MSK (0x1u)

/** \brief Offset for Ifx_CPU_PSW_Bits.IS */
#define IFX_CPU_PSW_IS_OFF (9u)

/** \brief Length for Ifx_CPU_PSW_Bits.IO */
#define IFX_CPU_PSW_IO_LEN (2u)

/** \brief Mask for Ifx_CPU_PSW_Bits.IO */
#define IFX_CPU_PSW_IO_MSK (0x3u)

/** \brief Offset for Ifx_CPU_PSW_Bits.IO */
#define IFX_CPU_PSW_IO_OFF (10u)

/** \brief Length for Ifx_CPU_PSW_Bits.PRS */
#define IFX_CPU_PSW_PRS_LEN (2u)

/** \brief Mask for Ifx_CPU_PSW_Bits.PRS */
#define IFX_CPU_PSW_PRS_MSK (0x3u)

/** \brief Offset for Ifx_CPU_PSW_Bits.PRS */
#define IFX_CPU_PSW_PRS_OFF (12u)

/** \brief Length for Ifx_CPU_PSW_Bits.S */
#define IFX_CPU_PSW_S_LEN (1u)

/** \brief Mask for Ifx_CPU_PSW_Bits.S */
#define IFX_CPU_PSW_S_MSK (0x1u)

/** \brief Offset for Ifx_CPU_PSW_Bits.S */
#define IFX_CPU_PSW_S_OFF (14u)

/** \brief Length for Ifx_CPU_PSW_Bits.PRS2 */
#define IFX_CPU_PSW_PRS2_LEN (1u)

/** \brief Mask for Ifx_CPU_PSW_Bits.PRS2 */
#define IFX_CPU_PSW_PRS2_MSK (0x1u)

/** \brief Offset for Ifx_CPU_PSW_Bits.PRS2 */
#define IFX_CPU_PSW_PRS2_OFF (15u)

/** \brief Length for Ifx_CPU_PSW_Bits.USB */
#define IFX_CPU_PSW_USB_LEN (8u)

/** \brief Mask for Ifx_CPU_PSW_Bits.USB */
#define IFX_CPU_PSW_USB_MSK (0xffu)

/** \brief Offset for Ifx_CPU_PSW_Bits.USB */
#define IFX_CPU_PSW_USB_OFF (24u)

/** \brief Length for Ifx_CPU_PC_Bits.PC */
#define IFX_CPU_PC_PC_LEN (31u)

/** \brief Mask for Ifx_CPU_PC_Bits.PC */
#define IFX_CPU_PC_PC_MSK (0x7fffffffu)

/** \brief Offset for Ifx_CPU_PC_Bits.PC */
#define IFX_CPU_PC_PC_OFF (1u)

/** \brief Length for Ifx_CPU_SYSCON_Bits.FCDSF */
#define IFX_CPU_SYSCON_FCDSF_LEN (1u)

/** \brief Mask for Ifx_CPU_SYSCON_Bits.FCDSF */
#define IFX_CPU_SYSCON_FCDSF_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SYSCON_Bits.FCDSF */
#define IFX_CPU_SYSCON_FCDSF_OFF (0u)

/** \brief Length for Ifx_CPU_SYSCON_Bits.PROTEN */
#define IFX_CPU_SYSCON_PROTEN_LEN (1u)

/** \brief Mask for Ifx_CPU_SYSCON_Bits.PROTEN */
#define IFX_CPU_SYSCON_PROTEN_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SYSCON_Bits.PROTEN */
#define IFX_CPU_SYSCON_PROTEN_OFF (1u)

/** \brief Length for Ifx_CPU_SYSCON_Bits.TPROTEN */
#define IFX_CPU_SYSCON_TPROTEN_LEN (1u)

/** \brief Mask for Ifx_CPU_SYSCON_Bits.TPROTEN */
#define IFX_CPU_SYSCON_TPROTEN_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SYSCON_Bits.TPROTEN */
#define IFX_CPU_SYSCON_TPROTEN_OFF (2u)

/** \brief Length for Ifx_CPU_SYSCON_Bits.IS */
#define IFX_CPU_SYSCON_IS_LEN (1u)

/** \brief Mask for Ifx_CPU_SYSCON_Bits.IS */
#define IFX_CPU_SYSCON_IS_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SYSCON_Bits.IS */
#define IFX_CPU_SYSCON_IS_OFF (3u)

/** \brief Length for Ifx_CPU_SYSCON_Bits.TS */
#define IFX_CPU_SYSCON_TS_LEN (1u)

/** \brief Mask for Ifx_CPU_SYSCON_Bits.TS */
#define IFX_CPU_SYSCON_TS_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SYSCON_Bits.TS */
#define IFX_CPU_SYSCON_TS_OFF (4u)

/** \brief Length for Ifx_CPU_SYSCON_Bits.ESDIS */
#define IFX_CPU_SYSCON_ESDIS_LEN (1u)

/** \brief Mask for Ifx_CPU_SYSCON_Bits.ESDIS */
#define IFX_CPU_SYSCON_ESDIS_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SYSCON_Bits.ESDIS */
#define IFX_CPU_SYSCON_ESDIS_OFF (8u)

/** \brief Length for Ifx_CPU_SYSCON_Bits.U1_IED */
#define IFX_CPU_SYSCON_U1_IED_LEN (1u)

/** \brief Mask for Ifx_CPU_SYSCON_Bits.U1_IED */
#define IFX_CPU_SYSCON_U1_IED_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SYSCON_Bits.U1_IED */
#define IFX_CPU_SYSCON_U1_IED_OFF (16u)

/** \brief Length for Ifx_CPU_SYSCON_Bits.U1_IOS */
#define IFX_CPU_SYSCON_U1_IOS_LEN (1u)

/** \brief Mask for Ifx_CPU_SYSCON_Bits.U1_IOS */
#define IFX_CPU_SYSCON_U1_IOS_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SYSCON_Bits.U1_IOS */
#define IFX_CPU_SYSCON_U1_IOS_OFF (17u)

/** \brief Length for Ifx_CPU_SYSCON_Bits.BHALT */
#define IFX_CPU_SYSCON_BHALT_LEN (1u)

/** \brief Mask for Ifx_CPU_SYSCON_Bits.BHALT */
#define IFX_CPU_SYSCON_BHALT_MSK (0x1u)

/** \brief Offset for Ifx_CPU_SYSCON_Bits.BHALT */
#define IFX_CPU_SYSCON_BHALT_OFF (24u)

/** \brief Length for Ifx_CPU_CPU_ID_Bits.MOD_REV */
#define IFX_CPU_CPU_ID_MOD_REV_LEN (8u)

/** \brief Mask for Ifx_CPU_CPU_ID_Bits.MOD_REV */
#define IFX_CPU_CPU_ID_MOD_REV_MSK (0xffu)

/** \brief Offset for Ifx_CPU_CPU_ID_Bits.MOD_REV */
#define IFX_CPU_CPU_ID_MOD_REV_OFF (0u)

/** \brief Length for Ifx_CPU_CPU_ID_Bits.MOD_32B */
#define IFX_CPU_CPU_ID_MOD_32B_LEN (8u)

/** \brief Mask for Ifx_CPU_CPU_ID_Bits.MOD_32B */
#define IFX_CPU_CPU_ID_MOD_32B_MSK (0xffu)

/** \brief Offset for Ifx_CPU_CPU_ID_Bits.MOD_32B */
#define IFX_CPU_CPU_ID_MOD_32B_OFF (8u)

/** \brief Length for Ifx_CPU_CPU_ID_Bits.MOD */
#define IFX_CPU_CPU_ID_MOD_LEN (16u)

/** \brief Mask for Ifx_CPU_CPU_ID_Bits.MOD */
#define IFX_CPU_CPU_ID_MOD_MSK (0xffffu)

/** \brief Offset for Ifx_CPU_CPU_ID_Bits.MOD */
#define IFX_CPU_CPU_ID_MOD_OFF (16u)

/** \brief Length for Ifx_CPU_CORE_ID_Bits.CORE_ID */
#define IFX_CPU_CORE_ID_CORE_ID_LEN (3u)

/** \brief Mask for Ifx_CPU_CORE_ID_Bits.CORE_ID */
#define IFX_CPU_CORE_ID_CORE_ID_MSK (0x7u)

/** \brief Offset for Ifx_CPU_CORE_ID_Bits.CORE_ID */
#define IFX_CPU_CORE_ID_CORE_ID_OFF (0u)

/** \brief Length for Ifx_CPU_BIV_Bits.VSS */
#define IFX_CPU_BIV_VSS_LEN (1u)

/** \brief Mask for Ifx_CPU_BIV_Bits.VSS */
#define IFX_CPU_BIV_VSS_MSK (0x1u)

/** \brief Offset for Ifx_CPU_BIV_Bits.VSS */
#define IFX_CPU_BIV_VSS_OFF (0u)

/** \brief Length for Ifx_CPU_BIV_Bits.BIV */
#define IFX_CPU_BIV_BIV_LEN (31u)

/** \brief Mask for Ifx_CPU_BIV_Bits.BIV */
#define IFX_CPU_BIV_BIV_MSK (0x7fffffffu)

/** \brief Offset for Ifx_CPU_BIV_Bits.BIV */
#define IFX_CPU_BIV_BIV_OFF (1u)

/** \brief Length for Ifx_CPU_BTV_Bits.BTV */
#define IFX_CPU_BTV_BTV_LEN (31u)

/** \brief Mask for Ifx_CPU_BTV_Bits.BTV */
#define IFX_CPU_BTV_BTV_MSK (0x7fffffffu)

/** \brief Offset for Ifx_CPU_BTV_Bits.BTV */
#define IFX_CPU_BTV_BTV_OFF (1u)

/** \brief Length for Ifx_CPU_ISP_Bits.ISP */
#define IFX_CPU_ISP_ISP_LEN (32u)

/** \brief Mask for Ifx_CPU_ISP_Bits.ISP */
#define IFX_CPU_ISP_ISP_MSK (0xffffffffu)

/** \brief Offset for Ifx_CPU_ISP_Bits.ISP */
#define IFX_CPU_ISP_ISP_OFF (0u)

/** \brief Length for Ifx_CPU_ICR_Bits.CCPN */
#define IFX_CPU_ICR_CCPN_LEN (8u)

/** \brief Mask for Ifx_CPU_ICR_Bits.CCPN */
#define IFX_CPU_ICR_CCPN_MSK (0xffu)

/** \brief Offset for Ifx_CPU_ICR_Bits.CCPN */
#define IFX_CPU_ICR_CCPN_OFF (0u)

/** \brief Length for Ifx_CPU_ICR_Bits.IE */
#define IFX_CPU_ICR_IE_LEN (1u)

/** \brief Mask for Ifx_CPU_ICR_Bits.IE */
#define IFX_CPU_ICR_IE_MSK (0x1u)

/** \brief Offset for Ifx_CPU_ICR_Bits.IE */
#define IFX_CPU_ICR_IE_OFF (15u)

/** \brief Length for Ifx_CPU_ICR_Bits.PIPN */
#define IFX_CPU_ICR_PIPN_LEN (8u)

/** \brief Mask for Ifx_CPU_ICR_Bits.PIPN */
#define IFX_CPU_ICR_PIPN_MSK (0xffu)

/** \brief Offset for Ifx_CPU_ICR_Bits.PIPN */
#define IFX_CPU_ICR_PIPN_OFF (16u)

/** \brief Length for Ifx_CPU_FCX_Bits.FCXO */
#define IFX_CPU_FCX_FCXO_LEN (16u)

/** \brief Mask for Ifx_CPU_FCX_Bits.FCXO */
#define IFX_CPU_FCX_FCXO_MSK (0xffffu)

/** \brief Offset for Ifx_CPU_FCX_Bits.FCXO */
#define IFX_CPU_FCX_FCXO_OFF (0u)

/** \brief Length for Ifx_CPU_FCX_Bits.FCXS */
#define IFX_CPU_FCX_FCXS_LEN (4u)

/** \brief Mask for Ifx_CPU_FCX_Bits.FCXS */
#define IFX_CPU_FCX_FCXS_MSK (0xfu)

/** \brief Offset for Ifx_CPU_FCX_Bits.FCXS */
#define IFX_CPU_FCX_FCXS_OFF (16u)

/** \brief Length for Ifx_CPU_LCX_Bits.LCXO */
#define IFX_CPU_LCX_LCXO_LEN (16u)

/** \brief Mask for Ifx_CPU_LCX_Bits.LCXO */
#define IFX_CPU_LCX_LCXO_MSK (0xffffu)

/** \brief Offset for Ifx_CPU_LCX_Bits.LCXO */
#define IFX_CPU_LCX_LCXO_OFF (0u)

/** \brief Length for Ifx_CPU_LCX_Bits.LCXS */
#define IFX_CPU_LCX_LCXS_LEN (4u)

/** \brief Mask for Ifx_CPU_LCX_Bits.LCXS */
#define IFX_CPU_LCX_LCXS_MSK (0xfu)

/** \brief Offset for Ifx_CPU_LCX_Bits.LCXS */
#define IFX_CPU_LCX_LCXS_OFF (16u)

/** \brief Length for Ifx_CPU_CUS_ID_Bits.CID */
#define IFX_CPU_CUS_ID_CID_LEN (3u)

/** \brief Mask for Ifx_CPU_CUS_ID_Bits.CID */
#define IFX_CPU_CUS_ID_CID_MSK (0x7u)

/** \brief Offset for Ifx_CPU_CUS_ID_Bits.CID */
#define IFX_CPU_CUS_ID_CID_OFF (0u)

/** \brief Length for Ifx_CPU_D_Bits.DATA */
#define IFX_CPU_D_DATA_LEN (32u)

/** \brief Mask for Ifx_CPU_D_Bits.DATA */
#define IFX_CPU_D_DATA_MSK (0xffffffffu)

/** \brief Offset for Ifx_CPU_D_Bits.DATA */
#define IFX_CPU_D_DATA_OFF (0u)

/** \brief Length for Ifx_CPU_A_Bits.ADDR */
#define IFX_CPU_A_ADDR_LEN (32u)

/** \brief Mask for Ifx_CPU_A_Bits.ADDR */
#define IFX_CPU_A_ADDR_MSK (0xffffffffu)

/** \brief Offset for Ifx_CPU_A_Bits.ADDR */
#define IFX_CPU_A_ADDR_OFF (0u)

/** \}  */

/******************************************************************************/

/******************************************************************************/

#endif /* IFXCPU_BF_H */
